/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"app": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "js/" + ({}[chunkId]||chunkId) + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/ui/";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push([0,"chunk-vendors"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ "./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/App.vue?vue&type=script&lang=js&":
/*!*************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/App.vue?vue&type=script&lang=js& ***!
  \*************************************************************************************************************************************************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _components_BrandBar_vue__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./components/BrandBar.vue */ \"./src/components/BrandBar.vue\");\n/* harmony import */ var _components_ContactBar_vue__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/ContactBar.vue */ \"./src/components/ContactBar.vue\");\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  components: {\n    BrandBar: _components_BrandBar_vue__WEBPACK_IMPORTED_MODULE_0__[\"default\"],\n    ContactBar: _components_ContactBar_vue__WEBPACK_IMPORTED_MODULE_1__[\"default\"]\n  },\n  data: function data() {\n    return {\n      isLoading: true,\n      steps: [// {\n        //   target: '#v-step-0',  // We're using document.querySelector() under the hood\n        //   content: `Add your first App!`\n        // },\n        // {\n        //   target: '#v-step-1',  // We're using document.querySelector() under the hood\n        //   content: `Add your first App!`\n        // }\n      ],\n      isWelcome: false,\n      initAni: {\n        classes: 'zoomOutIn',\n        duration: 2500\n      },\n      brandAni: {\n        classes: \"fadeInLeft\",\n        duration: 700\n      },\n      contactAni: {\n        classes: \"fadeInRight\",\n        duration: 700\n      }\n    };\n  },\n  created: function created() {\n    var _this = this;\n\n    console.log(this.$router.history.current.path);\n    this.$api.info.guideCheck().then(function (res) {\n      _this.isLoading = false;\n\n      if (res.data.success == 200 && res.data.data.need_init_user) {\n        _this.isWelcome = true;\n      } else {\n        _this.isWelcome = false;\n      }\n    });\n  },\n  mounted: function mounted() {//this.$tours['myTour'].start()\n  },\n  methods: {}\n});\n\n//# sourceURL=webpack:///./src/App.vue?./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/BrandBar.vue?vue&type=script&lang=js&":
/*!*****************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/BrandBar.vue?vue&type=script&lang=js& ***!
  \*****************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  name: \"brand-bar\"\n});\n\n//# sourceURL=webpack:///./src/components/BrandBar.vue?./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/ContactBar.vue?vue&type=script&lang=js&":
/*!*******************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ContactBar.vue?vue&type=script&lang=js& ***!
  \*******************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n//\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  name: \"contact-bar\"\n});\n\n//# sourceURL=webpack:///./src/components/ContactBar.vue?./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/App.vue?vue&type=template&id=7ba5bd90&":
/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"5b843394-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/App.vue?vue&type=template&id=7ba5bd90& ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return render; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return staticRenderFns; });\nvar render = function() {\n  var _vm = this\n  var _h = _vm.$createElement\n  var _c = _vm._self._c || _h\n  return !_vm.isLoading\n    ? _c(\n        \"div\",\n        {\n          staticClass: \"is-flex is-flex-direction-column\",\n          attrs: { id: \"app\" }\n        },\n        [\n          _vm.isWelcome\n            ? _c(\"div\", {\n                directives: [\n                  {\n                    name: \"animate-css\",\n                    rawName: \"v-animate-css\",\n                    value: _vm.initAni,\n                    expression: \"initAni\"\n                  }\n                ],\n                style: {\n                  \"background-image\":\n                    \"url(\" + __webpack_require__(/*! ./assets/background/bg3.jpg */ \"./src/assets/background/bg3.jpg\") + \")\"\n                },\n                attrs: { id: \"background\" }\n              })\n            : _vm._e(),\n          !_vm.isWelcome\n            ? _c(\"div\", {\n                style: {\n                  \"background-image\":\n                    \"url(\" + __webpack_require__(/*! ./assets/background/bg3.jpg */ \"./src/assets/background/bg3.jpg\") + \")\"\n                },\n                attrs: { id: \"background\" }\n              })\n            : _vm._e(),\n          _c(\"router-view\"),\n          _c(\"brand-bar\", {\n            directives: [\n              {\n                name: \"animate-css\",\n                rawName: \"v-animate-css\",\n                value: _vm.brandAni,\n                expression: \"brandAni\"\n              }\n            ]\n          }),\n          _c(\"contact-bar\", {\n            directives: [\n              {\n                name: \"animate-css\",\n                rawName: \"v-animate-css\",\n                value: _vm.contactAni,\n                expression: \"contactAni\"\n              }\n            ]\n          })\n        ],\n        1\n      )\n    : _vm._e()\n}\nvar staticRenderFns = []\nrender._withStripped = true\n\n\n\n//# sourceURL=webpack:///./src/App.vue?./node_modules/cache-loader/dist/cjs.js?%7B%22cacheDirectory%22:%22node_modules/.cache/vue-loader%22,%22cacheIdentifier%22:%225b843394-vue-loader-template%22%7D!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/BrandBar.vue?vue&type=template&id=dfac1d88&":
/*!*************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"5b843394-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/BrandBar.vue?vue&type=template&id=dfac1d88& ***!
  \*************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return render; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return staticRenderFns; });\nvar render = function() {\n  var _vm = this\n  var _h = _vm.$createElement\n  var _c = _vm._self._c || _h\n  return _c(\n    \"div\",\n    { staticClass: \"brand-bar is-flex is-align-items-center has-text-white\" },\n    [\n      _c(\"figure\", { staticClass: \"image is-32x32\" }, [\n        _c(\"img\", { attrs: { src: __webpack_require__(/*! @/assets/img/casa.svg */ \"./src/assets/img/casa.svg\") } })\n      ]),\n      _c(\"span\", { staticClass: \"is-size-4 mr-3 ml-3\" }, [_vm._v(\"CasaOS\")]),\n      _c(\"span\", [_vm._v(\"Made by IceWhale with ❤ and you !️\")])\n    ]\n  )\n}\nvar staticRenderFns = []\nrender._withStripped = true\n\n\n\n//# sourceURL=webpack:///./src/components/BrandBar.vue?./node_modules/cache-loader/dist/cjs.js?%7B%22cacheDirectory%22:%22node_modules/.cache/vue-loader%22,%22cacheIdentifier%22:%225b843394-vue-loader-template%22%7D!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/ContactBar.vue?vue&type=template&id=f34e36fa&":
/*!***************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"5b843394-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./src/components/ContactBar.vue?vue&type=template&id=f34e36fa& ***!
  \***************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return render; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return staticRenderFns; });\nvar render = function() {\n  var _vm = this\n  var _h = _vm.$createElement\n  var _c = _vm._self._c || _h\n  return _c(\n    \"div\",\n    {\n      staticClass:\n        \"contact-bar is-flex is-align-items-center has-text-white pl-3 pr-3\"\n    },\n    [\n      _c(\n        \"a\",\n        { attrs: { href: \"#\" } },\n        [_c(\"b-icon\", { attrs: { icon: \"routes\" } })],\n        1\n      ),\n      _c(\n        \"a\",\n        { attrs: { href: \"https://discord.gg/Gx4BCEtHjx\", target: \"_blank\" } },\n        [_c(\"b-icon\", { attrs: { icon: \"discord\" } })],\n        1\n      ),\n      _c(\n        \"a\",\n        {\n          attrs: {\n            href: \"https://github.com/IceWhaleTech/CasaOS\",\n            target: \"_blank\"\n          }\n        },\n        [_c(\"b-icon\", { attrs: { icon: \"github\" } })],\n        1\n      )\n    ]\n  )\n}\nvar staticRenderFns = []\nrender._withStripped = true\n\n\n\n//# sourceURL=webpack:///./src/components/ContactBar.vue?./node_modules/cache-loader/dist/cjs.js?%7B%22cacheDirectory%22:%22node_modules/.cache/vue-loader%22,%22cacheIdentifier%22:%225b843394-vue-loader-template%22%7D!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/css-loader/dist/cjs.js?!./node_modules/postcss-loader/src/index.js?!./node_modules/sass-loader/dist/cjs.js?!./src/assets/scss/app.scss":
/*!*******************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/css-loader/dist/cjs.js??ref--8-oneOf-3-1!./node_modules/postcss-loader/src??ref--8-oneOf-3-2!./node_modules/sass-loader/dist/cjs.js??ref--8-oneOf-3-3!./src/assets/scss/app.scss ***!
  \*******************************************************************************************************************************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("// Imports\nvar ___CSS_LOADER_API_IMPORT___ = __webpack_require__(/*! ../../../node_modules/css-loader/dist/runtime/api.js */ \"./node_modules/css-loader/dist/runtime/api.js\");\nvar ___CSS_LOADER_GET_URL_IMPORT___ = __webpack_require__(/*! ../../../node_modules/css-loader/dist/runtime/getUrl.js */ \"./node_modules/css-loader/dist/runtime/getUrl.js\");\nvar ___CSS_LOADER_URL_IMPORT_0___ = __webpack_require__(/*! ../img/folder.png */ \"./src/assets/img/folder.png\");\nvar ___CSS_LOADER_URL_IMPORT_1___ = __webpack_require__(/*! ../img/xfile.png */ \"./src/assets/img/xfile.png\");\nexports = ___CSS_LOADER_API_IMPORT___(false);\nexports.push([module.i, \"@import url(https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;1,100;1,300;1,400;1,500;1,700&display=swap);\"]);\nvar ___CSS_LOADER_URL_REPLACEMENT_0___ = ___CSS_LOADER_GET_URL_IMPORT___(___CSS_LOADER_URL_IMPORT_0___);\nvar ___CSS_LOADER_URL_REPLACEMENT_1___ = ___CSS_LOADER_GET_URL_IMPORT___(___CSS_LOADER_URL_IMPORT_1___);\n// Module\nexports.push([module.i, \"@charset \\\"UTF-8\\\";\\n/*! bulma.io v0.9.3 | MIT License | github.com/jgthms/bulma */\\n/* Bulma Utilities */\\n.button, .input, .textarea, .taginput .taginput-container.is-focusable, .select select, .file-cta,\\n.file-name, .pagination-previous,\\n.pagination-next,\\n.pagination-link,\\n.pagination-ellipsis {\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  align-items: center;\\n  border: 1px solid transparent;\\n  border-radius: 4px;\\n  box-shadow: none;\\n  display: inline-flex;\\n  font-size: 1rem;\\n  height: 2.5em;\\n  justify-content: flex-start;\\n  line-height: 1.5;\\n  padding-bottom: calc(0.5em - 1px);\\n  padding-left: calc(0.75em - 1px);\\n  padding-right: calc(0.75em - 1px);\\n  padding-top: calc(0.5em - 1px);\\n  position: relative;\\n  vertical-align: top; }\\n  .button:focus, .input:focus, .textarea:focus, .taginput .taginput-container.is-focusable:focus, .select select:focus, .file-cta:focus,\\n  .file-name:focus, .pagination-previous:focus,\\n  .pagination-next:focus,\\n  .pagination-link:focus,\\n  .pagination-ellipsis:focus, .is-focused.button, .is-focused.input, .is-focused.textarea, .taginput .is-focused.taginput-container.is-focusable, .select select.is-focused, .is-focused.file-cta,\\n  .is-focused.file-name, .is-focused.pagination-previous,\\n  .is-focused.pagination-next,\\n  .is-focused.pagination-link,\\n  .is-focused.pagination-ellipsis, .button:active, .input:active, .textarea:active, .taginput .taginput-container.is-focusable:active, .select select:active, .file-cta:active,\\n  .file-name:active, .pagination-previous:active,\\n  .pagination-next:active,\\n  .pagination-link:active,\\n  .pagination-ellipsis:active, .is-active.button, .is-active.input, .is-active.textarea, .taginput .is-active.taginput-container.is-focusable, .select select.is-active, .is-active.file-cta,\\n  .is-active.file-name, .is-active.pagination-previous,\\n  .is-active.pagination-next,\\n  .is-active.pagination-link,\\n  .is-active.pagination-ellipsis {\\n    outline: none; }\\n  .button[disabled], .input[disabled], .textarea[disabled], .taginput .taginput-container.is-focusable[disabled], .select select[disabled], .file-cta[disabled],\\n  .file-name[disabled], .pagination-previous[disabled],\\n  .pagination-next[disabled],\\n  .pagination-link[disabled],\\n  .pagination-ellipsis[disabled],\\n  fieldset[disabled] .button,\\n  fieldset[disabled] .input,\\n  fieldset[disabled] .textarea,\\n  fieldset[disabled] .taginput .taginput-container.is-focusable,\\n  .taginput fieldset[disabled] .taginput-container.is-focusable,\\n  fieldset[disabled] .select select,\\n  .select fieldset[disabled] select,\\n  fieldset[disabled] .file-cta,\\n  fieldset[disabled] .file-name,\\n  fieldset[disabled] .pagination-previous,\\n  fieldset[disabled] .pagination-next,\\n  fieldset[disabled] .pagination-link,\\n  fieldset[disabled] .pagination-ellipsis {\\n    cursor: not-allowed; }\\n\\n.button, .file, .breadcrumb, .pagination-previous,\\n.pagination-next,\\n.pagination-link,\\n.pagination-ellipsis, .tabs, .is-unselectable, .carousel, .carousel-list, .b-checkbox.checkbox, .b-radio.radio, .switch {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none; }\\n\\n.select:not(.is-multiple):not(.is-loading)::after, .navbar-link:not(.is-arrowless)::after {\\n  border: 3px solid transparent;\\n  border-radius: 2px;\\n  border-right: 0;\\n  border-top: 0;\\n  content: \\\" \\\";\\n  display: block;\\n  height: 0.625em;\\n  margin-top: -0.4375em;\\n  pointer-events: none;\\n  position: absolute;\\n  top: 50%;\\n  transform: rotate(-45deg);\\n  transform-origin: center;\\n  width: 0.625em; }\\n\\n.box:not(:last-child), .content:not(:last-child), .notification:not(:last-child), .progress:not(:last-child), .progress-wrapper.is-not-native:not(:last-child), .table:not(:last-child), .table-container:not(:last-child), .title:not(:last-child),\\n.subtitle:not(:last-child), .block:not(:last-child), .breadcrumb:not(:last-child), .level:not(:last-child), .message:not(:last-child), .pagination:not(:last-child), .tabs:not(:last-child) {\\n  margin-bottom: 1.5rem; }\\n\\n.delete, .modal-close {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none;\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  background-color: rgba(10, 10, 10, 0.2);\\n  border: none;\\n  border-radius: 9999px;\\n  cursor: pointer;\\n  pointer-events: auto;\\n  display: inline-block;\\n  flex-grow: 0;\\n  flex-shrink: 0;\\n  font-size: 0;\\n  height: 20px;\\n  max-height: 20px;\\n  max-width: 20px;\\n  min-height: 20px;\\n  min-width: 20px;\\n  outline: none;\\n  position: relative;\\n  vertical-align: top;\\n  width: 20px; }\\n  .delete::before, .modal-close::before, .delete::after, .modal-close::after {\\n    background-color: white;\\n    content: \\\"\\\";\\n    display: block;\\n    left: 50%;\\n    position: absolute;\\n    top: 50%;\\n    transform: translateX(-50%) translateY(-50%) rotate(45deg);\\n    transform-origin: center center; }\\n  .delete::before, .modal-close::before {\\n    height: 2px;\\n    width: 50%; }\\n  .delete::after, .modal-close::after {\\n    height: 50%;\\n    width: 2px; }\\n  .delete:hover, .modal-close:hover, .delete:focus, .modal-close:focus {\\n    background-color: rgba(10, 10, 10, 0.3); }\\n  .delete:active, .modal-close:active {\\n    background-color: rgba(10, 10, 10, 0.4); }\\n  .is-small.delete, .is-small.modal-close {\\n    height: 16px;\\n    max-height: 16px;\\n    max-width: 16px;\\n    min-height: 16px;\\n    min-width: 16px;\\n    width: 16px; }\\n  .is-medium.delete, .is-medium.modal-close {\\n    height: 24px;\\n    max-height: 24px;\\n    max-width: 24px;\\n    min-height: 24px;\\n    min-width: 24px;\\n    width: 24px; }\\n  .is-large.delete, .is-large.modal-close {\\n    height: 32px;\\n    max-height: 32px;\\n    max-width: 32px;\\n    min-height: 32px;\\n    min-width: 32px;\\n    width: 32px; }\\n\\n.button.is-loading::after, .loader, .select.is-loading::after, .control.is-loading::after {\\n  -webkit-animation: spinAround 500ms infinite linear;\\n          animation: spinAround 500ms infinite linear;\\n  border: 2px solid #dbdbdb;\\n  border-radius: 9999px;\\n  border-right-color: transparent;\\n  border-top-color: transparent;\\n  content: \\\"\\\";\\n  display: block;\\n  height: 1em;\\n  position: relative;\\n  width: 1em; }\\n\\n.image.is-square img,\\n.image.is-square .has-ratio, .image.is-1by1 img,\\n.image.is-1by1 .has-ratio, .image.is-5by4 img,\\n.image.is-5by4 .has-ratio, .image.is-4by3 img,\\n.image.is-4by3 .has-ratio, .image.is-3by2 img,\\n.image.is-3by2 .has-ratio, .image.is-5by3 img,\\n.image.is-5by3 .has-ratio, .image.is-16by9 img,\\n.image.is-16by9 .has-ratio, .image.is-2by1 img,\\n.image.is-2by1 .has-ratio, .image.is-3by1 img,\\n.image.is-3by1 .has-ratio, .image.is-4by5 img,\\n.image.is-4by5 .has-ratio, .image.is-3by4 img,\\n.image.is-3by4 .has-ratio, .image.is-2by3 img,\\n.image.is-2by3 .has-ratio, .image.is-3by5 img,\\n.image.is-3by5 .has-ratio, .image.is-9by16 img,\\n.image.is-9by16 .has-ratio, .image.is-1by2 img,\\n.image.is-1by2 .has-ratio, .image.is-1by3 img,\\n.image.is-1by3 .has-ratio, .modal, .modal-background, .is-overlay, .hero-video, .b-image-wrapper > img.has-ratio, .b-image-wrapper > img.placeholder {\\n  bottom: 0;\\n  left: 0;\\n  position: absolute;\\n  right: 0;\\n  top: 0; }\\n\\n.navbar-burger {\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  appearance: none;\\n  background: none;\\n  border: none;\\n  color: currentColor;\\n  font-family: inherit;\\n  font-size: 1em;\\n  margin: 0;\\n  padding: 0; }\\n\\n/* Bulma Base */\\n/*! minireset.css v0.0.6 | MIT License | github.com/jgthms/minireset.css */\\nhtml,\\nbody,\\np,\\nol,\\nul,\\nli,\\ndl,\\ndt,\\ndd,\\nblockquote,\\nfigure,\\nfieldset,\\nlegend,\\ntextarea,\\npre,\\niframe,\\nhr,\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  margin: 0;\\n  padding: 0; }\\n\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  font-size: 100%;\\n  font-weight: normal; }\\n\\nul {\\n  list-style: none; }\\n\\nbutton,\\ninput,\\nselect,\\ntextarea {\\n  margin: 0; }\\n\\nhtml {\\n  box-sizing: border-box; }\\n\\n*, *::before, *::after {\\n  box-sizing: inherit; }\\n\\nimg,\\nvideo {\\n  height: auto;\\n  max-width: 100%; }\\n\\niframe {\\n  border: 0; }\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0; }\\n\\ntd,\\nth {\\n  padding: 0; }\\n  td:not([align]),\\n  th:not([align]) {\\n    text-align: inherit; }\\n\\nhtml {\\n  background-color: white;\\n  font-size: 16px;\\n  -moz-osx-font-smoothing: grayscale;\\n  -webkit-font-smoothing: antialiased;\\n  min-width: 300px;\\n  overflow-x: hidden;\\n  overflow-y: scroll;\\n  text-rendering: optimizeLegibility;\\n  -webkit-text-size-adjust: 100%;\\n     -moz-text-size-adjust: 100%;\\n          text-size-adjust: 100%; }\\n\\narticle,\\naside,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nsection {\\n  display: block; }\\n\\nbody,\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  font-family: BlinkMacSystemFont, -apple-system, \\\"Segoe UI\\\", \\\"Roboto\\\", \\\"Oxygen\\\", \\\"Ubuntu\\\", \\\"Cantarell\\\", \\\"Fira Sans\\\", \\\"Droid Sans\\\", \\\"Helvetica Neue\\\", \\\"Helvetica\\\", \\\"Arial\\\", sans-serif; }\\n\\ncode,\\npre {\\n  -moz-osx-font-smoothing: auto;\\n  -webkit-font-smoothing: auto;\\n  font-family: monospace; }\\n\\nbody {\\n  color: #4a4a4a;\\n  font-size: 1em;\\n  font-weight: 400;\\n  line-height: 1.5; }\\n\\na {\\n  color: #485fc7;\\n  cursor: pointer;\\n  text-decoration: none; }\\n  a strong {\\n    color: currentColor; }\\n  a:hover {\\n    color: #363636; }\\n\\ncode {\\n  background-color: whitesmoke;\\n  color: #f14668;\\n  font-size: 0.875em;\\n  font-weight: normal;\\n  padding: 0.25em 0.5em 0.25em; }\\n\\nhr {\\n  background-color: whitesmoke;\\n  border: none;\\n  display: block;\\n  height: 2px;\\n  margin: 1.5rem 0; }\\n\\nimg {\\n  height: auto;\\n  max-width: 100%; }\\n\\ninput[type=\\\"checkbox\\\"],\\ninput[type=\\\"radio\\\"] {\\n  vertical-align: baseline; }\\n\\nsmall {\\n  font-size: 0.875em; }\\n\\nspan {\\n  font-style: inherit;\\n  font-weight: inherit; }\\n\\nstrong {\\n  color: #363636;\\n  font-weight: 700; }\\n\\nfieldset {\\n  border: none; }\\n\\npre {\\n  -webkit-overflow-scrolling: touch;\\n  background-color: whitesmoke;\\n  color: #4a4a4a;\\n  font-size: 0.875em;\\n  overflow-x: auto;\\n  padding: 1.25rem 1.5rem;\\n  white-space: pre;\\n  word-wrap: normal; }\\n  pre code {\\n    background-color: transparent;\\n    color: currentColor;\\n    font-size: 1em;\\n    padding: 0; }\\n\\ntable td,\\ntable th {\\n  vertical-align: top; }\\n  table td:not([align]),\\n  table th:not([align]) {\\n    text-align: inherit; }\\n\\ntable th {\\n  color: #363636; }\\n\\n@-webkit-keyframes spinAround {\\n  from {\\n    transform: rotate(0deg); }\\n  to {\\n    transform: rotate(359deg); } }\\n\\n@keyframes spinAround {\\n  from {\\n    transform: rotate(0deg); }\\n  to {\\n    transform: rotate(359deg); } }\\n\\n/* Bulma Elements */\\n.box {\\n  background-color: white;\\n  border-radius: 6px;\\n  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);\\n  color: #4a4a4a;\\n  display: block;\\n  padding: 1.25rem; }\\n\\na.box:hover, a.box:focus {\\n  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px #485fc7; }\\n\\na.box:active {\\n  box-shadow: inset 0 1px 2px rgba(10, 10, 10, 0.2), 0 0 0 1px #485fc7; }\\n\\n.button {\\n  background-color: white;\\n  border-color: #dbdbdb;\\n  border-width: 1px;\\n  color: #363636;\\n  cursor: pointer;\\n  justify-content: center;\\n  padding-bottom: calc(0.5em - 1px);\\n  padding-left: 1em;\\n  padding-right: 1em;\\n  padding-top: calc(0.5em - 1px);\\n  text-align: center;\\n  white-space: nowrap; }\\n  .button strong {\\n    color: inherit; }\\n  .button .icon, .button .icon.is-small, .button .icon.is-medium, .button .icon.is-large {\\n    height: 1.5em;\\n    width: 1.5em; }\\n  .button .icon:first-child:not(:last-child) {\\n    margin-left: calc(-0.5em - 1px);\\n    margin-right: 0.25em; }\\n  .button .icon:last-child:not(:first-child) {\\n    margin-left: 0.25em;\\n    margin-right: calc(-0.5em - 1px); }\\n  .button .icon:first-child:last-child {\\n    margin-left: calc(-0.5em - 1px);\\n    margin-right: calc(-0.5em - 1px); }\\n  .button:hover, .button.is-hovered {\\n    border-color: #b5b5b5;\\n    color: #363636; }\\n  .button:focus, .button.is-focused {\\n    border-color: #485fc7;\\n    color: #363636; }\\n    .button:focus:not(:active), .button.is-focused:not(:active) {\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n  .button:active, .button.is-active {\\n    border-color: #4a4a4a;\\n    color: #363636; }\\n  .button.is-text {\\n    background-color: transparent;\\n    border-color: transparent;\\n    color: #4a4a4a;\\n    text-decoration: underline; }\\n    .button.is-text:hover, .button.is-text.is-hovered, .button.is-text:focus, .button.is-text.is-focused {\\n      background-color: whitesmoke;\\n      color: #363636; }\\n    .button.is-text:active, .button.is-text.is-active {\\n      background-color: #e8e8e8;\\n      color: #363636; }\\n    .button.is-text[disabled],\\n    fieldset[disabled] .button.is-text {\\n      background-color: transparent;\\n      border-color: transparent;\\n      box-shadow: none; }\\n  .button.is-ghost {\\n    background: none;\\n    border-color: transparent;\\n    color: #485fc7;\\n    text-decoration: none; }\\n    .button.is-ghost:hover, .button.is-ghost.is-hovered {\\n      color: #485fc7;\\n      text-decoration: underline; }\\n  .button.is-white {\\n    background-color: white;\\n    border-color: transparent;\\n    color: #0a0a0a; }\\n    .button.is-white:hover, .button.is-white.is-hovered {\\n      background-color: #f9f9f9;\\n      border-color: transparent;\\n      color: #0a0a0a; }\\n    .button.is-white:focus, .button.is-white.is-focused {\\n      border-color: transparent;\\n      color: #0a0a0a; }\\n      .button.is-white:focus:not(:active), .button.is-white.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(255, 255, 255, 0.25); }\\n    .button.is-white:active, .button.is-white.is-active {\\n      background-color: #f2f2f2;\\n      border-color: transparent;\\n      color: #0a0a0a; }\\n    .button.is-white[disabled],\\n    fieldset[disabled] .button.is-white {\\n      background-color: white;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-white.is-inverted {\\n      background-color: #0a0a0a;\\n      color: white; }\\n      .button.is-white.is-inverted:hover, .button.is-white.is-inverted.is-hovered {\\n        background-color: black; }\\n      .button.is-white.is-inverted[disabled],\\n      fieldset[disabled] .button.is-white.is-inverted {\\n        background-color: #0a0a0a;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: white; }\\n    .button.is-white.is-loading::after {\\n      border-color: transparent transparent #0a0a0a #0a0a0a !important; }\\n    .button.is-white.is-outlined {\\n      background-color: transparent;\\n      border-color: white;\\n      color: white; }\\n      .button.is-white.is-outlined:hover, .button.is-white.is-outlined.is-hovered, .button.is-white.is-outlined:focus, .button.is-white.is-outlined.is-focused {\\n        background-color: white;\\n        border-color: white;\\n        color: #0a0a0a; }\\n      .button.is-white.is-outlined.is-loading::after {\\n        border-color: transparent transparent white white !important; }\\n      .button.is-white.is-outlined.is-loading:hover::after, .button.is-white.is-outlined.is-loading.is-hovered::after, .button.is-white.is-outlined.is-loading:focus::after, .button.is-white.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #0a0a0a #0a0a0a !important; }\\n      .button.is-white.is-outlined[disabled],\\n      fieldset[disabled] .button.is-white.is-outlined {\\n        background-color: transparent;\\n        border-color: white;\\n        box-shadow: none;\\n        color: white; }\\n    .button.is-white.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #0a0a0a;\\n      color: #0a0a0a; }\\n      .button.is-white.is-inverted.is-outlined:hover, .button.is-white.is-inverted.is-outlined.is-hovered, .button.is-white.is-inverted.is-outlined:focus, .button.is-white.is-inverted.is-outlined.is-focused {\\n        background-color: #0a0a0a;\\n        color: white; }\\n      .button.is-white.is-inverted.is-outlined.is-loading:hover::after, .button.is-white.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-white.is-inverted.is-outlined.is-loading:focus::after, .button.is-white.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent white white !important; }\\n      .button.is-white.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-white.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #0a0a0a;\\n        box-shadow: none;\\n        color: #0a0a0a; }\\n  .button.is-black {\\n    background-color: #0a0a0a;\\n    border-color: transparent;\\n    color: white; }\\n    .button.is-black:hover, .button.is-black.is-hovered {\\n      background-color: #040404;\\n      border-color: transparent;\\n      color: white; }\\n    .button.is-black:focus, .button.is-black.is-focused {\\n      border-color: transparent;\\n      color: white; }\\n      .button.is-black:focus:not(:active), .button.is-black.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(10, 10, 10, 0.25); }\\n    .button.is-black:active, .button.is-black.is-active {\\n      background-color: black;\\n      border-color: transparent;\\n      color: white; }\\n    .button.is-black[disabled],\\n    fieldset[disabled] .button.is-black {\\n      background-color: #0a0a0a;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-black.is-inverted {\\n      background-color: white;\\n      color: #0a0a0a; }\\n      .button.is-black.is-inverted:hover, .button.is-black.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-black.is-inverted[disabled],\\n      fieldset[disabled] .button.is-black.is-inverted {\\n        background-color: white;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #0a0a0a; }\\n    .button.is-black.is-loading::after {\\n      border-color: transparent transparent white white !important; }\\n    .button.is-black.is-outlined {\\n      background-color: transparent;\\n      border-color: #0a0a0a;\\n      color: #0a0a0a; }\\n      .button.is-black.is-outlined:hover, .button.is-black.is-outlined.is-hovered, .button.is-black.is-outlined:focus, .button.is-black.is-outlined.is-focused {\\n        background-color: #0a0a0a;\\n        border-color: #0a0a0a;\\n        color: white; }\\n      .button.is-black.is-outlined.is-loading::after {\\n        border-color: transparent transparent #0a0a0a #0a0a0a !important; }\\n      .button.is-black.is-outlined.is-loading:hover::after, .button.is-black.is-outlined.is-loading.is-hovered::after, .button.is-black.is-outlined.is-loading:focus::after, .button.is-black.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent white white !important; }\\n      .button.is-black.is-outlined[disabled],\\n      fieldset[disabled] .button.is-black.is-outlined {\\n        background-color: transparent;\\n        border-color: #0a0a0a;\\n        box-shadow: none;\\n        color: #0a0a0a; }\\n    .button.is-black.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: white;\\n      color: white; }\\n      .button.is-black.is-inverted.is-outlined:hover, .button.is-black.is-inverted.is-outlined.is-hovered, .button.is-black.is-inverted.is-outlined:focus, .button.is-black.is-inverted.is-outlined.is-focused {\\n        background-color: white;\\n        color: #0a0a0a; }\\n      .button.is-black.is-inverted.is-outlined.is-loading:hover::after, .button.is-black.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-black.is-inverted.is-outlined.is-loading:focus::after, .button.is-black.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #0a0a0a #0a0a0a !important; }\\n      .button.is-black.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-black.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: white;\\n        box-shadow: none;\\n        color: white; }\\n  .button.is-light {\\n    background-color: whitesmoke;\\n    border-color: transparent;\\n    color: #363636; }\\n    .button.is-light:hover, .button.is-light.is-hovered {\\n      background-color: #eeeeee;\\n      border-color: transparent;\\n      color: #363636; }\\n    .button.is-light:focus, .button.is-light.is-focused {\\n      border-color: transparent;\\n      color: #363636; }\\n      .button.is-light:focus:not(:active), .button.is-light.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(245, 245, 245, 0.25); }\\n    .button.is-light:active, .button.is-light.is-active {\\n      background-color: #e8e8e8;\\n      border-color: transparent;\\n      color: #363636; }\\n    .button.is-light[disabled],\\n    fieldset[disabled] .button.is-light {\\n      background-color: whitesmoke;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-light.is-inverted {\\n      background-color: #363636;\\n      color: whitesmoke; }\\n      .button.is-light.is-inverted:hover, .button.is-light.is-inverted.is-hovered {\\n        background-color: #292929; }\\n      .button.is-light.is-inverted[disabled],\\n      fieldset[disabled] .button.is-light.is-inverted {\\n        background-color: #363636;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: whitesmoke; }\\n    .button.is-light.is-loading::after {\\n      border-color: transparent transparent #363636 #363636 !important; }\\n    .button.is-light.is-outlined {\\n      background-color: transparent;\\n      border-color: whitesmoke;\\n      color: whitesmoke; }\\n      .button.is-light.is-outlined:hover, .button.is-light.is-outlined.is-hovered, .button.is-light.is-outlined:focus, .button.is-light.is-outlined.is-focused {\\n        background-color: whitesmoke;\\n        border-color: whitesmoke;\\n        color: #363636; }\\n      .button.is-light.is-outlined.is-loading::after {\\n        border-color: transparent transparent whitesmoke whitesmoke !important; }\\n      .button.is-light.is-outlined.is-loading:hover::after, .button.is-light.is-outlined.is-loading.is-hovered::after, .button.is-light.is-outlined.is-loading:focus::after, .button.is-light.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #363636 #363636 !important; }\\n      .button.is-light.is-outlined[disabled],\\n      fieldset[disabled] .button.is-light.is-outlined {\\n        background-color: transparent;\\n        border-color: whitesmoke;\\n        box-shadow: none;\\n        color: whitesmoke; }\\n    .button.is-light.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #363636;\\n      color: #363636; }\\n      .button.is-light.is-inverted.is-outlined:hover, .button.is-light.is-inverted.is-outlined.is-hovered, .button.is-light.is-inverted.is-outlined:focus, .button.is-light.is-inverted.is-outlined.is-focused {\\n        background-color: #363636;\\n        color: whitesmoke; }\\n      .button.is-light.is-inverted.is-outlined.is-loading:hover::after, .button.is-light.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-light.is-inverted.is-outlined.is-loading:focus::after, .button.is-light.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent whitesmoke whitesmoke !important; }\\n      .button.is-light.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-light.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #363636;\\n        box-shadow: none;\\n        color: #363636; }\\n  .button.is-dark {\\n    background-color: #363636;\\n    border-color: transparent;\\n    color: whitesmoke; }\\n    .button.is-dark:hover, .button.is-dark.is-hovered {\\n      background-color: #2f2f2f;\\n      border-color: transparent;\\n      color: whitesmoke; }\\n    .button.is-dark:focus, .button.is-dark.is-focused {\\n      border-color: transparent;\\n      color: whitesmoke; }\\n      .button.is-dark:focus:not(:active), .button.is-dark.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(54, 54, 54, 0.25); }\\n    .button.is-dark:active, .button.is-dark.is-active {\\n      background-color: #292929;\\n      border-color: transparent;\\n      color: whitesmoke; }\\n    .button.is-dark[disabled],\\n    fieldset[disabled] .button.is-dark {\\n      background-color: #363636;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-dark.is-inverted {\\n      background-color: whitesmoke;\\n      color: #363636; }\\n      .button.is-dark.is-inverted:hover, .button.is-dark.is-inverted.is-hovered {\\n        background-color: #e8e8e8; }\\n      .button.is-dark.is-inverted[disabled],\\n      fieldset[disabled] .button.is-dark.is-inverted {\\n        background-color: whitesmoke;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #363636; }\\n    .button.is-dark.is-loading::after {\\n      border-color: transparent transparent whitesmoke whitesmoke !important; }\\n    .button.is-dark.is-outlined {\\n      background-color: transparent;\\n      border-color: #363636;\\n      color: #363636; }\\n      .button.is-dark.is-outlined:hover, .button.is-dark.is-outlined.is-hovered, .button.is-dark.is-outlined:focus, .button.is-dark.is-outlined.is-focused {\\n        background-color: #363636;\\n        border-color: #363636;\\n        color: whitesmoke; }\\n      .button.is-dark.is-outlined.is-loading::after {\\n        border-color: transparent transparent #363636 #363636 !important; }\\n      .button.is-dark.is-outlined.is-loading:hover::after, .button.is-dark.is-outlined.is-loading.is-hovered::after, .button.is-dark.is-outlined.is-loading:focus::after, .button.is-dark.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent whitesmoke whitesmoke !important; }\\n      .button.is-dark.is-outlined[disabled],\\n      fieldset[disabled] .button.is-dark.is-outlined {\\n        background-color: transparent;\\n        border-color: #363636;\\n        box-shadow: none;\\n        color: #363636; }\\n    .button.is-dark.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: whitesmoke;\\n      color: whitesmoke; }\\n      .button.is-dark.is-inverted.is-outlined:hover, .button.is-dark.is-inverted.is-outlined.is-hovered, .button.is-dark.is-inverted.is-outlined:focus, .button.is-dark.is-inverted.is-outlined.is-focused {\\n        background-color: whitesmoke;\\n        color: #363636; }\\n      .button.is-dark.is-inverted.is-outlined.is-loading:hover::after, .button.is-dark.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-dark.is-inverted.is-outlined.is-loading:focus::after, .button.is-dark.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #363636 #363636 !important; }\\n      .button.is-dark.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-dark.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: whitesmoke;\\n        box-shadow: none;\\n        color: whitesmoke; }\\n  .button.is-primary {\\n    background-color: #2276f3;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-primary:hover, .button.is-primary.is-hovered {\\n      background-color: #166ff2;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-primary:focus, .button.is-primary.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-primary:focus:not(:active), .button.is-primary.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(34, 118, 243, 0.25); }\\n    .button.is-primary:active, .button.is-primary.is-active {\\n      background-color: #0d68ef;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-primary[disabled],\\n    fieldset[disabled] .button.is-primary {\\n      background-color: #2276f3;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-primary.is-inverted {\\n      background-color: #fff;\\n      color: #2276f3; }\\n      .button.is-primary.is-inverted:hover, .button.is-primary.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-primary.is-inverted[disabled],\\n      fieldset[disabled] .button.is-primary.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #2276f3; }\\n    .button.is-primary.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-primary.is-outlined {\\n      background-color: transparent;\\n      border-color: #2276f3;\\n      color: #2276f3; }\\n      .button.is-primary.is-outlined:hover, .button.is-primary.is-outlined.is-hovered, .button.is-primary.is-outlined:focus, .button.is-primary.is-outlined.is-focused {\\n        background-color: #2276f3;\\n        border-color: #2276f3;\\n        color: #fff; }\\n      .button.is-primary.is-outlined.is-loading::after {\\n        border-color: transparent transparent #2276f3 #2276f3 !important; }\\n      .button.is-primary.is-outlined.is-loading:hover::after, .button.is-primary.is-outlined.is-loading.is-hovered::after, .button.is-primary.is-outlined.is-loading:focus::after, .button.is-primary.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-primary.is-outlined[disabled],\\n      fieldset[disabled] .button.is-primary.is-outlined {\\n        background-color: transparent;\\n        border-color: #2276f3;\\n        box-shadow: none;\\n        color: #2276f3; }\\n    .button.is-primary.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-primary.is-inverted.is-outlined:hover, .button.is-primary.is-inverted.is-outlined.is-hovered, .button.is-primary.is-inverted.is-outlined:focus, .button.is-primary.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #2276f3; }\\n      .button.is-primary.is-inverted.is-outlined.is-loading:hover::after, .button.is-primary.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-primary.is-inverted.is-outlined.is-loading:focus::after, .button.is-primary.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #2276f3 #2276f3 !important; }\\n      .button.is-primary.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-primary.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n    .button.is-primary.is-light {\\n      background-color: #ecf3fe;\\n      color: #0c5cd5; }\\n      .button.is-primary.is-light:hover, .button.is-primary.is-light.is-hovered {\\n        background-color: #e0ecfd;\\n        border-color: transparent;\\n        color: #0c5cd5; }\\n      .button.is-primary.is-light:active, .button.is-primary.is-light.is-active {\\n        background-color: #d3e4fd;\\n        border-color: transparent;\\n        color: #0c5cd5; }\\n  .button.is-link {\\n    background-color: #485fc7;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-link:hover, .button.is-link.is-hovered {\\n      background-color: #3e56c4;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-link:focus, .button.is-link.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-link:focus:not(:active), .button.is-link.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n    .button.is-link:active, .button.is-link.is-active {\\n      background-color: #3a51bb;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-link[disabled],\\n    fieldset[disabled] .button.is-link {\\n      background-color: #485fc7;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-link.is-inverted {\\n      background-color: #fff;\\n      color: #485fc7; }\\n      .button.is-link.is-inverted:hover, .button.is-link.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-link.is-inverted[disabled],\\n      fieldset[disabled] .button.is-link.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #485fc7; }\\n    .button.is-link.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-link.is-outlined {\\n      background-color: transparent;\\n      border-color: #485fc7;\\n      color: #485fc7; }\\n      .button.is-link.is-outlined:hover, .button.is-link.is-outlined.is-hovered, .button.is-link.is-outlined:focus, .button.is-link.is-outlined.is-focused {\\n        background-color: #485fc7;\\n        border-color: #485fc7;\\n        color: #fff; }\\n      .button.is-link.is-outlined.is-loading::after {\\n        border-color: transparent transparent #485fc7 #485fc7 !important; }\\n      .button.is-link.is-outlined.is-loading:hover::after, .button.is-link.is-outlined.is-loading.is-hovered::after, .button.is-link.is-outlined.is-loading:focus::after, .button.is-link.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-link.is-outlined[disabled],\\n      fieldset[disabled] .button.is-link.is-outlined {\\n        background-color: transparent;\\n        border-color: #485fc7;\\n        box-shadow: none;\\n        color: #485fc7; }\\n    .button.is-link.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-link.is-inverted.is-outlined:hover, .button.is-link.is-inverted.is-outlined.is-hovered, .button.is-link.is-inverted.is-outlined:focus, .button.is-link.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #485fc7; }\\n      .button.is-link.is-inverted.is-outlined.is-loading:hover::after, .button.is-link.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-link.is-inverted.is-outlined.is-loading:focus::after, .button.is-link.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #485fc7 #485fc7 !important; }\\n      .button.is-link.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-link.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n    .button.is-link.is-light {\\n      background-color: #eff1fa;\\n      color: #3850b7; }\\n      .button.is-link.is-light:hover, .button.is-link.is-light.is-hovered {\\n        background-color: #e6e9f7;\\n        border-color: transparent;\\n        color: #3850b7; }\\n      .button.is-link.is-light:active, .button.is-link.is-light.is-active {\\n        background-color: #dce0f4;\\n        border-color: transparent;\\n        color: #3850b7; }\\n  .button.is-info {\\n    background-color: #3e8ed0;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-info:hover, .button.is-info.is-hovered {\\n      background-color: #3488ce;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-info:focus, .button.is-info.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-info:focus:not(:active), .button.is-info.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(62, 142, 208, 0.25); }\\n    .button.is-info:active, .button.is-info.is-active {\\n      background-color: #3082c5;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-info[disabled],\\n    fieldset[disabled] .button.is-info {\\n      background-color: #3e8ed0;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-info.is-inverted {\\n      background-color: #fff;\\n      color: #3e8ed0; }\\n      .button.is-info.is-inverted:hover, .button.is-info.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-info.is-inverted[disabled],\\n      fieldset[disabled] .button.is-info.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #3e8ed0; }\\n    .button.is-info.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-info.is-outlined {\\n      background-color: transparent;\\n      border-color: #3e8ed0;\\n      color: #3e8ed0; }\\n      .button.is-info.is-outlined:hover, .button.is-info.is-outlined.is-hovered, .button.is-info.is-outlined:focus, .button.is-info.is-outlined.is-focused {\\n        background-color: #3e8ed0;\\n        border-color: #3e8ed0;\\n        color: #fff; }\\n      .button.is-info.is-outlined.is-loading::after {\\n        border-color: transparent transparent #3e8ed0 #3e8ed0 !important; }\\n      .button.is-info.is-outlined.is-loading:hover::after, .button.is-info.is-outlined.is-loading.is-hovered::after, .button.is-info.is-outlined.is-loading:focus::after, .button.is-info.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-info.is-outlined[disabled],\\n      fieldset[disabled] .button.is-info.is-outlined {\\n        background-color: transparent;\\n        border-color: #3e8ed0;\\n        box-shadow: none;\\n        color: #3e8ed0; }\\n    .button.is-info.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-info.is-inverted.is-outlined:hover, .button.is-info.is-inverted.is-outlined.is-hovered, .button.is-info.is-inverted.is-outlined:focus, .button.is-info.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #3e8ed0; }\\n      .button.is-info.is-inverted.is-outlined.is-loading:hover::after, .button.is-info.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-info.is-inverted.is-outlined.is-loading:focus::after, .button.is-info.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #3e8ed0 #3e8ed0 !important; }\\n      .button.is-info.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-info.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n    .button.is-info.is-light {\\n      background-color: #eff5fb;\\n      color: #296fa8; }\\n      .button.is-info.is-light:hover, .button.is-info.is-light.is-hovered {\\n        background-color: #e4eff9;\\n        border-color: transparent;\\n        color: #296fa8; }\\n      .button.is-info.is-light:active, .button.is-info.is-light.is-active {\\n        background-color: #dae9f6;\\n        border-color: transparent;\\n        color: #296fa8; }\\n  .button.is-success {\\n    background-color: #48c78e;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-success:hover, .button.is-success.is-hovered {\\n      background-color: #3ec487;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-success:focus, .button.is-success.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-success:focus:not(:active), .button.is-success.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(72, 199, 142, 0.25); }\\n    .button.is-success:active, .button.is-success.is-active {\\n      background-color: #3abb81;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-success[disabled],\\n    fieldset[disabled] .button.is-success {\\n      background-color: #48c78e;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-success.is-inverted {\\n      background-color: #fff;\\n      color: #48c78e; }\\n      .button.is-success.is-inverted:hover, .button.is-success.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-success.is-inverted[disabled],\\n      fieldset[disabled] .button.is-success.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #48c78e; }\\n    .button.is-success.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-success.is-outlined {\\n      background-color: transparent;\\n      border-color: #48c78e;\\n      color: #48c78e; }\\n      .button.is-success.is-outlined:hover, .button.is-success.is-outlined.is-hovered, .button.is-success.is-outlined:focus, .button.is-success.is-outlined.is-focused {\\n        background-color: #48c78e;\\n        border-color: #48c78e;\\n        color: #fff; }\\n      .button.is-success.is-outlined.is-loading::after {\\n        border-color: transparent transparent #48c78e #48c78e !important; }\\n      .button.is-success.is-outlined.is-loading:hover::after, .button.is-success.is-outlined.is-loading.is-hovered::after, .button.is-success.is-outlined.is-loading:focus::after, .button.is-success.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-success.is-outlined[disabled],\\n      fieldset[disabled] .button.is-success.is-outlined {\\n        background-color: transparent;\\n        border-color: #48c78e;\\n        box-shadow: none;\\n        color: #48c78e; }\\n    .button.is-success.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-success.is-inverted.is-outlined:hover, .button.is-success.is-inverted.is-outlined.is-hovered, .button.is-success.is-inverted.is-outlined:focus, .button.is-success.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #48c78e; }\\n      .button.is-success.is-inverted.is-outlined.is-loading:hover::after, .button.is-success.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-success.is-inverted.is-outlined.is-loading:focus::after, .button.is-success.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #48c78e #48c78e !important; }\\n      .button.is-success.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-success.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n    .button.is-success.is-light {\\n      background-color: #effaf5;\\n      color: #257953; }\\n      .button.is-success.is-light:hover, .button.is-success.is-light.is-hovered {\\n        background-color: #e6f7ef;\\n        border-color: transparent;\\n        color: #257953; }\\n      .button.is-success.is-light:active, .button.is-success.is-light.is-active {\\n        background-color: #dcf4e9;\\n        border-color: transparent;\\n        color: #257953; }\\n  .button.is-warning {\\n    background-color: #ffe08a;\\n    border-color: transparent;\\n    color: rgba(0, 0, 0, 0.7); }\\n    .button.is-warning:hover, .button.is-warning.is-hovered {\\n      background-color: #ffdc7d;\\n      border-color: transparent;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .button.is-warning:focus, .button.is-warning.is-focused {\\n      border-color: transparent;\\n      color: rgba(0, 0, 0, 0.7); }\\n      .button.is-warning:focus:not(:active), .button.is-warning.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(255, 224, 138, 0.25); }\\n    .button.is-warning:active, .button.is-warning.is-active {\\n      background-color: #ffd970;\\n      border-color: transparent;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .button.is-warning[disabled],\\n    fieldset[disabled] .button.is-warning {\\n      background-color: #ffe08a;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-warning.is-inverted {\\n      background-color: rgba(0, 0, 0, 0.7);\\n      color: #ffe08a; }\\n      .button.is-warning.is-inverted:hover, .button.is-warning.is-inverted.is-hovered {\\n        background-color: rgba(0, 0, 0, 0.7); }\\n      .button.is-warning.is-inverted[disabled],\\n      fieldset[disabled] .button.is-warning.is-inverted {\\n        background-color: rgba(0, 0, 0, 0.7);\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #ffe08a; }\\n    .button.is-warning.is-loading::after {\\n      border-color: transparent transparent rgba(0, 0, 0, 0.7) rgba(0, 0, 0, 0.7) !important; }\\n    .button.is-warning.is-outlined {\\n      background-color: transparent;\\n      border-color: #ffe08a;\\n      color: #ffe08a; }\\n      .button.is-warning.is-outlined:hover, .button.is-warning.is-outlined.is-hovered, .button.is-warning.is-outlined:focus, .button.is-warning.is-outlined.is-focused {\\n        background-color: #ffe08a;\\n        border-color: #ffe08a;\\n        color: rgba(0, 0, 0, 0.7); }\\n      .button.is-warning.is-outlined.is-loading::after {\\n        border-color: transparent transparent #ffe08a #ffe08a !important; }\\n      .button.is-warning.is-outlined.is-loading:hover::after, .button.is-warning.is-outlined.is-loading.is-hovered::after, .button.is-warning.is-outlined.is-loading:focus::after, .button.is-warning.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent rgba(0, 0, 0, 0.7) rgba(0, 0, 0, 0.7) !important; }\\n      .button.is-warning.is-outlined[disabled],\\n      fieldset[disabled] .button.is-warning.is-outlined {\\n        background-color: transparent;\\n        border-color: #ffe08a;\\n        box-shadow: none;\\n        color: #ffe08a; }\\n    .button.is-warning.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: rgba(0, 0, 0, 0.7);\\n      color: rgba(0, 0, 0, 0.7); }\\n      .button.is-warning.is-inverted.is-outlined:hover, .button.is-warning.is-inverted.is-outlined.is-hovered, .button.is-warning.is-inverted.is-outlined:focus, .button.is-warning.is-inverted.is-outlined.is-focused {\\n        background-color: rgba(0, 0, 0, 0.7);\\n        color: #ffe08a; }\\n      .button.is-warning.is-inverted.is-outlined.is-loading:hover::after, .button.is-warning.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-warning.is-inverted.is-outlined.is-loading:focus::after, .button.is-warning.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #ffe08a #ffe08a !important; }\\n      .button.is-warning.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-warning.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: rgba(0, 0, 0, 0.7);\\n        box-shadow: none;\\n        color: rgba(0, 0, 0, 0.7); }\\n    .button.is-warning.is-light {\\n      background-color: #fffaeb;\\n      color: #946c00; }\\n      .button.is-warning.is-light:hover, .button.is-warning.is-light.is-hovered {\\n        background-color: #fff6de;\\n        border-color: transparent;\\n        color: #946c00; }\\n      .button.is-warning.is-light:active, .button.is-warning.is-light.is-active {\\n        background-color: #fff3d1;\\n        border-color: transparent;\\n        color: #946c00; }\\n  .button.is-danger {\\n    background-color: #f14668;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-danger:hover, .button.is-danger.is-hovered {\\n      background-color: #f03a5f;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-danger:focus, .button.is-danger.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-danger:focus:not(:active), .button.is-danger.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(241, 70, 104, 0.25); }\\n    .button.is-danger:active, .button.is-danger.is-active {\\n      background-color: #ef2e55;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-danger[disabled],\\n    fieldset[disabled] .button.is-danger {\\n      background-color: #f14668;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-danger.is-inverted {\\n      background-color: #fff;\\n      color: #f14668; }\\n      .button.is-danger.is-inverted:hover, .button.is-danger.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-danger.is-inverted[disabled],\\n      fieldset[disabled] .button.is-danger.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #f14668; }\\n    .button.is-danger.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-danger.is-outlined {\\n      background-color: transparent;\\n      border-color: #f14668;\\n      color: #f14668; }\\n      .button.is-danger.is-outlined:hover, .button.is-danger.is-outlined.is-hovered, .button.is-danger.is-outlined:focus, .button.is-danger.is-outlined.is-focused {\\n        background-color: #f14668;\\n        border-color: #f14668;\\n        color: #fff; }\\n      .button.is-danger.is-outlined.is-loading::after {\\n        border-color: transparent transparent #f14668 #f14668 !important; }\\n      .button.is-danger.is-outlined.is-loading:hover::after, .button.is-danger.is-outlined.is-loading.is-hovered::after, .button.is-danger.is-outlined.is-loading:focus::after, .button.is-danger.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-danger.is-outlined[disabled],\\n      fieldset[disabled] .button.is-danger.is-outlined {\\n        background-color: transparent;\\n        border-color: #f14668;\\n        box-shadow: none;\\n        color: #f14668; }\\n    .button.is-danger.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-danger.is-inverted.is-outlined:hover, .button.is-danger.is-inverted.is-outlined.is-hovered, .button.is-danger.is-inverted.is-outlined:focus, .button.is-danger.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #f14668; }\\n      .button.is-danger.is-inverted.is-outlined.is-loading:hover::after, .button.is-danger.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-danger.is-inverted.is-outlined.is-loading:focus::after, .button.is-danger.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #f14668 #f14668 !important; }\\n      .button.is-danger.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-danger.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n    .button.is-danger.is-light {\\n      background-color: #feecf0;\\n      color: #cc0f35; }\\n      .button.is-danger.is-light:hover, .button.is-danger.is-light.is-hovered {\\n        background-color: #fde0e6;\\n        border-color: transparent;\\n        color: #cc0f35; }\\n      .button.is-danger.is-light:active, .button.is-danger.is-light.is-active {\\n        background-color: #fcd4dc;\\n        border-color: transparent;\\n        color: #cc0f35; }\\n  .button.is-twitter {\\n    background-color: #55acee;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-twitter:hover, .button.is-twitter.is-hovered {\\n      background-color: #49a6ed;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-twitter:focus, .button.is-twitter.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-twitter:focus:not(:active), .button.is-twitter.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(85, 172, 238, 0.25); }\\n    .button.is-twitter:active, .button.is-twitter.is-active {\\n      background-color: #3ea1ec;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-twitter[disabled],\\n    fieldset[disabled] .button.is-twitter {\\n      background-color: #55acee;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-twitter.is-inverted {\\n      background-color: #fff;\\n      color: #55acee; }\\n      .button.is-twitter.is-inverted:hover, .button.is-twitter.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-twitter.is-inverted[disabled],\\n      fieldset[disabled] .button.is-twitter.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #55acee; }\\n    .button.is-twitter.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-twitter.is-outlined {\\n      background-color: transparent;\\n      border-color: #55acee;\\n      color: #55acee; }\\n      .button.is-twitter.is-outlined:hover, .button.is-twitter.is-outlined.is-hovered, .button.is-twitter.is-outlined:focus, .button.is-twitter.is-outlined.is-focused {\\n        background-color: #55acee;\\n        border-color: #55acee;\\n        color: #fff; }\\n      .button.is-twitter.is-outlined.is-loading::after {\\n        border-color: transparent transparent #55acee #55acee !important; }\\n      .button.is-twitter.is-outlined.is-loading:hover::after, .button.is-twitter.is-outlined.is-loading.is-hovered::after, .button.is-twitter.is-outlined.is-loading:focus::after, .button.is-twitter.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-twitter.is-outlined[disabled],\\n      fieldset[disabled] .button.is-twitter.is-outlined {\\n        background-color: transparent;\\n        border-color: #55acee;\\n        box-shadow: none;\\n        color: #55acee; }\\n    .button.is-twitter.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-twitter.is-inverted.is-outlined:hover, .button.is-twitter.is-inverted.is-outlined.is-hovered, .button.is-twitter.is-inverted.is-outlined:focus, .button.is-twitter.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #55acee; }\\n      .button.is-twitter.is-inverted.is-outlined.is-loading:hover::after, .button.is-twitter.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-twitter.is-inverted.is-outlined.is-loading:focus::after, .button.is-twitter.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #55acee #55acee !important; }\\n      .button.is-twitter.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-twitter.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n  .button.is-linkedin {\\n    background-color: #0077b5;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-linkedin:hover, .button.is-linkedin.is-hovered {\\n      background-color: #006fa8;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-linkedin:focus, .button.is-linkedin.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-linkedin:focus:not(:active), .button.is-linkedin.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(0, 119, 181, 0.25); }\\n    .button.is-linkedin:active, .button.is-linkedin.is-active {\\n      background-color: #00669c;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-linkedin[disabled],\\n    fieldset[disabled] .button.is-linkedin {\\n      background-color: #0077b5;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-linkedin.is-inverted {\\n      background-color: #fff;\\n      color: #0077b5; }\\n      .button.is-linkedin.is-inverted:hover, .button.is-linkedin.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-linkedin.is-inverted[disabled],\\n      fieldset[disabled] .button.is-linkedin.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #0077b5; }\\n    .button.is-linkedin.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-linkedin.is-outlined {\\n      background-color: transparent;\\n      border-color: #0077b5;\\n      color: #0077b5; }\\n      .button.is-linkedin.is-outlined:hover, .button.is-linkedin.is-outlined.is-hovered, .button.is-linkedin.is-outlined:focus, .button.is-linkedin.is-outlined.is-focused {\\n        background-color: #0077b5;\\n        border-color: #0077b5;\\n        color: #fff; }\\n      .button.is-linkedin.is-outlined.is-loading::after {\\n        border-color: transparent transparent #0077b5 #0077b5 !important; }\\n      .button.is-linkedin.is-outlined.is-loading:hover::after, .button.is-linkedin.is-outlined.is-loading.is-hovered::after, .button.is-linkedin.is-outlined.is-loading:focus::after, .button.is-linkedin.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-linkedin.is-outlined[disabled],\\n      fieldset[disabled] .button.is-linkedin.is-outlined {\\n        background-color: transparent;\\n        border-color: #0077b5;\\n        box-shadow: none;\\n        color: #0077b5; }\\n    .button.is-linkedin.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-linkedin.is-inverted.is-outlined:hover, .button.is-linkedin.is-inverted.is-outlined.is-hovered, .button.is-linkedin.is-inverted.is-outlined:focus, .button.is-linkedin.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #0077b5; }\\n      .button.is-linkedin.is-inverted.is-outlined.is-loading:hover::after, .button.is-linkedin.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-linkedin.is-inverted.is-outlined.is-loading:focus::after, .button.is-linkedin.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #0077b5 #0077b5 !important; }\\n      .button.is-linkedin.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-linkedin.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n  .button.is-github {\\n    background-color: #333;\\n    border-color: transparent;\\n    color: #fff; }\\n    .button.is-github:hover, .button.is-github.is-hovered {\\n      background-color: #2d2d2d;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-github:focus, .button.is-github.is-focused {\\n      border-color: transparent;\\n      color: #fff; }\\n      .button.is-github:focus:not(:active), .button.is-github.is-focused:not(:active) {\\n        box-shadow: 0 0 0 0.125em rgba(51, 51, 51, 0.25); }\\n    .button.is-github:active, .button.is-github.is-active {\\n      background-color: #262626;\\n      border-color: transparent;\\n      color: #fff; }\\n    .button.is-github[disabled],\\n    fieldset[disabled] .button.is-github {\\n      background-color: #333;\\n      border-color: transparent;\\n      box-shadow: none; }\\n    .button.is-github.is-inverted {\\n      background-color: #fff;\\n      color: #333; }\\n      .button.is-github.is-inverted:hover, .button.is-github.is-inverted.is-hovered {\\n        background-color: #f2f2f2; }\\n      .button.is-github.is-inverted[disabled],\\n      fieldset[disabled] .button.is-github.is-inverted {\\n        background-color: #fff;\\n        border-color: transparent;\\n        box-shadow: none;\\n        color: #333; }\\n    .button.is-github.is-loading::after {\\n      border-color: transparent transparent #fff #fff !important; }\\n    .button.is-github.is-outlined {\\n      background-color: transparent;\\n      border-color: #333;\\n      color: #333; }\\n      .button.is-github.is-outlined:hover, .button.is-github.is-outlined.is-hovered, .button.is-github.is-outlined:focus, .button.is-github.is-outlined.is-focused {\\n        background-color: #333;\\n        border-color: #333;\\n        color: #fff; }\\n      .button.is-github.is-outlined.is-loading::after {\\n        border-color: transparent transparent #333 #333 !important; }\\n      .button.is-github.is-outlined.is-loading:hover::after, .button.is-github.is-outlined.is-loading.is-hovered::after, .button.is-github.is-outlined.is-loading:focus::after, .button.is-github.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #fff #fff !important; }\\n      .button.is-github.is-outlined[disabled],\\n      fieldset[disabled] .button.is-github.is-outlined {\\n        background-color: transparent;\\n        border-color: #333;\\n        box-shadow: none;\\n        color: #333; }\\n    .button.is-github.is-inverted.is-outlined {\\n      background-color: transparent;\\n      border-color: #fff;\\n      color: #fff; }\\n      .button.is-github.is-inverted.is-outlined:hover, .button.is-github.is-inverted.is-outlined.is-hovered, .button.is-github.is-inverted.is-outlined:focus, .button.is-github.is-inverted.is-outlined.is-focused {\\n        background-color: #fff;\\n        color: #333; }\\n      .button.is-github.is-inverted.is-outlined.is-loading:hover::after, .button.is-github.is-inverted.is-outlined.is-loading.is-hovered::after, .button.is-github.is-inverted.is-outlined.is-loading:focus::after, .button.is-github.is-inverted.is-outlined.is-loading.is-focused::after {\\n        border-color: transparent transparent #333 #333 !important; }\\n      .button.is-github.is-inverted.is-outlined[disabled],\\n      fieldset[disabled] .button.is-github.is-inverted.is-outlined {\\n        background-color: transparent;\\n        border-color: #fff;\\n        box-shadow: none;\\n        color: #fff; }\\n  .button.is-small {\\n    font-size: 0.75rem; }\\n    .button.is-small:not(.is-rounded) {\\n      border-radius: 2px; }\\n  .button.is-normal {\\n    font-size: 1rem; }\\n  .button.is-medium {\\n    font-size: 1.25rem; }\\n  .button.is-large {\\n    font-size: 1.5rem; }\\n  .button[disabled],\\n  fieldset[disabled] .button {\\n    background-color: white;\\n    border-color: #dbdbdb;\\n    box-shadow: none;\\n    opacity: 0.5; }\\n  .button.is-fullwidth {\\n    display: flex;\\n    width: 100%; }\\n  .button.is-loading {\\n    color: transparent !important;\\n    pointer-events: none; }\\n    .button.is-loading::after {\\n      position: absolute;\\n      left: calc(50% - (1em * 0.5));\\n      top: calc(50% - (1em * 0.5));\\n      position: absolute !important; }\\n  .button.is-static {\\n    background-color: whitesmoke;\\n    border-color: #dbdbdb;\\n    color: #7a7a7a;\\n    box-shadow: none;\\n    pointer-events: none; }\\n  .button.is-rounded {\\n    border-radius: 9999px;\\n    padding-left: calc(1em + 0.25em);\\n    padding-right: calc(1em + 0.25em); }\\n\\n.buttons {\\n  align-items: center;\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start; }\\n  .buttons .button {\\n    margin-bottom: 0.5rem; }\\n    .buttons .button:not(:last-child):not(.is-fullwidth) {\\n      margin-right: 0.5rem; }\\n  .buttons:last-child {\\n    margin-bottom: -0.5rem; }\\n  .buttons:not(:last-child) {\\n    margin-bottom: 1rem; }\\n  .buttons.are-small .button:not(.is-normal):not(.is-medium):not(.is-large) {\\n    font-size: 0.75rem; }\\n    .buttons.are-small .button:not(.is-normal):not(.is-medium):not(.is-large):not(.is-rounded) {\\n      border-radius: 2px; }\\n  .buttons.are-medium .button:not(.is-small):not(.is-normal):not(.is-large) {\\n    font-size: 1.25rem; }\\n  .buttons.are-large .button:not(.is-small):not(.is-normal):not(.is-medium) {\\n    font-size: 1.5rem; }\\n  .buttons.has-addons .button:not(:first-child) {\\n    border-bottom-left-radius: 0;\\n    border-top-left-radius: 0; }\\n  .buttons.has-addons .button:not(:last-child) {\\n    border-bottom-right-radius: 0;\\n    border-top-right-radius: 0;\\n    margin-right: -1px; }\\n  .buttons.has-addons .button:last-child {\\n    margin-right: 0; }\\n  .buttons.has-addons .button:hover, .buttons.has-addons .button.is-hovered {\\n    z-index: 2; }\\n  .buttons.has-addons .button:focus, .buttons.has-addons .button.is-focused, .buttons.has-addons .button:active, .buttons.has-addons .button.is-active, .buttons.has-addons .button.is-selected {\\n    z-index: 3; }\\n    .buttons.has-addons .button:focus:hover, .buttons.has-addons .button.is-focused:hover, .buttons.has-addons .button:active:hover, .buttons.has-addons .button.is-active:hover, .buttons.has-addons .button.is-selected:hover {\\n      z-index: 4; }\\n  .buttons.has-addons .button.is-expanded {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n  .buttons.is-centered {\\n    justify-content: center; }\\n    .buttons.is-centered:not(.has-addons) .button:not(.is-fullwidth) {\\n      margin-left: 0.25rem;\\n      margin-right: 0.25rem; }\\n  .buttons.is-right {\\n    justify-content: flex-end; }\\n    .buttons.is-right:not(.has-addons) .button:not(.is-fullwidth) {\\n      margin-left: 0.25rem;\\n      margin-right: 0.25rem; }\\n\\n.container {\\n  flex-grow: 1;\\n  margin: 0 auto;\\n  position: relative;\\n  width: auto; }\\n  .container.is-fluid {\\n    max-width: none !important;\\n    padding-left: 32px;\\n    padding-right: 32px;\\n    width: 100%; }\\n  @media screen and (min-width: 1024px) {\\n    .container {\\n      max-width: 960px; } }\\n  @media screen and (max-width: 1215px) {\\n    .container.is-widescreen:not(.is-max-desktop) {\\n      max-width: 1152px; } }\\n  @media screen and (max-width: 1407px) {\\n    .container.is-fullhd:not(.is-max-desktop):not(.is-max-widescreen) {\\n      max-width: 1344px; } }\\n  @media screen and (min-width: 1216px) {\\n    .container:not(.is-max-desktop) {\\n      max-width: 1152px; } }\\n  @media screen and (min-width: 1408px) {\\n    .container:not(.is-max-desktop):not(.is-max-widescreen) {\\n      max-width: 1344px; } }\\n\\n.content li + li {\\n  margin-top: 0.25em; }\\n\\n.content p:not(:last-child),\\n.content dl:not(:last-child),\\n.content ol:not(:last-child),\\n.content ul:not(:last-child),\\n.content blockquote:not(:last-child),\\n.content pre:not(:last-child),\\n.content table:not(:last-child) {\\n  margin-bottom: 1em; }\\n\\n.content h1,\\n.content h2,\\n.content h3,\\n.content h4,\\n.content h5,\\n.content h6 {\\n  color: #363636;\\n  font-weight: 600;\\n  line-height: 1.125; }\\n\\n.content h1 {\\n  font-size: 2em;\\n  margin-bottom: 0.5em; }\\n  .content h1:not(:first-child) {\\n    margin-top: 1em; }\\n\\n.content h2 {\\n  font-size: 1.75em;\\n  margin-bottom: 0.5714em; }\\n  .content h2:not(:first-child) {\\n    margin-top: 1.1428em; }\\n\\n.content h3 {\\n  font-size: 1.5em;\\n  margin-bottom: 0.6666em; }\\n  .content h3:not(:first-child) {\\n    margin-top: 1.3333em; }\\n\\n.content h4 {\\n  font-size: 1.25em;\\n  margin-bottom: 0.8em; }\\n\\n.content h5 {\\n  font-size: 1.125em;\\n  margin-bottom: 0.8888em; }\\n\\n.content h6 {\\n  font-size: 1em;\\n  margin-bottom: 1em; }\\n\\n.content blockquote {\\n  background-color: whitesmoke;\\n  border-left: 5px solid #dbdbdb;\\n  padding: 1.25em 1.5em; }\\n\\n.content ol {\\n  list-style-position: outside;\\n  margin-left: 2em;\\n  margin-top: 1em; }\\n  .content ol:not([type]) {\\n    list-style-type: decimal; }\\n    .content ol:not([type]).is-lower-alpha {\\n      list-style-type: lower-alpha; }\\n    .content ol:not([type]).is-lower-roman {\\n      list-style-type: lower-roman; }\\n    .content ol:not([type]).is-upper-alpha {\\n      list-style-type: upper-alpha; }\\n    .content ol:not([type]).is-upper-roman {\\n      list-style-type: upper-roman; }\\n\\n.content ul {\\n  list-style: disc outside;\\n  margin-left: 2em;\\n  margin-top: 1em; }\\n  .content ul ul {\\n    list-style-type: circle;\\n    margin-top: 0.5em; }\\n    .content ul ul ul {\\n      list-style-type: square; }\\n\\n.content dd {\\n  margin-left: 2em; }\\n\\n.content figure {\\n  margin-left: 2em;\\n  margin-right: 2em;\\n  text-align: center; }\\n  .content figure:not(:first-child) {\\n    margin-top: 2em; }\\n  .content figure:not(:last-child) {\\n    margin-bottom: 2em; }\\n  .content figure img {\\n    display: inline-block; }\\n  .content figure figcaption {\\n    font-style: italic; }\\n\\n.content pre {\\n  -webkit-overflow-scrolling: touch;\\n  overflow-x: auto;\\n  padding: 1.25em 1.5em;\\n  white-space: pre;\\n  word-wrap: normal; }\\n\\n.content sup,\\n.content sub {\\n  font-size: 75%; }\\n\\n.content table {\\n  width: 100%; }\\n  .content table td,\\n  .content table th {\\n    border: 1px solid #dbdbdb;\\n    border-width: 0 0 1px;\\n    padding: 0.5em 0.75em;\\n    vertical-align: top; }\\n  .content table th {\\n    color: #363636; }\\n    .content table th:not([align]) {\\n      text-align: inherit; }\\n  .content table thead td,\\n  .content table thead th {\\n    border-width: 0 0 2px;\\n    color: #363636; }\\n  .content table tfoot td,\\n  .content table tfoot th {\\n    border-width: 2px 0 0;\\n    color: #363636; }\\n  .content table tbody tr:last-child td,\\n  .content table tbody tr:last-child th {\\n    border-bottom-width: 0; }\\n\\n.content .tabs li + li {\\n  margin-top: 0; }\\n\\n.content.is-small {\\n  font-size: 0.75rem; }\\n\\n.content.is-normal {\\n  font-size: 1rem; }\\n\\n.content.is-medium {\\n  font-size: 1.25rem; }\\n\\n.content.is-large {\\n  font-size: 1.5rem; }\\n\\n.icon {\\n  align-items: center;\\n  display: inline-flex;\\n  justify-content: center;\\n  height: 1.5rem;\\n  width: 1.5rem; }\\n  .icon.is-small {\\n    height: 1rem;\\n    width: 1rem; }\\n  .icon.is-medium {\\n    height: 2rem;\\n    width: 2rem; }\\n  .icon.is-large {\\n    height: 3rem;\\n    width: 3rem; }\\n\\n.icon-text {\\n  align-items: flex-start;\\n  color: inherit;\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  line-height: 1.5rem;\\n  vertical-align: top; }\\n  .icon-text .icon {\\n    flex-grow: 0;\\n    flex-shrink: 0; }\\n    .icon-text .icon:not(:last-child) {\\n      margin-right: 0.25em; }\\n    .icon-text .icon:not(:first-child) {\\n      margin-left: 0.25em; }\\n\\ndiv.icon-text {\\n  display: flex; }\\n\\n.image {\\n  display: block;\\n  position: relative; }\\n  .image img {\\n    display: block;\\n    height: auto;\\n    width: 100%; }\\n    .image img.is-rounded {\\n      border-radius: 9999px; }\\n  .image.is-fullwidth {\\n    width: 100%; }\\n  .image.is-square img,\\n  .image.is-square .has-ratio, .image.is-1by1 img,\\n  .image.is-1by1 .has-ratio, .image.is-5by4 img,\\n  .image.is-5by4 .has-ratio, .image.is-4by3 img,\\n  .image.is-4by3 .has-ratio, .image.is-3by2 img,\\n  .image.is-3by2 .has-ratio, .image.is-5by3 img,\\n  .image.is-5by3 .has-ratio, .image.is-16by9 img,\\n  .image.is-16by9 .has-ratio, .image.is-2by1 img,\\n  .image.is-2by1 .has-ratio, .image.is-3by1 img,\\n  .image.is-3by1 .has-ratio, .image.is-4by5 img,\\n  .image.is-4by5 .has-ratio, .image.is-3by4 img,\\n  .image.is-3by4 .has-ratio, .image.is-2by3 img,\\n  .image.is-2by3 .has-ratio, .image.is-3by5 img,\\n  .image.is-3by5 .has-ratio, .image.is-9by16 img,\\n  .image.is-9by16 .has-ratio, .image.is-1by2 img,\\n  .image.is-1by2 .has-ratio, .image.is-1by3 img,\\n  .image.is-1by3 .has-ratio {\\n    height: 100%;\\n    width: 100%; }\\n  .image.is-square, .image.is-1by1 {\\n    padding-top: 100%; }\\n  .image.is-5by4 {\\n    padding-top: 80%; }\\n  .image.is-4by3 {\\n    padding-top: 75%; }\\n  .image.is-3by2 {\\n    padding-top: 66.6666%; }\\n  .image.is-5by3 {\\n    padding-top: 60%; }\\n  .image.is-16by9 {\\n    padding-top: 56.25%; }\\n  .image.is-2by1 {\\n    padding-top: 50%; }\\n  .image.is-3by1 {\\n    padding-top: 33.3333%; }\\n  .image.is-4by5 {\\n    padding-top: 125%; }\\n  .image.is-3by4 {\\n    padding-top: 133.3333%; }\\n  .image.is-2by3 {\\n    padding-top: 150%; }\\n  .image.is-3by5 {\\n    padding-top: 166.6666%; }\\n  .image.is-9by16 {\\n    padding-top: 177.7777%; }\\n  .image.is-1by2 {\\n    padding-top: 200%; }\\n  .image.is-1by3 {\\n    padding-top: 300%; }\\n  .image.is-16x16 {\\n    height: 16px;\\n    width: 16px; }\\n  .image.is-24x24 {\\n    height: 24px;\\n    width: 24px; }\\n  .image.is-32x32 {\\n    height: 32px;\\n    width: 32px; }\\n  .image.is-48x48 {\\n    height: 48px;\\n    width: 48px; }\\n  .image.is-64x64 {\\n    height: 64px;\\n    width: 64px; }\\n  .image.is-96x96 {\\n    height: 96px;\\n    width: 96px; }\\n  .image.is-128x128 {\\n    height: 128px;\\n    width: 128px; }\\n\\n.notification {\\n  background-color: whitesmoke;\\n  border-radius: 4px;\\n  position: relative;\\n  padding: 1.25rem 2.5rem 1.25rem 1.5rem; }\\n  .notification a:not(.button):not(.dropdown-item) {\\n    color: currentColor;\\n    text-decoration: underline; }\\n  .notification strong {\\n    color: currentColor; }\\n  .notification code,\\n  .notification pre {\\n    background: white; }\\n  .notification pre code {\\n    background: transparent; }\\n  .notification > .delete {\\n    right: 0.5rem;\\n    position: absolute;\\n    top: 0.5rem; }\\n  .notification .title,\\n  .notification .subtitle,\\n  .notification .content {\\n    color: currentColor; }\\n  .notification.is-white {\\n    background-color: white;\\n    color: #0a0a0a; }\\n  .notification.is-black {\\n    background-color: #0a0a0a;\\n    color: white; }\\n  .notification.is-light {\\n    background-color: whitesmoke;\\n    color: #363636; }\\n  .notification.is-dark {\\n    background-color: #363636;\\n    color: whitesmoke; }\\n  .notification.is-primary {\\n    background-color: #2276f3;\\n    color: #fff; }\\n    .notification.is-primary.is-light {\\n      background-color: #ecf3fe;\\n      color: #0c5cd5; }\\n  .notification.is-link {\\n    background-color: #485fc7;\\n    color: #fff; }\\n    .notification.is-link.is-light {\\n      background-color: #eff1fa;\\n      color: #3850b7; }\\n  .notification.is-info {\\n    background-color: #3e8ed0;\\n    color: #fff; }\\n    .notification.is-info.is-light {\\n      background-color: #eff5fb;\\n      color: #296fa8; }\\n  .notification.is-success {\\n    background-color: #48c78e;\\n    color: #fff; }\\n    .notification.is-success.is-light {\\n      background-color: #effaf5;\\n      color: #257953; }\\n  .notification.is-warning {\\n    background-color: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n    .notification.is-warning.is-light {\\n      background-color: #fffaeb;\\n      color: #946c00; }\\n  .notification.is-danger {\\n    background-color: #f14668;\\n    color: #fff; }\\n    .notification.is-danger.is-light {\\n      background-color: #feecf0;\\n      color: #cc0f35; }\\n  .notification.is-twitter {\\n    background-color: #55acee;\\n    color: #fff; }\\n  .notification.is-linkedin {\\n    background-color: #0077b5;\\n    color: #fff; }\\n  .notification.is-github {\\n    background-color: #333;\\n    color: #fff; }\\n\\n.progress, .progress-wrapper.is-not-native {\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  border: none;\\n  border-radius: 9999px;\\n  display: block;\\n  height: 1rem;\\n  overflow: hidden;\\n  padding: 0;\\n  width: 100%; }\\n  .progress::-webkit-progress-bar, .progress-wrapper.is-not-native::-webkit-progress-bar {\\n    background-color: #ededed; }\\n  .progress::-webkit-progress-value, .progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #4a4a4a; }\\n  .progress::-moz-progress-bar, .progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #4a4a4a; }\\n  .progress::-ms-fill, .progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #4a4a4a;\\n    border: none; }\\n  .progress.is-white::-webkit-progress-value, .is-white.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: white; }\\n  .progress.is-white::-moz-progress-bar, .is-white.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: white; }\\n  .progress.is-white::-ms-fill, .is-white.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: white; }\\n  .progress.is-white:indeterminate, .is-white.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, white 30%, #ededed 30%); }\\n  .progress.is-black::-webkit-progress-value, .is-black.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #0a0a0a; }\\n  .progress.is-black::-moz-progress-bar, .is-black.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #0a0a0a; }\\n  .progress.is-black::-ms-fill, .is-black.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #0a0a0a; }\\n  .progress.is-black:indeterminate, .is-black.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #0a0a0a 30%, #ededed 30%); }\\n  .progress.is-light::-webkit-progress-value, .is-light.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: whitesmoke; }\\n  .progress.is-light::-moz-progress-bar, .is-light.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: whitesmoke; }\\n  .progress.is-light::-ms-fill, .is-light.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: whitesmoke; }\\n  .progress.is-light:indeterminate, .is-light.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, whitesmoke 30%, #ededed 30%); }\\n  .progress.is-dark::-webkit-progress-value, .is-dark.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #363636; }\\n  .progress.is-dark::-moz-progress-bar, .is-dark.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #363636; }\\n  .progress.is-dark::-ms-fill, .is-dark.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #363636; }\\n  .progress.is-dark:indeterminate, .is-dark.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #363636 30%, #ededed 30%); }\\n  .progress.is-primary::-webkit-progress-value, .is-primary.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #2276f3; }\\n  .progress.is-primary::-moz-progress-bar, .is-primary.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #2276f3; }\\n  .progress.is-primary::-ms-fill, .is-primary.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #2276f3; }\\n  .progress.is-primary:indeterminate, .is-primary.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #2276f3 30%, #ededed 30%); }\\n  .progress.is-link::-webkit-progress-value, .is-link.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #485fc7; }\\n  .progress.is-link::-moz-progress-bar, .is-link.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #485fc7; }\\n  .progress.is-link::-ms-fill, .is-link.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #485fc7; }\\n  .progress.is-link:indeterminate, .is-link.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #485fc7 30%, #ededed 30%); }\\n  .progress.is-info::-webkit-progress-value, .is-info.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #3e8ed0; }\\n  .progress.is-info::-moz-progress-bar, .is-info.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #3e8ed0; }\\n  .progress.is-info::-ms-fill, .is-info.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #3e8ed0; }\\n  .progress.is-info:indeterminate, .is-info.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #3e8ed0 30%, #ededed 30%); }\\n  .progress.is-success::-webkit-progress-value, .is-success.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #48c78e; }\\n  .progress.is-success::-moz-progress-bar, .is-success.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #48c78e; }\\n  .progress.is-success::-ms-fill, .is-success.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #48c78e; }\\n  .progress.is-success:indeterminate, .is-success.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #48c78e 30%, #ededed 30%); }\\n  .progress.is-warning::-webkit-progress-value, .is-warning.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #ffe08a; }\\n  .progress.is-warning::-moz-progress-bar, .is-warning.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #ffe08a; }\\n  .progress.is-warning::-ms-fill, .is-warning.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #ffe08a; }\\n  .progress.is-warning:indeterminate, .is-warning.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #ffe08a 30%, #ededed 30%); }\\n  .progress.is-danger::-webkit-progress-value, .is-danger.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #f14668; }\\n  .progress.is-danger::-moz-progress-bar, .is-danger.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #f14668; }\\n  .progress.is-danger::-ms-fill, .is-danger.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #f14668; }\\n  .progress.is-danger:indeterminate, .is-danger.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #f14668 30%, #ededed 30%); }\\n  .progress.is-twitter::-webkit-progress-value, .is-twitter.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #55acee; }\\n  .progress.is-twitter::-moz-progress-bar, .is-twitter.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #55acee; }\\n  .progress.is-twitter::-ms-fill, .is-twitter.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #55acee; }\\n  .progress.is-twitter:indeterminate, .is-twitter.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #55acee 30%, #ededed 30%); }\\n  .progress.is-linkedin::-webkit-progress-value, .is-linkedin.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #0077b5; }\\n  .progress.is-linkedin::-moz-progress-bar, .is-linkedin.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #0077b5; }\\n  .progress.is-linkedin::-ms-fill, .is-linkedin.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #0077b5; }\\n  .progress.is-linkedin:indeterminate, .is-linkedin.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #0077b5 30%, #ededed 30%); }\\n  .progress.is-github::-webkit-progress-value, .is-github.progress-wrapper.is-not-native::-webkit-progress-value {\\n    background-color: #333; }\\n  .progress.is-github::-moz-progress-bar, .is-github.progress-wrapper.is-not-native::-moz-progress-bar {\\n    background-color: #333; }\\n  .progress.is-github::-ms-fill, .is-github.progress-wrapper.is-not-native::-ms-fill {\\n    background-color: #333; }\\n  .progress.is-github:indeterminate, .is-github.progress-wrapper.is-not-native:indeterminate {\\n    background-image: linear-gradient(to right, #333 30%, #ededed 30%); }\\n  .progress:indeterminate, .progress-wrapper.is-not-native:indeterminate {\\n    -webkit-animation-duration: 1.5s;\\n            animation-duration: 1.5s;\\n    -webkit-animation-iteration-count: infinite;\\n            animation-iteration-count: infinite;\\n    -webkit-animation-name: moveIndeterminate;\\n            animation-name: moveIndeterminate;\\n    -webkit-animation-timing-function: linear;\\n            animation-timing-function: linear;\\n    background-color: #ededed;\\n    background-image: linear-gradient(to right, #4a4a4a 30%, #ededed 30%);\\n    background-position: top left;\\n    background-repeat: no-repeat;\\n    background-size: 150% 150%; }\\n    .progress:indeterminate::-webkit-progress-bar, .progress-wrapper.is-not-native:indeterminate::-webkit-progress-bar {\\n      background-color: transparent; }\\n    .progress:indeterminate::-moz-progress-bar, .progress-wrapper.is-not-native:indeterminate::-moz-progress-bar {\\n      background-color: transparent; }\\n    .progress:indeterminate::-ms-fill, .progress-wrapper.is-not-native:indeterminate::-ms-fill {\\n      animation-name: none; }\\n  .progress.is-small, .is-small.progress-wrapper.is-not-native {\\n    height: 0.75rem; }\\n  .progress.is-medium, .is-medium.progress-wrapper.is-not-native {\\n    height: 1.25rem; }\\n  .progress.is-large, .is-large.progress-wrapper.is-not-native {\\n    height: 1.5rem; }\\n\\n@-webkit-keyframes moveIndeterminate {\\n  from {\\n    background-position: 200% 0; }\\n  to {\\n    background-position: -200% 0; } }\\n\\n@keyframes moveIndeterminate {\\n  from {\\n    background-position: 200% 0; }\\n  to {\\n    background-position: -200% 0; } }\\n\\n.table {\\n  background-color: white;\\n  color: #363636; }\\n  .table td,\\n  .table th {\\n    border: 1px solid #dbdbdb;\\n    border-width: 0 0 1px;\\n    padding: 0.5em 0.75em;\\n    vertical-align: top; }\\n    .table td.is-white,\\n    .table th.is-white {\\n      background-color: white;\\n      border-color: white;\\n      color: #0a0a0a; }\\n    .table td.is-black,\\n    .table th.is-black {\\n      background-color: #0a0a0a;\\n      border-color: #0a0a0a;\\n      color: white; }\\n    .table td.is-light,\\n    .table th.is-light {\\n      background-color: whitesmoke;\\n      border-color: whitesmoke;\\n      color: #363636; }\\n    .table td.is-dark,\\n    .table th.is-dark {\\n      background-color: #363636;\\n      border-color: #363636;\\n      color: whitesmoke; }\\n    .table td.is-primary,\\n    .table th.is-primary {\\n      background-color: #2276f3;\\n      border-color: #2276f3;\\n      color: #fff; }\\n    .table td.is-link,\\n    .table th.is-link {\\n      background-color: #485fc7;\\n      border-color: #485fc7;\\n      color: #fff; }\\n    .table td.is-info,\\n    .table th.is-info {\\n      background-color: #3e8ed0;\\n      border-color: #3e8ed0;\\n      color: #fff; }\\n    .table td.is-success,\\n    .table th.is-success {\\n      background-color: #48c78e;\\n      border-color: #48c78e;\\n      color: #fff; }\\n    .table td.is-warning,\\n    .table th.is-warning {\\n      background-color: #ffe08a;\\n      border-color: #ffe08a;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .table td.is-danger,\\n    .table th.is-danger {\\n      background-color: #f14668;\\n      border-color: #f14668;\\n      color: #fff; }\\n    .table td.is-twitter,\\n    .table th.is-twitter {\\n      background-color: #55acee;\\n      border-color: #55acee;\\n      color: #fff; }\\n    .table td.is-linkedin,\\n    .table th.is-linkedin {\\n      background-color: #0077b5;\\n      border-color: #0077b5;\\n      color: #fff; }\\n    .table td.is-github,\\n    .table th.is-github {\\n      background-color: #333;\\n      border-color: #333;\\n      color: #fff; }\\n    .table td.is-narrow,\\n    .table th.is-narrow {\\n      white-space: nowrap;\\n      width: 1%; }\\n    .table td.is-selected,\\n    .table th.is-selected {\\n      background-color: #2276f3;\\n      color: #fff; }\\n      .table td.is-selected a,\\n      .table td.is-selected strong,\\n      .table th.is-selected a,\\n      .table th.is-selected strong {\\n        color: currentColor; }\\n    .table td.is-vcentered,\\n    .table th.is-vcentered {\\n      vertical-align: middle; }\\n  .table th {\\n    color: #363636; }\\n    .table th:not([align]) {\\n      text-align: inherit; }\\n  .table tr.is-selected {\\n    background-color: #2276f3;\\n    color: #fff; }\\n    .table tr.is-selected a,\\n    .table tr.is-selected strong {\\n      color: currentColor; }\\n    .table tr.is-selected td,\\n    .table tr.is-selected th {\\n      border-color: #fff;\\n      color: currentColor; }\\n  .table thead {\\n    background-color: transparent; }\\n    .table thead td,\\n    .table thead th {\\n      border-width: 0 0 2px;\\n      color: #363636; }\\n  .table tfoot {\\n    background-color: transparent; }\\n    .table tfoot td,\\n    .table tfoot th {\\n      border-width: 2px 0 0;\\n      color: #363636; }\\n  .table tbody {\\n    background-color: transparent; }\\n    .table tbody tr:last-child td,\\n    .table tbody tr:last-child th {\\n      border-bottom-width: 0; }\\n  .table.is-bordered td,\\n  .table.is-bordered th {\\n    border-width: 1px; }\\n  .table.is-bordered tr:last-child td,\\n  .table.is-bordered tr:last-child th {\\n    border-bottom-width: 1px; }\\n  .table.is-fullwidth {\\n    width: 100%; }\\n  .table.is-hoverable tbody tr:not(.is-selected):hover {\\n    background-color: #fafafa; }\\n  .table.is-hoverable.is-striped tbody tr:not(.is-selected):hover {\\n    background-color: #fafafa; }\\n    .table.is-hoverable.is-striped tbody tr:not(.is-selected):hover:nth-child(even) {\\n      background-color: whitesmoke; }\\n  .table.is-narrow td,\\n  .table.is-narrow th {\\n    padding: 0.25em 0.5em; }\\n  .table.is-striped tbody tr:not(.is-selected):nth-child(even) {\\n    background-color: #fafafa; }\\n\\n.table-container {\\n  -webkit-overflow-scrolling: touch;\\n  overflow: auto;\\n  overflow-y: hidden;\\n  max-width: 100%; }\\n\\n.tags {\\n  align-items: center;\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start; }\\n  .tags .tag {\\n    margin-bottom: 0.5rem; }\\n    .tags .tag:not(:last-child) {\\n      margin-right: 0.5rem; }\\n  .tags:last-child {\\n    margin-bottom: -0.5rem; }\\n  .tags:not(:last-child) {\\n    margin-bottom: 1rem; }\\n  .tags.are-medium .tag:not(.is-normal):not(.is-large) {\\n    font-size: 1rem; }\\n  .tags.are-large .tag:not(.is-normal):not(.is-medium) {\\n    font-size: 1.25rem; }\\n  .tags.is-centered {\\n    justify-content: center; }\\n    .tags.is-centered .tag {\\n      margin-right: 0.25rem;\\n      margin-left: 0.25rem; }\\n  .tags.is-right {\\n    justify-content: flex-end; }\\n    .tags.is-right .tag:not(:first-child) {\\n      margin-left: 0.5rem; }\\n    .tags.is-right .tag:not(:last-child) {\\n      margin-right: 0; }\\n  .tags.has-addons .tag {\\n    margin-right: 0; }\\n    .tags.has-addons .tag:not(:first-child) {\\n      margin-left: 0;\\n      border-top-left-radius: 0;\\n      border-bottom-left-radius: 0; }\\n    .tags.has-addons .tag:not(:last-child) {\\n      border-top-right-radius: 0;\\n      border-bottom-right-radius: 0; }\\n\\n.tag:not(body) {\\n  align-items: center;\\n  background-color: whitesmoke;\\n  border-radius: 4px;\\n  color: #4a4a4a;\\n  display: inline-flex;\\n  font-size: 0.75rem;\\n  height: 2em;\\n  justify-content: center;\\n  line-height: 1.5;\\n  padding-left: 0.75em;\\n  padding-right: 0.75em;\\n  white-space: nowrap; }\\n  .tag:not(body) .delete {\\n    margin-left: 0.25rem;\\n    margin-right: -0.375rem; }\\n  .tag:not(body).is-white {\\n    background-color: white;\\n    color: #0a0a0a; }\\n  .tag:not(body).is-black {\\n    background-color: #0a0a0a;\\n    color: white; }\\n  .tag:not(body).is-light {\\n    background-color: whitesmoke;\\n    color: #363636; }\\n  .tag:not(body).is-dark {\\n    background-color: #363636;\\n    color: whitesmoke; }\\n  .tag:not(body).is-primary {\\n    background-color: #2276f3;\\n    color: #fff; }\\n    .tag:not(body).is-primary.is-light {\\n      background-color: #ecf3fe;\\n      color: #0c5cd5; }\\n  .tag:not(body).is-link {\\n    background-color: #485fc7;\\n    color: #fff; }\\n    .tag:not(body).is-link.is-light {\\n      background-color: #eff1fa;\\n      color: #3850b7; }\\n  .tag:not(body).is-info {\\n    background-color: #3e8ed0;\\n    color: #fff; }\\n    .tag:not(body).is-info.is-light {\\n      background-color: #eff5fb;\\n      color: #296fa8; }\\n  .tag:not(body).is-success {\\n    background-color: #48c78e;\\n    color: #fff; }\\n    .tag:not(body).is-success.is-light {\\n      background-color: #effaf5;\\n      color: #257953; }\\n  .tag:not(body).is-warning {\\n    background-color: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n    .tag:not(body).is-warning.is-light {\\n      background-color: #fffaeb;\\n      color: #946c00; }\\n  .tag:not(body).is-danger {\\n    background-color: #f14668;\\n    color: #fff; }\\n    .tag:not(body).is-danger.is-light {\\n      background-color: #feecf0;\\n      color: #cc0f35; }\\n  .tag:not(body).is-twitter {\\n    background-color: #55acee;\\n    color: #fff; }\\n  .tag:not(body).is-linkedin {\\n    background-color: #0077b5;\\n    color: #fff; }\\n  .tag:not(body).is-github {\\n    background-color: #333;\\n    color: #fff; }\\n  .tag:not(body).is-normal {\\n    font-size: 0.75rem; }\\n  .tag:not(body).is-medium {\\n    font-size: 1rem; }\\n  .tag:not(body).is-large {\\n    font-size: 1.25rem; }\\n  .tag:not(body) .icon:first-child:not(:last-child) {\\n    margin-left: -0.375em;\\n    margin-right: 0.1875em; }\\n  .tag:not(body) .icon:last-child:not(:first-child) {\\n    margin-left: 0.1875em;\\n    margin-right: -0.375em; }\\n  .tag:not(body) .icon:first-child:last-child {\\n    margin-left: -0.375em;\\n    margin-right: -0.375em; }\\n  .tag:not(body).is-delete {\\n    margin-left: 1px;\\n    padding: 0;\\n    position: relative;\\n    width: 2em; }\\n    .tag:not(body).is-delete::before, .tag:not(body).is-delete::after {\\n      background-color: currentColor;\\n      content: \\\"\\\";\\n      display: block;\\n      left: 50%;\\n      position: absolute;\\n      top: 50%;\\n      transform: translateX(-50%) translateY(-50%) rotate(45deg);\\n      transform-origin: center center; }\\n    .tag:not(body).is-delete::before {\\n      height: 1px;\\n      width: 50%; }\\n    .tag:not(body).is-delete::after {\\n      height: 50%;\\n      width: 1px; }\\n    .tag:not(body).is-delete:hover, .tag:not(body).is-delete:focus {\\n      background-color: #e8e8e8; }\\n    .tag:not(body).is-delete:active {\\n      background-color: #dbdbdb; }\\n  .tag:not(body).is-rounded {\\n    border-radius: 9999px; }\\n\\na.tag:hover {\\n  text-decoration: underline; }\\n\\n.title,\\n.subtitle {\\n  word-break: break-word; }\\n  .title em,\\n  .title span,\\n  .subtitle em,\\n  .subtitle span {\\n    font-weight: inherit; }\\n  .title sub,\\n  .subtitle sub {\\n    font-size: 0.75em; }\\n  .title sup,\\n  .subtitle sup {\\n    font-size: 0.75em; }\\n  .title .tag,\\n  .subtitle .tag {\\n    vertical-align: middle; }\\n\\n.title {\\n  color: #363636;\\n  font-size: 2rem;\\n  font-weight: 600;\\n  line-height: 1.125; }\\n  .title strong {\\n    color: inherit;\\n    font-weight: inherit; }\\n  .title:not(.is-spaced) + .subtitle {\\n    margin-top: -1.25rem; }\\n  .title.is-1 {\\n    font-size: 3rem; }\\n  .title.is-2 {\\n    font-size: 2.5rem; }\\n  .title.is-3 {\\n    font-size: 2rem; }\\n  .title.is-4 {\\n    font-size: 1.5rem; }\\n  .title.is-5 {\\n    font-size: 1.25rem; }\\n  .title.is-6 {\\n    font-size: 1rem; }\\n  .title.is-7 {\\n    font-size: 0.75rem; }\\n\\n.subtitle {\\n  color: #4a4a4a;\\n  font-size: 1.25rem;\\n  font-weight: 400;\\n  line-height: 1.25; }\\n  .subtitle strong {\\n    color: #363636;\\n    font-weight: 600; }\\n  .subtitle:not(.is-spaced) + .title {\\n    margin-top: -1.25rem; }\\n  .subtitle.is-1 {\\n    font-size: 3rem; }\\n  .subtitle.is-2 {\\n    font-size: 2.5rem; }\\n  .subtitle.is-3 {\\n    font-size: 2rem; }\\n  .subtitle.is-4 {\\n    font-size: 1.5rem; }\\n  .subtitle.is-5 {\\n    font-size: 1.25rem; }\\n  .subtitle.is-6 {\\n    font-size: 1rem; }\\n  .subtitle.is-7 {\\n    font-size: 0.75rem; }\\n\\n.heading {\\n  display: block;\\n  font-size: 11px;\\n  letter-spacing: 1px;\\n  margin-bottom: 5px;\\n  text-transform: uppercase; }\\n\\n.number {\\n  align-items: center;\\n  background-color: whitesmoke;\\n  border-radius: 9999px;\\n  display: inline-flex;\\n  font-size: 1.25rem;\\n  height: 2em;\\n  justify-content: center;\\n  margin-right: 1.5rem;\\n  min-width: 2.5em;\\n  padding: 0.25rem 0.5rem;\\n  text-align: center;\\n  vertical-align: top; }\\n\\n/* Bulma Form */\\n.input, .textarea, .taginput .taginput-container.is-focusable, .select select {\\n  background-color: white;\\n  border-color: #dbdbdb;\\n  border-radius: 4px;\\n  color: #363636; }\\n  .input::-moz-placeholder, .textarea::-moz-placeholder, .taginput .taginput-container.is-focusable::-moz-placeholder, .select select::-moz-placeholder {\\n    color: rgba(54, 54, 54, 0.3); }\\n  .input::-webkit-input-placeholder, .textarea::-webkit-input-placeholder, .taginput .taginput-container.is-focusable::-webkit-input-placeholder, .select select::-webkit-input-placeholder {\\n    color: rgba(54, 54, 54, 0.3); }\\n  .input:-moz-placeholder, .textarea:-moz-placeholder, .taginput .taginput-container.is-focusable:-moz-placeholder, .select select:-moz-placeholder {\\n    color: rgba(54, 54, 54, 0.3); }\\n  .input:-ms-input-placeholder, .textarea:-ms-input-placeholder, .taginput .taginput-container.is-focusable:-ms-input-placeholder, .select select:-ms-input-placeholder {\\n    color: rgba(54, 54, 54, 0.3); }\\n  .input:hover, .textarea:hover, .taginput .taginput-container.is-focusable:hover, .select select:hover, .is-hovered.input, .is-hovered.textarea, .taginput .is-hovered.taginput-container.is-focusable, .select select.is-hovered {\\n    border-color: #b5b5b5; }\\n  .input:focus, .textarea:focus, .taginput .taginput-container.is-focusable:focus, .select select:focus, .is-focused.input, .is-focused.textarea, .taginput .is-focused.taginput-container.is-focusable, .select select.is-focused, .input:active, .textarea:active, .taginput .taginput-container.is-focusable:active, .select select:active, .is-active.input, .is-active.textarea, .taginput .is-active.taginput-container.is-focusable, .select select.is-active {\\n    border-color: #485fc7;\\n    box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n  .input[disabled], .textarea[disabled], .taginput .taginput-container.is-focusable[disabled], .select select[disabled],\\n  fieldset[disabled] .input,\\n  fieldset[disabled] .textarea,\\n  fieldset[disabled] .taginput .taginput-container.is-focusable,\\n  .taginput fieldset[disabled] .taginput-container.is-focusable,\\n  fieldset[disabled] .select select,\\n  .select fieldset[disabled] select {\\n    background-color: whitesmoke;\\n    border-color: whitesmoke;\\n    box-shadow: none;\\n    color: #7a7a7a; }\\n    .input[disabled]::-moz-placeholder, .textarea[disabled]::-moz-placeholder, .taginput .taginput-container.is-focusable[disabled]::-moz-placeholder, .select select[disabled]::-moz-placeholder,\\n    fieldset[disabled] .input::-moz-placeholder,\\n    fieldset[disabled] .textarea::-moz-placeholder,\\n    fieldset[disabled] .taginput .taginput-container.is-focusable::-moz-placeholder,\\n    .taginput fieldset[disabled] .taginput-container.is-focusable::-moz-placeholder,\\n    fieldset[disabled] .select select::-moz-placeholder,\\n    .select fieldset[disabled] select::-moz-placeholder {\\n      color: rgba(122, 122, 122, 0.3); }\\n    .input[disabled]::-webkit-input-placeholder, .textarea[disabled]::-webkit-input-placeholder, .taginput .taginput-container.is-focusable[disabled]::-webkit-input-placeholder, .select select[disabled]::-webkit-input-placeholder,\\n    fieldset[disabled] .input::-webkit-input-placeholder,\\n    fieldset[disabled] .textarea::-webkit-input-placeholder,\\n    fieldset[disabled] .taginput .taginput-container.is-focusable::-webkit-input-placeholder,\\n    .taginput fieldset[disabled] .taginput-container.is-focusable::-webkit-input-placeholder,\\n    fieldset[disabled] .select select::-webkit-input-placeholder,\\n    .select fieldset[disabled] select::-webkit-input-placeholder {\\n      color: rgba(122, 122, 122, 0.3); }\\n    .input[disabled]:-moz-placeholder, .textarea[disabled]:-moz-placeholder, .taginput .taginput-container.is-focusable[disabled]:-moz-placeholder, .select select[disabled]:-moz-placeholder,\\n    fieldset[disabled] .input:-moz-placeholder,\\n    fieldset[disabled] .textarea:-moz-placeholder,\\n    fieldset[disabled] .taginput .taginput-container.is-focusable:-moz-placeholder,\\n    .taginput fieldset[disabled] .taginput-container.is-focusable:-moz-placeholder,\\n    fieldset[disabled] .select select:-moz-placeholder,\\n    .select fieldset[disabled] select:-moz-placeholder {\\n      color: rgba(122, 122, 122, 0.3); }\\n    .input[disabled]:-ms-input-placeholder, .textarea[disabled]:-ms-input-placeholder, .taginput .taginput-container.is-focusable[disabled]:-ms-input-placeholder, .select select[disabled]:-ms-input-placeholder,\\n    fieldset[disabled] .input:-ms-input-placeholder,\\n    fieldset[disabled] .textarea:-ms-input-placeholder,\\n    fieldset[disabled] .taginput .taginput-container.is-focusable:-ms-input-placeholder,\\n    .taginput fieldset[disabled] .taginput-container.is-focusable:-ms-input-placeholder,\\n    fieldset[disabled] .select select:-ms-input-placeholder,\\n    .select fieldset[disabled] select:-ms-input-placeholder {\\n      color: rgba(122, 122, 122, 0.3); }\\n\\n.input, .textarea, .taginput .taginput-container.is-focusable {\\n  box-shadow: inset 0 0.0625em 0.125em rgba(10, 10, 10, 0.05);\\n  max-width: 100%;\\n  width: 100%; }\\n  .input[readonly], .textarea[readonly], .taginput .taginput-container.is-focusable[readonly] {\\n    box-shadow: none; }\\n  .is-white.input, .is-white.textarea, .taginput .is-white.taginput-container.is-focusable {\\n    border-color: white; }\\n    .is-white.input:focus, .is-white.textarea:focus, .taginput .is-white.taginput-container.is-focusable:focus, .is-white.is-focused.input, .is-white.is-focused.textarea, .taginput .is-white.is-focused.taginput-container.is-focusable, .is-white.input:active, .is-white.textarea:active, .taginput .is-white.taginput-container.is-focusable:active, .is-white.is-active.input, .is-white.is-active.textarea, .taginput .is-white.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(255, 255, 255, 0.25); }\\n  .is-black.input, .is-black.textarea, .taginput .is-black.taginput-container.is-focusable {\\n    border-color: #0a0a0a; }\\n    .is-black.input:focus, .is-black.textarea:focus, .taginput .is-black.taginput-container.is-focusable:focus, .is-black.is-focused.input, .is-black.is-focused.textarea, .taginput .is-black.is-focused.taginput-container.is-focusable, .is-black.input:active, .is-black.textarea:active, .taginput .is-black.taginput-container.is-focusable:active, .is-black.is-active.input, .is-black.is-active.textarea, .taginput .is-black.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(10, 10, 10, 0.25); }\\n  .is-light.input, .is-light.textarea, .taginput .is-light.taginput-container.is-focusable {\\n    border-color: whitesmoke; }\\n    .is-light.input:focus, .is-light.textarea:focus, .taginput .is-light.taginput-container.is-focusable:focus, .is-light.is-focused.input, .is-light.is-focused.textarea, .taginput .is-light.is-focused.taginput-container.is-focusable, .is-light.input:active, .is-light.textarea:active, .taginput .is-light.taginput-container.is-focusable:active, .is-light.is-active.input, .is-light.is-active.textarea, .taginput .is-light.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(245, 245, 245, 0.25); }\\n  .is-dark.input, .is-dark.textarea, .taginput .is-dark.taginput-container.is-focusable {\\n    border-color: #363636; }\\n    .is-dark.input:focus, .is-dark.textarea:focus, .taginput .is-dark.taginput-container.is-focusable:focus, .is-dark.is-focused.input, .is-dark.is-focused.textarea, .taginput .is-dark.is-focused.taginput-container.is-focusable, .is-dark.input:active, .is-dark.textarea:active, .taginput .is-dark.taginput-container.is-focusable:active, .is-dark.is-active.input, .is-dark.is-active.textarea, .taginput .is-dark.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(54, 54, 54, 0.25); }\\n  .is-primary.input, .is-primary.textarea, .taginput .is-primary.taginput-container.is-focusable {\\n    border-color: #2276f3; }\\n    .is-primary.input:focus, .is-primary.textarea:focus, .taginput .is-primary.taginput-container.is-focusable:focus, .is-primary.is-focused.input, .is-primary.is-focused.textarea, .taginput .is-primary.is-focused.taginput-container.is-focusable, .is-primary.input:active, .is-primary.textarea:active, .taginput .is-primary.taginput-container.is-focusable:active, .is-primary.is-active.input, .is-primary.is-active.textarea, .taginput .is-primary.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(34, 118, 243, 0.25); }\\n  .is-link.input, .is-link.textarea, .taginput .is-link.taginput-container.is-focusable {\\n    border-color: #485fc7; }\\n    .is-link.input:focus, .is-link.textarea:focus, .taginput .is-link.taginput-container.is-focusable:focus, .is-link.is-focused.input, .is-link.is-focused.textarea, .taginput .is-link.is-focused.taginput-container.is-focusable, .is-link.input:active, .is-link.textarea:active, .taginput .is-link.taginput-container.is-focusable:active, .is-link.is-active.input, .is-link.is-active.textarea, .taginput .is-link.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n  .is-info.input, .is-info.textarea, .taginput .is-info.taginput-container.is-focusable {\\n    border-color: #3e8ed0; }\\n    .is-info.input:focus, .is-info.textarea:focus, .taginput .is-info.taginput-container.is-focusable:focus, .is-info.is-focused.input, .is-info.is-focused.textarea, .taginput .is-info.is-focused.taginput-container.is-focusable, .is-info.input:active, .is-info.textarea:active, .taginput .is-info.taginput-container.is-focusable:active, .is-info.is-active.input, .is-info.is-active.textarea, .taginput .is-info.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(62, 142, 208, 0.25); }\\n  .is-success.input, .is-success.textarea, .taginput .is-success.taginput-container.is-focusable {\\n    border-color: #48c78e; }\\n    .is-success.input:focus, .is-success.textarea:focus, .taginput .is-success.taginput-container.is-focusable:focus, .is-success.is-focused.input, .is-success.is-focused.textarea, .taginput .is-success.is-focused.taginput-container.is-focusable, .is-success.input:active, .is-success.textarea:active, .taginput .is-success.taginput-container.is-focusable:active, .is-success.is-active.input, .is-success.is-active.textarea, .taginput .is-success.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(72, 199, 142, 0.25); }\\n  .is-warning.input, .is-warning.textarea, .taginput .is-warning.taginput-container.is-focusable {\\n    border-color: #ffe08a; }\\n    .is-warning.input:focus, .is-warning.textarea:focus, .taginput .is-warning.taginput-container.is-focusable:focus, .is-warning.is-focused.input, .is-warning.is-focused.textarea, .taginput .is-warning.is-focused.taginput-container.is-focusable, .is-warning.input:active, .is-warning.textarea:active, .taginput .is-warning.taginput-container.is-focusable:active, .is-warning.is-active.input, .is-warning.is-active.textarea, .taginput .is-warning.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(255, 224, 138, 0.25); }\\n  .is-danger.input, .is-danger.textarea, .taginput .is-danger.taginput-container.is-focusable {\\n    border-color: #f14668; }\\n    .is-danger.input:focus, .is-danger.textarea:focus, .taginput .is-danger.taginput-container.is-focusable:focus, .is-danger.is-focused.input, .is-danger.is-focused.textarea, .taginput .is-danger.is-focused.taginput-container.is-focusable, .is-danger.input:active, .is-danger.textarea:active, .taginput .is-danger.taginput-container.is-focusable:active, .is-danger.is-active.input, .is-danger.is-active.textarea, .taginput .is-danger.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(241, 70, 104, 0.25); }\\n  .is-twitter.input, .is-twitter.textarea, .taginput .is-twitter.taginput-container.is-focusable {\\n    border-color: #55acee; }\\n    .is-twitter.input:focus, .is-twitter.textarea:focus, .taginput .is-twitter.taginput-container.is-focusable:focus, .is-twitter.is-focused.input, .is-twitter.is-focused.textarea, .taginput .is-twitter.is-focused.taginput-container.is-focusable, .is-twitter.input:active, .is-twitter.textarea:active, .taginput .is-twitter.taginput-container.is-focusable:active, .is-twitter.is-active.input, .is-twitter.is-active.textarea, .taginput .is-twitter.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(85, 172, 238, 0.25); }\\n  .is-linkedin.input, .is-linkedin.textarea, .taginput .is-linkedin.taginput-container.is-focusable {\\n    border-color: #0077b5; }\\n    .is-linkedin.input:focus, .is-linkedin.textarea:focus, .taginput .is-linkedin.taginput-container.is-focusable:focus, .is-linkedin.is-focused.input, .is-linkedin.is-focused.textarea, .taginput .is-linkedin.is-focused.taginput-container.is-focusable, .is-linkedin.input:active, .is-linkedin.textarea:active, .taginput .is-linkedin.taginput-container.is-focusable:active, .is-linkedin.is-active.input, .is-linkedin.is-active.textarea, .taginput .is-linkedin.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(0, 119, 181, 0.25); }\\n  .is-github.input, .is-github.textarea, .taginput .is-github.taginput-container.is-focusable {\\n    border-color: #333; }\\n    .is-github.input:focus, .is-github.textarea:focus, .taginput .is-github.taginput-container.is-focusable:focus, .is-github.is-focused.input, .is-github.is-focused.textarea, .taginput .is-github.is-focused.taginput-container.is-focusable, .is-github.input:active, .is-github.textarea:active, .taginput .is-github.taginput-container.is-focusable:active, .is-github.is-active.input, .is-github.is-active.textarea, .taginput .is-github.is-active.taginput-container.is-focusable {\\n      box-shadow: 0 0 0 0.125em rgba(51, 51, 51, 0.25); }\\n  .is-small.input, .is-small.textarea, .taginput .is-small.taginput-container.is-focusable {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .is-medium.input, .is-medium.textarea, .taginput .is-medium.taginput-container.is-focusable {\\n    font-size: 1.25rem; }\\n  .is-large.input, .is-large.textarea, .taginput .is-large.taginput-container.is-focusable {\\n    font-size: 1.5rem; }\\n  .is-fullwidth.input, .is-fullwidth.textarea, .taginput .is-fullwidth.taginput-container.is-focusable {\\n    display: block;\\n    width: 100%; }\\n  .is-inline.input, .is-inline.textarea, .taginput .is-inline.taginput-container.is-focusable {\\n    display: inline;\\n    width: auto; }\\n\\n.input.is-rounded {\\n  border-radius: 9999px;\\n  padding-left: calc(calc(0.75em - 1px) + 0.375em);\\n  padding-right: calc(calc(0.75em - 1px) + 0.375em); }\\n\\n.input.is-static {\\n  background-color: transparent;\\n  border-color: transparent;\\n  box-shadow: none;\\n  padding-left: 0;\\n  padding-right: 0; }\\n\\n.textarea {\\n  display: block;\\n  max-width: 100%;\\n  min-width: 100%;\\n  padding: calc(0.75em - 1px);\\n  resize: vertical; }\\n  .textarea:not([rows]) {\\n    max-height: 40em;\\n    min-height: 8em; }\\n  .textarea[rows] {\\n    height: initial; }\\n  .textarea.has-fixed-size {\\n    resize: none; }\\n\\n.checkbox, .radio {\\n  cursor: pointer;\\n  display: inline-block;\\n  line-height: 1.25;\\n  position: relative; }\\n  .checkbox input, .radio input {\\n    cursor: pointer; }\\n  .checkbox:hover, .radio:hover {\\n    color: #363636; }\\n  .checkbox[disabled], .radio[disabled],\\n  fieldset[disabled] .checkbox,\\n  fieldset[disabled] .radio,\\n  .checkbox input[disabled],\\n  .radio input[disabled] {\\n    color: #7a7a7a;\\n    cursor: not-allowed; }\\n\\n.radio + .radio {\\n  margin-left: 0.5em; }\\n\\n.select {\\n  display: inline-block;\\n  max-width: 100%;\\n  position: relative;\\n  vertical-align: top; }\\n  .select:not(.is-multiple) {\\n    height: 2.5em; }\\n  .select:not(.is-multiple):not(.is-loading)::after {\\n    border-color: #485fc7;\\n    right: 1.125em;\\n    z-index: 4; }\\n  .select.is-rounded select {\\n    border-radius: 9999px;\\n    padding-left: 1em; }\\n  .select select {\\n    cursor: pointer;\\n    display: block;\\n    font-size: 1em;\\n    max-width: 100%;\\n    outline: none; }\\n    .select select::-ms-expand {\\n      display: none; }\\n    .select select[disabled]:hover,\\n    fieldset[disabled] .select select:hover {\\n      border-color: whitesmoke; }\\n    .select select:not([multiple]) {\\n      padding-right: 2.5em; }\\n    .select select[multiple] {\\n      height: auto;\\n      padding: 0; }\\n      .select select[multiple] option {\\n        padding: 0.5em 1em; }\\n  .select:not(.is-multiple):not(.is-loading):hover::after {\\n    border-color: #363636; }\\n  .select.is-white:not(:hover)::after {\\n    border-color: white; }\\n  .select.is-white select {\\n    border-color: white; }\\n    .select.is-white select:hover, .select.is-white select.is-hovered {\\n      border-color: #f2f2f2; }\\n    .select.is-white select:focus, .select.is-white select.is-focused, .select.is-white select:active, .select.is-white select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(255, 255, 255, 0.25); }\\n  .select.is-black:not(:hover)::after {\\n    border-color: #0a0a0a; }\\n  .select.is-black select {\\n    border-color: #0a0a0a; }\\n    .select.is-black select:hover, .select.is-black select.is-hovered {\\n      border-color: black; }\\n    .select.is-black select:focus, .select.is-black select.is-focused, .select.is-black select:active, .select.is-black select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(10, 10, 10, 0.25); }\\n  .select.is-light:not(:hover)::after {\\n    border-color: whitesmoke; }\\n  .select.is-light select {\\n    border-color: whitesmoke; }\\n    .select.is-light select:hover, .select.is-light select.is-hovered {\\n      border-color: #e8e8e8; }\\n    .select.is-light select:focus, .select.is-light select.is-focused, .select.is-light select:active, .select.is-light select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(245, 245, 245, 0.25); }\\n  .select.is-dark:not(:hover)::after {\\n    border-color: #363636; }\\n  .select.is-dark select {\\n    border-color: #363636; }\\n    .select.is-dark select:hover, .select.is-dark select.is-hovered {\\n      border-color: #292929; }\\n    .select.is-dark select:focus, .select.is-dark select.is-focused, .select.is-dark select:active, .select.is-dark select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(54, 54, 54, 0.25); }\\n  .select.is-primary:not(:hover)::after {\\n    border-color: #2276f3; }\\n  .select.is-primary select {\\n    border-color: #2276f3; }\\n    .select.is-primary select:hover, .select.is-primary select.is-hovered {\\n      border-color: #0d68ef; }\\n    .select.is-primary select:focus, .select.is-primary select.is-focused, .select.is-primary select:active, .select.is-primary select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(34, 118, 243, 0.25); }\\n  .select.is-link:not(:hover)::after {\\n    border-color: #485fc7; }\\n  .select.is-link select {\\n    border-color: #485fc7; }\\n    .select.is-link select:hover, .select.is-link select.is-hovered {\\n      border-color: #3a51bb; }\\n    .select.is-link select:focus, .select.is-link select.is-focused, .select.is-link select:active, .select.is-link select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n  .select.is-info:not(:hover)::after {\\n    border-color: #3e8ed0; }\\n  .select.is-info select {\\n    border-color: #3e8ed0; }\\n    .select.is-info select:hover, .select.is-info select.is-hovered {\\n      border-color: #3082c5; }\\n    .select.is-info select:focus, .select.is-info select.is-focused, .select.is-info select:active, .select.is-info select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(62, 142, 208, 0.25); }\\n  .select.is-success:not(:hover)::after {\\n    border-color: #48c78e; }\\n  .select.is-success select {\\n    border-color: #48c78e; }\\n    .select.is-success select:hover, .select.is-success select.is-hovered {\\n      border-color: #3abb81; }\\n    .select.is-success select:focus, .select.is-success select.is-focused, .select.is-success select:active, .select.is-success select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(72, 199, 142, 0.25); }\\n  .select.is-warning:not(:hover)::after {\\n    border-color: #ffe08a; }\\n  .select.is-warning select {\\n    border-color: #ffe08a; }\\n    .select.is-warning select:hover, .select.is-warning select.is-hovered {\\n      border-color: #ffd970; }\\n    .select.is-warning select:focus, .select.is-warning select.is-focused, .select.is-warning select:active, .select.is-warning select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(255, 224, 138, 0.25); }\\n  .select.is-danger:not(:hover)::after {\\n    border-color: #f14668; }\\n  .select.is-danger select {\\n    border-color: #f14668; }\\n    .select.is-danger select:hover, .select.is-danger select.is-hovered {\\n      border-color: #ef2e55; }\\n    .select.is-danger select:focus, .select.is-danger select.is-focused, .select.is-danger select:active, .select.is-danger select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(241, 70, 104, 0.25); }\\n  .select.is-twitter:not(:hover)::after {\\n    border-color: #55acee; }\\n  .select.is-twitter select {\\n    border-color: #55acee; }\\n    .select.is-twitter select:hover, .select.is-twitter select.is-hovered {\\n      border-color: #3ea1ec; }\\n    .select.is-twitter select:focus, .select.is-twitter select.is-focused, .select.is-twitter select:active, .select.is-twitter select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(85, 172, 238, 0.25); }\\n  .select.is-linkedin:not(:hover)::after {\\n    border-color: #0077b5; }\\n  .select.is-linkedin select {\\n    border-color: #0077b5; }\\n    .select.is-linkedin select:hover, .select.is-linkedin select.is-hovered {\\n      border-color: #00669c; }\\n    .select.is-linkedin select:focus, .select.is-linkedin select.is-focused, .select.is-linkedin select:active, .select.is-linkedin select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(0, 119, 181, 0.25); }\\n  .select.is-github:not(:hover)::after {\\n    border-color: #333; }\\n  .select.is-github select {\\n    border-color: #333; }\\n    .select.is-github select:hover, .select.is-github select.is-hovered {\\n      border-color: #262626; }\\n    .select.is-github select:focus, .select.is-github select.is-focused, .select.is-github select:active, .select.is-github select.is-active {\\n      box-shadow: 0 0 0 0.125em rgba(51, 51, 51, 0.25); }\\n  .select.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .select.is-medium {\\n    font-size: 1.25rem; }\\n  .select.is-large {\\n    font-size: 1.5rem; }\\n  .select.is-disabled::after {\\n    border-color: #7a7a7a; }\\n  .select.is-fullwidth {\\n    width: 100%; }\\n    .select.is-fullwidth select {\\n      width: 100%; }\\n  .select.is-loading::after {\\n    margin-top: 0;\\n    position: absolute;\\n    right: 0.625em;\\n    top: 0.625em;\\n    transform: none; }\\n  .select.is-loading.is-small:after {\\n    font-size: 0.75rem; }\\n  .select.is-loading.is-medium:after {\\n    font-size: 1.25rem; }\\n  .select.is-loading.is-large:after {\\n    font-size: 1.5rem; }\\n\\n.file {\\n  align-items: stretch;\\n  display: flex;\\n  justify-content: flex-start;\\n  position: relative; }\\n  .file.is-white .file-cta {\\n    background-color: white;\\n    border-color: transparent;\\n    color: #0a0a0a; }\\n  .file.is-white:hover .file-cta, .file.is-white.is-hovered .file-cta {\\n    background-color: #f9f9f9;\\n    border-color: transparent;\\n    color: #0a0a0a; }\\n  .file.is-white:focus .file-cta, .file.is-white.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(255, 255, 255, 0.25);\\n    color: #0a0a0a; }\\n  .file.is-white:active .file-cta, .file.is-white.is-active .file-cta {\\n    background-color: #f2f2f2;\\n    border-color: transparent;\\n    color: #0a0a0a; }\\n  .file.is-black .file-cta {\\n    background-color: #0a0a0a;\\n    border-color: transparent;\\n    color: white; }\\n  .file.is-black:hover .file-cta, .file.is-black.is-hovered .file-cta {\\n    background-color: #040404;\\n    border-color: transparent;\\n    color: white; }\\n  .file.is-black:focus .file-cta, .file.is-black.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(10, 10, 10, 0.25);\\n    color: white; }\\n  .file.is-black:active .file-cta, .file.is-black.is-active .file-cta {\\n    background-color: black;\\n    border-color: transparent;\\n    color: white; }\\n  .file.is-light .file-cta {\\n    background-color: whitesmoke;\\n    border-color: transparent;\\n    color: #363636; }\\n  .file.is-light:hover .file-cta, .file.is-light.is-hovered .file-cta {\\n    background-color: #eeeeee;\\n    border-color: transparent;\\n    color: #363636; }\\n  .file.is-light:focus .file-cta, .file.is-light.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(245, 245, 245, 0.25);\\n    color: #363636; }\\n  .file.is-light:active .file-cta, .file.is-light.is-active .file-cta {\\n    background-color: #e8e8e8;\\n    border-color: transparent;\\n    color: #363636; }\\n  .file.is-dark .file-cta {\\n    background-color: #363636;\\n    border-color: transparent;\\n    color: whitesmoke; }\\n  .file.is-dark:hover .file-cta, .file.is-dark.is-hovered .file-cta {\\n    background-color: #2f2f2f;\\n    border-color: transparent;\\n    color: whitesmoke; }\\n  .file.is-dark:focus .file-cta, .file.is-dark.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(54, 54, 54, 0.25);\\n    color: whitesmoke; }\\n  .file.is-dark:active .file-cta, .file.is-dark.is-active .file-cta {\\n    background-color: #292929;\\n    border-color: transparent;\\n    color: whitesmoke; }\\n  .file.is-primary .file-cta {\\n    background-color: #2276f3;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-primary:hover .file-cta, .file.is-primary.is-hovered .file-cta {\\n    background-color: #166ff2;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-primary:focus .file-cta, .file.is-primary.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.25);\\n    color: #fff; }\\n  .file.is-primary:active .file-cta, .file.is-primary.is-active .file-cta {\\n    background-color: #0d68ef;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-link .file-cta {\\n    background-color: #485fc7;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-link:hover .file-cta, .file.is-link.is-hovered .file-cta {\\n    background-color: #3e56c4;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-link:focus .file-cta, .file.is-link.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(72, 95, 199, 0.25);\\n    color: #fff; }\\n  .file.is-link:active .file-cta, .file.is-link.is-active .file-cta {\\n    background-color: #3a51bb;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-info .file-cta {\\n    background-color: #3e8ed0;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-info:hover .file-cta, .file.is-info.is-hovered .file-cta {\\n    background-color: #3488ce;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-info:focus .file-cta, .file.is-info.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(62, 142, 208, 0.25);\\n    color: #fff; }\\n  .file.is-info:active .file-cta, .file.is-info.is-active .file-cta {\\n    background-color: #3082c5;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-success .file-cta {\\n    background-color: #48c78e;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-success:hover .file-cta, .file.is-success.is-hovered .file-cta {\\n    background-color: #3ec487;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-success:focus .file-cta, .file.is-success.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(72, 199, 142, 0.25);\\n    color: #fff; }\\n  .file.is-success:active .file-cta, .file.is-success.is-active .file-cta {\\n    background-color: #3abb81;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-warning .file-cta {\\n    background-color: #ffe08a;\\n    border-color: transparent;\\n    color: rgba(0, 0, 0, 0.7); }\\n  .file.is-warning:hover .file-cta, .file.is-warning.is-hovered .file-cta {\\n    background-color: #ffdc7d;\\n    border-color: transparent;\\n    color: rgba(0, 0, 0, 0.7); }\\n  .file.is-warning:focus .file-cta, .file.is-warning.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(255, 224, 138, 0.25);\\n    color: rgba(0, 0, 0, 0.7); }\\n  .file.is-warning:active .file-cta, .file.is-warning.is-active .file-cta {\\n    background-color: #ffd970;\\n    border-color: transparent;\\n    color: rgba(0, 0, 0, 0.7); }\\n  .file.is-danger .file-cta {\\n    background-color: #f14668;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-danger:hover .file-cta, .file.is-danger.is-hovered .file-cta {\\n    background-color: #f03a5f;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-danger:focus .file-cta, .file.is-danger.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(241, 70, 104, 0.25);\\n    color: #fff; }\\n  .file.is-danger:active .file-cta, .file.is-danger.is-active .file-cta {\\n    background-color: #ef2e55;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-twitter .file-cta {\\n    background-color: #55acee;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-twitter:hover .file-cta, .file.is-twitter.is-hovered .file-cta {\\n    background-color: #49a6ed;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-twitter:focus .file-cta, .file.is-twitter.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(85, 172, 238, 0.25);\\n    color: #fff; }\\n  .file.is-twitter:active .file-cta, .file.is-twitter.is-active .file-cta {\\n    background-color: #3ea1ec;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-linkedin .file-cta {\\n    background-color: #0077b5;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-linkedin:hover .file-cta, .file.is-linkedin.is-hovered .file-cta {\\n    background-color: #006fa8;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-linkedin:focus .file-cta, .file.is-linkedin.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(0, 119, 181, 0.25);\\n    color: #fff; }\\n  .file.is-linkedin:active .file-cta, .file.is-linkedin.is-active .file-cta {\\n    background-color: #00669c;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-github .file-cta {\\n    background-color: #333;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-github:hover .file-cta, .file.is-github.is-hovered .file-cta {\\n    background-color: #2d2d2d;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-github:focus .file-cta, .file.is-github.is-focused .file-cta {\\n    border-color: transparent;\\n    box-shadow: 0 0 0.5em rgba(51, 51, 51, 0.25);\\n    color: #fff; }\\n  .file.is-github:active .file-cta, .file.is-github.is-active .file-cta {\\n    background-color: #262626;\\n    border-color: transparent;\\n    color: #fff; }\\n  .file.is-small {\\n    font-size: 0.75rem; }\\n  .file.is-normal {\\n    font-size: 1rem; }\\n  .file.is-medium {\\n    font-size: 1.25rem; }\\n    .file.is-medium .file-icon .fa {\\n      font-size: 21px; }\\n  .file.is-large {\\n    font-size: 1.5rem; }\\n    .file.is-large .file-icon .fa {\\n      font-size: 28px; }\\n  .file.has-name .file-cta {\\n    border-bottom-right-radius: 0;\\n    border-top-right-radius: 0; }\\n  .file.has-name .file-name {\\n    border-bottom-left-radius: 0;\\n    border-top-left-radius: 0; }\\n  .file.has-name.is-empty .file-cta {\\n    border-radius: 4px; }\\n  .file.has-name.is-empty .file-name {\\n    display: none; }\\n  .file.is-boxed .file-label {\\n    flex-direction: column; }\\n  .file.is-boxed .file-cta {\\n    flex-direction: column;\\n    height: auto;\\n    padding: 1em 3em; }\\n  .file.is-boxed .file-name {\\n    border-width: 0 1px 1px; }\\n  .file.is-boxed .file-icon {\\n    height: 1.5em;\\n    width: 1.5em; }\\n    .file.is-boxed .file-icon .fa {\\n      font-size: 21px; }\\n  .file.is-boxed.is-small .file-icon .fa {\\n    font-size: 14px; }\\n  .file.is-boxed.is-medium .file-icon .fa {\\n    font-size: 28px; }\\n  .file.is-boxed.is-large .file-icon .fa {\\n    font-size: 35px; }\\n  .file.is-boxed.has-name .file-cta {\\n    border-radius: 4px 4px 0 0; }\\n  .file.is-boxed.has-name .file-name {\\n    border-radius: 0 0 4px 4px;\\n    border-width: 0 1px 1px; }\\n  .file.is-centered {\\n    justify-content: center; }\\n  .file.is-fullwidth .file-label {\\n    width: 100%; }\\n  .file.is-fullwidth .file-name {\\n    flex-grow: 1;\\n    max-width: none; }\\n  .file.is-right {\\n    justify-content: flex-end; }\\n    .file.is-right .file-cta {\\n      border-radius: 0 4px 4px 0; }\\n    .file.is-right .file-name {\\n      border-radius: 4px 0 0 4px;\\n      border-width: 1px 0 1px 1px;\\n      order: -1; }\\n\\n.file-label {\\n  align-items: stretch;\\n  display: flex;\\n  cursor: pointer;\\n  justify-content: flex-start;\\n  overflow: hidden;\\n  position: relative; }\\n  .file-label:hover .file-cta {\\n    background-color: #eeeeee;\\n    color: #363636; }\\n  .file-label:hover .file-name {\\n    border-color: #d5d5d5; }\\n  .file-label:active .file-cta {\\n    background-color: #e8e8e8;\\n    color: #363636; }\\n  .file-label:active .file-name {\\n    border-color: #cfcfcf; }\\n\\n.file-input {\\n  height: 100%;\\n  left: 0;\\n  opacity: 0;\\n  outline: none;\\n  position: absolute;\\n  top: 0;\\n  width: 100%; }\\n\\n.file-cta,\\n.file-name {\\n  border-color: #dbdbdb;\\n  border-radius: 4px;\\n  font-size: 1em;\\n  padding-left: 1em;\\n  padding-right: 1em;\\n  white-space: nowrap; }\\n\\n.file-cta {\\n  background-color: whitesmoke;\\n  color: #4a4a4a; }\\n\\n.file-name {\\n  border-color: #dbdbdb;\\n  border-style: solid;\\n  border-width: 1px 1px 1px 0;\\n  display: block;\\n  max-width: 16em;\\n  overflow: hidden;\\n  text-align: inherit;\\n  text-overflow: ellipsis; }\\n\\n.file-icon {\\n  align-items: center;\\n  display: flex;\\n  height: 1em;\\n  justify-content: center;\\n  margin-right: 0.5em;\\n  width: 1em; }\\n  .file-icon .fa {\\n    font-size: 14px; }\\n\\n.label {\\n  color: #363636;\\n  display: block;\\n  font-size: 1rem;\\n  font-weight: 700; }\\n  .label:not(:last-child) {\\n    margin-bottom: 0.5em; }\\n  .label.is-small {\\n    font-size: 0.75rem; }\\n  .label.is-medium {\\n    font-size: 1.25rem; }\\n  .label.is-large {\\n    font-size: 1.5rem; }\\n\\n.help {\\n  display: block;\\n  font-size: 0.75rem;\\n  margin-top: 0.25rem; }\\n  .help.is-white {\\n    color: white; }\\n  .help.is-black {\\n    color: #0a0a0a; }\\n  .help.is-light {\\n    color: whitesmoke; }\\n  .help.is-dark {\\n    color: #363636; }\\n  .help.is-primary {\\n    color: #2276f3; }\\n  .help.is-link {\\n    color: #485fc7; }\\n  .help.is-info {\\n    color: #3e8ed0; }\\n  .help.is-success {\\n    color: #48c78e; }\\n  .help.is-warning {\\n    color: #ffe08a; }\\n  .help.is-danger {\\n    color: #f14668; }\\n  .help.is-twitter {\\n    color: #55acee; }\\n  .help.is-linkedin {\\n    color: #0077b5; }\\n  .help.is-github {\\n    color: #333; }\\n\\n.field:not(:last-child) {\\n  margin-bottom: 0.75rem; }\\n\\n.field.has-addons {\\n  display: flex;\\n  justify-content: flex-start; }\\n  .field.has-addons .control:not(:last-child) {\\n    margin-right: -1px; }\\n  .field.has-addons .control:not(:first-child):not(:last-child) .button,\\n  .field.has-addons .control:not(:first-child):not(:last-child) .input,\\n  .field.has-addons .control:not(:first-child):not(:last-child) .select select {\\n    border-radius: 0; }\\n  .field.has-addons .control:first-child:not(:only-child) .button,\\n  .field.has-addons .control:first-child:not(:only-child) .input,\\n  .field.has-addons .control:first-child:not(:only-child) .select select {\\n    border-bottom-right-radius: 0;\\n    border-top-right-radius: 0; }\\n  .field.has-addons .control:last-child:not(:only-child) .button,\\n  .field.has-addons .control:last-child:not(:only-child) .input,\\n  .field.has-addons .control:last-child:not(:only-child) .select select {\\n    border-bottom-left-radius: 0;\\n    border-top-left-radius: 0; }\\n  .field.has-addons .control .button:not([disabled]):hover, .field.has-addons .control .button:not([disabled]).is-hovered,\\n  .field.has-addons .control .input:not([disabled]):hover,\\n  .field.has-addons .control .input:not([disabled]).is-hovered,\\n  .field.has-addons .control .select select:not([disabled]):hover,\\n  .field.has-addons .control .select select:not([disabled]).is-hovered {\\n    z-index: 2; }\\n  .field.has-addons .control .button:not([disabled]):focus, .field.has-addons .control .button:not([disabled]).is-focused, .field.has-addons .control .button:not([disabled]):active, .field.has-addons .control .button:not([disabled]).is-active,\\n  .field.has-addons .control .input:not([disabled]):focus,\\n  .field.has-addons .control .input:not([disabled]).is-focused,\\n  .field.has-addons .control .input:not([disabled]):active,\\n  .field.has-addons .control .input:not([disabled]).is-active,\\n  .field.has-addons .control .select select:not([disabled]):focus,\\n  .field.has-addons .control .select select:not([disabled]).is-focused,\\n  .field.has-addons .control .select select:not([disabled]):active,\\n  .field.has-addons .control .select select:not([disabled]).is-active {\\n    z-index: 3; }\\n    .field.has-addons .control .button:not([disabled]):focus:hover, .field.has-addons .control .button:not([disabled]).is-focused:hover, .field.has-addons .control .button:not([disabled]):active:hover, .field.has-addons .control .button:not([disabled]).is-active:hover,\\n    .field.has-addons .control .input:not([disabled]):focus:hover,\\n    .field.has-addons .control .input:not([disabled]).is-focused:hover,\\n    .field.has-addons .control .input:not([disabled]):active:hover,\\n    .field.has-addons .control .input:not([disabled]).is-active:hover,\\n    .field.has-addons .control .select select:not([disabled]):focus:hover,\\n    .field.has-addons .control .select select:not([disabled]).is-focused:hover,\\n    .field.has-addons .control .select select:not([disabled]):active:hover,\\n    .field.has-addons .control .select select:not([disabled]).is-active:hover {\\n      z-index: 4; }\\n  .field.has-addons .control.is-expanded {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n  .field.has-addons.has-addons-centered {\\n    justify-content: center; }\\n  .field.has-addons.has-addons-right {\\n    justify-content: flex-end; }\\n  .field.has-addons.has-addons-fullwidth .control {\\n    flex-grow: 1;\\n    flex-shrink: 0; }\\n\\n.field.is-grouped {\\n  display: flex;\\n  justify-content: flex-start; }\\n  .field.is-grouped > .control {\\n    flex-shrink: 0; }\\n    .field.is-grouped > .control:not(:last-child) {\\n      margin-bottom: 0;\\n      margin-right: 0.75rem; }\\n    .field.is-grouped > .control.is-expanded {\\n      flex-grow: 1;\\n      flex-shrink: 1; }\\n  .field.is-grouped.is-grouped-centered {\\n    justify-content: center; }\\n  .field.is-grouped.is-grouped-right {\\n    justify-content: flex-end; }\\n  .field.is-grouped.is-grouped-multiline {\\n    flex-wrap: wrap; }\\n    .field.is-grouped.is-grouped-multiline > .control:last-child, .field.is-grouped.is-grouped-multiline > .control:not(:last-child) {\\n      margin-bottom: 0.75rem; }\\n    .field.is-grouped.is-grouped-multiline:last-child {\\n      margin-bottom: -0.75rem; }\\n    .field.is-grouped.is-grouped-multiline:not(:last-child) {\\n      margin-bottom: 0; }\\n\\n@media screen and (min-width: 769px), print {\\n  .field.is-horizontal {\\n    display: flex; } }\\n\\n.field-label .label {\\n  font-size: inherit; }\\n\\n@media screen and (max-width: 768px) {\\n  .field-label {\\n    margin-bottom: 0.5rem; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .field-label {\\n    flex-basis: 0;\\n    flex-grow: 1;\\n    flex-shrink: 0;\\n    margin-right: 1.5rem;\\n    text-align: right; }\\n    .field-label.is-small {\\n      font-size: 0.75rem;\\n      padding-top: 0.375em; }\\n    .field-label.is-normal {\\n      padding-top: 0.375em; }\\n    .field-label.is-medium {\\n      font-size: 1.25rem;\\n      padding-top: 0.375em; }\\n    .field-label.is-large {\\n      font-size: 1.5rem;\\n      padding-top: 0.375em; } }\\n\\n.field-body .field .field {\\n  margin-bottom: 0; }\\n\\n@media screen and (min-width: 769px), print {\\n  .field-body {\\n    display: flex;\\n    flex-basis: 0;\\n    flex-grow: 5;\\n    flex-shrink: 1; }\\n    .field-body .field {\\n      margin-bottom: 0; }\\n    .field-body > .field {\\n      flex-shrink: 1; }\\n      .field-body > .field:not(.is-narrow) {\\n        flex-grow: 1; }\\n      .field-body > .field:not(:last-child) {\\n        margin-right: 0.75rem; } }\\n\\n.control {\\n  box-sizing: border-box;\\n  clear: both;\\n  font-size: 1rem;\\n  position: relative;\\n  text-align: inherit; }\\n  .control.has-icons-left .input:focus ~ .icon,\\n  .control.has-icons-left .select:focus ~ .icon, .control.has-icons-right .input:focus ~ .icon,\\n  .control.has-icons-right .select:focus ~ .icon {\\n    color: #4a4a4a; }\\n  .control.has-icons-left .input.is-small ~ .icon,\\n  .control.has-icons-left .select.is-small ~ .icon, .control.has-icons-right .input.is-small ~ .icon,\\n  .control.has-icons-right .select.is-small ~ .icon {\\n    font-size: 0.75rem; }\\n  .control.has-icons-left .input.is-medium ~ .icon,\\n  .control.has-icons-left .select.is-medium ~ .icon, .control.has-icons-right .input.is-medium ~ .icon,\\n  .control.has-icons-right .select.is-medium ~ .icon {\\n    font-size: 1.25rem; }\\n  .control.has-icons-left .input.is-large ~ .icon,\\n  .control.has-icons-left .select.is-large ~ .icon, .control.has-icons-right .input.is-large ~ .icon,\\n  .control.has-icons-right .select.is-large ~ .icon {\\n    font-size: 1.5rem; }\\n  .control.has-icons-left .icon, .control.has-icons-right .icon {\\n    color: #dbdbdb;\\n    height: 2.5em;\\n    pointer-events: none;\\n    position: absolute;\\n    top: 0;\\n    width: 2.5em;\\n    z-index: 4; }\\n  .control.has-icons-left .input,\\n  .control.has-icons-left .select select {\\n    padding-left: 2.5em; }\\n  .control.has-icons-left .icon.is-left {\\n    left: 0; }\\n  .control.has-icons-right .input,\\n  .control.has-icons-right .select select {\\n    padding-right: 2.5em; }\\n  .control.has-icons-right .icon.is-right {\\n    right: 0; }\\n  .control.is-loading::after {\\n    position: absolute !important;\\n    right: 0.625em;\\n    top: 0.625em;\\n    z-index: 4; }\\n  .control.is-loading.is-small:after {\\n    font-size: 0.75rem; }\\n  .control.is-loading.is-medium:after {\\n    font-size: 1.25rem; }\\n  .control.is-loading.is-large:after {\\n    font-size: 1.5rem; }\\n\\n/* Bulma Components */\\n.breadcrumb {\\n  font-size: 1rem;\\n  white-space: nowrap; }\\n  .breadcrumb a {\\n    align-items: center;\\n    color: #485fc7;\\n    display: flex;\\n    justify-content: center;\\n    padding: 0 0.75em; }\\n    .breadcrumb a:hover {\\n      color: #363636; }\\n  .breadcrumb li {\\n    align-items: center;\\n    display: flex; }\\n    .breadcrumb li:first-child a {\\n      padding-left: 0; }\\n    .breadcrumb li.is-active a {\\n      color: #363636;\\n      cursor: default;\\n      pointer-events: none; }\\n    .breadcrumb li + li::before {\\n      color: #b5b5b5;\\n      content: \\\"\\\\0002f\\\"; }\\n  .breadcrumb ul,\\n  .breadcrumb ol {\\n    align-items: flex-start;\\n    display: flex;\\n    flex-wrap: wrap;\\n    justify-content: flex-start; }\\n  .breadcrumb .icon:first-child {\\n    margin-right: 0.5em; }\\n  .breadcrumb .icon:last-child {\\n    margin-left: 0.5em; }\\n  .breadcrumb.is-centered ol,\\n  .breadcrumb.is-centered ul {\\n    justify-content: center; }\\n  .breadcrumb.is-right ol,\\n  .breadcrumb.is-right ul {\\n    justify-content: flex-end; }\\n  .breadcrumb.is-small {\\n    font-size: 0.75rem; }\\n  .breadcrumb.is-medium {\\n    font-size: 1.25rem; }\\n  .breadcrumb.is-large {\\n    font-size: 1.5rem; }\\n  .breadcrumb.has-arrow-separator li + li::before {\\n    content: \\\"\\\\02192\\\"; }\\n  .breadcrumb.has-bullet-separator li + li::before {\\n    content: \\\"\\\\02022\\\"; }\\n  .breadcrumb.has-dot-separator li + li::before {\\n    content: \\\"\\\\000b7\\\"; }\\n  .breadcrumb.has-succeeds-separator li + li::before {\\n    content: \\\"\\\\0227B\\\"; }\\n\\n.card {\\n  background-color: white;\\n  border-radius: 0.25rem;\\n  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);\\n  color: #4a4a4a;\\n  max-width: 100%;\\n  position: relative; }\\n\\n.card-header:first-child, .card-content:first-child, .card-footer:first-child {\\n  border-top-left-radius: 0.25rem;\\n  border-top-right-radius: 0.25rem; }\\n\\n.card-header:last-child, .card-content:last-child, .card-footer:last-child {\\n  border-bottom-left-radius: 0.25rem;\\n  border-bottom-right-radius: 0.25rem; }\\n\\n.card-header {\\n  background-color: transparent;\\n  align-items: stretch;\\n  box-shadow: 0 0.125em 0.25em rgba(10, 10, 10, 0.1);\\n  display: flex; }\\n\\n.card-header-title {\\n  align-items: center;\\n  color: #363636;\\n  display: flex;\\n  flex-grow: 1;\\n  font-weight: 700;\\n  padding: 0.75rem 1rem; }\\n  .card-header-title.is-centered {\\n    justify-content: center; }\\n\\n.card-header-icon {\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  appearance: none;\\n  background: none;\\n  border: none;\\n  color: currentColor;\\n  font-family: inherit;\\n  font-size: 1em;\\n  margin: 0;\\n  padding: 0;\\n  align-items: center;\\n  cursor: pointer;\\n  display: flex;\\n  justify-content: center;\\n  padding: 0.75rem 1rem; }\\n\\n.card-image {\\n  display: block;\\n  position: relative; }\\n  .card-image:first-child img {\\n    border-top-left-radius: 0.25rem;\\n    border-top-right-radius: 0.25rem; }\\n  .card-image:last-child img {\\n    border-bottom-left-radius: 0.25rem;\\n    border-bottom-right-radius: 0.25rem; }\\n\\n.card-content {\\n  background-color: transparent;\\n  padding: 1.5rem; }\\n\\n.card-footer {\\n  background-color: transparent;\\n  border-top: 1px solid #ededed;\\n  align-items: stretch;\\n  display: flex; }\\n\\n.card-footer-item {\\n  align-items: center;\\n  display: flex;\\n  flex-basis: 0;\\n  flex-grow: 1;\\n  flex-shrink: 0;\\n  justify-content: center;\\n  padding: 0.75rem; }\\n  .card-footer-item:not(:last-child) {\\n    border-right: 1px solid #ededed; }\\n\\n.card .media:not(:last-child) {\\n  margin-bottom: 1.5rem; }\\n\\n.dropdown {\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: top; }\\n  .dropdown.is-active .dropdown-menu, .dropdown.is-hoverable:hover .dropdown-menu {\\n    display: block; }\\n  .dropdown.is-right .dropdown-menu {\\n    left: auto;\\n    right: 0; }\\n  .dropdown.is-up .dropdown-menu {\\n    bottom: 100%;\\n    padding-bottom: 4px;\\n    padding-top: initial;\\n    top: auto; }\\n\\n.dropdown-menu {\\n  display: none;\\n  left: 0;\\n  min-width: 12rem;\\n  padding-top: 4px;\\n  position: absolute;\\n  top: 100%;\\n  z-index: 20; }\\n\\n.dropdown-content {\\n  background-color: white;\\n  border-radius: 4px;\\n  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);\\n  padding-bottom: 0.5rem;\\n  padding-top: 0.5rem; }\\n\\n.dropdown-item, .dropdown .dropdown-menu .has-link a {\\n  color: #4a4a4a;\\n  display: block;\\n  font-size: 0.875rem;\\n  line-height: 1.5;\\n  padding: 0.375rem 1rem;\\n  position: relative; }\\n\\na.dropdown-item, .dropdown .dropdown-menu .has-link a,\\nbutton.dropdown-item {\\n  padding-right: 3rem;\\n  text-align: inherit;\\n  white-space: nowrap;\\n  width: 100%; }\\n  a.dropdown-item:hover, .dropdown .dropdown-menu .has-link a:hover,\\n  button.dropdown-item:hover {\\n    background-color: whitesmoke;\\n    color: #0a0a0a; }\\n  a.dropdown-item.is-active, .dropdown .dropdown-menu .has-link a.is-active,\\n  button.dropdown-item.is-active {\\n    background-color: #485fc7;\\n    color: #fff; }\\n\\n.dropdown-divider {\\n  background-color: #ededed;\\n  border: none;\\n  display: block;\\n  height: 1px;\\n  margin: 0.5rem 0; }\\n\\n.level {\\n  align-items: center;\\n  justify-content: space-between; }\\n  .level code {\\n    border-radius: 4px; }\\n  .level img {\\n    display: inline-block;\\n    vertical-align: top; }\\n  .level.is-mobile {\\n    display: flex; }\\n    .level.is-mobile .level-left,\\n    .level.is-mobile .level-right {\\n      display: flex; }\\n    .level.is-mobile .level-left + .level-right {\\n      margin-top: 0; }\\n    .level.is-mobile .level-item:not(:last-child) {\\n      margin-bottom: 0;\\n      margin-right: 0.75rem; }\\n    .level.is-mobile .level-item:not(.is-narrow) {\\n      flex-grow: 1; }\\n  @media screen and (min-width: 769px), print {\\n    .level {\\n      display: flex; }\\n      .level > .level-item:not(.is-narrow) {\\n        flex-grow: 1; } }\\n\\n.level-item {\\n  align-items: center;\\n  display: flex;\\n  flex-basis: auto;\\n  flex-grow: 0;\\n  flex-shrink: 0;\\n  justify-content: center; }\\n  .level-item .title,\\n  .level-item .subtitle {\\n    margin-bottom: 0; }\\n  @media screen and (max-width: 768px) {\\n    .level-item:not(:last-child) {\\n      margin-bottom: 0.75rem; } }\\n\\n.level-left,\\n.level-right {\\n  flex-basis: auto;\\n  flex-grow: 0;\\n  flex-shrink: 0; }\\n  .level-left .level-item.is-flexible,\\n  .level-right .level-item.is-flexible {\\n    flex-grow: 1; }\\n  @media screen and (min-width: 769px), print {\\n    .level-left .level-item:not(:last-child),\\n    .level-right .level-item:not(:last-child) {\\n      margin-right: 0.75rem; } }\\n\\n.level-left {\\n  align-items: center;\\n  justify-content: flex-start; }\\n  @media screen and (max-width: 768px) {\\n    .level-left + .level-right {\\n      margin-top: 1.5rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .level-left {\\n      display: flex; } }\\n\\n.level-right {\\n  align-items: center;\\n  justify-content: flex-end; }\\n  @media screen and (min-width: 769px), print {\\n    .level-right {\\n      display: flex; } }\\n\\n.media {\\n  align-items: flex-start;\\n  display: flex;\\n  text-align: inherit; }\\n  .media .content:not(:last-child) {\\n    margin-bottom: 0.75rem; }\\n  .media .media {\\n    border-top: 1px solid rgba(219, 219, 219, 0.5);\\n    display: flex;\\n    padding-top: 0.75rem; }\\n    .media .media .content:not(:last-child),\\n    .media .media .control:not(:last-child) {\\n      margin-bottom: 0.5rem; }\\n    .media .media .media {\\n      padding-top: 0.5rem; }\\n      .media .media .media + .media {\\n        margin-top: 0.5rem; }\\n  .media + .media {\\n    border-top: 1px solid rgba(219, 219, 219, 0.5);\\n    margin-top: 1rem;\\n    padding-top: 1rem; }\\n  .media.is-large + .media {\\n    margin-top: 1.5rem;\\n    padding-top: 1.5rem; }\\n\\n.media-left,\\n.media-right {\\n  flex-basis: auto;\\n  flex-grow: 0;\\n  flex-shrink: 0; }\\n\\n.media-left {\\n  margin-right: 1rem; }\\n\\n.media-right {\\n  margin-left: 1rem; }\\n\\n.media-content {\\n  flex-basis: auto;\\n  flex-grow: 1;\\n  flex-shrink: 1;\\n  text-align: inherit; }\\n\\n@media screen and (max-width: 768px) {\\n  .media-content {\\n    overflow-x: auto; } }\\n\\n.menu {\\n  font-size: 1rem; }\\n  .menu.is-small {\\n    font-size: 0.75rem; }\\n  .menu.is-medium {\\n    font-size: 1.25rem; }\\n  .menu.is-large {\\n    font-size: 1.5rem; }\\n\\n.menu-list {\\n  line-height: 1.25; }\\n  .menu-list a {\\n    border-radius: 2px;\\n    color: #4a4a4a;\\n    display: block;\\n    padding: 0.5em 0.75em; }\\n    .menu-list a:hover {\\n      background-color: whitesmoke;\\n      color: #363636; }\\n    .menu-list a.is-active {\\n      background-color: #485fc7;\\n      color: #fff; }\\n  .menu-list li ul {\\n    border-left: 1px solid #dbdbdb;\\n    margin: 0.75em;\\n    padding-left: 0.75em; }\\n\\n.menu-label {\\n  color: #7a7a7a;\\n  font-size: 0.75em;\\n  letter-spacing: 0.1em;\\n  text-transform: uppercase; }\\n  .menu-label:not(:first-child) {\\n    margin-top: 1em; }\\n  .menu-label:not(:last-child) {\\n    margin-bottom: 1em; }\\n\\n.message {\\n  background-color: whitesmoke;\\n  border-radius: 4px;\\n  font-size: 1rem; }\\n  .message strong {\\n    color: currentColor; }\\n  .message a:not(.button):not(.tag):not(.dropdown-item) {\\n    color: currentColor;\\n    text-decoration: underline; }\\n  .message.is-small {\\n    font-size: 0.75rem; }\\n  .message.is-medium {\\n    font-size: 1.25rem; }\\n  .message.is-large {\\n    font-size: 1.5rem; }\\n  .message.is-white {\\n    background-color: white; }\\n    .message.is-white .message-header {\\n      background-color: white;\\n      color: #0a0a0a; }\\n    .message.is-white .message-body {\\n      border-color: white; }\\n  .message.is-black {\\n    background-color: #fafafa; }\\n    .message.is-black .message-header {\\n      background-color: #0a0a0a;\\n      color: white; }\\n    .message.is-black .message-body {\\n      border-color: #0a0a0a; }\\n  .message.is-light {\\n    background-color: #fafafa; }\\n    .message.is-light .message-header {\\n      background-color: whitesmoke;\\n      color: #363636; }\\n    .message.is-light .message-body {\\n      border-color: whitesmoke; }\\n  .message.is-dark {\\n    background-color: #fafafa; }\\n    .message.is-dark .message-header {\\n      background-color: #363636;\\n      color: whitesmoke; }\\n    .message.is-dark .message-body {\\n      border-color: #363636; }\\n  .message.is-primary {\\n    background-color: #ecf3fe; }\\n    .message.is-primary .message-header {\\n      background-color: #2276f3;\\n      color: #fff; }\\n    .message.is-primary .message-body {\\n      border-color: #2276f3;\\n      color: #0c5cd5; }\\n  .message.is-link {\\n    background-color: #eff1fa; }\\n    .message.is-link .message-header {\\n      background-color: #485fc7;\\n      color: #fff; }\\n    .message.is-link .message-body {\\n      border-color: #485fc7;\\n      color: #3850b7; }\\n  .message.is-info {\\n    background-color: #eff5fb; }\\n    .message.is-info .message-header {\\n      background-color: #3e8ed0;\\n      color: #fff; }\\n    .message.is-info .message-body {\\n      border-color: #3e8ed0;\\n      color: #296fa8; }\\n  .message.is-success {\\n    background-color: #effaf5; }\\n    .message.is-success .message-header {\\n      background-color: #48c78e;\\n      color: #fff; }\\n    .message.is-success .message-body {\\n      border-color: #48c78e;\\n      color: #257953; }\\n  .message.is-warning {\\n    background-color: #fffaeb; }\\n    .message.is-warning .message-header {\\n      background-color: #ffe08a;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .message.is-warning .message-body {\\n      border-color: #ffe08a;\\n      color: #946c00; }\\n  .message.is-danger {\\n    background-color: #feecf0; }\\n    .message.is-danger .message-header {\\n      background-color: #f14668;\\n      color: #fff; }\\n    .message.is-danger .message-body {\\n      border-color: #f14668;\\n      color: #cc0f35; }\\n  .message.is-twitter {\\n    background-color: #f6fafe; }\\n    .message.is-twitter .message-header {\\n      background-color: #55acee;\\n      color: #fff; }\\n    .message.is-twitter .message-body {\\n      border-color: #55acee; }\\n  .message.is-linkedin {\\n    background-color: #f5fcff; }\\n    .message.is-linkedin .message-header {\\n      background-color: #0077b5;\\n      color: #fff; }\\n    .message.is-linkedin .message-body {\\n      border-color: #0077b5; }\\n  .message.is-github {\\n    background-color: #fafafa; }\\n    .message.is-github .message-header {\\n      background-color: #333;\\n      color: #fff; }\\n    .message.is-github .message-body {\\n      border-color: #333; }\\n\\n.message-header {\\n  align-items: center;\\n  background-color: #4a4a4a;\\n  border-radius: 4px 4px 0 0;\\n  color: #fff;\\n  display: flex;\\n  font-weight: 700;\\n  justify-content: space-between;\\n  line-height: 1.25;\\n  padding: 0.75em 1em;\\n  position: relative; }\\n  .message-header .delete {\\n    flex-grow: 0;\\n    flex-shrink: 0;\\n    margin-left: 0.75em; }\\n  .message-header + .message-body {\\n    border-width: 0;\\n    border-top-left-radius: 0;\\n    border-top-right-radius: 0; }\\n\\n.message-body {\\n  border-color: #dbdbdb;\\n  border-radius: 4px;\\n  border-style: solid;\\n  border-width: 0 0 0 4px;\\n  color: #4a4a4a;\\n  padding: 1.25em 1.5em; }\\n  .message-body code,\\n  .message-body pre {\\n    background-color: white; }\\n  .message-body pre code {\\n    background-color: transparent; }\\n\\n.modal {\\n  align-items: center;\\n  display: none;\\n  flex-direction: column;\\n  justify-content: center;\\n  overflow: hidden;\\n  position: fixed;\\n  z-index: 40; }\\n  .modal.is-active {\\n    display: flex; }\\n\\n.modal-background {\\n  background-color: rgba(10, 10, 10, 0.86); }\\n\\n.modal-content,\\n.modal-card {\\n  margin: 0 20px;\\n  max-height: calc(100vh - 160px);\\n  overflow: auto;\\n  position: relative;\\n  width: 100%; }\\n  @media screen and (min-width: 769px) {\\n    .modal-content,\\n    .modal-card {\\n      margin: 0 auto;\\n      max-height: calc(100vh - 40px);\\n      width: 640px; } }\\n\\n.modal-close {\\n  background: none;\\n  height: 40px;\\n  position: fixed;\\n  right: 20px;\\n  top: 20px;\\n  width: 40px; }\\n\\n.modal-card {\\n  display: flex;\\n  flex-direction: column;\\n  max-height: calc(100vh - 40px);\\n  overflow: hidden;\\n  -ms-overflow-y: visible; }\\n\\n.modal-card-head,\\n.modal-card-foot {\\n  align-items: center;\\n  background-color: whitesmoke;\\n  display: flex;\\n  flex-shrink: 0;\\n  justify-content: flex-start;\\n  padding: 20px;\\n  position: relative; }\\n\\n.modal-card-head {\\n  border-bottom: 1px solid #dbdbdb;\\n  border-top-left-radius: 6px;\\n  border-top-right-radius: 6px; }\\n\\n.modal-card-title {\\n  color: #363636;\\n  flex-grow: 1;\\n  flex-shrink: 0;\\n  font-size: 1.5rem;\\n  line-height: 1; }\\n\\n.modal-card-foot {\\n  border-bottom-left-radius: 6px;\\n  border-bottom-right-radius: 6px;\\n  border-top: 1px solid #dbdbdb; }\\n  .modal-card-foot .button:not(:last-child) {\\n    margin-right: 0.5em; }\\n\\n.modal-card-body {\\n  -webkit-overflow-scrolling: touch;\\n  background-color: white;\\n  flex-grow: 1;\\n  flex-shrink: 1;\\n  overflow: auto;\\n  padding: 20px; }\\n\\n.navbar {\\n  background-color: white;\\n  min-height: 3.25rem;\\n  position: relative;\\n  z-index: 30; }\\n  .navbar.is-white {\\n    background-color: white;\\n    color: #0a0a0a; }\\n    .navbar.is-white .navbar-brand > .navbar-item,\\n    .navbar.is-white .navbar-brand .navbar-link {\\n      color: #0a0a0a; }\\n    .navbar.is-white .navbar-brand > a.navbar-item:focus, .navbar.is-white .navbar-brand > a.navbar-item:hover, .navbar.is-white .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-white .navbar-brand .navbar-link:focus,\\n    .navbar.is-white .navbar-brand .navbar-link:hover,\\n    .navbar.is-white .navbar-brand .navbar-link.is-active {\\n      background-color: #f2f2f2;\\n      color: #0a0a0a; }\\n    .navbar.is-white .navbar-brand .navbar-link::after {\\n      border-color: #0a0a0a; }\\n    .navbar.is-white .navbar-burger {\\n      color: #0a0a0a; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-white .navbar-start > .navbar-item,\\n      .navbar.is-white .navbar-start .navbar-link,\\n      .navbar.is-white .navbar-end > .navbar-item,\\n      .navbar.is-white .navbar-end .navbar-link {\\n        color: #0a0a0a; }\\n      .navbar.is-white .navbar-start > a.navbar-item:focus, .navbar.is-white .navbar-start > a.navbar-item:hover, .navbar.is-white .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-white .navbar-start .navbar-link:focus,\\n      .navbar.is-white .navbar-start .navbar-link:hover,\\n      .navbar.is-white .navbar-start .navbar-link.is-active,\\n      .navbar.is-white .navbar-end > a.navbar-item:focus,\\n      .navbar.is-white .navbar-end > a.navbar-item:hover,\\n      .navbar.is-white .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-white .navbar-end .navbar-link:focus,\\n      .navbar.is-white .navbar-end .navbar-link:hover,\\n      .navbar.is-white .navbar-end .navbar-link.is-active {\\n        background-color: #f2f2f2;\\n        color: #0a0a0a; }\\n      .navbar.is-white .navbar-start .navbar-link::after,\\n      .navbar.is-white .navbar-end .navbar-link::after {\\n        border-color: #0a0a0a; }\\n      .navbar.is-white .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-white .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-white .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #f2f2f2;\\n        color: #0a0a0a; }\\n      .navbar.is-white .navbar-dropdown a.navbar-item.is-active {\\n        background-color: white;\\n        color: #0a0a0a; } }\\n  .navbar.is-black {\\n    background-color: #0a0a0a;\\n    color: white; }\\n    .navbar.is-black .navbar-brand > .navbar-item,\\n    .navbar.is-black .navbar-brand .navbar-link {\\n      color: white; }\\n    .navbar.is-black .navbar-brand > a.navbar-item:focus, .navbar.is-black .navbar-brand > a.navbar-item:hover, .navbar.is-black .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-black .navbar-brand .navbar-link:focus,\\n    .navbar.is-black .navbar-brand .navbar-link:hover,\\n    .navbar.is-black .navbar-brand .navbar-link.is-active {\\n      background-color: black;\\n      color: white; }\\n    .navbar.is-black .navbar-brand .navbar-link::after {\\n      border-color: white; }\\n    .navbar.is-black .navbar-burger {\\n      color: white; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-black .navbar-start > .navbar-item,\\n      .navbar.is-black .navbar-start .navbar-link,\\n      .navbar.is-black .navbar-end > .navbar-item,\\n      .navbar.is-black .navbar-end .navbar-link {\\n        color: white; }\\n      .navbar.is-black .navbar-start > a.navbar-item:focus, .navbar.is-black .navbar-start > a.navbar-item:hover, .navbar.is-black .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-black .navbar-start .navbar-link:focus,\\n      .navbar.is-black .navbar-start .navbar-link:hover,\\n      .navbar.is-black .navbar-start .navbar-link.is-active,\\n      .navbar.is-black .navbar-end > a.navbar-item:focus,\\n      .navbar.is-black .navbar-end > a.navbar-item:hover,\\n      .navbar.is-black .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-black .navbar-end .navbar-link:focus,\\n      .navbar.is-black .navbar-end .navbar-link:hover,\\n      .navbar.is-black .navbar-end .navbar-link.is-active {\\n        background-color: black;\\n        color: white; }\\n      .navbar.is-black .navbar-start .navbar-link::after,\\n      .navbar.is-black .navbar-end .navbar-link::after {\\n        border-color: white; }\\n      .navbar.is-black .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-black .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-black .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: black;\\n        color: white; }\\n      .navbar.is-black .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #0a0a0a;\\n        color: white; } }\\n  .navbar.is-light {\\n    background-color: whitesmoke;\\n    color: #363636; }\\n    .navbar.is-light .navbar-brand > .navbar-item,\\n    .navbar.is-light .navbar-brand .navbar-link {\\n      color: #363636; }\\n    .navbar.is-light .navbar-brand > a.navbar-item:focus, .navbar.is-light .navbar-brand > a.navbar-item:hover, .navbar.is-light .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-light .navbar-brand .navbar-link:focus,\\n    .navbar.is-light .navbar-brand .navbar-link:hover,\\n    .navbar.is-light .navbar-brand .navbar-link.is-active {\\n      background-color: #e8e8e8;\\n      color: #363636; }\\n    .navbar.is-light .navbar-brand .navbar-link::after {\\n      border-color: #363636; }\\n    .navbar.is-light .navbar-burger {\\n      color: #363636; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-light .navbar-start > .navbar-item,\\n      .navbar.is-light .navbar-start .navbar-link,\\n      .navbar.is-light .navbar-end > .navbar-item,\\n      .navbar.is-light .navbar-end .navbar-link {\\n        color: #363636; }\\n      .navbar.is-light .navbar-start > a.navbar-item:focus, .navbar.is-light .navbar-start > a.navbar-item:hover, .navbar.is-light .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-light .navbar-start .navbar-link:focus,\\n      .navbar.is-light .navbar-start .navbar-link:hover,\\n      .navbar.is-light .navbar-start .navbar-link.is-active,\\n      .navbar.is-light .navbar-end > a.navbar-item:focus,\\n      .navbar.is-light .navbar-end > a.navbar-item:hover,\\n      .navbar.is-light .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-light .navbar-end .navbar-link:focus,\\n      .navbar.is-light .navbar-end .navbar-link:hover,\\n      .navbar.is-light .navbar-end .navbar-link.is-active {\\n        background-color: #e8e8e8;\\n        color: #363636; }\\n      .navbar.is-light .navbar-start .navbar-link::after,\\n      .navbar.is-light .navbar-end .navbar-link::after {\\n        border-color: #363636; }\\n      .navbar.is-light .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-light .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-light .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #e8e8e8;\\n        color: #363636; }\\n      .navbar.is-light .navbar-dropdown a.navbar-item.is-active {\\n        background-color: whitesmoke;\\n        color: #363636; } }\\n  .navbar.is-dark {\\n    background-color: #363636;\\n    color: whitesmoke; }\\n    .navbar.is-dark .navbar-brand > .navbar-item,\\n    .navbar.is-dark .navbar-brand .navbar-link {\\n      color: whitesmoke; }\\n    .navbar.is-dark .navbar-brand > a.navbar-item:focus, .navbar.is-dark .navbar-brand > a.navbar-item:hover, .navbar.is-dark .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-dark .navbar-brand .navbar-link:focus,\\n    .navbar.is-dark .navbar-brand .navbar-link:hover,\\n    .navbar.is-dark .navbar-brand .navbar-link.is-active {\\n      background-color: #292929;\\n      color: whitesmoke; }\\n    .navbar.is-dark .navbar-brand .navbar-link::after {\\n      border-color: whitesmoke; }\\n    .navbar.is-dark .navbar-burger {\\n      color: whitesmoke; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-dark .navbar-start > .navbar-item,\\n      .navbar.is-dark .navbar-start .navbar-link,\\n      .navbar.is-dark .navbar-end > .navbar-item,\\n      .navbar.is-dark .navbar-end .navbar-link {\\n        color: whitesmoke; }\\n      .navbar.is-dark .navbar-start > a.navbar-item:focus, .navbar.is-dark .navbar-start > a.navbar-item:hover, .navbar.is-dark .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-dark .navbar-start .navbar-link:focus,\\n      .navbar.is-dark .navbar-start .navbar-link:hover,\\n      .navbar.is-dark .navbar-start .navbar-link.is-active,\\n      .navbar.is-dark .navbar-end > a.navbar-item:focus,\\n      .navbar.is-dark .navbar-end > a.navbar-item:hover,\\n      .navbar.is-dark .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-dark .navbar-end .navbar-link:focus,\\n      .navbar.is-dark .navbar-end .navbar-link:hover,\\n      .navbar.is-dark .navbar-end .navbar-link.is-active {\\n        background-color: #292929;\\n        color: whitesmoke; }\\n      .navbar.is-dark .navbar-start .navbar-link::after,\\n      .navbar.is-dark .navbar-end .navbar-link::after {\\n        border-color: whitesmoke; }\\n      .navbar.is-dark .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-dark .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-dark .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #292929;\\n        color: whitesmoke; }\\n      .navbar.is-dark .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #363636;\\n        color: whitesmoke; } }\\n  .navbar.is-primary {\\n    background-color: #2276f3;\\n    color: #fff; }\\n    .navbar.is-primary .navbar-brand > .navbar-item,\\n    .navbar.is-primary .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-primary .navbar-brand > a.navbar-item:focus, .navbar.is-primary .navbar-brand > a.navbar-item:hover, .navbar.is-primary .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-primary .navbar-brand .navbar-link:focus,\\n    .navbar.is-primary .navbar-brand .navbar-link:hover,\\n    .navbar.is-primary .navbar-brand .navbar-link.is-active {\\n      background-color: #0d68ef;\\n      color: #fff; }\\n    .navbar.is-primary .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-primary .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-primary .navbar-start > .navbar-item,\\n      .navbar.is-primary .navbar-start .navbar-link,\\n      .navbar.is-primary .navbar-end > .navbar-item,\\n      .navbar.is-primary .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-primary .navbar-start > a.navbar-item:focus, .navbar.is-primary .navbar-start > a.navbar-item:hover, .navbar.is-primary .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-primary .navbar-start .navbar-link:focus,\\n      .navbar.is-primary .navbar-start .navbar-link:hover,\\n      .navbar.is-primary .navbar-start .navbar-link.is-active,\\n      .navbar.is-primary .navbar-end > a.navbar-item:focus,\\n      .navbar.is-primary .navbar-end > a.navbar-item:hover,\\n      .navbar.is-primary .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-primary .navbar-end .navbar-link:focus,\\n      .navbar.is-primary .navbar-end .navbar-link:hover,\\n      .navbar.is-primary .navbar-end .navbar-link.is-active {\\n        background-color: #0d68ef;\\n        color: #fff; }\\n      .navbar.is-primary .navbar-start .navbar-link::after,\\n      .navbar.is-primary .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-primary .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-primary .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-primary .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #0d68ef;\\n        color: #fff; }\\n      .navbar.is-primary .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #2276f3;\\n        color: #fff; } }\\n  .navbar.is-link {\\n    background-color: #485fc7;\\n    color: #fff; }\\n    .navbar.is-link .navbar-brand > .navbar-item,\\n    .navbar.is-link .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-link .navbar-brand > a.navbar-item:focus, .navbar.is-link .navbar-brand > a.navbar-item:hover, .navbar.is-link .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-link .navbar-brand .navbar-link:focus,\\n    .navbar.is-link .navbar-brand .navbar-link:hover,\\n    .navbar.is-link .navbar-brand .navbar-link.is-active {\\n      background-color: #3a51bb;\\n      color: #fff; }\\n    .navbar.is-link .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-link .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-link .navbar-start > .navbar-item,\\n      .navbar.is-link .navbar-start .navbar-link,\\n      .navbar.is-link .navbar-end > .navbar-item,\\n      .navbar.is-link .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-link .navbar-start > a.navbar-item:focus, .navbar.is-link .navbar-start > a.navbar-item:hover, .navbar.is-link .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-link .navbar-start .navbar-link:focus,\\n      .navbar.is-link .navbar-start .navbar-link:hover,\\n      .navbar.is-link .navbar-start .navbar-link.is-active,\\n      .navbar.is-link .navbar-end > a.navbar-item:focus,\\n      .navbar.is-link .navbar-end > a.navbar-item:hover,\\n      .navbar.is-link .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-link .navbar-end .navbar-link:focus,\\n      .navbar.is-link .navbar-end .navbar-link:hover,\\n      .navbar.is-link .navbar-end .navbar-link.is-active {\\n        background-color: #3a51bb;\\n        color: #fff; }\\n      .navbar.is-link .navbar-start .navbar-link::after,\\n      .navbar.is-link .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-link .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-link .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-link .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #3a51bb;\\n        color: #fff; }\\n      .navbar.is-link .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #485fc7;\\n        color: #fff; } }\\n  .navbar.is-info {\\n    background-color: #3e8ed0;\\n    color: #fff; }\\n    .navbar.is-info .navbar-brand > .navbar-item,\\n    .navbar.is-info .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-info .navbar-brand > a.navbar-item:focus, .navbar.is-info .navbar-brand > a.navbar-item:hover, .navbar.is-info .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-info .navbar-brand .navbar-link:focus,\\n    .navbar.is-info .navbar-brand .navbar-link:hover,\\n    .navbar.is-info .navbar-brand .navbar-link.is-active {\\n      background-color: #3082c5;\\n      color: #fff; }\\n    .navbar.is-info .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-info .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-info .navbar-start > .navbar-item,\\n      .navbar.is-info .navbar-start .navbar-link,\\n      .navbar.is-info .navbar-end > .navbar-item,\\n      .navbar.is-info .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-info .navbar-start > a.navbar-item:focus, .navbar.is-info .navbar-start > a.navbar-item:hover, .navbar.is-info .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-info .navbar-start .navbar-link:focus,\\n      .navbar.is-info .navbar-start .navbar-link:hover,\\n      .navbar.is-info .navbar-start .navbar-link.is-active,\\n      .navbar.is-info .navbar-end > a.navbar-item:focus,\\n      .navbar.is-info .navbar-end > a.navbar-item:hover,\\n      .navbar.is-info .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-info .navbar-end .navbar-link:focus,\\n      .navbar.is-info .navbar-end .navbar-link:hover,\\n      .navbar.is-info .navbar-end .navbar-link.is-active {\\n        background-color: #3082c5;\\n        color: #fff; }\\n      .navbar.is-info .navbar-start .navbar-link::after,\\n      .navbar.is-info .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-info .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-info .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-info .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #3082c5;\\n        color: #fff; }\\n      .navbar.is-info .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #3e8ed0;\\n        color: #fff; } }\\n  .navbar.is-success {\\n    background-color: #48c78e;\\n    color: #fff; }\\n    .navbar.is-success .navbar-brand > .navbar-item,\\n    .navbar.is-success .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-success .navbar-brand > a.navbar-item:focus, .navbar.is-success .navbar-brand > a.navbar-item:hover, .navbar.is-success .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-success .navbar-brand .navbar-link:focus,\\n    .navbar.is-success .navbar-brand .navbar-link:hover,\\n    .navbar.is-success .navbar-brand .navbar-link.is-active {\\n      background-color: #3abb81;\\n      color: #fff; }\\n    .navbar.is-success .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-success .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-success .navbar-start > .navbar-item,\\n      .navbar.is-success .navbar-start .navbar-link,\\n      .navbar.is-success .navbar-end > .navbar-item,\\n      .navbar.is-success .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-success .navbar-start > a.navbar-item:focus, .navbar.is-success .navbar-start > a.navbar-item:hover, .navbar.is-success .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-success .navbar-start .navbar-link:focus,\\n      .navbar.is-success .navbar-start .navbar-link:hover,\\n      .navbar.is-success .navbar-start .navbar-link.is-active,\\n      .navbar.is-success .navbar-end > a.navbar-item:focus,\\n      .navbar.is-success .navbar-end > a.navbar-item:hover,\\n      .navbar.is-success .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-success .navbar-end .navbar-link:focus,\\n      .navbar.is-success .navbar-end .navbar-link:hover,\\n      .navbar.is-success .navbar-end .navbar-link.is-active {\\n        background-color: #3abb81;\\n        color: #fff; }\\n      .navbar.is-success .navbar-start .navbar-link::after,\\n      .navbar.is-success .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-success .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-success .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-success .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #3abb81;\\n        color: #fff; }\\n      .navbar.is-success .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #48c78e;\\n        color: #fff; } }\\n  .navbar.is-warning {\\n    background-color: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n    .navbar.is-warning .navbar-brand > .navbar-item,\\n    .navbar.is-warning .navbar-brand .navbar-link {\\n      color: rgba(0, 0, 0, 0.7); }\\n    .navbar.is-warning .navbar-brand > a.navbar-item:focus, .navbar.is-warning .navbar-brand > a.navbar-item:hover, .navbar.is-warning .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-warning .navbar-brand .navbar-link:focus,\\n    .navbar.is-warning .navbar-brand .navbar-link:hover,\\n    .navbar.is-warning .navbar-brand .navbar-link.is-active {\\n      background-color: #ffd970;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .navbar.is-warning .navbar-brand .navbar-link::after {\\n      border-color: rgba(0, 0, 0, 0.7); }\\n    .navbar.is-warning .navbar-burger {\\n      color: rgba(0, 0, 0, 0.7); }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-warning .navbar-start > .navbar-item,\\n      .navbar.is-warning .navbar-start .navbar-link,\\n      .navbar.is-warning .navbar-end > .navbar-item,\\n      .navbar.is-warning .navbar-end .navbar-link {\\n        color: rgba(0, 0, 0, 0.7); }\\n      .navbar.is-warning .navbar-start > a.navbar-item:focus, .navbar.is-warning .navbar-start > a.navbar-item:hover, .navbar.is-warning .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-warning .navbar-start .navbar-link:focus,\\n      .navbar.is-warning .navbar-start .navbar-link:hover,\\n      .navbar.is-warning .navbar-start .navbar-link.is-active,\\n      .navbar.is-warning .navbar-end > a.navbar-item:focus,\\n      .navbar.is-warning .navbar-end > a.navbar-item:hover,\\n      .navbar.is-warning .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-warning .navbar-end .navbar-link:focus,\\n      .navbar.is-warning .navbar-end .navbar-link:hover,\\n      .navbar.is-warning .navbar-end .navbar-link.is-active {\\n        background-color: #ffd970;\\n        color: rgba(0, 0, 0, 0.7); }\\n      .navbar.is-warning .navbar-start .navbar-link::after,\\n      .navbar.is-warning .navbar-end .navbar-link::after {\\n        border-color: rgba(0, 0, 0, 0.7); }\\n      .navbar.is-warning .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-warning .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-warning .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #ffd970;\\n        color: rgba(0, 0, 0, 0.7); }\\n      .navbar.is-warning .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #ffe08a;\\n        color: rgba(0, 0, 0, 0.7); } }\\n  .navbar.is-danger {\\n    background-color: #f14668;\\n    color: #fff; }\\n    .navbar.is-danger .navbar-brand > .navbar-item,\\n    .navbar.is-danger .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-danger .navbar-brand > a.navbar-item:focus, .navbar.is-danger .navbar-brand > a.navbar-item:hover, .navbar.is-danger .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-danger .navbar-brand .navbar-link:focus,\\n    .navbar.is-danger .navbar-brand .navbar-link:hover,\\n    .navbar.is-danger .navbar-brand .navbar-link.is-active {\\n      background-color: #ef2e55;\\n      color: #fff; }\\n    .navbar.is-danger .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-danger .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-danger .navbar-start > .navbar-item,\\n      .navbar.is-danger .navbar-start .navbar-link,\\n      .navbar.is-danger .navbar-end > .navbar-item,\\n      .navbar.is-danger .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-danger .navbar-start > a.navbar-item:focus, .navbar.is-danger .navbar-start > a.navbar-item:hover, .navbar.is-danger .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-danger .navbar-start .navbar-link:focus,\\n      .navbar.is-danger .navbar-start .navbar-link:hover,\\n      .navbar.is-danger .navbar-start .navbar-link.is-active,\\n      .navbar.is-danger .navbar-end > a.navbar-item:focus,\\n      .navbar.is-danger .navbar-end > a.navbar-item:hover,\\n      .navbar.is-danger .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-danger .navbar-end .navbar-link:focus,\\n      .navbar.is-danger .navbar-end .navbar-link:hover,\\n      .navbar.is-danger .navbar-end .navbar-link.is-active {\\n        background-color: #ef2e55;\\n        color: #fff; }\\n      .navbar.is-danger .navbar-start .navbar-link::after,\\n      .navbar.is-danger .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-danger .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-danger .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-danger .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #ef2e55;\\n        color: #fff; }\\n      .navbar.is-danger .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #f14668;\\n        color: #fff; } }\\n  .navbar.is-twitter {\\n    background-color: #55acee;\\n    color: #fff; }\\n    .navbar.is-twitter .navbar-brand > .navbar-item,\\n    .navbar.is-twitter .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-twitter .navbar-brand > a.navbar-item:focus, .navbar.is-twitter .navbar-brand > a.navbar-item:hover, .navbar.is-twitter .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-twitter .navbar-brand .navbar-link:focus,\\n    .navbar.is-twitter .navbar-brand .navbar-link:hover,\\n    .navbar.is-twitter .navbar-brand .navbar-link.is-active {\\n      background-color: #3ea1ec;\\n      color: #fff; }\\n    .navbar.is-twitter .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-twitter .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-twitter .navbar-start > .navbar-item,\\n      .navbar.is-twitter .navbar-start .navbar-link,\\n      .navbar.is-twitter .navbar-end > .navbar-item,\\n      .navbar.is-twitter .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-twitter .navbar-start > a.navbar-item:focus, .navbar.is-twitter .navbar-start > a.navbar-item:hover, .navbar.is-twitter .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-twitter .navbar-start .navbar-link:focus,\\n      .navbar.is-twitter .navbar-start .navbar-link:hover,\\n      .navbar.is-twitter .navbar-start .navbar-link.is-active,\\n      .navbar.is-twitter .navbar-end > a.navbar-item:focus,\\n      .navbar.is-twitter .navbar-end > a.navbar-item:hover,\\n      .navbar.is-twitter .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-twitter .navbar-end .navbar-link:focus,\\n      .navbar.is-twitter .navbar-end .navbar-link:hover,\\n      .navbar.is-twitter .navbar-end .navbar-link.is-active {\\n        background-color: #3ea1ec;\\n        color: #fff; }\\n      .navbar.is-twitter .navbar-start .navbar-link::after,\\n      .navbar.is-twitter .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-twitter .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-twitter .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-twitter .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #3ea1ec;\\n        color: #fff; }\\n      .navbar.is-twitter .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #55acee;\\n        color: #fff; } }\\n  .navbar.is-linkedin {\\n    background-color: #0077b5;\\n    color: #fff; }\\n    .navbar.is-linkedin .navbar-brand > .navbar-item,\\n    .navbar.is-linkedin .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-linkedin .navbar-brand > a.navbar-item:focus, .navbar.is-linkedin .navbar-brand > a.navbar-item:hover, .navbar.is-linkedin .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-linkedin .navbar-brand .navbar-link:focus,\\n    .navbar.is-linkedin .navbar-brand .navbar-link:hover,\\n    .navbar.is-linkedin .navbar-brand .navbar-link.is-active {\\n      background-color: #00669c;\\n      color: #fff; }\\n    .navbar.is-linkedin .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-linkedin .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-linkedin .navbar-start > .navbar-item,\\n      .navbar.is-linkedin .navbar-start .navbar-link,\\n      .navbar.is-linkedin .navbar-end > .navbar-item,\\n      .navbar.is-linkedin .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-linkedin .navbar-start > a.navbar-item:focus, .navbar.is-linkedin .navbar-start > a.navbar-item:hover, .navbar.is-linkedin .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-linkedin .navbar-start .navbar-link:focus,\\n      .navbar.is-linkedin .navbar-start .navbar-link:hover,\\n      .navbar.is-linkedin .navbar-start .navbar-link.is-active,\\n      .navbar.is-linkedin .navbar-end > a.navbar-item:focus,\\n      .navbar.is-linkedin .navbar-end > a.navbar-item:hover,\\n      .navbar.is-linkedin .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-linkedin .navbar-end .navbar-link:focus,\\n      .navbar.is-linkedin .navbar-end .navbar-link:hover,\\n      .navbar.is-linkedin .navbar-end .navbar-link.is-active {\\n        background-color: #00669c;\\n        color: #fff; }\\n      .navbar.is-linkedin .navbar-start .navbar-link::after,\\n      .navbar.is-linkedin .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-linkedin .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-linkedin .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-linkedin .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #00669c;\\n        color: #fff; }\\n      .navbar.is-linkedin .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #0077b5;\\n        color: #fff; } }\\n  .navbar.is-github {\\n    background-color: #333;\\n    color: #fff; }\\n    .navbar.is-github .navbar-brand > .navbar-item,\\n    .navbar.is-github .navbar-brand .navbar-link {\\n      color: #fff; }\\n    .navbar.is-github .navbar-brand > a.navbar-item:focus, .navbar.is-github .navbar-brand > a.navbar-item:hover, .navbar.is-github .navbar-brand > a.navbar-item.is-active,\\n    .navbar.is-github .navbar-brand .navbar-link:focus,\\n    .navbar.is-github .navbar-brand .navbar-link:hover,\\n    .navbar.is-github .navbar-brand .navbar-link.is-active {\\n      background-color: #262626;\\n      color: #fff; }\\n    .navbar.is-github .navbar-brand .navbar-link::after {\\n      border-color: #fff; }\\n    .navbar.is-github .navbar-burger {\\n      color: #fff; }\\n    @media screen and (min-width: 1024px) {\\n      .navbar.is-github .navbar-start > .navbar-item,\\n      .navbar.is-github .navbar-start .navbar-link,\\n      .navbar.is-github .navbar-end > .navbar-item,\\n      .navbar.is-github .navbar-end .navbar-link {\\n        color: #fff; }\\n      .navbar.is-github .navbar-start > a.navbar-item:focus, .navbar.is-github .navbar-start > a.navbar-item:hover, .navbar.is-github .navbar-start > a.navbar-item.is-active,\\n      .navbar.is-github .navbar-start .navbar-link:focus,\\n      .navbar.is-github .navbar-start .navbar-link:hover,\\n      .navbar.is-github .navbar-start .navbar-link.is-active,\\n      .navbar.is-github .navbar-end > a.navbar-item:focus,\\n      .navbar.is-github .navbar-end > a.navbar-item:hover,\\n      .navbar.is-github .navbar-end > a.navbar-item.is-active,\\n      .navbar.is-github .navbar-end .navbar-link:focus,\\n      .navbar.is-github .navbar-end .navbar-link:hover,\\n      .navbar.is-github .navbar-end .navbar-link.is-active {\\n        background-color: #262626;\\n        color: #fff; }\\n      .navbar.is-github .navbar-start .navbar-link::after,\\n      .navbar.is-github .navbar-end .navbar-link::after {\\n        border-color: #fff; }\\n      .navbar.is-github .navbar-item.has-dropdown:focus .navbar-link,\\n      .navbar.is-github .navbar-item.has-dropdown:hover .navbar-link,\\n      .navbar.is-github .navbar-item.has-dropdown.is-active .navbar-link {\\n        background-color: #262626;\\n        color: #fff; }\\n      .navbar.is-github .navbar-dropdown a.navbar-item.is-active {\\n        background-color: #333;\\n        color: #fff; } }\\n  .navbar > .container {\\n    align-items: stretch;\\n    display: flex;\\n    min-height: 3.25rem;\\n    width: 100%; }\\n  .navbar.has-shadow {\\n    box-shadow: 0 2px 0 0 whitesmoke; }\\n  .navbar.is-fixed-bottom, .navbar.is-fixed-top {\\n    left: 0;\\n    position: fixed;\\n    right: 0;\\n    z-index: 30; }\\n  .navbar.is-fixed-bottom {\\n    bottom: 0; }\\n    .navbar.is-fixed-bottom.has-shadow {\\n      box-shadow: 0 -2px 0 0 whitesmoke; }\\n  .navbar.is-fixed-top {\\n    top: 0; }\\n\\nhtml.has-navbar-fixed-top,\\nbody.has-navbar-fixed-top {\\n  padding-top: 3.25rem; }\\n\\nhtml.has-navbar-fixed-bottom,\\nbody.has-navbar-fixed-bottom {\\n  padding-bottom: 3.25rem; }\\n\\n.navbar-brand,\\n.navbar-tabs {\\n  align-items: stretch;\\n  display: flex;\\n  flex-shrink: 0;\\n  min-height: 3.25rem; }\\n\\n.navbar-brand a.navbar-item:focus, .navbar-brand a.navbar-item:hover {\\n  background-color: transparent; }\\n\\n.navbar-tabs {\\n  -webkit-overflow-scrolling: touch;\\n  max-width: 100vw;\\n  overflow-x: auto;\\n  overflow-y: hidden; }\\n\\n.navbar-burger {\\n  color: #4a4a4a;\\n  cursor: pointer;\\n  display: block;\\n  height: 3.25rem;\\n  position: relative;\\n  width: 3.25rem;\\n  margin-left: auto; }\\n  .navbar-burger span {\\n    background-color: currentColor;\\n    display: block;\\n    height: 1px;\\n    left: calc(50% - 8px);\\n    position: absolute;\\n    transform-origin: center;\\n    transition-duration: 86ms;\\n    transition-property: background-color, opacity, transform;\\n    transition-timing-function: ease-out;\\n    width: 16px; }\\n    .navbar-burger span:nth-child(1) {\\n      top: calc(50% - 6px); }\\n    .navbar-burger span:nth-child(2) {\\n      top: calc(50% - 1px); }\\n    .navbar-burger span:nth-child(3) {\\n      top: calc(50% + 4px); }\\n  .navbar-burger:hover {\\n    background-color: rgba(0, 0, 0, 0.05); }\\n  .navbar-burger.is-active span:nth-child(1) {\\n    transform: translateY(5px) rotate(45deg); }\\n  .navbar-burger.is-active span:nth-child(2) {\\n    opacity: 0; }\\n  .navbar-burger.is-active span:nth-child(3) {\\n    transform: translateY(-5px) rotate(-45deg); }\\n\\n.navbar-menu {\\n  display: none; }\\n\\n.navbar-item,\\n.navbar-link {\\n  color: #4a4a4a;\\n  display: block;\\n  line-height: 1.5;\\n  padding: 0.5rem 0.75rem;\\n  position: relative; }\\n  .navbar-item .icon:only-child,\\n  .navbar-link .icon:only-child {\\n    margin-left: -0.25rem;\\n    margin-right: -0.25rem; }\\n\\na.navbar-item,\\n.navbar-link {\\n  cursor: pointer; }\\n  a.navbar-item:focus, a.navbar-item:focus-within, a.navbar-item:hover, a.navbar-item.is-active,\\n  .navbar-link:focus,\\n  .navbar-link:focus-within,\\n  .navbar-link:hover,\\n  .navbar-link.is-active {\\n    background-color: #fafafa;\\n    color: #485fc7; }\\n\\n.navbar-item {\\n  flex-grow: 0;\\n  flex-shrink: 0; }\\n  .navbar-item img {\\n    max-height: 1.75rem; }\\n  .navbar-item.has-dropdown {\\n    padding: 0; }\\n  .navbar-item.is-expanded {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n  .navbar-item.is-tab {\\n    border-bottom: 1px solid transparent;\\n    min-height: 3.25rem;\\n    padding-bottom: calc(0.5rem - 1px); }\\n    .navbar-item.is-tab:focus, .navbar-item.is-tab:hover {\\n      background-color: transparent;\\n      border-bottom-color: #485fc7; }\\n    .navbar-item.is-tab.is-active {\\n      background-color: transparent;\\n      border-bottom-color: #485fc7;\\n      border-bottom-style: solid;\\n      border-bottom-width: 3px;\\n      color: #485fc7;\\n      padding-bottom: calc(0.5rem - 3px); }\\n\\n.navbar-content {\\n  flex-grow: 1;\\n  flex-shrink: 1; }\\n\\n.navbar-link:not(.is-arrowless) {\\n  padding-right: 2.5em; }\\n  .navbar-link:not(.is-arrowless)::after {\\n    border-color: #485fc7;\\n    margin-top: -0.375em;\\n    right: 1.125em; }\\n\\n.navbar-dropdown {\\n  font-size: 0.875rem;\\n  padding-bottom: 0.5rem;\\n  padding-top: 0.5rem; }\\n  .navbar-dropdown .navbar-item {\\n    padding-left: 1.5rem;\\n    padding-right: 1.5rem; }\\n\\n.navbar-divider {\\n  background-color: whitesmoke;\\n  border: none;\\n  display: none;\\n  height: 2px;\\n  margin: 0.5rem 0; }\\n\\n@media screen and (max-width: 1023px) {\\n  .navbar > .container {\\n    display: block; }\\n  .navbar-brand .navbar-item,\\n  .navbar-tabs .navbar-item {\\n    align-items: center;\\n    display: flex; }\\n  .navbar-link::after {\\n    display: none; }\\n  .navbar-menu {\\n    background-color: white;\\n    box-shadow: 0 8px 16px rgba(10, 10, 10, 0.1);\\n    padding: 0.5rem 0; }\\n    .navbar-menu.is-active {\\n      display: block; }\\n  .navbar.is-fixed-bottom-touch, .navbar.is-fixed-top-touch {\\n    left: 0;\\n    position: fixed;\\n    right: 0;\\n    z-index: 30; }\\n  .navbar.is-fixed-bottom-touch {\\n    bottom: 0; }\\n    .navbar.is-fixed-bottom-touch.has-shadow {\\n      box-shadow: 0 -2px 3px rgba(10, 10, 10, 0.1); }\\n  .navbar.is-fixed-top-touch {\\n    top: 0; }\\n  .navbar.is-fixed-top .navbar-menu, .navbar.is-fixed-top-touch .navbar-menu {\\n    -webkit-overflow-scrolling: touch;\\n    max-height: calc(100vh - 3.25rem);\\n    overflow: auto; }\\n  html.has-navbar-fixed-top-touch,\\n  body.has-navbar-fixed-top-touch {\\n    padding-top: 3.25rem; }\\n  html.has-navbar-fixed-bottom-touch,\\n  body.has-navbar-fixed-bottom-touch {\\n    padding-bottom: 3.25rem; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .navbar,\\n  .navbar-menu,\\n  .navbar-start,\\n  .navbar-end {\\n    align-items: stretch;\\n    display: flex; }\\n  .navbar {\\n    min-height: 3.25rem; }\\n    .navbar.is-spaced {\\n      padding: 1rem 2rem; }\\n      .navbar.is-spaced .navbar-start,\\n      .navbar.is-spaced .navbar-end {\\n        align-items: center; }\\n      .navbar.is-spaced a.navbar-item,\\n      .navbar.is-spaced .navbar-link {\\n        border-radius: 4px; }\\n    .navbar.is-transparent a.navbar-item:focus, .navbar.is-transparent a.navbar-item:hover, .navbar.is-transparent a.navbar-item.is-active,\\n    .navbar.is-transparent .navbar-link:focus,\\n    .navbar.is-transparent .navbar-link:hover,\\n    .navbar.is-transparent .navbar-link.is-active {\\n      background-color: transparent !important; }\\n    .navbar.is-transparent .navbar-item.has-dropdown.is-active .navbar-link, .navbar.is-transparent .navbar-item.has-dropdown.is-hoverable:focus .navbar-link, .navbar.is-transparent .navbar-item.has-dropdown.is-hoverable:focus-within .navbar-link, .navbar.is-transparent .navbar-item.has-dropdown.is-hoverable:hover .navbar-link {\\n      background-color: transparent !important; }\\n    .navbar.is-transparent .navbar-dropdown a.navbar-item:focus, .navbar.is-transparent .navbar-dropdown a.navbar-item:hover {\\n      background-color: whitesmoke;\\n      color: #0a0a0a; }\\n    .navbar.is-transparent .navbar-dropdown a.navbar-item.is-active {\\n      background-color: whitesmoke;\\n      color: #485fc7; }\\n  .navbar-burger {\\n    display: none; }\\n  .navbar-item,\\n  .navbar-link {\\n    align-items: center;\\n    display: flex; }\\n  .navbar-item.has-dropdown {\\n    align-items: stretch; }\\n  .navbar-item.has-dropdown-up .navbar-link::after {\\n    transform: rotate(135deg) translate(0.25em, -0.25em); }\\n  .navbar-item.has-dropdown-up .navbar-dropdown {\\n    border-bottom: 2px solid #dbdbdb;\\n    border-radius: 6px 6px 0 0;\\n    border-top: none;\\n    bottom: 100%;\\n    box-shadow: 0 -8px 8px rgba(10, 10, 10, 0.1);\\n    top: auto; }\\n  .navbar-item.is-active .navbar-dropdown, .navbar-item.is-hoverable:focus .navbar-dropdown, .navbar-item.is-hoverable:focus-within .navbar-dropdown, .navbar-item.is-hoverable:hover .navbar-dropdown {\\n    display: block; }\\n    .navbar.is-spaced .navbar-item.is-active .navbar-dropdown, .navbar-item.is-active .navbar-dropdown.is-boxed, .navbar.is-spaced .navbar-item.is-hoverable:focus .navbar-dropdown, .navbar-item.is-hoverable:focus .navbar-dropdown.is-boxed, .navbar.is-spaced .navbar-item.is-hoverable:focus-within .navbar-dropdown, .navbar-item.is-hoverable:focus-within .navbar-dropdown.is-boxed, .navbar.is-spaced .navbar-item.is-hoverable:hover .navbar-dropdown, .navbar-item.is-hoverable:hover .navbar-dropdown.is-boxed {\\n      opacity: 1;\\n      pointer-events: auto;\\n      transform: translateY(0); }\\n  .navbar-menu {\\n    flex-grow: 1;\\n    flex-shrink: 0; }\\n  .navbar-start {\\n    justify-content: flex-start;\\n    margin-right: auto; }\\n  .navbar-end {\\n    justify-content: flex-end;\\n    margin-left: auto; }\\n  .navbar-dropdown {\\n    background-color: white;\\n    border-bottom-left-radius: 6px;\\n    border-bottom-right-radius: 6px;\\n    border-top: 2px solid #dbdbdb;\\n    box-shadow: 0 8px 8px rgba(10, 10, 10, 0.1);\\n    display: none;\\n    font-size: 0.875rem;\\n    left: 0;\\n    min-width: 100%;\\n    position: absolute;\\n    top: 100%;\\n    z-index: 20; }\\n    .navbar-dropdown .navbar-item {\\n      padding: 0.375rem 1rem;\\n      white-space: nowrap; }\\n    .navbar-dropdown a.navbar-item {\\n      padding-right: 3rem; }\\n      .navbar-dropdown a.navbar-item:focus, .navbar-dropdown a.navbar-item:hover {\\n        background-color: whitesmoke;\\n        color: #0a0a0a; }\\n      .navbar-dropdown a.navbar-item.is-active {\\n        background-color: whitesmoke;\\n        color: #485fc7; }\\n    .navbar.is-spaced .navbar-dropdown, .navbar-dropdown.is-boxed {\\n      border-radius: 6px;\\n      border-top: none;\\n      box-shadow: 0 8px 8px rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.1);\\n      display: block;\\n      opacity: 0;\\n      pointer-events: none;\\n      top: calc(100% + (-4px));\\n      transform: translateY(-5px);\\n      transition-duration: 86ms;\\n      transition-property: opacity, transform; }\\n    .navbar-dropdown.is-right {\\n      left: auto;\\n      right: 0; }\\n  .navbar-divider {\\n    display: block; }\\n  .navbar > .container .navbar-brand,\\n  .container > .navbar .navbar-brand {\\n    margin-left: -0.75rem; }\\n  .navbar > .container .navbar-menu,\\n  .container > .navbar .navbar-menu {\\n    margin-right: -0.75rem; }\\n  .navbar.is-fixed-bottom-desktop, .navbar.is-fixed-top-desktop {\\n    left: 0;\\n    position: fixed;\\n    right: 0;\\n    z-index: 30; }\\n  .navbar.is-fixed-bottom-desktop {\\n    bottom: 0; }\\n    .navbar.is-fixed-bottom-desktop.has-shadow {\\n      box-shadow: 0 -2px 3px rgba(10, 10, 10, 0.1); }\\n  .navbar.is-fixed-top-desktop {\\n    top: 0; }\\n  html.has-navbar-fixed-top-desktop,\\n  body.has-navbar-fixed-top-desktop {\\n    padding-top: 3.25rem; }\\n  html.has-navbar-fixed-bottom-desktop,\\n  body.has-navbar-fixed-bottom-desktop {\\n    padding-bottom: 3.25rem; }\\n  html.has-spaced-navbar-fixed-top,\\n  body.has-spaced-navbar-fixed-top {\\n    padding-top: 5.25rem; }\\n  html.has-spaced-navbar-fixed-bottom,\\n  body.has-spaced-navbar-fixed-bottom {\\n    padding-bottom: 5.25rem; }\\n  a.navbar-item.is-active,\\n  .navbar-link.is-active {\\n    color: #0a0a0a; }\\n  a.navbar-item.is-active:not(:focus):not(:hover),\\n  .navbar-link.is-active:not(:focus):not(:hover) {\\n    background-color: transparent; }\\n  .navbar-item.has-dropdown:focus .navbar-link, .navbar-item.has-dropdown:hover .navbar-link, .navbar-item.has-dropdown.is-active .navbar-link {\\n    background-color: #fafafa; } }\\n\\n.hero.is-fullheight-with-navbar {\\n  min-height: calc(100vh - 3.25rem); }\\n\\n.pagination {\\n  font-size: 1rem;\\n  margin: -0.25rem; }\\n  .pagination.is-small {\\n    font-size: 0.75rem; }\\n  .pagination.is-medium {\\n    font-size: 1.25rem; }\\n  .pagination.is-large {\\n    font-size: 1.5rem; }\\n  .pagination.is-rounded .pagination-previous,\\n  .pagination.is-rounded .pagination-next {\\n    padding-left: 1em;\\n    padding-right: 1em;\\n    border-radius: 9999px; }\\n  .pagination.is-rounded .pagination-link {\\n    border-radius: 9999px; }\\n\\n.pagination,\\n.pagination-list {\\n  align-items: center;\\n  display: flex;\\n  justify-content: center;\\n  text-align: center; }\\n\\n.pagination-previous,\\n.pagination-next,\\n.pagination-link,\\n.pagination-ellipsis {\\n  font-size: 1em;\\n  justify-content: center;\\n  margin: 0.25rem;\\n  padding-left: 0.5em;\\n  padding-right: 0.5em;\\n  text-align: center; }\\n\\n.pagination-previous,\\n.pagination-next,\\n.pagination-link {\\n  border-color: #dbdbdb;\\n  color: #363636;\\n  min-width: 2.5em; }\\n  .pagination-previous:hover,\\n  .pagination-next:hover,\\n  .pagination-link:hover {\\n    border-color: #b5b5b5;\\n    color: #363636; }\\n  .pagination-previous:focus,\\n  .pagination-next:focus,\\n  .pagination-link:focus {\\n    border-color: #485fc7; }\\n  .pagination-previous:active,\\n  .pagination-next:active,\\n  .pagination-link:active {\\n    box-shadow: inset 0 1px 2px rgba(10, 10, 10, 0.2); }\\n  .pagination-previous[disabled],\\n  .pagination-next[disabled],\\n  .pagination-link[disabled] {\\n    background-color: #dbdbdb;\\n    border-color: #dbdbdb;\\n    box-shadow: none;\\n    color: #7a7a7a;\\n    opacity: 0.5; }\\n\\n.pagination-previous,\\n.pagination-next {\\n  padding-left: 0.75em;\\n  padding-right: 0.75em;\\n  white-space: nowrap; }\\n\\n.pagination-link.is-current {\\n  background-color: #485fc7;\\n  border-color: #485fc7;\\n  color: #fff; }\\n\\n.pagination-ellipsis {\\n  color: #b5b5b5;\\n  pointer-events: none; }\\n\\n.pagination-list {\\n  flex-wrap: wrap; }\\n  .pagination-list li {\\n    list-style: none; }\\n\\n@media screen and (max-width: 768px) {\\n  .pagination {\\n    flex-wrap: wrap; }\\n  .pagination-previous,\\n  .pagination-next {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n  .pagination-list li {\\n    flex-grow: 1;\\n    flex-shrink: 1; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .pagination-list {\\n    flex-grow: 1;\\n    flex-shrink: 1;\\n    justify-content: flex-start;\\n    order: 1; }\\n  .pagination-previous,\\n  .pagination-next,\\n  .pagination-link,\\n  .pagination-ellipsis {\\n    margin-bottom: 0;\\n    margin-top: 0; }\\n  .pagination-previous {\\n    order: 2; }\\n  .pagination-next {\\n    order: 3; }\\n  .pagination {\\n    justify-content: space-between;\\n    margin-bottom: 0;\\n    margin-top: 0; }\\n    .pagination.is-centered .pagination-previous {\\n      order: 1; }\\n    .pagination.is-centered .pagination-list {\\n      justify-content: center;\\n      order: 2; }\\n    .pagination.is-centered .pagination-next {\\n      order: 3; }\\n    .pagination.is-right .pagination-previous {\\n      order: 1; }\\n    .pagination.is-right .pagination-next {\\n      order: 2; }\\n    .pagination.is-right .pagination-list {\\n      justify-content: flex-end;\\n      order: 3; } }\\n\\n.panel {\\n  border-radius: 6px;\\n  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);\\n  font-size: 1rem; }\\n  .panel:not(:last-child) {\\n    margin-bottom: 1.5rem; }\\n  .panel.is-white .panel-heading {\\n    background-color: white;\\n    color: #0a0a0a; }\\n  .panel.is-white .panel-tabs a.is-active {\\n    border-bottom-color: white; }\\n  .panel.is-white .panel-block.is-active .panel-icon {\\n    color: white; }\\n  .panel.is-black .panel-heading {\\n    background-color: #0a0a0a;\\n    color: white; }\\n  .panel.is-black .panel-tabs a.is-active {\\n    border-bottom-color: #0a0a0a; }\\n  .panel.is-black .panel-block.is-active .panel-icon {\\n    color: #0a0a0a; }\\n  .panel.is-light .panel-heading {\\n    background-color: whitesmoke;\\n    color: #363636; }\\n  .panel.is-light .panel-tabs a.is-active {\\n    border-bottom-color: whitesmoke; }\\n  .panel.is-light .panel-block.is-active .panel-icon {\\n    color: whitesmoke; }\\n  .panel.is-dark .panel-heading {\\n    background-color: #363636;\\n    color: whitesmoke; }\\n  .panel.is-dark .panel-tabs a.is-active {\\n    border-bottom-color: #363636; }\\n  .panel.is-dark .panel-block.is-active .panel-icon {\\n    color: #363636; }\\n  .panel.is-primary .panel-heading {\\n    background-color: #2276f3;\\n    color: #fff; }\\n  .panel.is-primary .panel-tabs a.is-active {\\n    border-bottom-color: #2276f3; }\\n  .panel.is-primary .panel-block.is-active .panel-icon {\\n    color: #2276f3; }\\n  .panel.is-link .panel-heading {\\n    background-color: #485fc7;\\n    color: #fff; }\\n  .panel.is-link .panel-tabs a.is-active {\\n    border-bottom-color: #485fc7; }\\n  .panel.is-link .panel-block.is-active .panel-icon {\\n    color: #485fc7; }\\n  .panel.is-info .panel-heading {\\n    background-color: #3e8ed0;\\n    color: #fff; }\\n  .panel.is-info .panel-tabs a.is-active {\\n    border-bottom-color: #3e8ed0; }\\n  .panel.is-info .panel-block.is-active .panel-icon {\\n    color: #3e8ed0; }\\n  .panel.is-success .panel-heading {\\n    background-color: #48c78e;\\n    color: #fff; }\\n  .panel.is-success .panel-tabs a.is-active {\\n    border-bottom-color: #48c78e; }\\n  .panel.is-success .panel-block.is-active .panel-icon {\\n    color: #48c78e; }\\n  .panel.is-warning .panel-heading {\\n    background-color: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n  .panel.is-warning .panel-tabs a.is-active {\\n    border-bottom-color: #ffe08a; }\\n  .panel.is-warning .panel-block.is-active .panel-icon {\\n    color: #ffe08a; }\\n  .panel.is-danger .panel-heading {\\n    background-color: #f14668;\\n    color: #fff; }\\n  .panel.is-danger .panel-tabs a.is-active {\\n    border-bottom-color: #f14668; }\\n  .panel.is-danger .panel-block.is-active .panel-icon {\\n    color: #f14668; }\\n  .panel.is-twitter .panel-heading {\\n    background-color: #55acee;\\n    color: #fff; }\\n  .panel.is-twitter .panel-tabs a.is-active {\\n    border-bottom-color: #55acee; }\\n  .panel.is-twitter .panel-block.is-active .panel-icon {\\n    color: #55acee; }\\n  .panel.is-linkedin .panel-heading {\\n    background-color: #0077b5;\\n    color: #fff; }\\n  .panel.is-linkedin .panel-tabs a.is-active {\\n    border-bottom-color: #0077b5; }\\n  .panel.is-linkedin .panel-block.is-active .panel-icon {\\n    color: #0077b5; }\\n  .panel.is-github .panel-heading {\\n    background-color: #333;\\n    color: #fff; }\\n  .panel.is-github .panel-tabs a.is-active {\\n    border-bottom-color: #333; }\\n  .panel.is-github .panel-block.is-active .panel-icon {\\n    color: #333; }\\n\\n.panel-tabs:not(:last-child),\\n.panel-block:not(:last-child) {\\n  border-bottom: 1px solid #ededed; }\\n\\n.panel-heading {\\n  background-color: #ededed;\\n  border-radius: 6px 6px 0 0;\\n  color: #363636;\\n  font-size: 1.25em;\\n  font-weight: 700;\\n  line-height: 1.25;\\n  padding: 0.75em 1em; }\\n\\n.panel-tabs {\\n  align-items: flex-end;\\n  display: flex;\\n  font-size: 0.875em;\\n  justify-content: center; }\\n  .panel-tabs a {\\n    border-bottom: 1px solid #dbdbdb;\\n    margin-bottom: -1px;\\n    padding: 0.5em; }\\n    .panel-tabs a.is-active {\\n      border-bottom-color: #4a4a4a;\\n      color: #363636; }\\n\\n.panel-list a {\\n  color: #4a4a4a; }\\n  .panel-list a:hover {\\n    color: #485fc7; }\\n\\n.panel-block {\\n  align-items: center;\\n  color: #363636;\\n  display: flex;\\n  justify-content: flex-start;\\n  padding: 0.5em 0.75em; }\\n  .panel-block input[type=\\\"checkbox\\\"] {\\n    margin-right: 0.75em; }\\n  .panel-block > .control {\\n    flex-grow: 1;\\n    flex-shrink: 1;\\n    width: 100%; }\\n  .panel-block.is-wrapped {\\n    flex-wrap: wrap; }\\n  .panel-block.is-active {\\n    border-left-color: #485fc7;\\n    color: #363636; }\\n    .panel-block.is-active .panel-icon {\\n      color: #485fc7; }\\n  .panel-block:last-child {\\n    border-bottom-left-radius: 6px;\\n    border-bottom-right-radius: 6px; }\\n\\na.panel-block,\\nlabel.panel-block {\\n  cursor: pointer; }\\n  a.panel-block:hover,\\n  label.panel-block:hover {\\n    background-color: whitesmoke; }\\n\\n.panel-icon {\\n  display: inline-block;\\n  font-size: 14px;\\n  height: 1em;\\n  line-height: 1em;\\n  text-align: center;\\n  vertical-align: top;\\n  width: 1em;\\n  color: #7a7a7a;\\n  margin-right: 0.75em; }\\n  .panel-icon .fa {\\n    font-size: inherit;\\n    line-height: inherit; }\\n\\n.tabs {\\n  -webkit-overflow-scrolling: touch;\\n  align-items: stretch;\\n  display: flex;\\n  font-size: 1rem;\\n  justify-content: space-between;\\n  overflow: hidden;\\n  overflow-x: auto;\\n  white-space: nowrap; }\\n  .tabs a {\\n    align-items: center;\\n    border-bottom-color: #dbdbdb;\\n    border-bottom-style: solid;\\n    border-bottom-width: 1px;\\n    color: #4a4a4a;\\n    display: flex;\\n    justify-content: center;\\n    margin-bottom: -1px;\\n    padding: 0.5em 1em;\\n    vertical-align: top; }\\n    .tabs a:hover {\\n      border-bottom-color: #363636;\\n      color: #363636; }\\n  .tabs li {\\n    display: block; }\\n    .tabs li.is-active a {\\n      border-bottom-color: #485fc7;\\n      color: #485fc7; }\\n  .tabs ul {\\n    align-items: center;\\n    border-bottom-color: #dbdbdb;\\n    border-bottom-style: solid;\\n    border-bottom-width: 1px;\\n    display: flex;\\n    flex-grow: 1;\\n    flex-shrink: 0;\\n    justify-content: flex-start; }\\n    .tabs ul.is-left {\\n      padding-right: 0.75em; }\\n    .tabs ul.is-center {\\n      flex: none;\\n      justify-content: center;\\n      padding-left: 0.75em;\\n      padding-right: 0.75em; }\\n    .tabs ul.is-right {\\n      justify-content: flex-end;\\n      padding-left: 0.75em; }\\n  .tabs .icon:first-child {\\n    margin-right: 0.5em; }\\n  .tabs .icon:last-child {\\n    margin-left: 0.5em; }\\n  .tabs.is-centered ul {\\n    justify-content: center; }\\n  .tabs.is-right ul {\\n    justify-content: flex-end; }\\n  .tabs.is-boxed a {\\n    border: 1px solid transparent;\\n    border-radius: 4px 4px 0 0; }\\n    .tabs.is-boxed a:hover {\\n      background-color: whitesmoke;\\n      border-bottom-color: #dbdbdb; }\\n  .tabs.is-boxed li.is-active a {\\n    background-color: white;\\n    border-color: #dbdbdb;\\n    border-bottom-color: transparent !important; }\\n  .tabs.is-fullwidth li {\\n    flex-grow: 1;\\n    flex-shrink: 0; }\\n  .tabs.is-toggle a {\\n    border-color: #dbdbdb;\\n    border-style: solid;\\n    border-width: 1px;\\n    margin-bottom: 0;\\n    position: relative; }\\n    .tabs.is-toggle a:hover {\\n      background-color: whitesmoke;\\n      border-color: #b5b5b5;\\n      z-index: 2; }\\n  .tabs.is-toggle li + li {\\n    margin-left: -1px; }\\n  .tabs.is-toggle li:first-child a {\\n    border-top-left-radius: 4px;\\n    border-bottom-left-radius: 4px; }\\n  .tabs.is-toggle li:last-child a {\\n    border-top-right-radius: 4px;\\n    border-bottom-right-radius: 4px; }\\n  .tabs.is-toggle li.is-active a {\\n    background-color: #485fc7;\\n    border-color: #485fc7;\\n    color: #fff;\\n    z-index: 1; }\\n  .tabs.is-toggle ul {\\n    border-bottom: none; }\\n  .tabs.is-toggle.is-toggle-rounded li:first-child a {\\n    border-bottom-left-radius: 9999px;\\n    border-top-left-radius: 9999px;\\n    padding-left: 1.25em; }\\n  .tabs.is-toggle.is-toggle-rounded li:last-child a {\\n    border-bottom-right-radius: 9999px;\\n    border-top-right-radius: 9999px;\\n    padding-right: 1.25em; }\\n  .tabs.is-small {\\n    font-size: 0.75rem; }\\n  .tabs.is-medium {\\n    font-size: 1.25rem; }\\n  .tabs.is-large {\\n    font-size: 1.5rem; }\\n\\n/* Bulma Grid */\\n.column {\\n  display: block;\\n  flex-basis: 0;\\n  flex-grow: 1;\\n  flex-shrink: 1;\\n  padding: 0.75rem; }\\n  .columns.is-mobile > .column.is-narrow {\\n    flex: none;\\n    width: unset; }\\n  .columns.is-mobile > .column.is-full {\\n    flex: none;\\n    width: 100%; }\\n  .columns.is-mobile > .column.is-three-quarters {\\n    flex: none;\\n    width: 75%; }\\n  .columns.is-mobile > .column.is-two-thirds {\\n    flex: none;\\n    width: 66.6666%; }\\n  .columns.is-mobile > .column.is-half {\\n    flex: none;\\n    width: 50%; }\\n  .columns.is-mobile > .column.is-one-third {\\n    flex: none;\\n    width: 33.3333%; }\\n  .columns.is-mobile > .column.is-one-quarter {\\n    flex: none;\\n    width: 25%; }\\n  .columns.is-mobile > .column.is-one-fifth {\\n    flex: none;\\n    width: 20%; }\\n  .columns.is-mobile > .column.is-two-fifths {\\n    flex: none;\\n    width: 40%; }\\n  .columns.is-mobile > .column.is-three-fifths {\\n    flex: none;\\n    width: 60%; }\\n  .columns.is-mobile > .column.is-four-fifths {\\n    flex: none;\\n    width: 80%; }\\n  .columns.is-mobile > .column.is-offset-three-quarters {\\n    margin-left: 75%; }\\n  .columns.is-mobile > .column.is-offset-two-thirds {\\n    margin-left: 66.6666%; }\\n  .columns.is-mobile > .column.is-offset-half {\\n    margin-left: 50%; }\\n  .columns.is-mobile > .column.is-offset-one-third {\\n    margin-left: 33.3333%; }\\n  .columns.is-mobile > .column.is-offset-one-quarter {\\n    margin-left: 25%; }\\n  .columns.is-mobile > .column.is-offset-one-fifth {\\n    margin-left: 20%; }\\n  .columns.is-mobile > .column.is-offset-two-fifths {\\n    margin-left: 40%; }\\n  .columns.is-mobile > .column.is-offset-three-fifths {\\n    margin-left: 60%; }\\n  .columns.is-mobile > .column.is-offset-four-fifths {\\n    margin-left: 80%; }\\n  .columns.is-mobile > .column.is-0 {\\n    flex: none;\\n    width: 0%; }\\n  .columns.is-mobile > .column.is-offset-0 {\\n    margin-left: 0%; }\\n  .columns.is-mobile > .column.is-1 {\\n    flex: none;\\n    width: 8.33333%; }\\n  .columns.is-mobile > .column.is-offset-1 {\\n    margin-left: 8.33333%; }\\n  .columns.is-mobile > .column.is-2 {\\n    flex: none;\\n    width: 16.66667%; }\\n  .columns.is-mobile > .column.is-offset-2 {\\n    margin-left: 16.66667%; }\\n  .columns.is-mobile > .column.is-3 {\\n    flex: none;\\n    width: 25%; }\\n  .columns.is-mobile > .column.is-offset-3 {\\n    margin-left: 25%; }\\n  .columns.is-mobile > .column.is-4 {\\n    flex: none;\\n    width: 33.33333%; }\\n  .columns.is-mobile > .column.is-offset-4 {\\n    margin-left: 33.33333%; }\\n  .columns.is-mobile > .column.is-5 {\\n    flex: none;\\n    width: 41.66667%; }\\n  .columns.is-mobile > .column.is-offset-5 {\\n    margin-left: 41.66667%; }\\n  .columns.is-mobile > .column.is-6 {\\n    flex: none;\\n    width: 50%; }\\n  .columns.is-mobile > .column.is-offset-6 {\\n    margin-left: 50%; }\\n  .columns.is-mobile > .column.is-7 {\\n    flex: none;\\n    width: 58.33333%; }\\n  .columns.is-mobile > .column.is-offset-7 {\\n    margin-left: 58.33333%; }\\n  .columns.is-mobile > .column.is-8 {\\n    flex: none;\\n    width: 66.66667%; }\\n  .columns.is-mobile > .column.is-offset-8 {\\n    margin-left: 66.66667%; }\\n  .columns.is-mobile > .column.is-9 {\\n    flex: none;\\n    width: 75%; }\\n  .columns.is-mobile > .column.is-offset-9 {\\n    margin-left: 75%; }\\n  .columns.is-mobile > .column.is-10 {\\n    flex: none;\\n    width: 83.33333%; }\\n  .columns.is-mobile > .column.is-offset-10 {\\n    margin-left: 83.33333%; }\\n  .columns.is-mobile > .column.is-11 {\\n    flex: none;\\n    width: 91.66667%; }\\n  .columns.is-mobile > .column.is-offset-11 {\\n    margin-left: 91.66667%; }\\n  .columns.is-mobile > .column.is-12 {\\n    flex: none;\\n    width: 100%; }\\n  .columns.is-mobile > .column.is-offset-12 {\\n    margin-left: 100%; }\\n  @media screen and (max-width: 768px) {\\n    .column.is-narrow-mobile {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full-mobile {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters-mobile {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds-mobile {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half-mobile {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third-mobile {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter-mobile {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth-mobile {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths-mobile {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths-mobile {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths-mobile {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters-mobile {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds-mobile {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half-mobile {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third-mobile {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter-mobile {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth-mobile {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths-mobile {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths-mobile {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths-mobile {\\n      margin-left: 80%; }\\n    .column.is-0-mobile {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0-mobile {\\n      margin-left: 0%; }\\n    .column.is-1-mobile {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1-mobile {\\n      margin-left: 8.33333%; }\\n    .column.is-2-mobile {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2-mobile {\\n      margin-left: 16.66667%; }\\n    .column.is-3-mobile {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3-mobile {\\n      margin-left: 25%; }\\n    .column.is-4-mobile {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4-mobile {\\n      margin-left: 33.33333%; }\\n    .column.is-5-mobile {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5-mobile {\\n      margin-left: 41.66667%; }\\n    .column.is-6-mobile {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6-mobile {\\n      margin-left: 50%; }\\n    .column.is-7-mobile {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7-mobile {\\n      margin-left: 58.33333%; }\\n    .column.is-8-mobile {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8-mobile {\\n      margin-left: 66.66667%; }\\n    .column.is-9-mobile {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9-mobile {\\n      margin-left: 75%; }\\n    .column.is-10-mobile {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10-mobile {\\n      margin-left: 83.33333%; }\\n    .column.is-11-mobile {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11-mobile {\\n      margin-left: 91.66667%; }\\n    .column.is-12-mobile {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12-mobile {\\n      margin-left: 100%; } }\\n  @media screen and (min-width: 769px), print {\\n    .column.is-narrow, .column.is-narrow-tablet {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full, .column.is-full-tablet {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters, .column.is-three-quarters-tablet {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds, .column.is-two-thirds-tablet {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half, .column.is-half-tablet {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third, .column.is-one-third-tablet {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter, .column.is-one-quarter-tablet {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth, .column.is-one-fifth-tablet {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths, .column.is-two-fifths-tablet {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths, .column.is-three-fifths-tablet {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths, .column.is-four-fifths-tablet {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters, .column.is-offset-three-quarters-tablet {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds, .column.is-offset-two-thirds-tablet {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half, .column.is-offset-half-tablet {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third, .column.is-offset-one-third-tablet {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter, .column.is-offset-one-quarter-tablet {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth, .column.is-offset-one-fifth-tablet {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths, .column.is-offset-two-fifths-tablet {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths, .column.is-offset-three-fifths-tablet {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths, .column.is-offset-four-fifths-tablet {\\n      margin-left: 80%; }\\n    .column.is-0, .column.is-0-tablet {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0, .column.is-offset-0-tablet {\\n      margin-left: 0%; }\\n    .column.is-1, .column.is-1-tablet {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1, .column.is-offset-1-tablet {\\n      margin-left: 8.33333%; }\\n    .column.is-2, .column.is-2-tablet {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2, .column.is-offset-2-tablet {\\n      margin-left: 16.66667%; }\\n    .column.is-3, .column.is-3-tablet {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3, .column.is-offset-3-tablet {\\n      margin-left: 25%; }\\n    .column.is-4, .column.is-4-tablet {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4, .column.is-offset-4-tablet {\\n      margin-left: 33.33333%; }\\n    .column.is-5, .column.is-5-tablet {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5, .column.is-offset-5-tablet {\\n      margin-left: 41.66667%; }\\n    .column.is-6, .column.is-6-tablet {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6, .column.is-offset-6-tablet {\\n      margin-left: 50%; }\\n    .column.is-7, .column.is-7-tablet {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7, .column.is-offset-7-tablet {\\n      margin-left: 58.33333%; }\\n    .column.is-8, .column.is-8-tablet {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8, .column.is-offset-8-tablet {\\n      margin-left: 66.66667%; }\\n    .column.is-9, .column.is-9-tablet {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9, .column.is-offset-9-tablet {\\n      margin-left: 75%; }\\n    .column.is-10, .column.is-10-tablet {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10, .column.is-offset-10-tablet {\\n      margin-left: 83.33333%; }\\n    .column.is-11, .column.is-11-tablet {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11, .column.is-offset-11-tablet {\\n      margin-left: 91.66667%; }\\n    .column.is-12, .column.is-12-tablet {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12, .column.is-offset-12-tablet {\\n      margin-left: 100%; } }\\n  @media screen and (max-width: 1023px) {\\n    .column.is-narrow-touch {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full-touch {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters-touch {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds-touch {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half-touch {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third-touch {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter-touch {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth-touch {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths-touch {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths-touch {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths-touch {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters-touch {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds-touch {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half-touch {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third-touch {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter-touch {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth-touch {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths-touch {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths-touch {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths-touch {\\n      margin-left: 80%; }\\n    .column.is-0-touch {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0-touch {\\n      margin-left: 0%; }\\n    .column.is-1-touch {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1-touch {\\n      margin-left: 8.33333%; }\\n    .column.is-2-touch {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2-touch {\\n      margin-left: 16.66667%; }\\n    .column.is-3-touch {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3-touch {\\n      margin-left: 25%; }\\n    .column.is-4-touch {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4-touch {\\n      margin-left: 33.33333%; }\\n    .column.is-5-touch {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5-touch {\\n      margin-left: 41.66667%; }\\n    .column.is-6-touch {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6-touch {\\n      margin-left: 50%; }\\n    .column.is-7-touch {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7-touch {\\n      margin-left: 58.33333%; }\\n    .column.is-8-touch {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8-touch {\\n      margin-left: 66.66667%; }\\n    .column.is-9-touch {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9-touch {\\n      margin-left: 75%; }\\n    .column.is-10-touch {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10-touch {\\n      margin-left: 83.33333%; }\\n    .column.is-11-touch {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11-touch {\\n      margin-left: 91.66667%; }\\n    .column.is-12-touch {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12-touch {\\n      margin-left: 100%; } }\\n  @media screen and (min-width: 1024px) {\\n    .column.is-narrow-desktop {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full-desktop {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters-desktop {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds-desktop {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half-desktop {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third-desktop {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter-desktop {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth-desktop {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths-desktop {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths-desktop {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths-desktop {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters-desktop {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds-desktop {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half-desktop {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third-desktop {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter-desktop {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth-desktop {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths-desktop {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths-desktop {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths-desktop {\\n      margin-left: 80%; }\\n    .column.is-0-desktop {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0-desktop {\\n      margin-left: 0%; }\\n    .column.is-1-desktop {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1-desktop {\\n      margin-left: 8.33333%; }\\n    .column.is-2-desktop {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2-desktop {\\n      margin-left: 16.66667%; }\\n    .column.is-3-desktop {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3-desktop {\\n      margin-left: 25%; }\\n    .column.is-4-desktop {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4-desktop {\\n      margin-left: 33.33333%; }\\n    .column.is-5-desktop {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5-desktop {\\n      margin-left: 41.66667%; }\\n    .column.is-6-desktop {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6-desktop {\\n      margin-left: 50%; }\\n    .column.is-7-desktop {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7-desktop {\\n      margin-left: 58.33333%; }\\n    .column.is-8-desktop {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8-desktop {\\n      margin-left: 66.66667%; }\\n    .column.is-9-desktop {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9-desktop {\\n      margin-left: 75%; }\\n    .column.is-10-desktop {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10-desktop {\\n      margin-left: 83.33333%; }\\n    .column.is-11-desktop {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11-desktop {\\n      margin-left: 91.66667%; }\\n    .column.is-12-desktop {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12-desktop {\\n      margin-left: 100%; } }\\n  @media screen and (min-width: 1216px) {\\n    .column.is-narrow-widescreen {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full-widescreen {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters-widescreen {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds-widescreen {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half-widescreen {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third-widescreen {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter-widescreen {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth-widescreen {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths-widescreen {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths-widescreen {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths-widescreen {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters-widescreen {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds-widescreen {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half-widescreen {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third-widescreen {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter-widescreen {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth-widescreen {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths-widescreen {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths-widescreen {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths-widescreen {\\n      margin-left: 80%; }\\n    .column.is-0-widescreen {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0-widescreen {\\n      margin-left: 0%; }\\n    .column.is-1-widescreen {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1-widescreen {\\n      margin-left: 8.33333%; }\\n    .column.is-2-widescreen {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2-widescreen {\\n      margin-left: 16.66667%; }\\n    .column.is-3-widescreen {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3-widescreen {\\n      margin-left: 25%; }\\n    .column.is-4-widescreen {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4-widescreen {\\n      margin-left: 33.33333%; }\\n    .column.is-5-widescreen {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5-widescreen {\\n      margin-left: 41.66667%; }\\n    .column.is-6-widescreen {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6-widescreen {\\n      margin-left: 50%; }\\n    .column.is-7-widescreen {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7-widescreen {\\n      margin-left: 58.33333%; }\\n    .column.is-8-widescreen {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8-widescreen {\\n      margin-left: 66.66667%; }\\n    .column.is-9-widescreen {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9-widescreen {\\n      margin-left: 75%; }\\n    .column.is-10-widescreen {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10-widescreen {\\n      margin-left: 83.33333%; }\\n    .column.is-11-widescreen {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11-widescreen {\\n      margin-left: 91.66667%; }\\n    .column.is-12-widescreen {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12-widescreen {\\n      margin-left: 100%; } }\\n  @media screen and (min-width: 1408px) {\\n    .column.is-narrow-fullhd {\\n      flex: none;\\n      width: unset; }\\n    .column.is-full-fullhd {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-three-quarters-fullhd {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-two-thirds-fullhd {\\n      flex: none;\\n      width: 66.6666%; }\\n    .column.is-half-fullhd {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-one-third-fullhd {\\n      flex: none;\\n      width: 33.3333%; }\\n    .column.is-one-quarter-fullhd {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-one-fifth-fullhd {\\n      flex: none;\\n      width: 20%; }\\n    .column.is-two-fifths-fullhd {\\n      flex: none;\\n      width: 40%; }\\n    .column.is-three-fifths-fullhd {\\n      flex: none;\\n      width: 60%; }\\n    .column.is-four-fifths-fullhd {\\n      flex: none;\\n      width: 80%; }\\n    .column.is-offset-three-quarters-fullhd {\\n      margin-left: 75%; }\\n    .column.is-offset-two-thirds-fullhd {\\n      margin-left: 66.6666%; }\\n    .column.is-offset-half-fullhd {\\n      margin-left: 50%; }\\n    .column.is-offset-one-third-fullhd {\\n      margin-left: 33.3333%; }\\n    .column.is-offset-one-quarter-fullhd {\\n      margin-left: 25%; }\\n    .column.is-offset-one-fifth-fullhd {\\n      margin-left: 20%; }\\n    .column.is-offset-two-fifths-fullhd {\\n      margin-left: 40%; }\\n    .column.is-offset-three-fifths-fullhd {\\n      margin-left: 60%; }\\n    .column.is-offset-four-fifths-fullhd {\\n      margin-left: 80%; }\\n    .column.is-0-fullhd {\\n      flex: none;\\n      width: 0%; }\\n    .column.is-offset-0-fullhd {\\n      margin-left: 0%; }\\n    .column.is-1-fullhd {\\n      flex: none;\\n      width: 8.33333%; }\\n    .column.is-offset-1-fullhd {\\n      margin-left: 8.33333%; }\\n    .column.is-2-fullhd {\\n      flex: none;\\n      width: 16.66667%; }\\n    .column.is-offset-2-fullhd {\\n      margin-left: 16.66667%; }\\n    .column.is-3-fullhd {\\n      flex: none;\\n      width: 25%; }\\n    .column.is-offset-3-fullhd {\\n      margin-left: 25%; }\\n    .column.is-4-fullhd {\\n      flex: none;\\n      width: 33.33333%; }\\n    .column.is-offset-4-fullhd {\\n      margin-left: 33.33333%; }\\n    .column.is-5-fullhd {\\n      flex: none;\\n      width: 41.66667%; }\\n    .column.is-offset-5-fullhd {\\n      margin-left: 41.66667%; }\\n    .column.is-6-fullhd {\\n      flex: none;\\n      width: 50%; }\\n    .column.is-offset-6-fullhd {\\n      margin-left: 50%; }\\n    .column.is-7-fullhd {\\n      flex: none;\\n      width: 58.33333%; }\\n    .column.is-offset-7-fullhd {\\n      margin-left: 58.33333%; }\\n    .column.is-8-fullhd {\\n      flex: none;\\n      width: 66.66667%; }\\n    .column.is-offset-8-fullhd {\\n      margin-left: 66.66667%; }\\n    .column.is-9-fullhd {\\n      flex: none;\\n      width: 75%; }\\n    .column.is-offset-9-fullhd {\\n      margin-left: 75%; }\\n    .column.is-10-fullhd {\\n      flex: none;\\n      width: 83.33333%; }\\n    .column.is-offset-10-fullhd {\\n      margin-left: 83.33333%; }\\n    .column.is-11-fullhd {\\n      flex: none;\\n      width: 91.66667%; }\\n    .column.is-offset-11-fullhd {\\n      margin-left: 91.66667%; }\\n    .column.is-12-fullhd {\\n      flex: none;\\n      width: 100%; }\\n    .column.is-offset-12-fullhd {\\n      margin-left: 100%; } }\\n\\n.columns {\\n  margin-left: -0.75rem;\\n  margin-right: -0.75rem;\\n  margin-top: -0.75rem; }\\n  .columns:last-child {\\n    margin-bottom: -0.75rem; }\\n  .columns:not(:last-child) {\\n    margin-bottom: calc(1.5rem - 0.75rem); }\\n  .columns.is-centered {\\n    justify-content: center; }\\n  .columns.is-gapless {\\n    margin-left: 0;\\n    margin-right: 0;\\n    margin-top: 0; }\\n    .columns.is-gapless > .column {\\n      margin: 0;\\n      padding: 0 !important; }\\n    .columns.is-gapless:not(:last-child) {\\n      margin-bottom: 1.5rem; }\\n    .columns.is-gapless:last-child {\\n      margin-bottom: 0; }\\n  .columns.is-mobile {\\n    display: flex; }\\n  .columns.is-multiline {\\n    flex-wrap: wrap; }\\n  .columns.is-vcentered {\\n    align-items: center; }\\n  @media screen and (min-width: 769px), print {\\n    .columns:not(.is-desktop) {\\n      display: flex; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-desktop {\\n      display: flex; } }\\n\\n.columns.is-variable {\\n  --columnGap: 0.75rem;\\n  margin-left: calc(-1 * var(--columnGap));\\n  margin-right: calc(-1 * var(--columnGap)); }\\n  .columns.is-variable > .column {\\n    padding-left: var(--columnGap);\\n    padding-right: var(--columnGap); }\\n  .columns.is-variable.is-0 {\\n    --columnGap: 0rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-0-mobile {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-0-tablet {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-0-tablet-only {\\n      --columnGap: 0rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-0-touch {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-0-desktop {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-0-desktop-only {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-0-widescreen {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-0-widescreen-only {\\n      --columnGap: 0rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-0-fullhd {\\n      --columnGap: 0rem; } }\\n  .columns.is-variable.is-1 {\\n    --columnGap: 0.25rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-1-mobile {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-1-tablet {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-1-tablet-only {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-1-touch {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-1-desktop {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-1-desktop-only {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-1-widescreen {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-1-widescreen-only {\\n      --columnGap: 0.25rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-1-fullhd {\\n      --columnGap: 0.25rem; } }\\n  .columns.is-variable.is-2 {\\n    --columnGap: 0.5rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-2-mobile {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-2-tablet {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-2-tablet-only {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-2-touch {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-2-desktop {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-2-desktop-only {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-2-widescreen {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-2-widescreen-only {\\n      --columnGap: 0.5rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-2-fullhd {\\n      --columnGap: 0.5rem; } }\\n  .columns.is-variable.is-3 {\\n    --columnGap: 0.75rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-3-mobile {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-3-tablet {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-3-tablet-only {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-3-touch {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-3-desktop {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-3-desktop-only {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-3-widescreen {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-3-widescreen-only {\\n      --columnGap: 0.75rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-3-fullhd {\\n      --columnGap: 0.75rem; } }\\n  .columns.is-variable.is-4 {\\n    --columnGap: 1rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-4-mobile {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-4-tablet {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-4-tablet-only {\\n      --columnGap: 1rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-4-touch {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-4-desktop {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-4-desktop-only {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-4-widescreen {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-4-widescreen-only {\\n      --columnGap: 1rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-4-fullhd {\\n      --columnGap: 1rem; } }\\n  .columns.is-variable.is-5 {\\n    --columnGap: 1.25rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-5-mobile {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-5-tablet {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-5-tablet-only {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-5-touch {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-5-desktop {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-5-desktop-only {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-5-widescreen {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-5-widescreen-only {\\n      --columnGap: 1.25rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-5-fullhd {\\n      --columnGap: 1.25rem; } }\\n  .columns.is-variable.is-6 {\\n    --columnGap: 1.5rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-6-mobile {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-6-tablet {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-6-tablet-only {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-6-touch {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-6-desktop {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-6-desktop-only {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-6-widescreen {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-6-widescreen-only {\\n      --columnGap: 1.5rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-6-fullhd {\\n      --columnGap: 1.5rem; } }\\n  .columns.is-variable.is-7 {\\n    --columnGap: 1.75rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-7-mobile {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-7-tablet {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-7-tablet-only {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-7-touch {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-7-desktop {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-7-desktop-only {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-7-widescreen {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-7-widescreen-only {\\n      --columnGap: 1.75rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-7-fullhd {\\n      --columnGap: 1.75rem; } }\\n  .columns.is-variable.is-8 {\\n    --columnGap: 2rem; }\\n  @media screen and (max-width: 768px) {\\n    .columns.is-variable.is-8-mobile {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .columns.is-variable.is-8-tablet {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 769px) and (max-width: 1023px) {\\n    .columns.is-variable.is-8-tablet-only {\\n      --columnGap: 2rem; } }\\n  @media screen and (max-width: 1023px) {\\n    .columns.is-variable.is-8-touch {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 1024px) {\\n    .columns.is-variable.is-8-desktop {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 1024px) and (max-width: 1215px) {\\n    .columns.is-variable.is-8-desktop-only {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 1216px) {\\n    .columns.is-variable.is-8-widescreen {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 1216px) and (max-width: 1407px) {\\n    .columns.is-variable.is-8-widescreen-only {\\n      --columnGap: 2rem; } }\\n  @media screen and (min-width: 1408px) {\\n    .columns.is-variable.is-8-fullhd {\\n      --columnGap: 2rem; } }\\n\\n.tile {\\n  align-items: stretch;\\n  display: block;\\n  flex-basis: 0;\\n  flex-grow: 1;\\n  flex-shrink: 1;\\n  min-height: -webkit-min-content;\\n  min-height: -moz-min-content;\\n  min-height: min-content; }\\n  .tile.is-ancestor {\\n    margin-left: -0.75rem;\\n    margin-right: -0.75rem;\\n    margin-top: -0.75rem; }\\n    .tile.is-ancestor:last-child {\\n      margin-bottom: -0.75rem; }\\n    .tile.is-ancestor:not(:last-child) {\\n      margin-bottom: 0.75rem; }\\n  .tile.is-child {\\n    margin: 0 !important; }\\n  .tile.is-parent {\\n    padding: 0.75rem; }\\n  .tile.is-vertical {\\n    flex-direction: column; }\\n    .tile.is-vertical > .tile.is-child:not(:last-child) {\\n      margin-bottom: 1.5rem !important; }\\n  @media screen and (min-width: 769px), print {\\n    .tile:not(.is-child) {\\n      display: flex; }\\n    .tile.is-1 {\\n      flex: none;\\n      width: 8.33333%; }\\n    .tile.is-2 {\\n      flex: none;\\n      width: 16.66667%; }\\n    .tile.is-3 {\\n      flex: none;\\n      width: 25%; }\\n    .tile.is-4 {\\n      flex: none;\\n      width: 33.33333%; }\\n    .tile.is-5 {\\n      flex: none;\\n      width: 41.66667%; }\\n    .tile.is-6 {\\n      flex: none;\\n      width: 50%; }\\n    .tile.is-7 {\\n      flex: none;\\n      width: 58.33333%; }\\n    .tile.is-8 {\\n      flex: none;\\n      width: 66.66667%; }\\n    .tile.is-9 {\\n      flex: none;\\n      width: 75%; }\\n    .tile.is-10 {\\n      flex: none;\\n      width: 83.33333%; }\\n    .tile.is-11 {\\n      flex: none;\\n      width: 91.66667%; }\\n    .tile.is-12 {\\n      flex: none;\\n      width: 100%; } }\\n\\n/* Bulma Helpers */\\n.has-text-white {\\n  color: white !important; }\\n\\na.has-text-white:hover, a.has-text-white:focus {\\n  color: #e6e6e6 !important; }\\n\\n.has-background-white {\\n  background-color: white !important; }\\n\\n.has-text-black {\\n  color: #0a0a0a !important; }\\n\\na.has-text-black:hover, a.has-text-black:focus {\\n  color: black !important; }\\n\\n.has-background-black {\\n  background-color: #0a0a0a !important; }\\n\\n.has-text-light {\\n  color: whitesmoke !important; }\\n\\na.has-text-light:hover, a.has-text-light:focus {\\n  color: #dbdbdb !important; }\\n\\n.has-background-light {\\n  background-color: whitesmoke !important; }\\n\\n.has-text-dark {\\n  color: #363636 !important; }\\n\\na.has-text-dark:hover, a.has-text-dark:focus {\\n  color: #1c1c1c !important; }\\n\\n.has-background-dark {\\n  background-color: #363636 !important; }\\n\\n.has-text-primary {\\n  color: #2276f3 !important; }\\n\\na.has-text-primary:hover, a.has-text-primary:focus {\\n  color: #0c5dd6 !important; }\\n\\n.has-background-primary {\\n  background-color: #2276f3 !important; }\\n\\n.has-text-primary-light {\\n  color: #ecf3fe !important; }\\n\\na.has-text-primary-light:hover, a.has-text-primary-light:focus {\\n  color: #bbd5fb !important; }\\n\\n.has-background-primary-light {\\n  background-color: #ecf3fe !important; }\\n\\n.has-text-primary-dark {\\n  color: #0c5cd5 !important; }\\n\\na.has-text-primary-dark:hover, a.has-text-primary-dark:focus {\\n  color: #2075f3 !important; }\\n\\n.has-background-primary-dark {\\n  background-color: #0c5cd5 !important; }\\n\\n.has-text-link {\\n  color: #485fc7 !important; }\\n\\na.has-text-link:hover, a.has-text-link:focus {\\n  color: #3449a8 !important; }\\n\\n.has-background-link {\\n  background-color: #485fc7 !important; }\\n\\n.has-text-link-light {\\n  color: #eff1fa !important; }\\n\\na.has-text-link-light:hover, a.has-text-link-light:focus {\\n  color: #c8cfee !important; }\\n\\n.has-background-link-light {\\n  background-color: #eff1fa !important; }\\n\\n.has-text-link-dark {\\n  color: #3850b7 !important; }\\n\\na.has-text-link-dark:hover, a.has-text-link-dark:focus {\\n  color: #576dcb !important; }\\n\\n.has-background-link-dark {\\n  background-color: #3850b7 !important; }\\n\\n.has-text-info {\\n  color: #3e8ed0 !important; }\\n\\na.has-text-info:hover, a.has-text-info:focus {\\n  color: #2b74b1 !important; }\\n\\n.has-background-info {\\n  background-color: #3e8ed0 !important; }\\n\\n.has-text-info-light {\\n  color: #eff5fb !important; }\\n\\na.has-text-info-light:hover, a.has-text-info-light:focus {\\n  color: #c6ddf1 !important; }\\n\\n.has-background-info-light {\\n  background-color: #eff5fb !important; }\\n\\n.has-text-info-dark {\\n  color: #296fa8 !important; }\\n\\na.has-text-info-dark:hover, a.has-text-info-dark:focus {\\n  color: #368ace !important; }\\n\\n.has-background-info-dark {\\n  background-color: #296fa8 !important; }\\n\\n.has-text-success {\\n  color: #48c78e !important; }\\n\\na.has-text-success:hover, a.has-text-success:focus {\\n  color: #34a873 !important; }\\n\\n.has-background-success {\\n  background-color: #48c78e !important; }\\n\\n.has-text-success-light {\\n  color: #effaf5 !important; }\\n\\na.has-text-success-light:hover, a.has-text-success-light:focus {\\n  color: #c8eedd !important; }\\n\\n.has-background-success-light {\\n  background-color: #effaf5 !important; }\\n\\n.has-text-success-dark {\\n  color: #257953 !important; }\\n\\na.has-text-success-dark:hover, a.has-text-success-dark:focus {\\n  color: #31a06e !important; }\\n\\n.has-background-success-dark {\\n  background-color: #257953 !important; }\\n\\n.has-text-warning {\\n  color: #ffe08a !important; }\\n\\na.has-text-warning:hover, a.has-text-warning:focus {\\n  color: #ffd257 !important; }\\n\\n.has-background-warning {\\n  background-color: #ffe08a !important; }\\n\\n.has-text-warning-light {\\n  color: #fffaeb !important; }\\n\\na.has-text-warning-light:hover, a.has-text-warning-light:focus {\\n  color: #ffecb8 !important; }\\n\\n.has-background-warning-light {\\n  background-color: #fffaeb !important; }\\n\\n.has-text-warning-dark {\\n  color: #946c00 !important; }\\n\\na.has-text-warning-dark:hover, a.has-text-warning-dark:focus {\\n  color: #c79200 !important; }\\n\\n.has-background-warning-dark {\\n  background-color: #946c00 !important; }\\n\\n.has-text-danger {\\n  color: #f14668 !important; }\\n\\na.has-text-danger:hover, a.has-text-danger:focus {\\n  color: #ee1742 !important; }\\n\\n.has-background-danger {\\n  background-color: #f14668 !important; }\\n\\n.has-text-danger-light {\\n  color: #feecf0 !important; }\\n\\na.has-text-danger-light:hover, a.has-text-danger-light:focus {\\n  color: #fabdc9 !important; }\\n\\n.has-background-danger-light {\\n  background-color: #feecf0 !important; }\\n\\n.has-text-danger-dark {\\n  color: #cc0f35 !important; }\\n\\na.has-text-danger-dark:hover, a.has-text-danger-dark:focus {\\n  color: #ee2049 !important; }\\n\\n.has-background-danger-dark {\\n  background-color: #cc0f35 !important; }\\n\\n.has-text-twitter {\\n  color: #55acee !important; }\\n\\na.has-text-twitter:hover, a.has-text-twitter:focus {\\n  color: #2795e9 !important; }\\n\\n.has-background-twitter {\\n  background-color: #55acee !important; }\\n\\n.has-text-linkedin {\\n  color: #0077b5 !important; }\\n\\na.has-text-linkedin:hover, a.has-text-linkedin:focus {\\n  color: #005582 !important; }\\n\\n.has-background-linkedin {\\n  background-color: #0077b5 !important; }\\n\\n.has-text-github {\\n  color: #333 !important; }\\n\\na.has-text-github:hover, a.has-text-github:focus {\\n  color: #1a1a1a !important; }\\n\\n.has-background-github {\\n  background-color: #333 !important; }\\n\\n.has-text-black-bis {\\n  color: #121212 !important; }\\n\\n.has-background-black-bis {\\n  background-color: #121212 !important; }\\n\\n.has-text-black-ter {\\n  color: #242424 !important; }\\n\\n.has-background-black-ter {\\n  background-color: #242424 !important; }\\n\\n.has-text-grey-darker {\\n  color: #363636 !important; }\\n\\n.has-background-grey-darker {\\n  background-color: #363636 !important; }\\n\\n.has-text-grey-dark {\\n  color: #4a4a4a !important; }\\n\\n.has-background-grey-dark {\\n  background-color: #4a4a4a !important; }\\n\\n.has-text-grey {\\n  color: #7a7a7a !important; }\\n\\n.has-background-grey {\\n  background-color: #7a7a7a !important; }\\n\\n.has-text-grey-light {\\n  color: #b5b5b5 !important; }\\n\\n.has-background-grey-light {\\n  background-color: #b5b5b5 !important; }\\n\\n.has-text-grey-lighter {\\n  color: #dbdbdb !important; }\\n\\n.has-background-grey-lighter {\\n  background-color: #dbdbdb !important; }\\n\\n.has-text-white-ter {\\n  color: whitesmoke !important; }\\n\\n.has-background-white-ter {\\n  background-color: whitesmoke !important; }\\n\\n.has-text-white-bis {\\n  color: #fafafa !important; }\\n\\n.has-background-white-bis {\\n  background-color: #fafafa !important; }\\n\\n.is-flex-direction-row {\\n  flex-direction: row !important; }\\n\\n.is-flex-direction-row-reverse {\\n  flex-direction: row-reverse !important; }\\n\\n.is-flex-direction-column {\\n  flex-direction: column !important; }\\n\\n.is-flex-direction-column-reverse {\\n  flex-direction: column-reverse !important; }\\n\\n.is-flex-wrap-nowrap {\\n  flex-wrap: nowrap !important; }\\n\\n.is-flex-wrap-wrap {\\n  flex-wrap: wrap !important; }\\n\\n.is-flex-wrap-wrap-reverse {\\n  flex-wrap: wrap-reverse !important; }\\n\\n.is-justify-content-flex-start {\\n  justify-content: flex-start !important; }\\n\\n.is-justify-content-flex-end {\\n  justify-content: flex-end !important; }\\n\\n.is-justify-content-center {\\n  justify-content: center !important; }\\n\\n.is-justify-content-space-between {\\n  justify-content: space-between !important; }\\n\\n.is-justify-content-space-around {\\n  justify-content: space-around !important; }\\n\\n.is-justify-content-space-evenly {\\n  justify-content: space-evenly !important; }\\n\\n.is-justify-content-start {\\n  justify-content: start !important; }\\n\\n.is-justify-content-end {\\n  justify-content: end !important; }\\n\\n.is-justify-content-left {\\n  justify-content: left !important; }\\n\\n.is-justify-content-right {\\n  justify-content: right !important; }\\n\\n.is-align-content-flex-start {\\n  align-content: flex-start !important; }\\n\\n.is-align-content-flex-end {\\n  align-content: flex-end !important; }\\n\\n.is-align-content-center {\\n  align-content: center !important; }\\n\\n.is-align-content-space-between {\\n  align-content: space-between !important; }\\n\\n.is-align-content-space-around {\\n  align-content: space-around !important; }\\n\\n.is-align-content-space-evenly {\\n  align-content: space-evenly !important; }\\n\\n.is-align-content-stretch {\\n  align-content: stretch !important; }\\n\\n.is-align-content-start {\\n  align-content: start !important; }\\n\\n.is-align-content-end {\\n  align-content: end !important; }\\n\\n.is-align-content-baseline {\\n  align-content: baseline !important; }\\n\\n.is-align-items-stretch {\\n  align-items: stretch !important; }\\n\\n.is-align-items-flex-start {\\n  align-items: flex-start !important; }\\n\\n.is-align-items-flex-end {\\n  align-items: flex-end !important; }\\n\\n.is-align-items-center {\\n  align-items: center !important; }\\n\\n.is-align-items-baseline {\\n  align-items: baseline !important; }\\n\\n.is-align-items-start {\\n  align-items: start !important; }\\n\\n.is-align-items-end {\\n  align-items: end !important; }\\n\\n.is-align-items-self-start {\\n  align-items: self-start !important; }\\n\\n.is-align-items-self-end {\\n  align-items: self-end !important; }\\n\\n.is-align-self-auto {\\n  align-self: auto !important; }\\n\\n.is-align-self-flex-start {\\n  align-self: flex-start !important; }\\n\\n.is-align-self-flex-end {\\n  align-self: flex-end !important; }\\n\\n.is-align-self-center {\\n  align-self: center !important; }\\n\\n.is-align-self-baseline {\\n  align-self: baseline !important; }\\n\\n.is-align-self-stretch {\\n  align-self: stretch !important; }\\n\\n.is-flex-grow-0 {\\n  flex-grow: 0 !important; }\\n\\n.is-flex-grow-1 {\\n  flex-grow: 1 !important; }\\n\\n.is-flex-grow-2 {\\n  flex-grow: 2 !important; }\\n\\n.is-flex-grow-3 {\\n  flex-grow: 3 !important; }\\n\\n.is-flex-grow-4 {\\n  flex-grow: 4 !important; }\\n\\n.is-flex-grow-5 {\\n  flex-grow: 5 !important; }\\n\\n.is-flex-shrink-0 {\\n  flex-shrink: 0 !important; }\\n\\n.is-flex-shrink-1 {\\n  flex-shrink: 1 !important; }\\n\\n.is-flex-shrink-2 {\\n  flex-shrink: 2 !important; }\\n\\n.is-flex-shrink-3 {\\n  flex-shrink: 3 !important; }\\n\\n.is-flex-shrink-4 {\\n  flex-shrink: 4 !important; }\\n\\n.is-flex-shrink-5 {\\n  flex-shrink: 5 !important; }\\n\\n.is-clearfix::after {\\n  clear: both;\\n  content: \\\" \\\";\\n  display: table; }\\n\\n.is-pulled-left {\\n  float: left !important; }\\n\\n.is-pulled-right {\\n  float: right !important; }\\n\\n.is-radiusless {\\n  border-radius: 0 !important; }\\n\\n.is-shadowless {\\n  box-shadow: none !important; }\\n\\n.is-clickable {\\n  cursor: pointer !important;\\n  pointer-events: all !important; }\\n\\n.is-clipped {\\n  overflow: hidden !important; }\\n\\n.is-relative {\\n  position: relative !important; }\\n\\n.is-marginless {\\n  margin: 0 !important; }\\n\\n.is-paddingless {\\n  padding: 0 !important; }\\n\\n.m-0 {\\n  margin: 0 !important; }\\n\\n.mt-0 {\\n  margin-top: 0 !important; }\\n\\n.mr-0 {\\n  margin-right: 0 !important; }\\n\\n.mb-0 {\\n  margin-bottom: 0 !important; }\\n\\n.ml-0 {\\n  margin-left: 0 !important; }\\n\\n.mx-0 {\\n  margin-left: 0 !important;\\n  margin-right: 0 !important; }\\n\\n.my-0 {\\n  margin-top: 0 !important;\\n  margin-bottom: 0 !important; }\\n\\n.m-1 {\\n  margin: 0.25rem !important; }\\n\\n.mt-1 {\\n  margin-top: 0.25rem !important; }\\n\\n.mr-1 {\\n  margin-right: 0.25rem !important; }\\n\\n.mb-1 {\\n  margin-bottom: 0.25rem !important; }\\n\\n.ml-1 {\\n  margin-left: 0.25rem !important; }\\n\\n.mx-1 {\\n  margin-left: 0.25rem !important;\\n  margin-right: 0.25rem !important; }\\n\\n.my-1 {\\n  margin-top: 0.25rem !important;\\n  margin-bottom: 0.25rem !important; }\\n\\n.m-2 {\\n  margin: 0.5rem !important; }\\n\\n.mt-2 {\\n  margin-top: 0.5rem !important; }\\n\\n.mr-2 {\\n  margin-right: 0.5rem !important; }\\n\\n.mb-2 {\\n  margin-bottom: 0.5rem !important; }\\n\\n.ml-2 {\\n  margin-left: 0.5rem !important; }\\n\\n.mx-2 {\\n  margin-left: 0.5rem !important;\\n  margin-right: 0.5rem !important; }\\n\\n.my-2 {\\n  margin-top: 0.5rem !important;\\n  margin-bottom: 0.5rem !important; }\\n\\n.m-3 {\\n  margin: 0.75rem !important; }\\n\\n.mt-3 {\\n  margin-top: 0.75rem !important; }\\n\\n.mr-3 {\\n  margin-right: 0.75rem !important; }\\n\\n.mb-3 {\\n  margin-bottom: 0.75rem !important; }\\n\\n.ml-3 {\\n  margin-left: 0.75rem !important; }\\n\\n.mx-3 {\\n  margin-left: 0.75rem !important;\\n  margin-right: 0.75rem !important; }\\n\\n.my-3 {\\n  margin-top: 0.75rem !important;\\n  margin-bottom: 0.75rem !important; }\\n\\n.m-4 {\\n  margin: 1rem !important; }\\n\\n.mt-4 {\\n  margin-top: 1rem !important; }\\n\\n.mr-4 {\\n  margin-right: 1rem !important; }\\n\\n.mb-4 {\\n  margin-bottom: 1rem !important; }\\n\\n.ml-4 {\\n  margin-left: 1rem !important; }\\n\\n.mx-4 {\\n  margin-left: 1rem !important;\\n  margin-right: 1rem !important; }\\n\\n.my-4 {\\n  margin-top: 1rem !important;\\n  margin-bottom: 1rem !important; }\\n\\n.m-5 {\\n  margin: 1.5rem !important; }\\n\\n.mt-5 {\\n  margin-top: 1.5rem !important; }\\n\\n.mr-5 {\\n  margin-right: 1.5rem !important; }\\n\\n.mb-5 {\\n  margin-bottom: 1.5rem !important; }\\n\\n.ml-5 {\\n  margin-left: 1.5rem !important; }\\n\\n.mx-5 {\\n  margin-left: 1.5rem !important;\\n  margin-right: 1.5rem !important; }\\n\\n.my-5 {\\n  margin-top: 1.5rem !important;\\n  margin-bottom: 1.5rem !important; }\\n\\n.m-6 {\\n  margin: 3rem !important; }\\n\\n.mt-6 {\\n  margin-top: 3rem !important; }\\n\\n.mr-6 {\\n  margin-right: 3rem !important; }\\n\\n.mb-6 {\\n  margin-bottom: 3rem !important; }\\n\\n.ml-6 {\\n  margin-left: 3rem !important; }\\n\\n.mx-6 {\\n  margin-left: 3rem !important;\\n  margin-right: 3rem !important; }\\n\\n.my-6 {\\n  margin-top: 3rem !important;\\n  margin-bottom: 3rem !important; }\\n\\n.m-auto {\\n  margin: auto !important; }\\n\\n.mt-auto {\\n  margin-top: auto !important; }\\n\\n.mr-auto {\\n  margin-right: auto !important; }\\n\\n.mb-auto {\\n  margin-bottom: auto !important; }\\n\\n.ml-auto {\\n  margin-left: auto !important; }\\n\\n.mx-auto {\\n  margin-left: auto !important;\\n  margin-right: auto !important; }\\n\\n.my-auto {\\n  margin-top: auto !important;\\n  margin-bottom: auto !important; }\\n\\n.p-0 {\\n  padding: 0 !important; }\\n\\n.pt-0 {\\n  padding-top: 0 !important; }\\n\\n.pr-0 {\\n  padding-right: 0 !important; }\\n\\n.pb-0 {\\n  padding-bottom: 0 !important; }\\n\\n.pl-0 {\\n  padding-left: 0 !important; }\\n\\n.px-0 {\\n  padding-left: 0 !important;\\n  padding-right: 0 !important; }\\n\\n.py-0 {\\n  padding-top: 0 !important;\\n  padding-bottom: 0 !important; }\\n\\n.p-1 {\\n  padding: 0.25rem !important; }\\n\\n.pt-1 {\\n  padding-top: 0.25rem !important; }\\n\\n.pr-1 {\\n  padding-right: 0.25rem !important; }\\n\\n.pb-1 {\\n  padding-bottom: 0.25rem !important; }\\n\\n.pl-1 {\\n  padding-left: 0.25rem !important; }\\n\\n.px-1 {\\n  padding-left: 0.25rem !important;\\n  padding-right: 0.25rem !important; }\\n\\n.py-1 {\\n  padding-top: 0.25rem !important;\\n  padding-bottom: 0.25rem !important; }\\n\\n.p-2 {\\n  padding: 0.5rem !important; }\\n\\n.pt-2 {\\n  padding-top: 0.5rem !important; }\\n\\n.pr-2 {\\n  padding-right: 0.5rem !important; }\\n\\n.pb-2 {\\n  padding-bottom: 0.5rem !important; }\\n\\n.pl-2 {\\n  padding-left: 0.5rem !important; }\\n\\n.px-2 {\\n  padding-left: 0.5rem !important;\\n  padding-right: 0.5rem !important; }\\n\\n.py-2 {\\n  padding-top: 0.5rem !important;\\n  padding-bottom: 0.5rem !important; }\\n\\n.p-3 {\\n  padding: 0.75rem !important; }\\n\\n.pt-3 {\\n  padding-top: 0.75rem !important; }\\n\\n.pr-3 {\\n  padding-right: 0.75rem !important; }\\n\\n.pb-3 {\\n  padding-bottom: 0.75rem !important; }\\n\\n.pl-3 {\\n  padding-left: 0.75rem !important; }\\n\\n.px-3 {\\n  padding-left: 0.75rem !important;\\n  padding-right: 0.75rem !important; }\\n\\n.py-3 {\\n  padding-top: 0.75rem !important;\\n  padding-bottom: 0.75rem !important; }\\n\\n.p-4 {\\n  padding: 1rem !important; }\\n\\n.pt-4 {\\n  padding-top: 1rem !important; }\\n\\n.pr-4 {\\n  padding-right: 1rem !important; }\\n\\n.pb-4 {\\n  padding-bottom: 1rem !important; }\\n\\n.pl-4 {\\n  padding-left: 1rem !important; }\\n\\n.px-4 {\\n  padding-left: 1rem !important;\\n  padding-right: 1rem !important; }\\n\\n.py-4 {\\n  padding-top: 1rem !important;\\n  padding-bottom: 1rem !important; }\\n\\n.p-5 {\\n  padding: 1.5rem !important; }\\n\\n.pt-5 {\\n  padding-top: 1.5rem !important; }\\n\\n.pr-5 {\\n  padding-right: 1.5rem !important; }\\n\\n.pb-5 {\\n  padding-bottom: 1.5rem !important; }\\n\\n.pl-5 {\\n  padding-left: 1.5rem !important; }\\n\\n.px-5 {\\n  padding-left: 1.5rem !important;\\n  padding-right: 1.5rem !important; }\\n\\n.py-5 {\\n  padding-top: 1.5rem !important;\\n  padding-bottom: 1.5rem !important; }\\n\\n.p-6 {\\n  padding: 3rem !important; }\\n\\n.pt-6 {\\n  padding-top: 3rem !important; }\\n\\n.pr-6 {\\n  padding-right: 3rem !important; }\\n\\n.pb-6 {\\n  padding-bottom: 3rem !important; }\\n\\n.pl-6 {\\n  padding-left: 3rem !important; }\\n\\n.px-6 {\\n  padding-left: 3rem !important;\\n  padding-right: 3rem !important; }\\n\\n.py-6 {\\n  padding-top: 3rem !important;\\n  padding-bottom: 3rem !important; }\\n\\n.p-auto {\\n  padding: auto !important; }\\n\\n.pt-auto {\\n  padding-top: auto !important; }\\n\\n.pr-auto {\\n  padding-right: auto !important; }\\n\\n.pb-auto {\\n  padding-bottom: auto !important; }\\n\\n.pl-auto {\\n  padding-left: auto !important; }\\n\\n.px-auto {\\n  padding-left: auto !important;\\n  padding-right: auto !important; }\\n\\n.py-auto {\\n  padding-top: auto !important;\\n  padding-bottom: auto !important; }\\n\\n.is-size-1 {\\n  font-size: 3rem !important; }\\n\\n.is-size-2 {\\n  font-size: 2.5rem !important; }\\n\\n.is-size-3 {\\n  font-size: 2rem !important; }\\n\\n.is-size-4 {\\n  font-size: 1.5rem !important; }\\n\\n.is-size-5 {\\n  font-size: 1.25rem !important; }\\n\\n.is-size-6 {\\n  font-size: 1rem !important; }\\n\\n.is-size-7 {\\n  font-size: 0.75rem !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-size-1-mobile {\\n    font-size: 3rem !important; }\\n  .is-size-2-mobile {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-mobile {\\n    font-size: 2rem !important; }\\n  .is-size-4-mobile {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-mobile {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-mobile {\\n    font-size: 1rem !important; }\\n  .is-size-7-mobile {\\n    font-size: 0.75rem !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-size-1-tablet {\\n    font-size: 3rem !important; }\\n  .is-size-2-tablet {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-tablet {\\n    font-size: 2rem !important; }\\n  .is-size-4-tablet {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-tablet {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-tablet {\\n    font-size: 1rem !important; }\\n  .is-size-7-tablet {\\n    font-size: 0.75rem !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-size-1-touch {\\n    font-size: 3rem !important; }\\n  .is-size-2-touch {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-touch {\\n    font-size: 2rem !important; }\\n  .is-size-4-touch {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-touch {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-touch {\\n    font-size: 1rem !important; }\\n  .is-size-7-touch {\\n    font-size: 0.75rem !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-size-1-desktop {\\n    font-size: 3rem !important; }\\n  .is-size-2-desktop {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-desktop {\\n    font-size: 2rem !important; }\\n  .is-size-4-desktop {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-desktop {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-desktop {\\n    font-size: 1rem !important; }\\n  .is-size-7-desktop {\\n    font-size: 0.75rem !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-size-1-widescreen {\\n    font-size: 3rem !important; }\\n  .is-size-2-widescreen {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-widescreen {\\n    font-size: 2rem !important; }\\n  .is-size-4-widescreen {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-widescreen {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-widescreen {\\n    font-size: 1rem !important; }\\n  .is-size-7-widescreen {\\n    font-size: 0.75rem !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-size-1-fullhd {\\n    font-size: 3rem !important; }\\n  .is-size-2-fullhd {\\n    font-size: 2.5rem !important; }\\n  .is-size-3-fullhd {\\n    font-size: 2rem !important; }\\n  .is-size-4-fullhd {\\n    font-size: 1.5rem !important; }\\n  .is-size-5-fullhd {\\n    font-size: 1.25rem !important; }\\n  .is-size-6-fullhd {\\n    font-size: 1rem !important; }\\n  .is-size-7-fullhd {\\n    font-size: 0.75rem !important; } }\\n\\n.has-text-centered {\\n  text-align: center !important; }\\n\\n.has-text-justified {\\n  text-align: justify !important; }\\n\\n.has-text-left {\\n  text-align: left !important; }\\n\\n.has-text-right {\\n  text-align: right !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .has-text-centered-mobile {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .has-text-centered-tablet {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .has-text-centered-tablet-only {\\n    text-align: center !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .has-text-centered-touch {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .has-text-centered-desktop {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .has-text-centered-desktop-only {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .has-text-centered-widescreen {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .has-text-centered-widescreen-only {\\n    text-align: center !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .has-text-centered-fullhd {\\n    text-align: center !important; } }\\n\\n@media screen and (max-width: 768px) {\\n  .has-text-justified-mobile {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .has-text-justified-tablet {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .has-text-justified-tablet-only {\\n    text-align: justify !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .has-text-justified-touch {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .has-text-justified-desktop {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .has-text-justified-desktop-only {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .has-text-justified-widescreen {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .has-text-justified-widescreen-only {\\n    text-align: justify !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .has-text-justified-fullhd {\\n    text-align: justify !important; } }\\n\\n@media screen and (max-width: 768px) {\\n  .has-text-left-mobile {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .has-text-left-tablet {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .has-text-left-tablet-only {\\n    text-align: left !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .has-text-left-touch {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .has-text-left-desktop {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .has-text-left-desktop-only {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .has-text-left-widescreen {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .has-text-left-widescreen-only {\\n    text-align: left !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .has-text-left-fullhd {\\n    text-align: left !important; } }\\n\\n@media screen and (max-width: 768px) {\\n  .has-text-right-mobile {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .has-text-right-tablet {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .has-text-right-tablet-only {\\n    text-align: right !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .has-text-right-touch {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .has-text-right-desktop {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .has-text-right-desktop-only {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .has-text-right-widescreen {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .has-text-right-widescreen-only {\\n    text-align: right !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .has-text-right-fullhd {\\n    text-align: right !important; } }\\n\\n.is-capitalized {\\n  text-transform: capitalize !important; }\\n\\n.is-lowercase {\\n  text-transform: lowercase !important; }\\n\\n.is-uppercase {\\n  text-transform: uppercase !important; }\\n\\n.is-italic {\\n  font-style: italic !important; }\\n\\n.is-underlined {\\n  text-decoration: underline !important; }\\n\\n.has-text-weight-light {\\n  font-weight: 300 !important; }\\n\\n.has-text-weight-normal {\\n  font-weight: 400 !important; }\\n\\n.has-text-weight-medium {\\n  font-weight: 500 !important; }\\n\\n.has-text-weight-semibold {\\n  font-weight: 600 !important; }\\n\\n.has-text-weight-bold {\\n  font-weight: 700 !important; }\\n\\n.is-family-primary {\\n  font-family: BlinkMacSystemFont, -apple-system, \\\"Segoe UI\\\", \\\"Roboto\\\", \\\"Oxygen\\\", \\\"Ubuntu\\\", \\\"Cantarell\\\", \\\"Fira Sans\\\", \\\"Droid Sans\\\", \\\"Helvetica Neue\\\", \\\"Helvetica\\\", \\\"Arial\\\", sans-serif !important; }\\n\\n.is-family-secondary {\\n  font-family: BlinkMacSystemFont, -apple-system, \\\"Segoe UI\\\", \\\"Roboto\\\", \\\"Oxygen\\\", \\\"Ubuntu\\\", \\\"Cantarell\\\", \\\"Fira Sans\\\", \\\"Droid Sans\\\", \\\"Helvetica Neue\\\", \\\"Helvetica\\\", \\\"Arial\\\", sans-serif !important; }\\n\\n.is-family-sans-serif {\\n  font-family: BlinkMacSystemFont, -apple-system, \\\"Segoe UI\\\", \\\"Roboto\\\", \\\"Oxygen\\\", \\\"Ubuntu\\\", \\\"Cantarell\\\", \\\"Fira Sans\\\", \\\"Droid Sans\\\", \\\"Helvetica Neue\\\", \\\"Helvetica\\\", \\\"Arial\\\", sans-serif !important; }\\n\\n.is-family-monospace {\\n  font-family: monospace !important; }\\n\\n.is-family-code {\\n  font-family: monospace !important; }\\n\\n.is-block {\\n  display: block !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-block-mobile {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-block-tablet {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-block-tablet-only {\\n    display: block !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-block-touch {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-block-desktop {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-block-desktop-only {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-block-widescreen {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-block-widescreen-only {\\n    display: block !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-block-fullhd {\\n    display: block !important; } }\\n\\n.is-flex {\\n  display: flex !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-flex-mobile {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-flex-tablet {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-flex-tablet-only {\\n    display: flex !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-flex-touch {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-flex-desktop {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-flex-desktop-only {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-flex-widescreen {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-flex-widescreen-only {\\n    display: flex !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-flex-fullhd {\\n    display: flex !important; } }\\n\\n.is-inline {\\n  display: inline !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-inline-mobile {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-inline-tablet {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-inline-tablet-only {\\n    display: inline !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-inline-touch {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-inline-desktop {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-inline-desktop-only {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-inline-widescreen {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-inline-widescreen-only {\\n    display: inline !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-inline-fullhd {\\n    display: inline !important; } }\\n\\n.is-inline-block {\\n  display: inline-block !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-inline-block-mobile {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-inline-block-tablet {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-inline-block-tablet-only {\\n    display: inline-block !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-inline-block-touch {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-inline-block-desktop {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-inline-block-desktop-only {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-inline-block-widescreen {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-inline-block-widescreen-only {\\n    display: inline-block !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-inline-block-fullhd {\\n    display: inline-block !important; } }\\n\\n.is-inline-flex {\\n  display: inline-flex !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-inline-flex-mobile {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-inline-flex-tablet {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-inline-flex-tablet-only {\\n    display: inline-flex !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-inline-flex-touch {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-inline-flex-desktop {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-inline-flex-desktop-only {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-inline-flex-widescreen {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-inline-flex-widescreen-only {\\n    display: inline-flex !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-inline-flex-fullhd {\\n    display: inline-flex !important; } }\\n\\n.is-hidden {\\n  display: none !important; }\\n\\n.is-sr-only {\\n  border: none !important;\\n  clip: rect(0, 0, 0, 0) !important;\\n  height: 0.01em !important;\\n  overflow: hidden !important;\\n  padding: 0 !important;\\n  position: absolute !important;\\n  white-space: nowrap !important;\\n  width: 0.01em !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-hidden-mobile {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-hidden-tablet {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-hidden-tablet-only {\\n    display: none !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-hidden-touch {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-hidden-desktop {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-hidden-desktop-only {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-hidden-widescreen {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-hidden-widescreen-only {\\n    display: none !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-hidden-fullhd {\\n    display: none !important; } }\\n\\n.is-invisible {\\n  visibility: hidden !important; }\\n\\n@media screen and (max-width: 768px) {\\n  .is-invisible-mobile {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 769px), print {\\n  .is-invisible-tablet {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 769px) and (max-width: 1023px) {\\n  .is-invisible-tablet-only {\\n    visibility: hidden !important; } }\\n\\n@media screen and (max-width: 1023px) {\\n  .is-invisible-touch {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 1024px) {\\n  .is-invisible-desktop {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 1024px) and (max-width: 1215px) {\\n  .is-invisible-desktop-only {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 1216px) {\\n  .is-invisible-widescreen {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 1216px) and (max-width: 1407px) {\\n  .is-invisible-widescreen-only {\\n    visibility: hidden !important; } }\\n\\n@media screen and (min-width: 1408px) {\\n  .is-invisible-fullhd {\\n    visibility: hidden !important; } }\\n\\n/* Bulma Layout */\\n.hero {\\n  align-items: stretch;\\n  display: flex;\\n  flex-direction: column;\\n  justify-content: space-between; }\\n  .hero .navbar {\\n    background: none; }\\n  .hero .tabs ul {\\n    border-bottom: none; }\\n  .hero.is-white {\\n    background-color: white;\\n    color: #0a0a0a; }\\n    .hero.is-white a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-white strong {\\n      color: inherit; }\\n    .hero.is-white .title {\\n      color: #0a0a0a; }\\n    .hero.is-white .subtitle {\\n      color: rgba(10, 10, 10, 0.9); }\\n      .hero.is-white .subtitle a:not(.button),\\n      .hero.is-white .subtitle strong {\\n        color: #0a0a0a; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-white .navbar-menu {\\n        background-color: white; } }\\n    .hero.is-white .navbar-item,\\n    .hero.is-white .navbar-link {\\n      color: rgba(10, 10, 10, 0.7); }\\n    .hero.is-white a.navbar-item:hover, .hero.is-white a.navbar-item.is-active,\\n    .hero.is-white .navbar-link:hover,\\n    .hero.is-white .navbar-link.is-active {\\n      background-color: #f2f2f2;\\n      color: #0a0a0a; }\\n    .hero.is-white .tabs a {\\n      color: #0a0a0a;\\n      opacity: 0.9; }\\n      .hero.is-white .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-white .tabs li.is-active a {\\n      color: white !important;\\n      opacity: 1; }\\n    .hero.is-white .tabs.is-boxed a, .hero.is-white .tabs.is-toggle a {\\n      color: #0a0a0a; }\\n      .hero.is-white .tabs.is-boxed a:hover, .hero.is-white .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-white .tabs.is-boxed li.is-active a, .hero.is-white .tabs.is-boxed li.is-active a:hover, .hero.is-white .tabs.is-toggle li.is-active a, .hero.is-white .tabs.is-toggle li.is-active a:hover {\\n      background-color: #0a0a0a;\\n      border-color: #0a0a0a;\\n      color: white; }\\n    .hero.is-white.is-bold {\\n      background-image: linear-gradient(141deg, #e6e6e6 0%, white 71%, white 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-white.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #e6e6e6 0%, white 71%, white 100%); } }\\n  .hero.is-black {\\n    background-color: #0a0a0a;\\n    color: white; }\\n    .hero.is-black a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-black strong {\\n      color: inherit; }\\n    .hero.is-black .title {\\n      color: white; }\\n    .hero.is-black .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-black .subtitle a:not(.button),\\n      .hero.is-black .subtitle strong {\\n        color: white; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-black .navbar-menu {\\n        background-color: #0a0a0a; } }\\n    .hero.is-black .navbar-item,\\n    .hero.is-black .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-black a.navbar-item:hover, .hero.is-black a.navbar-item.is-active,\\n    .hero.is-black .navbar-link:hover,\\n    .hero.is-black .navbar-link.is-active {\\n      background-color: black;\\n      color: white; }\\n    .hero.is-black .tabs a {\\n      color: white;\\n      opacity: 0.9; }\\n      .hero.is-black .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-black .tabs li.is-active a {\\n      color: #0a0a0a !important;\\n      opacity: 1; }\\n    .hero.is-black .tabs.is-boxed a, .hero.is-black .tabs.is-toggle a {\\n      color: white; }\\n      .hero.is-black .tabs.is-boxed a:hover, .hero.is-black .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-black .tabs.is-boxed li.is-active a, .hero.is-black .tabs.is-boxed li.is-active a:hover, .hero.is-black .tabs.is-toggle li.is-active a, .hero.is-black .tabs.is-toggle li.is-active a:hover {\\n      background-color: white;\\n      border-color: white;\\n      color: #0a0a0a; }\\n    .hero.is-black.is-bold {\\n      background-image: linear-gradient(141deg, black 0%, #0a0a0a 71%, #181616 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-black.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, black 0%, #0a0a0a 71%, #181616 100%); } }\\n  .hero.is-light {\\n    background-color: whitesmoke;\\n    color: #363636; }\\n    .hero.is-light a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-light strong {\\n      color: inherit; }\\n    .hero.is-light .title {\\n      color: #363636; }\\n    .hero.is-light .subtitle {\\n      color: rgba(54, 54, 54, 0.9); }\\n      .hero.is-light .subtitle a:not(.button),\\n      .hero.is-light .subtitle strong {\\n        color: #363636; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-light .navbar-menu {\\n        background-color: whitesmoke; } }\\n    .hero.is-light .navbar-item,\\n    .hero.is-light .navbar-link {\\n      color: rgba(54, 54, 54, 0.7); }\\n    .hero.is-light a.navbar-item:hover, .hero.is-light a.navbar-item.is-active,\\n    .hero.is-light .navbar-link:hover,\\n    .hero.is-light .navbar-link.is-active {\\n      background-color: #e8e8e8;\\n      color: #363636; }\\n    .hero.is-light .tabs a {\\n      color: #363636;\\n      opacity: 0.9; }\\n      .hero.is-light .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-light .tabs li.is-active a {\\n      color: whitesmoke !important;\\n      opacity: 1; }\\n    .hero.is-light .tabs.is-boxed a, .hero.is-light .tabs.is-toggle a {\\n      color: #363636; }\\n      .hero.is-light .tabs.is-boxed a:hover, .hero.is-light .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-light .tabs.is-boxed li.is-active a, .hero.is-light .tabs.is-boxed li.is-active a:hover, .hero.is-light .tabs.is-toggle li.is-active a, .hero.is-light .tabs.is-toggle li.is-active a:hover {\\n      background-color: #363636;\\n      border-color: #363636;\\n      color: whitesmoke; }\\n    .hero.is-light.is-bold {\\n      background-image: linear-gradient(141deg, #dfd8d9 0%, whitesmoke 71%, white 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-light.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #dfd8d9 0%, whitesmoke 71%, white 100%); } }\\n  .hero.is-dark {\\n    background-color: #363636;\\n    color: whitesmoke; }\\n    .hero.is-dark a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-dark strong {\\n      color: inherit; }\\n    .hero.is-dark .title {\\n      color: whitesmoke; }\\n    .hero.is-dark .subtitle {\\n      color: rgba(245, 245, 245, 0.9); }\\n      .hero.is-dark .subtitle a:not(.button),\\n      .hero.is-dark .subtitle strong {\\n        color: whitesmoke; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-dark .navbar-menu {\\n        background-color: #363636; } }\\n    .hero.is-dark .navbar-item,\\n    .hero.is-dark .navbar-link {\\n      color: rgba(245, 245, 245, 0.7); }\\n    .hero.is-dark a.navbar-item:hover, .hero.is-dark a.navbar-item.is-active,\\n    .hero.is-dark .navbar-link:hover,\\n    .hero.is-dark .navbar-link.is-active {\\n      background-color: #292929;\\n      color: whitesmoke; }\\n    .hero.is-dark .tabs a {\\n      color: whitesmoke;\\n      opacity: 0.9; }\\n      .hero.is-dark .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-dark .tabs li.is-active a {\\n      color: #363636 !important;\\n      opacity: 1; }\\n    .hero.is-dark .tabs.is-boxed a, .hero.is-dark .tabs.is-toggle a {\\n      color: whitesmoke; }\\n      .hero.is-dark .tabs.is-boxed a:hover, .hero.is-dark .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-dark .tabs.is-boxed li.is-active a, .hero.is-dark .tabs.is-boxed li.is-active a:hover, .hero.is-dark .tabs.is-toggle li.is-active a, .hero.is-dark .tabs.is-toggle li.is-active a:hover {\\n      background-color: whitesmoke;\\n      border-color: whitesmoke;\\n      color: #363636; }\\n    .hero.is-dark.is-bold {\\n      background-image: linear-gradient(141deg, #1f191a 0%, #363636 71%, #46403f 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-dark.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #1f191a 0%, #363636 71%, #46403f 100%); } }\\n  .hero.is-primary {\\n    background-color: #2276f3;\\n    color: #fff; }\\n    .hero.is-primary a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-primary strong {\\n      color: inherit; }\\n    .hero.is-primary .title {\\n      color: #fff; }\\n    .hero.is-primary .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-primary .subtitle a:not(.button),\\n      .hero.is-primary .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-primary .navbar-menu {\\n        background-color: #2276f3; } }\\n    .hero.is-primary .navbar-item,\\n    .hero.is-primary .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-primary a.navbar-item:hover, .hero.is-primary a.navbar-item.is-active,\\n    .hero.is-primary .navbar-link:hover,\\n    .hero.is-primary .navbar-link.is-active {\\n      background-color: #0d68ef;\\n      color: #fff; }\\n    .hero.is-primary .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-primary .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-primary .tabs li.is-active a {\\n      color: #2276f3 !important;\\n      opacity: 1; }\\n    .hero.is-primary .tabs.is-boxed a, .hero.is-primary .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-primary .tabs.is-boxed a:hover, .hero.is-primary .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-primary .tabs.is-boxed li.is-active a, .hero.is-primary .tabs.is-boxed li.is-active a:hover, .hero.is-primary .tabs.is-toggle li.is-active a, .hero.is-primary .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #2276f3; }\\n    .hero.is-primary.is-bold {\\n      background-image: linear-gradient(141deg, #0080e2 0%, #2276f3 71%, #3563fa 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-primary.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #0080e2 0%, #2276f3 71%, #3563fa 100%); } }\\n  .hero.is-link {\\n    background-color: #485fc7;\\n    color: #fff; }\\n    .hero.is-link a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-link strong {\\n      color: inherit; }\\n    .hero.is-link .title {\\n      color: #fff; }\\n    .hero.is-link .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-link .subtitle a:not(.button),\\n      .hero.is-link .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-link .navbar-menu {\\n        background-color: #485fc7; } }\\n    .hero.is-link .navbar-item,\\n    .hero.is-link .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-link a.navbar-item:hover, .hero.is-link a.navbar-item.is-active,\\n    .hero.is-link .navbar-link:hover,\\n    .hero.is-link .navbar-link.is-active {\\n      background-color: #3a51bb;\\n      color: #fff; }\\n    .hero.is-link .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-link .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-link .tabs li.is-active a {\\n      color: #485fc7 !important;\\n      opacity: 1; }\\n    .hero.is-link .tabs.is-boxed a, .hero.is-link .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-link .tabs.is-boxed a:hover, .hero.is-link .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-link .tabs.is-boxed li.is-active a, .hero.is-link .tabs.is-boxed li.is-active a:hover, .hero.is-link .tabs.is-toggle li.is-active a, .hero.is-link .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #485fc7; }\\n    .hero.is-link.is-bold {\\n      background-image: linear-gradient(141deg, #2959b3 0%, #485fc7 71%, #5658d2 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-link.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #2959b3 0%, #485fc7 71%, #5658d2 100%); } }\\n  .hero.is-info {\\n    background-color: #3e8ed0;\\n    color: #fff; }\\n    .hero.is-info a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-info strong {\\n      color: inherit; }\\n    .hero.is-info .title {\\n      color: #fff; }\\n    .hero.is-info .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-info .subtitle a:not(.button),\\n      .hero.is-info .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-info .navbar-menu {\\n        background-color: #3e8ed0; } }\\n    .hero.is-info .navbar-item,\\n    .hero.is-info .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-info a.navbar-item:hover, .hero.is-info a.navbar-item.is-active,\\n    .hero.is-info .navbar-link:hover,\\n    .hero.is-info .navbar-link.is-active {\\n      background-color: #3082c5;\\n      color: #fff; }\\n    .hero.is-info .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-info .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-info .tabs li.is-active a {\\n      color: #3e8ed0 !important;\\n      opacity: 1; }\\n    .hero.is-info .tabs.is-boxed a, .hero.is-info .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-info .tabs.is-boxed a:hover, .hero.is-info .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-info .tabs.is-boxed li.is-active a, .hero.is-info .tabs.is-boxed li.is-active a:hover, .hero.is-info .tabs.is-toggle li.is-active a, .hero.is-info .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #3e8ed0; }\\n    .hero.is-info.is-bold {\\n      background-image: linear-gradient(141deg, #208fbc 0%, #3e8ed0 71%, #4d83db 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-info.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #208fbc 0%, #3e8ed0 71%, #4d83db 100%); } }\\n  .hero.is-success {\\n    background-color: #48c78e;\\n    color: #fff; }\\n    .hero.is-success a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-success strong {\\n      color: inherit; }\\n    .hero.is-success .title {\\n      color: #fff; }\\n    .hero.is-success .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-success .subtitle a:not(.button),\\n      .hero.is-success .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-success .navbar-menu {\\n        background-color: #48c78e; } }\\n    .hero.is-success .navbar-item,\\n    .hero.is-success .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-success a.navbar-item:hover, .hero.is-success a.navbar-item.is-active,\\n    .hero.is-success .navbar-link:hover,\\n    .hero.is-success .navbar-link.is-active {\\n      background-color: #3abb81;\\n      color: #fff; }\\n    .hero.is-success .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-success .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-success .tabs li.is-active a {\\n      color: #48c78e !important;\\n      opacity: 1; }\\n    .hero.is-success .tabs.is-boxed a, .hero.is-success .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-success .tabs.is-boxed a:hover, .hero.is-success .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-success .tabs.is-boxed li.is-active a, .hero.is-success .tabs.is-boxed li.is-active a:hover, .hero.is-success .tabs.is-toggle li.is-active a, .hero.is-success .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #48c78e; }\\n    .hero.is-success.is-bold {\\n      background-image: linear-gradient(141deg, #29b35e 0%, #48c78e 71%, #56d2af 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-success.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #29b35e 0%, #48c78e 71%, #56d2af 100%); } }\\n  .hero.is-warning {\\n    background-color: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n    .hero.is-warning a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-warning strong {\\n      color: inherit; }\\n    .hero.is-warning .title {\\n      color: rgba(0, 0, 0, 0.7); }\\n    .hero.is-warning .subtitle {\\n      color: rgba(0, 0, 0, 0.9); }\\n      .hero.is-warning .subtitle a:not(.button),\\n      .hero.is-warning .subtitle strong {\\n        color: rgba(0, 0, 0, 0.7); }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-warning .navbar-menu {\\n        background-color: #ffe08a; } }\\n    .hero.is-warning .navbar-item,\\n    .hero.is-warning .navbar-link {\\n      color: rgba(0, 0, 0, 0.7); }\\n    .hero.is-warning a.navbar-item:hover, .hero.is-warning a.navbar-item.is-active,\\n    .hero.is-warning .navbar-link:hover,\\n    .hero.is-warning .navbar-link.is-active {\\n      background-color: #ffd970;\\n      color: rgba(0, 0, 0, 0.7); }\\n    .hero.is-warning .tabs a {\\n      color: rgba(0, 0, 0, 0.7);\\n      opacity: 0.9; }\\n      .hero.is-warning .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-warning .tabs li.is-active a {\\n      color: #ffe08a !important;\\n      opacity: 1; }\\n    .hero.is-warning .tabs.is-boxed a, .hero.is-warning .tabs.is-toggle a {\\n      color: rgba(0, 0, 0, 0.7); }\\n      .hero.is-warning .tabs.is-boxed a:hover, .hero.is-warning .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-warning .tabs.is-boxed li.is-active a, .hero.is-warning .tabs.is-boxed li.is-active a:hover, .hero.is-warning .tabs.is-toggle li.is-active a, .hero.is-warning .tabs.is-toggle li.is-active a:hover {\\n      background-color: rgba(0, 0, 0, 0.7);\\n      border-color: rgba(0, 0, 0, 0.7);\\n      color: #ffe08a; }\\n    .hero.is-warning.is-bold {\\n      background-image: linear-gradient(141deg, #ffb657 0%, #ffe08a 71%, #fff6a3 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-warning.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #ffb657 0%, #ffe08a 71%, #fff6a3 100%); } }\\n  .hero.is-danger {\\n    background-color: #f14668;\\n    color: #fff; }\\n    .hero.is-danger a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-danger strong {\\n      color: inherit; }\\n    .hero.is-danger .title {\\n      color: #fff; }\\n    .hero.is-danger .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-danger .subtitle a:not(.button),\\n      .hero.is-danger .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-danger .navbar-menu {\\n        background-color: #f14668; } }\\n    .hero.is-danger .navbar-item,\\n    .hero.is-danger .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-danger a.navbar-item:hover, .hero.is-danger a.navbar-item.is-active,\\n    .hero.is-danger .navbar-link:hover,\\n    .hero.is-danger .navbar-link.is-active {\\n      background-color: #ef2e55;\\n      color: #fff; }\\n    .hero.is-danger .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-danger .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-danger .tabs li.is-active a {\\n      color: #f14668 !important;\\n      opacity: 1; }\\n    .hero.is-danger .tabs.is-boxed a, .hero.is-danger .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-danger .tabs.is-boxed a:hover, .hero.is-danger .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-danger .tabs.is-boxed li.is-active a, .hero.is-danger .tabs.is-boxed li.is-active a:hover, .hero.is-danger .tabs.is-toggle li.is-active a, .hero.is-danger .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #f14668; }\\n    .hero.is-danger.is-bold {\\n      background-image: linear-gradient(141deg, #fa0a62 0%, #f14668 71%, #f7595f 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-danger.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #fa0a62 0%, #f14668 71%, #f7595f 100%); } }\\n  .hero.is-twitter {\\n    background-color: #55acee;\\n    color: #fff; }\\n    .hero.is-twitter a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-twitter strong {\\n      color: inherit; }\\n    .hero.is-twitter .title {\\n      color: #fff; }\\n    .hero.is-twitter .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-twitter .subtitle a:not(.button),\\n      .hero.is-twitter .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-twitter .navbar-menu {\\n        background-color: #55acee; } }\\n    .hero.is-twitter .navbar-item,\\n    .hero.is-twitter .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-twitter a.navbar-item:hover, .hero.is-twitter a.navbar-item.is-active,\\n    .hero.is-twitter .navbar-link:hover,\\n    .hero.is-twitter .navbar-link.is-active {\\n      background-color: #3ea1ec;\\n      color: #fff; }\\n    .hero.is-twitter .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-twitter .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-twitter .tabs li.is-active a {\\n      color: #55acee !important;\\n      opacity: 1; }\\n    .hero.is-twitter .tabs.is-boxed a, .hero.is-twitter .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-twitter .tabs.is-boxed a:hover, .hero.is-twitter .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-twitter .tabs.is-boxed li.is-active a, .hero.is-twitter .tabs.is-boxed li.is-active a:hover, .hero.is-twitter .tabs.is-toggle li.is-active a, .hero.is-twitter .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #55acee; }\\n    .hero.is-twitter.is-bold {\\n      background-image: linear-gradient(141deg, #1bbbf5 0%, #55acee 71%, #68a1f4 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-twitter.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #1bbbf5 0%, #55acee 71%, #68a1f4 100%); } }\\n  .hero.is-linkedin {\\n    background-color: #0077b5;\\n    color: #fff; }\\n    .hero.is-linkedin a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-linkedin strong {\\n      color: inherit; }\\n    .hero.is-linkedin .title {\\n      color: #fff; }\\n    .hero.is-linkedin .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-linkedin .subtitle a:not(.button),\\n      .hero.is-linkedin .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-linkedin .navbar-menu {\\n        background-color: #0077b5; } }\\n    .hero.is-linkedin .navbar-item,\\n    .hero.is-linkedin .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-linkedin a.navbar-item:hover, .hero.is-linkedin a.navbar-item.is-active,\\n    .hero.is-linkedin .navbar-link:hover,\\n    .hero.is-linkedin .navbar-link.is-active {\\n      background-color: #00669c;\\n      color: #fff; }\\n    .hero.is-linkedin .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-linkedin .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-linkedin .tabs li.is-active a {\\n      color: #0077b5 !important;\\n      opacity: 1; }\\n    .hero.is-linkedin .tabs.is-boxed a, .hero.is-linkedin .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-linkedin .tabs.is-boxed a:hover, .hero.is-linkedin .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-linkedin .tabs.is-boxed li.is-active a, .hero.is-linkedin .tabs.is-boxed li.is-active a:hover, .hero.is-linkedin .tabs.is-toggle li.is-active a, .hero.is-linkedin .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #0077b5; }\\n    .hero.is-linkedin.is-bold {\\n      background-image: linear-gradient(141deg, #006b82 0%, #0077b5 71%, #0065cf 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-linkedin.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #006b82 0%, #0077b5 71%, #0065cf 100%); } }\\n  .hero.is-github {\\n    background-color: #333;\\n    color: #fff; }\\n    .hero.is-github a:not(.button):not(.dropdown-item):not(.tag):not(.pagination-link.is-current),\\n    .hero.is-github strong {\\n      color: inherit; }\\n    .hero.is-github .title {\\n      color: #fff; }\\n    .hero.is-github .subtitle {\\n      color: rgba(255, 255, 255, 0.9); }\\n      .hero.is-github .subtitle a:not(.button),\\n      .hero.is-github .subtitle strong {\\n        color: #fff; }\\n    @media screen and (max-width: 1023px) {\\n      .hero.is-github .navbar-menu {\\n        background-color: #333; } }\\n    .hero.is-github .navbar-item,\\n    .hero.is-github .navbar-link {\\n      color: rgba(255, 255, 255, 0.7); }\\n    .hero.is-github a.navbar-item:hover, .hero.is-github a.navbar-item.is-active,\\n    .hero.is-github .navbar-link:hover,\\n    .hero.is-github .navbar-link.is-active {\\n      background-color: #262626;\\n      color: #fff; }\\n    .hero.is-github .tabs a {\\n      color: #fff;\\n      opacity: 0.9; }\\n      .hero.is-github .tabs a:hover {\\n        opacity: 1; }\\n    .hero.is-github .tabs li.is-active a {\\n      color: #333 !important;\\n      opacity: 1; }\\n    .hero.is-github .tabs.is-boxed a, .hero.is-github .tabs.is-toggle a {\\n      color: #fff; }\\n      .hero.is-github .tabs.is-boxed a:hover, .hero.is-github .tabs.is-toggle a:hover {\\n        background-color: rgba(10, 10, 10, 0.1); }\\n    .hero.is-github .tabs.is-boxed li.is-active a, .hero.is-github .tabs.is-boxed li.is-active a:hover, .hero.is-github .tabs.is-toggle li.is-active a, .hero.is-github .tabs.is-toggle li.is-active a:hover {\\n      background-color: #fff;\\n      border-color: #fff;\\n      color: #333; }\\n    .hero.is-github.is-bold {\\n      background-image: linear-gradient(141deg, #1c1718 0%, #333 71%, #433e3d 100%); }\\n      @media screen and (max-width: 768px) {\\n        .hero.is-github.is-bold .navbar-menu {\\n          background-image: linear-gradient(141deg, #1c1718 0%, #333 71%, #433e3d 100%); } }\\n  .hero.is-small .hero-body {\\n    padding: 1.5rem; }\\n  @media screen and (min-width: 769px), print {\\n    .hero.is-medium .hero-body {\\n      padding: 9rem 4.5rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .hero.is-large .hero-body {\\n      padding: 18rem 6rem; } }\\n  .hero.is-halfheight .hero-body, .hero.is-fullheight .hero-body, .hero.is-fullheight-with-navbar .hero-body {\\n    align-items: center;\\n    display: flex; }\\n    .hero.is-halfheight .hero-body > .container, .hero.is-fullheight .hero-body > .container, .hero.is-fullheight-with-navbar .hero-body > .container {\\n      flex-grow: 1;\\n      flex-shrink: 1; }\\n  .hero.is-halfheight {\\n    min-height: 50vh; }\\n  .hero.is-fullheight {\\n    min-height: 100vh; }\\n\\n.hero-video {\\n  overflow: hidden; }\\n  .hero-video video {\\n    left: 50%;\\n    min-height: 100%;\\n    min-width: 100%;\\n    position: absolute;\\n    top: 50%;\\n    transform: translate3d(-50%, -50%, 0); }\\n  .hero-video.is-transparent {\\n    opacity: 0.3; }\\n  @media screen and (max-width: 768px) {\\n    .hero-video {\\n      display: none; } }\\n\\n.hero-buttons {\\n  margin-top: 1.5rem; }\\n  @media screen and (max-width: 768px) {\\n    .hero-buttons .button {\\n      display: flex; }\\n      .hero-buttons .button:not(:last-child) {\\n        margin-bottom: 0.75rem; } }\\n  @media screen and (min-width: 769px), print {\\n    .hero-buttons {\\n      display: flex;\\n      justify-content: center; }\\n      .hero-buttons .button:not(:last-child) {\\n        margin-right: 1.5rem; } }\\n\\n.hero-head,\\n.hero-foot {\\n  flex-grow: 0;\\n  flex-shrink: 0; }\\n\\n.hero-body {\\n  flex-grow: 1;\\n  flex-shrink: 0;\\n  padding: 3rem 1.5rem; }\\n  @media screen and (min-width: 769px), print {\\n    .hero-body {\\n      padding: 3rem 3rem; } }\\n\\n.section {\\n  padding: 3rem 1.5rem; }\\n  @media screen and (min-width: 1024px) {\\n    .section {\\n      padding: 3rem 3rem; }\\n      .section.is-medium {\\n        padding: 9rem 4.5rem; }\\n      .section.is-large {\\n        padding: 18rem 6rem; } }\\n\\n.footer {\\n  background-color: #fafafa;\\n  padding: 3rem 1.5rem 6rem; }\\n\\n.is-noscroll {\\n  position: fixed;\\n  overflow-y: hidden;\\n  width: 100%;\\n  bottom: 0; }\\n\\n@-webkit-keyframes fadeOut {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0; } }\\n\\n@keyframes fadeOut {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0; } }\\n\\n.fadeOut {\\n  -webkit-animation-name: fadeOut;\\n          animation-name: fadeOut; }\\n\\n@-webkit-keyframes fadeOutDown {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0;\\n    transform: translate3d(0, 100%, 0); } }\\n\\n@keyframes fadeOutDown {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0;\\n    transform: translate3d(0, 100%, 0); } }\\n\\n.fadeOutDown {\\n  -webkit-animation-name: fadeOutDown;\\n          animation-name: fadeOutDown; }\\n\\n@-webkit-keyframes fadeOutUp {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0;\\n    transform: translate3d(0, -100%, 0); } }\\n\\n@keyframes fadeOutUp {\\n  from {\\n    opacity: 1; }\\n  to {\\n    opacity: 0;\\n    transform: translate3d(0, -100%, 0); } }\\n\\n.fadeOutUp {\\n  -webkit-animation-name: fadeOutUp;\\n          animation-name: fadeOutUp; }\\n\\n@-webkit-keyframes fadeIn {\\n  from {\\n    opacity: 0; }\\n  to {\\n    opacity: 1; } }\\n\\n@keyframes fadeIn {\\n  from {\\n    opacity: 0; }\\n  to {\\n    opacity: 1; } }\\n\\n.fadeIn {\\n  -webkit-animation-name: fadeIn;\\n          animation-name: fadeIn; }\\n\\n@-webkit-keyframes fadeInDown {\\n  from {\\n    opacity: 0;\\n    transform: translate3d(0, -100%, 0); }\\n  to {\\n    opacity: 1;\\n    transform: none; } }\\n\\n@keyframes fadeInDown {\\n  from {\\n    opacity: 0;\\n    transform: translate3d(0, -100%, 0); }\\n  to {\\n    opacity: 1;\\n    transform: none; } }\\n\\n.fadeInDown {\\n  -webkit-animation-name: fadeInDown;\\n          animation-name: fadeInDown; }\\n\\n@-webkit-keyframes fadeInUp {\\n  from {\\n    opacity: 0;\\n    transform: translate3d(0, 100%, 0); }\\n  to {\\n    opacity: 1;\\n    transform: none; } }\\n\\n@keyframes fadeInUp {\\n  from {\\n    opacity: 0;\\n    transform: translate3d(0, 100%, 0); }\\n  to {\\n    opacity: 1;\\n    transform: none; } }\\n\\n.fadeInUp {\\n  -webkit-animation-name: fadeInUp;\\n          animation-name: fadeInUp; }\\n\\n/**\\r\\n * Vue Transitions\\r\\n */\\n.fade-enter-active,\\n.fade-leave-active {\\n  transition: opacity 150ms ease-out; }\\n\\n.fade-enter,\\n.fade-leave-to {\\n  opacity: 0; }\\n\\n.zoom-in-enter-active,\\n.zoom-in-leave-active {\\n  transition: opacity 150ms ease-out; }\\n  .zoom-in-enter-active .animation-content,\\n  .zoom-in-enter-active .animation-content,\\n  .zoom-in-leave-active .animation-content,\\n  .zoom-in-leave-active .animation-content {\\n    transition: transform 150ms ease-out; }\\n\\n.zoom-in-enter,\\n.zoom-in-leave-active {\\n  opacity: 0; }\\n  .zoom-in-enter .animation-content,\\n  .zoom-in-enter .animation-content,\\n  .zoom-in-leave-active .animation-content,\\n  .zoom-in-leave-active .animation-content {\\n    transform: scale(0.95); }\\n\\n.zoom-out-enter-active,\\n.zoom-out-leave-active {\\n  transition: opacity 150ms ease-out; }\\n  .zoom-out-enter-active .animation-content,\\n  .zoom-out-enter-active .animation-content,\\n  .zoom-out-leave-active .animation-content,\\n  .zoom-out-leave-active .animation-content {\\n    transition: transform 150ms ease-out; }\\n\\n.zoom-out-enter,\\n.zoom-out-leave-active {\\n  opacity: 0; }\\n  .zoom-out-enter .animation-content,\\n  .zoom-out-enter .animation-content,\\n  .zoom-out-leave-active .animation-content,\\n  .zoom-out-leave-active .animation-content {\\n    transform: scale(1.05); }\\n\\n.slide-next-enter-active,\\n.slide-next-leave-active,\\n.slide-prev-enter-active,\\n.slide-prev-leave-active {\\n  transition: transform 250ms cubic-bezier(0.785, 0.135, 0.15, 0.86); }\\n\\n.slide-prev-leave-to, .slide-next-enter {\\n  transform: translate3d(-100%, 0, 0);\\n  position: absolute;\\n  width: 100%; }\\n\\n.slide-prev-enter, .slide-next-leave-to {\\n  transform: translate3d(100%, 0, 0);\\n  position: absolute;\\n  width: 100%; }\\n\\n.slide-down-enter-active,\\n.slide-down-leave-active,\\n.slide-up-enter-active,\\n.slide-up-leave-active {\\n  transition: transform 250ms cubic-bezier(0.785, 0.135, 0.15, 0.86); }\\n\\n.slide-up-leave-to, .slide-down-enter {\\n  transform: translate3d(0, -100%, 0);\\n  position: absolute;\\n  height: 100%; }\\n\\n.slide-up-enter, .slide-down-leave-to {\\n  transform: translate3d(0, 100%, 0);\\n  position: absolute;\\n  height: 100%; }\\n\\n.slide-enter-active {\\n  transition: 150ms ease-out; }\\n\\n.slide-leave-active {\\n  transition: 150ms ease-out;\\n  transition-timing-function: cubic-bezier(0, 1, 0.5, 1); }\\n\\n.slide-enter-to, .slide-leave {\\n  max-height: 100px;\\n  overflow: hidden; }\\n\\n.slide-enter, .slide-leave-to {\\n  overflow: hidden;\\n  max-height: 0; }\\n\\n.autocomplete {\\n  position: relative; }\\n  .autocomplete .dropdown-menu {\\n    display: block;\\n    width: 100%; }\\n    .autocomplete .dropdown-menu.is-opened-top {\\n      top: auto;\\n      bottom: 100%; }\\n  .autocomplete .dropdown-content {\\n    overflow: auto;\\n    max-height: 200px; }\\n  .autocomplete .dropdown-item, .autocomplete .dropdown .dropdown-menu .has-link a, .dropdown .dropdown-menu .has-link .autocomplete a {\\n    white-space: nowrap;\\n    overflow: hidden;\\n    text-overflow: ellipsis; }\\n    .autocomplete .dropdown-item.is-hovered, .autocomplete .dropdown .dropdown-menu .has-link a.is-hovered, .dropdown .dropdown-menu .has-link .autocomplete a.is-hovered {\\n      background: whitesmoke;\\n      color: #0a0a0a; }\\n    .autocomplete .dropdown-item.is-disabled, .autocomplete .dropdown .dropdown-menu .has-link a.is-disabled, .dropdown .dropdown-menu .has-link .autocomplete a.is-disabled {\\n      opacity: 0.5;\\n      cursor: not-allowed; }\\n  .autocomplete.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .autocomplete.is-medium {\\n    font-size: 1.25rem; }\\n  .autocomplete.is-large {\\n    font-size: 1.5rem; }\\n\\n.carousel {\\n  min-height: 120px;\\n  position: relative; }\\n  .carousel.is-overlay {\\n    background-color: rgba(10, 10, 10, 0.86);\\n    align-items: center;\\n    flex-direction: column;\\n    justify-content: center;\\n    display: flex;\\n    max-height: 100vh;\\n    position: fixed;\\n    z-index: 40; }\\n    .carousel.is-overlay .carousel-item img {\\n      cursor: default; }\\n    .carousel.is-overlay .carousel-indicator.has-background {\\n      background: transparent; }\\n  .carousel .progress, .carousel .progress-wrapper.is-not-native {\\n    border-radius: 2px;\\n    height: 0.25rem;\\n    margin-bottom: 0; }\\n  .carousel .carousel-items {\\n    position: relative;\\n    display: flex;\\n    overflow: hidden;\\n    width: 100%; }\\n    @media screen and (min-width: 769px), print {\\n      .carousel .carousel-items:hover .carousel-arrow.is-hovered {\\n        opacity: 1; } }\\n    .carousel .carousel-items .carousel-item {\\n      flex-shrink: 0;\\n      width: 100%; }\\n  .carousel .carousel-pause {\\n    pointer-events: none;\\n    position: absolute;\\n    top: 0;\\n    right: 0.15rem;\\n    z-index: 1; }\\n  .carousel .carousel-indicator {\\n    width: 100%;\\n    padding: 0.5rem;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center; }\\n    .carousel .carousel-indicator.has-background {\\n      background: rgba(10, 10, 10, 0.5); }\\n    .carousel .carousel-indicator.has-custom {\\n      flex-wrap: nowrap;\\n      justify-content: flex-start;\\n      -webkit-overflow-scrolling: touch;\\n      overflow: hidden;\\n      overflow-x: auto; }\\n      .carousel .carousel-indicator.has-custom.is-small .indicator-item {\\n        flex: 1 0 10%; }\\n      .carousel .carousel-indicator.has-custom.is-medium .indicator-item {\\n        flex: 1 0 16.66667%; }\\n    .carousel .carousel-indicator.is-inside {\\n      position: absolute; }\\n      .carousel .carousel-indicator.is-inside.is-bottom {\\n        bottom: 0; }\\n      .carousel .carousel-indicator.is-inside.is-top {\\n        top: 0; }\\n    .carousel .carousel-indicator .indicator-item:not(:last-child) {\\n      margin-right: 0.5rem; }\\n    .carousel .carousel-indicator .indicator-item.is-active .indicator-style,\\n    .carousel .carousel-indicator .indicator-item .indicator-style:hover {\\n      background: #2276f3;\\n      border: 1px solid white; }\\n    .carousel .carousel-indicator .indicator-item .indicator-style {\\n      display: block;\\n      border: 1px solid #2276f3;\\n      background: white;\\n      outline: none;\\n      transition: 150ms ease-out; }\\n      .carousel .carousel-indicator .indicator-item .indicator-style.is-boxes {\\n        height: 10px;\\n        width: 10px; }\\n      .carousel .carousel-indicator .indicator-item .indicator-style.is-dots {\\n        border-radius: 9999px;\\n        height: 10px;\\n        width: 10px; }\\n      .carousel .carousel-indicator .indicator-item .indicator-style.is-lines {\\n        height: 5px;\\n        width: 25px; }\\n\\n.carousel-list {\\n  position: relative;\\n  overflow: hidden;\\n  width: 100%; }\\n  .carousel-list.has-shadow {\\n    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25); }\\n  @media screen and (min-width: 769px), print {\\n    .carousel-list:hover .carousel-arrow.is-hovered {\\n      opacity: 1; } }\\n  .carousel-list .carousel-slides {\\n    position: relative;\\n    display: flex;\\n    width: 100%; }\\n    .carousel-list .carousel-slides:not(.is-dragging) {\\n      transition: all 250ms ease-out 0s; }\\n    .carousel-list .carousel-slides.has-grayscale .carousel-slide img {\\n      filter: grayscale(100%); }\\n    .carousel-list .carousel-slides.has-grayscale .carousel-slide.is-active img {\\n      filter: grayscale(0%); }\\n    .carousel-list .carousel-slides.has-opacity .carousel-slide img {\\n      opacity: 0.25; }\\n    .carousel-list .carousel-slides.has-opacity .carousel-slide.is-active img {\\n      opacity: 1; }\\n    .carousel-list .carousel-slides .carousel-slide {\\n      border: 2px solid transparent;\\n      flex-shrink: 0; }\\n\\n.carousel-arrow {\\n  transition: 150ms ease-out; }\\n  .carousel-arrow.is-hovered {\\n    opacity: 0; }\\n  .carousel-arrow .icon {\\n    background: white;\\n    color: #2276f3;\\n    cursor: pointer;\\n    border: 1px solid white;\\n    border-radius: 9999px;\\n    outline: 0; }\\n    .carousel-arrow .icon:hover {\\n      border: 1px solid #2276f3;\\n      opacity: 1; }\\n    .carousel-arrow .icon.has-icons-left, .carousel-arrow .icon.has-icons-right {\\n      position: absolute;\\n      top: 50%;\\n      transform: translateY(-50%);\\n      z-index: 1; }\\n    .carousel-arrow .icon.has-icons-left {\\n      left: 1.5rem; }\\n    .carousel-arrow .icon.has-icons-right {\\n      right: 1.5rem; }\\n\\n.b-checkbox.checkbox {\\n  outline: none;\\n  display: inline-flex;\\n  align-items: center; }\\n  .b-checkbox.checkbox:not(.button) {\\n    margin-right: 0.5em; }\\n    .b-checkbox.checkbox:not(.button) + .checkbox:last-child {\\n      margin-right: 0; }\\n  .b-checkbox.checkbox input[type=checkbox] {\\n    position: absolute;\\n    left: 0;\\n    opacity: 0;\\n    outline: none;\\n    z-index: -1; }\\n    .b-checkbox.checkbox input[type=checkbox] + .check {\\n      width: 1.25em;\\n      height: 1.25em;\\n      flex-shrink: 0;\\n      border-radius: 4px;\\n      border: 2px solid #7a7a7a;\\n      transition: background 150ms ease-out;\\n      background: transparent; }\\n    .b-checkbox.checkbox input[type=checkbox]:checked + .check {\\n      background: #2276f3 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n      border-color: #2276f3; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-white {\\n        background: white url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%230a0a0a' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: white; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-black {\\n        background: #0a0a0a url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:white' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #0a0a0a; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-light {\\n        background: whitesmoke url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23363636' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: whitesmoke; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-dark {\\n        background: #363636 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:whitesmoke' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #363636; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-primary {\\n        background: #2276f3 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #2276f3; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-link {\\n        background: #485fc7 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #485fc7; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-info {\\n        background: #3e8ed0 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #3e8ed0; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-success {\\n        background: #48c78e url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #48c78e; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-warning {\\n        background: #ffe08a url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:rgba(0, 0, 0, 0.7)' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #ffe08a; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-danger {\\n        background: #f14668 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #f14668; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-twitter {\\n        background: #55acee url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #55acee; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-linkedin {\\n        background: #0077b5 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #0077b5; }\\n      .b-checkbox.checkbox input[type=checkbox]:checked + .check.is-github {\\n        background: #333 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%23fff' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #333; }\\n    .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check {\\n      background: #2276f3 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n      border-color: #2276f3; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-white {\\n        background: white url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%230a0a0a' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: white; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-black {\\n        background: #0a0a0a url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:white' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #0a0a0a; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-light {\\n        background: whitesmoke url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23363636' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: whitesmoke; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-dark {\\n        background: #363636 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:whitesmoke' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #363636; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-primary {\\n        background: #2276f3 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #2276f3; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-link {\\n        background: #485fc7 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #485fc7; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-info {\\n        background: #3e8ed0 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #3e8ed0; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-success {\\n        background: #48c78e url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #48c78e; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-warning {\\n        background: #ffe08a url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:rgba(0, 0, 0, 0.7)' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #ffe08a; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-danger {\\n        background: #f14668 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #f14668; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-twitter {\\n        background: #55acee url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #55acee; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-linkedin {\\n        background: #0077b5 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #0077b5; }\\n      .b-checkbox.checkbox input[type=checkbox]:indeterminate + .check.is-github {\\n        background: #333 url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Crect style='fill:%23fff' width='0.7' height='0.2' x='.15' y='.4'%3E%3C/rect%3E%3C/svg%3E\\\") no-repeat center center;\\n        border-color: #333; }\\n    .b-checkbox.checkbox input[type=checkbox]:focus + .check {\\n      box-shadow: 0 0 0.5em rgba(122, 122, 122, 0.8); }\\n    .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check {\\n      box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-white {\\n        box-shadow: 0 0 0.5em rgba(255, 255, 255, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-black {\\n        box-shadow: 0 0 0.5em rgba(10, 10, 10, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-light {\\n        box-shadow: 0 0 0.5em rgba(245, 245, 245, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-dark {\\n        box-shadow: 0 0 0.5em rgba(54, 54, 54, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-primary {\\n        box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-link {\\n        box-shadow: 0 0 0.5em rgba(72, 95, 199, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-info {\\n        box-shadow: 0 0 0.5em rgba(62, 142, 208, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-success {\\n        box-shadow: 0 0 0.5em rgba(72, 199, 142, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-warning {\\n        box-shadow: 0 0 0.5em rgba(255, 224, 138, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-danger {\\n        box-shadow: 0 0 0.5em rgba(241, 70, 104, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-twitter {\\n        box-shadow: 0 0 0.5em rgba(85, 172, 238, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-linkedin {\\n        box-shadow: 0 0 0.5em rgba(0, 119, 181, 0.8); }\\n      .b-checkbox.checkbox input[type=checkbox]:focus:checked + .check.is-github {\\n        box-shadow: 0 0 0.5em rgba(51, 51, 51, 0.8); }\\n  .b-checkbox.checkbox .control-label {\\n    padding-left: calc(0.75em - 1px); }\\n  .b-checkbox.checkbox.button {\\n    display: flex; }\\n  .b-checkbox.checkbox[disabled] {\\n    opacity: 0.5; }\\n  .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check {\\n    border-color: #2276f3; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-white {\\n      border-color: white; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-black {\\n      border-color: #0a0a0a; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-light {\\n      border-color: whitesmoke; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-dark {\\n      border-color: #363636; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-primary {\\n      border-color: #2276f3; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-link {\\n      border-color: #485fc7; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-info {\\n      border-color: #3e8ed0; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-success {\\n      border-color: #48c78e; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-warning {\\n      border-color: #ffe08a; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-danger {\\n      border-color: #f14668; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-twitter {\\n      border-color: #55acee; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-linkedin {\\n      border-color: #0077b5; }\\n    .b-checkbox.checkbox:hover input[type=checkbox]:not(:disabled) + .check.is-github {\\n      border-color: #333; }\\n  .b-checkbox.checkbox.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .b-checkbox.checkbox.is-medium {\\n    font-size: 1.25rem; }\\n  .b-checkbox.checkbox.is-large {\\n    font-size: 1.5rem; }\\n\\n.b-clockpicker .card-header {\\n  background-color: #2276f3;\\n  color: #fff; }\\n\\n.b-clockpicker .b-clockpicker-face:after {\\n  background-color: #2276f3; }\\n\\n.b-clockpicker .b-clockpicker-face-hand {\\n  background-color: #2276f3;\\n  border-color: #2276f3; }\\n\\n.b-clockpicker .b-clockpicker-face-number.active {\\n  background-color: #2276f3;\\n  color: #fff; }\\n\\n.b-clockpicker.is-white .card-header {\\n  background-color: white;\\n  color: #0a0a0a; }\\n\\n.b-clockpicker.is-white .b-clockpicker-face:after {\\n  background-color: white; }\\n\\n.b-clockpicker.is-white .b-clockpicker-face-hand {\\n  background-color: white;\\n  border-color: white; }\\n\\n.b-clockpicker.is-white .b-clockpicker-face-number.active {\\n  background-color: white;\\n  color: #0a0a0a; }\\n\\n.b-clockpicker.is-black .card-header {\\n  background-color: #0a0a0a;\\n  color: white; }\\n\\n.b-clockpicker.is-black .b-clockpicker-face:after {\\n  background-color: #0a0a0a; }\\n\\n.b-clockpicker.is-black .b-clockpicker-face-hand {\\n  background-color: #0a0a0a;\\n  border-color: #0a0a0a; }\\n\\n.b-clockpicker.is-black .b-clockpicker-face-number.active {\\n  background-color: #0a0a0a;\\n  color: white; }\\n\\n.b-clockpicker.is-light .card-header {\\n  background-color: whitesmoke;\\n  color: #363636; }\\n\\n.b-clockpicker.is-light .b-clockpicker-face:after {\\n  background-color: whitesmoke; }\\n\\n.b-clockpicker.is-light .b-clockpicker-face-hand {\\n  background-color: whitesmoke;\\n  border-color: whitesmoke; }\\n\\n.b-clockpicker.is-light .b-clockpicker-face-number.active {\\n  background-color: whitesmoke;\\n  color: #363636; }\\n\\n.b-clockpicker.is-dark .card-header {\\n  background-color: #363636;\\n  color: whitesmoke; }\\n\\n.b-clockpicker.is-dark .b-clockpicker-face:after {\\n  background-color: #363636; }\\n\\n.b-clockpicker.is-dark .b-clockpicker-face-hand {\\n  background-color: #363636;\\n  border-color: #363636; }\\n\\n.b-clockpicker.is-dark .b-clockpicker-face-number.active {\\n  background-color: #363636;\\n  color: whitesmoke; }\\n\\n.b-clockpicker.is-primary .card-header {\\n  background-color: #2276f3;\\n  color: #fff; }\\n\\n.b-clockpicker.is-primary .b-clockpicker-face:after {\\n  background-color: #2276f3; }\\n\\n.b-clockpicker.is-primary .b-clockpicker-face-hand {\\n  background-color: #2276f3;\\n  border-color: #2276f3; }\\n\\n.b-clockpicker.is-primary .b-clockpicker-face-number.active {\\n  background-color: #2276f3;\\n  color: #fff; }\\n\\n.b-clockpicker.is-link .card-header {\\n  background-color: #485fc7;\\n  color: #fff; }\\n\\n.b-clockpicker.is-link .b-clockpicker-face:after {\\n  background-color: #485fc7; }\\n\\n.b-clockpicker.is-link .b-clockpicker-face-hand {\\n  background-color: #485fc7;\\n  border-color: #485fc7; }\\n\\n.b-clockpicker.is-link .b-clockpicker-face-number.active {\\n  background-color: #485fc7;\\n  color: #fff; }\\n\\n.b-clockpicker.is-info .card-header {\\n  background-color: #3e8ed0;\\n  color: #fff; }\\n\\n.b-clockpicker.is-info .b-clockpicker-face:after {\\n  background-color: #3e8ed0; }\\n\\n.b-clockpicker.is-info .b-clockpicker-face-hand {\\n  background-color: #3e8ed0;\\n  border-color: #3e8ed0; }\\n\\n.b-clockpicker.is-info .b-clockpicker-face-number.active {\\n  background-color: #3e8ed0;\\n  color: #fff; }\\n\\n.b-clockpicker.is-success .card-header {\\n  background-color: #48c78e;\\n  color: #fff; }\\n\\n.b-clockpicker.is-success .b-clockpicker-face:after {\\n  background-color: #48c78e; }\\n\\n.b-clockpicker.is-success .b-clockpicker-face-hand {\\n  background-color: #48c78e;\\n  border-color: #48c78e; }\\n\\n.b-clockpicker.is-success .b-clockpicker-face-number.active {\\n  background-color: #48c78e;\\n  color: #fff; }\\n\\n.b-clockpicker.is-warning .card-header {\\n  background-color: #ffe08a;\\n  color: rgba(0, 0, 0, 0.7); }\\n\\n.b-clockpicker.is-warning .b-clockpicker-face:after {\\n  background-color: #ffe08a; }\\n\\n.b-clockpicker.is-warning .b-clockpicker-face-hand {\\n  background-color: #ffe08a;\\n  border-color: #ffe08a; }\\n\\n.b-clockpicker.is-warning .b-clockpicker-face-number.active {\\n  background-color: #ffe08a;\\n  color: rgba(0, 0, 0, 0.7); }\\n\\n.b-clockpicker.is-danger .card-header {\\n  background-color: #f14668;\\n  color: #fff; }\\n\\n.b-clockpicker.is-danger .b-clockpicker-face:after {\\n  background-color: #f14668; }\\n\\n.b-clockpicker.is-danger .b-clockpicker-face-hand {\\n  background-color: #f14668;\\n  border-color: #f14668; }\\n\\n.b-clockpicker.is-danger .b-clockpicker-face-number.active {\\n  background-color: #f14668;\\n  color: #fff; }\\n\\n.b-clockpicker.is-twitter .card-header {\\n  background-color: #55acee;\\n  color: #fff; }\\n\\n.b-clockpicker.is-twitter .b-clockpicker-face:after {\\n  background-color: #55acee; }\\n\\n.b-clockpicker.is-twitter .b-clockpicker-face-hand {\\n  background-color: #55acee;\\n  border-color: #55acee; }\\n\\n.b-clockpicker.is-twitter .b-clockpicker-face-number.active {\\n  background-color: #55acee;\\n  color: #fff; }\\n\\n.b-clockpicker.is-linkedin .card-header {\\n  background-color: #0077b5;\\n  color: #fff; }\\n\\n.b-clockpicker.is-linkedin .b-clockpicker-face:after {\\n  background-color: #0077b5; }\\n\\n.b-clockpicker.is-linkedin .b-clockpicker-face-hand {\\n  background-color: #0077b5;\\n  border-color: #0077b5; }\\n\\n.b-clockpicker.is-linkedin .b-clockpicker-face-number.active {\\n  background-color: #0077b5;\\n  color: #fff; }\\n\\n.b-clockpicker.is-github .card-header {\\n  background-color: #333;\\n  color: #fff; }\\n\\n.b-clockpicker.is-github .b-clockpicker-face:after {\\n  background-color: #333; }\\n\\n.b-clockpicker.is-github .b-clockpicker-face-hand {\\n  background-color: #333;\\n  border-color: #333; }\\n\\n.b-clockpicker.is-github .b-clockpicker-face-number.active {\\n  background-color: #333;\\n  color: #fff; }\\n\\n.b-clockpicker .dropdown-menu {\\n  min-width: 0; }\\n\\n.b-clockpicker .dropdown,\\n.b-clockpicker .dropdown-trigger {\\n  width: 100%; }\\n  .b-clockpicker .dropdown .input[readonly],\\n  .b-clockpicker .dropdown-trigger .input[readonly] {\\n    cursor: pointer;\\n    box-shadow: inset 0 0.0625em 0.125em rgba(10, 10, 10, 0.05); }\\n    .b-clockpicker .dropdown .input[readonly]:focus, .b-clockpicker .dropdown .input[readonly].is-focused, .b-clockpicker .dropdown .input[readonly]:active, .b-clockpicker .dropdown .input[readonly].is-active,\\n    .b-clockpicker .dropdown-trigger .input[readonly]:focus,\\n    .b-clockpicker .dropdown-trigger .input[readonly].is-focused,\\n    .b-clockpicker .dropdown-trigger .input[readonly]:active,\\n    .b-clockpicker .dropdown-trigger .input[readonly].is-active {\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n\\n.b-clockpicker .dropdown-item, .b-clockpicker .dropdown .dropdown-menu .has-link a, .dropdown .dropdown-menu .has-link .b-clockpicker a {\\n  font-size: inherit;\\n  padding: 0; }\\n\\n.b-clockpicker .dropdown-content {\\n  padding-top: 0;\\n  padding-bottom: 0; }\\n\\n.b-clockpicker .card {\\n  border-radius: 0.25rem; }\\n\\n.b-clockpicker .card-header {\\n  border-top-left-radius: 0.25rem;\\n  border-top-right-radius: 0.25rem; }\\n\\n.b-clockpicker .card-content {\\n  padding: 12px; }\\n\\n.b-clockpicker-btn {\\n  cursor: pointer;\\n  opacity: 0.6; }\\n  .b-clockpicker-btn:hover, .b-clockpicker-btn.active {\\n    opacity: 1; }\\n\\n.b-clockpicker-period .b-clockpicker-btn {\\n  font-size: 16px; }\\n\\n.b-clockpicker-time span {\\n  align-items: center;\\n  display: inline-flex;\\n  justify-content: center; }\\n\\n.b-clockpicker-header {\\n  display: flex;\\n  line-height: 1;\\n  justify-content: flex-end;\\n  color: inherit; }\\n  .b-clockpicker-header .b-clockpicker-time {\\n    white-space: nowrap; }\\n    .b-clockpicker-header .b-clockpicker-time span {\\n      height: 60px;\\n      font-size: 60px; }\\n  .b-clockpicker-header .b-clockpicker-period {\\n    align-self: flex-end;\\n    display: flex;\\n    flex-direction: column;\\n    margin: 8px 0 6px 8px; }\\n\\n.b-clockpicker-body {\\n  transition: 0.9s cubic-bezier(0.25, 0.8, 0.5, 1); }\\n  .b-clockpicker-body .b-clockpicker-btn {\\n    padding: 0 8px;\\n    border-radius: 9999px;\\n    margin-bottom: 2px; }\\n    .b-clockpicker-body .b-clockpicker-btn:hover, .b-clockpicker-body .b-clockpicker-btn.active {\\n      background-color: #2276f3;\\n      color: white; }\\n  .b-clockpicker-body .b-clockpicker-period {\\n    position: absolute;\\n    top: 5px;\\n    right: 5px; }\\n  .b-clockpicker-body .b-clockpicker-time {\\n    position: absolute;\\n    top: 5px;\\n    left: 5px;\\n    font-size: 16px; }\\n  .b-clockpicker-body .b-clockpicker-face {\\n    border-radius: 50%;\\n    position: relative;\\n    background-color: #dbdbdb;\\n    width: 100%;\\n    height: 100%;\\n    align-items: center;\\n    display: flex;\\n    justify-content: center; }\\n    .b-clockpicker-body .b-clockpicker-face:after {\\n      border-radius: 50%;\\n      content: \\\"\\\";\\n      position: absolute;\\n      left: 50%;\\n      top: 50%;\\n      transform: translate(-50%, -50%);\\n      width: 12px;\\n      height: 12px;\\n      z-index: 10; }\\n    .b-clockpicker-body .b-clockpicker-face-outer-ring {\\n      -webkit-user-select: none;\\n         -moz-user-select: none;\\n          -ms-user-select: none;\\n              user-select: none;\\n      height: calc(100% - 50px);\\n      width: calc(100% - 50px);\\n      position: relative;\\n      border-radius: 50%; }\\n    .b-clockpicker-body .b-clockpicker-face-number {\\n      align-items: center;\\n      border-radius: 100%;\\n      cursor: default;\\n      display: flex;\\n      font-size: 18px;\\n      text-align: center;\\n      justify-content: center;\\n      position: absolute;\\n      width: 40px;\\n      height: 40px;\\n      left: calc(50% - 40px * 0.5);\\n      top: calc(50% - 40px * 0.5);\\n      -webkit-user-select: none;\\n         -moz-user-select: none;\\n          -ms-user-select: none;\\n              user-select: none; }\\n      .b-clockpicker-body .b-clockpicker-face-number > span {\\n        z-index: 1; }\\n      .b-clockpicker-body .b-clockpicker-face-number:before, .b-clockpicker-body .b-clockpicker-face-number:after {\\n        content: \\\"\\\";\\n        height: 40px;\\n        width: 40px;\\n        border-radius: 100%;\\n        position: absolute;\\n        top: 50%;\\n        left: 50%;\\n        transform: translate(-50%, -50%); }\\n      .b-clockpicker-body .b-clockpicker-face-number.active {\\n        cursor: default;\\n        z-index: 2; }\\n      .b-clockpicker-body .b-clockpicker-face-number.disabled {\\n        pointer-events: none;\\n        opacity: .25; }\\n    .b-clockpicker-body .b-clockpicker-face-hand {\\n      height: calc(50% - 6px);\\n      width: 2px;\\n      bottom: 50%;\\n      left: calc(50% - 1px);\\n      transform-origin: center bottom;\\n      position: absolute;\\n      will-change: transform;\\n      z-index: 1; }\\n      .b-clockpicker-body .b-clockpicker-face-hand:before {\\n        background: transparent;\\n        border-width: 2px;\\n        border-style: solid;\\n        border-color: inherit;\\n        border-radius: 100%;\\n        width: 12px;\\n        height: 12px;\\n        content: \\\"\\\";\\n        position: absolute;\\n        top: -6px;\\n        left: 50%;\\n        transform: translate(-50%, -50%); }\\n\\n.b-clockpicker-footer {\\n  display: block;\\n  padding: 12px; }\\n\\n.b-clockpicker.is-small {\\n  border-radius: 2px;\\n  font-size: 0.75rem; }\\n\\n.b-clockpicker.is-medium {\\n  font-size: 1.25rem; }\\n\\n.b-clockpicker.is-large {\\n  font-size: 1.5rem; }\\n\\n.collapse .collapse-trigger {\\n  display: inline;\\n  cursor: pointer; }\\n\\n.collapse .collapse-content {\\n  display: inherit; }\\n\\n.datepicker {\\n  font-size: 0.875rem; }\\n  .datepicker .dropdown,\\n  .datepicker .dropdown-trigger {\\n    width: 100%; }\\n    .datepicker .dropdown .input[readonly],\\n    .datepicker .dropdown-trigger .input[readonly] {\\n      cursor: pointer;\\n      box-shadow: inset 0 0.0625em 0.125em rgba(10, 10, 10, 0.05); }\\n      .datepicker .dropdown .input[readonly]:focus, .datepicker .dropdown .input[readonly].is-focused, .datepicker .dropdown .input[readonly]:active, .datepicker .dropdown .input[readonly].is-active,\\n      .datepicker .dropdown-trigger .input[readonly]:focus,\\n      .datepicker .dropdown-trigger .input[readonly].is-focused,\\n      .datepicker .dropdown-trigger .input[readonly]:active,\\n      .datepicker .dropdown-trigger .input[readonly].is-active {\\n        box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n  .datepicker .dropdown.is-disabled {\\n    opacity: 1; }\\n  .datepicker .dropdown-content {\\n    background-color: white;\\n    border-radius: 4px;\\n    box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02); }\\n  .datepicker .dropdown-item, .datepicker .dropdown .dropdown-menu .has-link a, .dropdown .dropdown-menu .has-link .datepicker a {\\n    font-size: inherit; }\\n  .datepicker .datepicker-header {\\n    padding-bottom: 0.875rem;\\n    margin-bottom: 0.875rem;\\n    border-bottom: 1px solid #dbdbdb; }\\n  .datepicker .datepicker-footer {\\n    margin-top: 0.875rem;\\n    padding-top: 0.875rem;\\n    border-top: 1px solid #dbdbdb; }\\n  .datepicker .datepicker-table {\\n    display: table;\\n    margin: 0 auto 0 auto; }\\n    .datepicker .datepicker-table .datepicker-cell {\\n      text-align: center;\\n      vertical-align: middle;\\n      display: table-cell;\\n      border-radius: 4px;\\n      padding: 0.5rem 0.75rem; }\\n    .datepicker .datepicker-table .datepicker-header {\\n      display: table-header-group; }\\n      .datepicker .datepicker-table .datepicker-header .datepicker-cell {\\n        color: #7a7a7a;\\n        font-weight: 600; }\\n    .datepicker .datepicker-table .datepicker-body {\\n      display: table-row-group; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-row {\\n        display: table-row; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-months {\\n        display: inline-flex;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        width: 17rem; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-months .datepicker-cell {\\n          display: flex;\\n          align-items: center;\\n          justify-content: center;\\n          width: 33.33%;\\n          height: 2.5rem; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-unselectable {\\n        color: #b5b5b5; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-today {\\n        border: solid 1px rgba(34, 118, 243, 0.5); }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable {\\n        color: #4a4a4a; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable:hover:not(.is-selected), .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable:focus:not(.is-selected) {\\n          background-color: whitesmoke;\\n          color: #0a0a0a;\\n          cursor: pointer; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable.is-within-hovered-range.is-first-hovered {\\n          background-color: #7a7a7a;\\n          color: #dbdbdb;\\n          border-bottom-right-radius: 0;\\n          border-top-right-radius: 0; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable.is-within-hovered-range.is-within-hovered {\\n          background-color: whitesmoke;\\n          color: #0a0a0a;\\n          border-radius: 0; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selectable.is-within-hovered-range.is-last-hovered {\\n          background-color: #7a7a7a;\\n          color: #dbdbdb;\\n          border-bottom-left-radius: 0;\\n          border-top-left-radius: 0; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selected {\\n        background-color: #2276f3;\\n        color: #fff; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selected.is-first-selected {\\n          background-color: #2276f3;\\n          color: #fff;\\n          border-bottom-right-radius: 0;\\n          border-top-right-radius: 0; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selected.is-within-selected {\\n          background-color: rgba(34, 118, 243, 0.5);\\n          border-radius: 0; }\\n        .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selected.is-last-selected {\\n          background-color: #2276f3;\\n          color: #fff;\\n          border-bottom-left-radius: 0;\\n          border-top-left-radius: 0; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-nearby:not(.is-selected) {\\n        color: #b5b5b5; }\\n      .datepicker .datepicker-table .datepicker-body .datepicker-cell.is-week-number {\\n        cursor: default; }\\n      .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell {\\n        padding: 0.3rem 0.75rem 0.75rem; }\\n        .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event {\\n          position: relative; }\\n          .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events {\\n            bottom: .425rem;\\n            display: flex;\\n            justify-content: center;\\n            left: 0;\\n            padding: 0 .35rem;\\n            position: absolute;\\n            width: 100%; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-white {\\n              background-color: white; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-black {\\n              background-color: #0a0a0a; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-light {\\n              background-color: whitesmoke; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-dark {\\n              background-color: #363636; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-primary {\\n              background-color: #2276f3; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-link {\\n              background-color: #485fc7; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-info {\\n              background-color: #3e8ed0; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-success {\\n              background-color: #48c78e; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-warning {\\n              background-color: #ffe08a; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-danger {\\n              background-color: #f14668; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-twitter {\\n              background-color: #55acee; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-linkedin {\\n              background-color: #0077b5; }\\n            .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event .events .event.is-github {\\n              background-color: #333; }\\n          .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event.dots .event {\\n            border-radius: 50%;\\n            height: .35em;\\n            margin: 0 .1em;\\n            width: .35em; }\\n          .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.has-event.bars .event {\\n            height: .25em;\\n            width: 100%; }\\n        .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.is-selected {\\n          overflow: hidden; }\\n          .datepicker .datepicker-table .datepicker-body.has-events .datepicker-cell.is-selected .events .event.is-primary {\\n            background-color: #6ba3f7; }\\n  .datepicker.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .datepicker.is-medium {\\n    font-size: 1.25rem; }\\n  .datepicker.is-large {\\n    font-size: 1.5rem; }\\n  @media screen and (min-width: 1024px) {\\n    .datepicker .footer-horizontal-timepicker {\\n      border: none;\\n      padding-left: 10px;\\n      margin-left: 5px;\\n      display: flex; }\\n    .datepicker .dropdown-horizonal-timepicker {\\n      display: flex; }\\n    .datepicker .content-horizonal-timepicker {\\n      border-right: 1px solid #dbdbdb; } }\\n\\n.dialog .modal-card {\\n  max-width: 460px;\\n  width: auto; }\\n  .dialog .modal-card .modal-card-head {\\n    font-size: 1.25rem;\\n    font-weight: 600; }\\n  .dialog .modal-card .modal-card-body .field {\\n    margin-top: 16px; }\\n  .dialog .modal-card .modal-card-body.is-titleless {\\n    border-top-left-radius: 0.25rem;\\n    border-top-right-radius: 0.25rem; }\\n  .dialog .modal-card .modal-card-foot {\\n    justify-content: flex-end; }\\n    .dialog .modal-card .modal-card-foot .button {\\n      display: inline;\\n      min-width: 5em;\\n      font-weight: 600; }\\n  @media screen and (min-width: 769px), print {\\n    .dialog .modal-card {\\n      min-width: 320px; } }\\n\\n.dialog.is-small .modal-card,\\n.dialog.is-small .input,\\n.dialog.is-small .button {\\n  border-radius: 2px;\\n  font-size: 0.75rem; }\\n\\n.dialog.is-medium .modal-card,\\n.dialog.is-medium .input,\\n.dialog.is-medium .button {\\n  font-size: 1.25rem; }\\n\\n.dialog.is-large .modal-card,\\n.dialog.is-large .input,\\n.dialog.is-large .button {\\n  font-size: 1.5rem; }\\n\\n.dialog.has-custom-container {\\n  position: absolute; }\\n\\n.dropdown + .dropdown {\\n  margin-left: 0.5em; }\\n\\n.dropdown .background {\\n  bottom: 0;\\n  left: 0;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  position: fixed;\\n  background-color: rgba(10, 10, 10, 0.86);\\n  z-index: 40;\\n  cursor: pointer; }\\n  @media screen and (min-width: 1024px) {\\n    .dropdown .background {\\n      display: none; } }\\n\\n.dropdown.dropdown-menu-animation .dropdown-menu {\\n  display: block; }\\n\\n.dropdown .dropdown-menu .dropdown-item.is-disabled, .dropdown .dropdown-menu .has-link a.is-disabled {\\n  cursor: not-allowed; }\\n  .dropdown .dropdown-menu .dropdown-item.is-disabled:hover, .dropdown .dropdown-menu .has-link a.is-disabled:hover {\\n    background: inherit;\\n    color: inherit; }\\n\\n.dropdown .dropdown-menu .has-link a {\\n  padding-right: 3rem;\\n  white-space: nowrap; }\\n\\n.dropdown.is-hoverable:not(.is-active) .dropdown-menu {\\n  display: none; }\\n\\n.dropdown.is-hoverable:hover .dropdown-menu {\\n  display: inherit; }\\n\\n.dropdown.is-expanded {\\n  width: 100%; }\\n  .dropdown.is-expanded .dropdown-trigger {\\n    width: 100%; }\\n  .dropdown.is-expanded .dropdown-menu {\\n    width: 100%; }\\n  .dropdown.is-expanded.is-mobile-modal .dropdown-menu {\\n    max-width: 100%; }\\n\\n.dropdown:not(.is-disabled) .dropdown-menu .dropdown-item.is-disabled, .dropdown:not(.is-disabled) .dropdown-menu .has-link a.is-disabled {\\n  opacity: 0.5; }\\n\\n.dropdown .navbar-item {\\n  height: 100%; }\\n\\n.dropdown.is-disabled {\\n  opacity: 0.5;\\n  cursor: not-allowed; }\\n  .dropdown.is-disabled .dropdown-trigger {\\n    pointer-events: none; }\\n\\n.dropdown.is-inline .dropdown-menu {\\n  position: static;\\n  display: inline-block;\\n  padding: 0; }\\n\\n.dropdown.is-top-right .dropdown-menu {\\n  top: auto;\\n  bottom: 100%; }\\n\\n.dropdown.is-top-left .dropdown-menu {\\n  top: auto;\\n  bottom: 100%;\\n  right: 0;\\n  left: auto; }\\n\\n.dropdown.is-bottom-left .dropdown-menu {\\n  right: 0;\\n  left: auto; }\\n\\n@media screen and (max-width: 1023px) {\\n  .dropdown.is-mobile-modal > .dropdown-menu {\\n    position: fixed !important;\\n    width: calc(100vw - 40px);\\n    max-width: 460px;\\n    max-height: calc(100vh - 120px);\\n    top: 25% !important;\\n    left: 50% !important;\\n    bottom: auto !important;\\n    right: auto !important;\\n    transform: translate3d(-50%, -25%, 0);\\n    white-space: normal;\\n    overflow-y: auto;\\n    z-index: 50 !important; }\\n    .dropdown.is-mobile-modal > .dropdown-menu > .dropdown-content > .dropdown-item, .dropdown .dropdown-menu .has-link .dropdown.is-mobile-modal > .dropdown-menu > .dropdown-content > a, .dropdown.is-mobile-modal > .dropdown-menu > .dropdown-content > .has-link a {\\n      padding: 1rem 1.5rem; } }\\n\\n.field.is-grouped .field {\\n  flex-shrink: 0; }\\n  .field.is-grouped .field:not(:last-child) {\\n    margin-right: 0.75rem; }\\n  .field.is-grouped .field.is-expanded {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n\\n.field.has-addons .control:first-child .control .button,\\n.field.has-addons .control:first-child .control .input,\\n.field.has-addons .control:first-child .control .select select {\\n  border-bottom-left-radius: 4px;\\n  border-top-left-radius: 4px; }\\n\\n.field.has-addons .control:last-child .control .button,\\n.field.has-addons .control:last-child .control .input,\\n.field.has-addons .control:last-child .control .select select {\\n  border-bottom-right-radius: 4px;\\n  border-top-right-radius: 4px; }\\n\\n.field.has-addons .control .control .button,\\n.field.has-addons .control .control .input,\\n.field.has-addons .control .control .select select {\\n  border-radius: 0; }\\n\\n.field.has-addons .b-numberinput:not(:first-child) .control:first-child .button,\\n.field.has-addons .b-numberinput:not(:first-child) .control:first-child .input,\\n.field.has-addons .b-numberinput:not(:first-child) .control:first-child .select select {\\n  border-bottom-left-radius: 0;\\n  border-top-left-radius: 0; }\\n\\n.field.has-addons .b-numberinput:not(:last-child) .control:last-child .button,\\n.field.has-addons .b-numberinput:not(:last-child) .control:last-child .input,\\n.field.has-addons .b-numberinput:not(:last-child) .control:last-child .select select {\\n  border-bottom-right-radius: 0;\\n  border-top-right-radius: 0; }\\n\\n.field.has-addons.b-numberinput .control {\\n  margin-right: unset; }\\n\\n.field.is-floating-label, .field.is-floating-in-label {\\n  position: relative; }\\n  .field.is-floating-label .label, .field.is-floating-in-label .label {\\n    position: absolute;\\n    left: 1em;\\n    font-size: calc(1rem * 0.75);\\n    background-color: transparent;\\n    z-index: 5;\\n    white-space: nowrap;\\n    text-overflow: ellipsis;\\n    max-width: calc(100% - 2em);\\n    overflow: hidden; }\\n    .field.is-floating-label .label.is-small, .field.is-floating-in-label .label.is-small {\\n      font-size: calc(0.75rem * 0.75); }\\n    .field.is-floating-label .label.is-medium, .field.is-floating-in-label .label.is-medium {\\n      font-size: calc(1.25rem * 0.75); }\\n    .field.is-floating-label .label.is-large, .field.is-floating-in-label .label.is-large {\\n      font-size: calc(1.5rem * 0.75); }\\n  .field.is-floating-label .taginput .counter, .field.is-floating-in-label .taginput .counter {\\n    float: none;\\n    text-align: right; }\\n  .field.is-floating-label.has-addons > .label + .control .button,\\n  .field.is-floating-label.has-addons > .label + .control .input,\\n  .field.is-floating-label.has-addons > .label + .control .select select, .field.is-floating-in-label.has-addons > .label + .control .button,\\n  .field.is-floating-in-label.has-addons > .label + .control .input,\\n  .field.is-floating-in-label.has-addons > .label + .control .select select {\\n    border-bottom-left-radius: 4px;\\n    border-top-left-radius: 4px; }\\n\\n.field.is-floating-label .label {\\n  top: -0.775em;\\n  padding-left: 0.125em;\\n  padding-right: 0.125em; }\\n  .field.is-floating-label .label:before {\\n    content: '';\\n    display: block;\\n    position: absolute;\\n    top: 0.775em;\\n    left: 0;\\n    right: 0;\\n    height: 0.375em;\\n    background-color: white;\\n    z-index: -1; }\\n\\n.field.is-floating-label .input:focus,\\n.field.is-floating-label .textarea:focus,\\n.field.is-floating-label .select select:focus {\\n  box-shadow: none; }\\n\\n.field.is-floating-label .taginput .taginput-container {\\n  padding-top: 0.475em; }\\n  .field.is-floating-label .taginput .taginput-container.is-focused {\\n    box-shadow: none; }\\n\\n.field.is-floating-in-label > .label {\\n  top: 0.25em; }\\n  .field.is-floating-in-label > .label + .control.datepicker .input, .field.is-floating-in-label > .label + .control.timepicker .input {\\n    padding-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5);\\n    padding-bottom: 1px;\\n    height: 3.25em; }\\n  .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) .input,\\n  .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) .textarea,\\n  .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) select {\\n    padding-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5);\\n    padding-bottom: 1px;\\n    height: 3.25em; }\\n  .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) .select:not(multiple) {\\n    height: 3.25em; }\\n    .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) .select:not(multiple).is-loading::after {\\n      margin-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5); }\\n    .field.is-floating-in-label > .label + .control:not(.datepicker):not(.timepicker):not(.taginput) .select:not(multiple)::after {\\n      margin-top: 1px; }\\n  .field.is-floating-in-label > .label + .control.taginput .taginput-container {\\n    padding-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5 + (0.275em - 1px)); }\\n  .field.is-floating-in-label > .label + .control:not(.taginput) .is-left.icon,\\n  .field.is-floating-in-label > .label + .control:not(.taginput) .is-right.icon {\\n    height: 3.25em; }\\n  .field.is-floating-in-label > .label + .control:not(.taginput) .is-left.icon {\\n    padding-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5); }\\n  .field.is-floating-in-label > .label + .control.is-loading::after {\\n    margin-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5); }\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control .input,\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control .textarea,\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control select, .field.is-floating-in-label > .label + .field-body > .has-addons .control .input,\\n  .field.is-floating-in-label > .label + .field-body > .has-addons .control .textarea,\\n  .field.is-floating-in-label > .label + .field-body > .has-addons .control select {\\n    padding-top: calc(3.25em * 0.5 - (1.5rem * 0.75) * 0.5);\\n    padding-bottom: 1px; }\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control .input,\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control .textarea,\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control select,\\n  .field.is-floating-in-label > .label + .field-body > .is-grouped .control .button, .field.is-floating-in-label > .label + .field-body > .has-addons .control .input,\\n  .field.is-floating-in-label > .label + .field-body > .has-addons .control .textarea,\\n  .field.is-floating-in-label > .label + .field-body > .has-addons .control select,\\n  .field.is-floating-in-label > .label + .field-body > .has-addons .control .button {\\n    height: 3.25em; }\\n\\n.field.is-floating-in-label.has-numberinput .b-numberinput .control .input,\\n.field.is-floating-in-label.has-numberinput .b-numberinput .control .button {\\n  height: 3.25em; }\\n\\n.field.is-floating-label.has-numberinput .label, .field.is-floating-in-label.has-numberinput .label {\\n  margin-left: calc(1rem * 3); }\\n\\n.field.is-floating-label.has-numberinput.has-numberinput-is-small .label, .field.is-floating-in-label.has-numberinput.has-numberinput-is-small .label {\\n  margin-left: calc(0.75rem * 3); }\\n\\n.field.is-floating-label.has-numberinput.has-numberinput-is-medium .label, .field.is-floating-in-label.has-numberinput.has-numberinput-is-medium .label {\\n  margin-left: calc(1.25rem * 3); }\\n\\n.field.is-floating-label.has-numberinput.has-numberinput-is-large .label, .field.is-floating-in-label.has-numberinput.has-numberinput-is-large .label {\\n  margin-left: calc(1.5rem * 3); }\\n\\n.field.is-floating-label.has-numberinput-compact .label, .field.is-floating-in-label.has-numberinput-compact .label {\\n  margin-left: calc(1rem * 2.25); }\\n\\n.field.is-floating-label.has-numberinput-compact.has-numberinput-is-small .label, .field.is-floating-in-label.has-numberinput-compact.has-numberinput-is-small .label {\\n  margin-left: calc(0.75rem * 2.25); }\\n\\n.field.is-floating-label.has-numberinput-compact.has-numberinput-is-medium .label, .field.is-floating-in-label.has-numberinput-compact.has-numberinput-is-medium .label {\\n  margin-left: calc(1.25rem * 2.25); }\\n\\n.field.is-floating-label.has-numberinput-compact.has-numberinput-is-large .label, .field.is-floating-in-label.has-numberinput-compact.has-numberinput-is-large .label {\\n  margin-left: calc(1.5rem * 2.25); }\\n\\n.field.is-grouped-right.is-floating-in-label .label, .field.has-addons-right.is-floating-in-label .label {\\n  position: relative;\\n  left: calc(3.25em + 2em); }\\n\\n.field.is-grouped-right.is-floating-label .label, .field.has-addons-right.is-floating-label .label {\\n  position: relative;\\n  left: calc(3.25em + 2em); }\\n\\n.control .help.counter {\\n  float: right;\\n  margin-left: 0.5em; }\\n\\n.control .icon.is-clickable {\\n  pointer-events: auto;\\n  cursor: pointer; }\\n\\n.control.is-loading::after {\\n  top: calc(50% - (1em * 0.5));\\n  right: calc((2.5em * 0.5) - .5em); }\\n\\n.icon {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none;\\n  cursor: inherit; }\\n  .icon svg {\\n    background-color: transparent;\\n    fill: currentColor;\\n    stroke-width: 0;\\n    stroke: currentColor;\\n    pointer-events: none;\\n    width: auto;\\n    height: auto; }\\n\\n.b-image-wrapper > img {\\n  -o-object-fit: cover;\\n     object-fit: cover; }\\n  .b-image-wrapper > img.has-ratio, .b-image-wrapper > img.placeholder {\\n    height: 100%;\\n    width: 100%; }\\n  .b-image-wrapper > img.placeholder {\\n    filter: blur(10px); }\\n\\n.loading-overlay {\\n  bottom: 0;\\n  left: 0;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  align-items: center;\\n  display: none;\\n  justify-content: center;\\n  overflow: hidden;\\n  z-index: 999; }\\n  .loading-overlay.is-active {\\n    display: flex; }\\n  .loading-overlay.is-full-page {\\n    position: fixed; }\\n    .loading-overlay.is-full-page .loading-icon:after {\\n      top: calc(50% - 2.5em);\\n      left: calc(50% - 2.5em);\\n      width: 5em;\\n      height: 5em; }\\n  .loading-overlay .loading-background {\\n    bottom: 0;\\n    left: 0;\\n    position: absolute;\\n    right: 0;\\n    top: 0;\\n    background: #7f7f7f;\\n    background: rgba(255, 255, 255, 0.5); }\\n  .loading-overlay .loading-icon {\\n    position: relative; }\\n    .loading-overlay .loading-icon:after {\\n      -webkit-animation: spinAround 500ms infinite linear;\\n              animation: spinAround 500ms infinite linear;\\n      border: 2px solid #dbdbdb;\\n      border-radius: 9999px;\\n      border-right-color: transparent;\\n      border-top-color: transparent;\\n      content: \\\"\\\";\\n      display: block;\\n      height: 1em;\\n      position: relative;\\n      width: 1em;\\n      position: absolute;\\n      top: calc(50% - 1.25rem);\\n      left: calc(50% - 1.25rem);\\n      width: 2.5rem;\\n      height: 2.5rem;\\n      border-width: 0.25em; }\\n\\n.menu .menu-list li > a.is-disabled {\\n  pointer-events: none;\\n  cursor: not-allowed;\\n  opacity: 0.5; }\\n\\n.message .media,\\n.notification .media {\\n  padding-top: 0;\\n  border: 0; }\\n\\n.modal.is-full-screen > .animation-content,\\n.modal.is-full-screen > .animation-content > .modal-card {\\n  width: 100%;\\n  height: 100%;\\n  max-height: 100vh;\\n  margin: 0;\\n  background-color: whitesmoke; }\\n\\n.modal .animation-content {\\n  margin: 0 20px; }\\n  .modal .animation-content .modal-card {\\n    margin: 0; }\\n  @media screen and (max-width: 768px) {\\n    .modal .animation-content {\\n      width: 100%; } }\\n\\n.modal .modal-content {\\n  width: 100%; }\\n\\n.navbar.has-navbar-centered .navbar-start {\\n  justify-content: center;\\n  margin-left: auto; }\\n\\n.navbar.has-navbar-centered .navbar-end {\\n  margin-left: 0; }\\n\\n.navbar .navbar-dropdown.is-boxed {\\n  visibility: hidden;\\n  transition-property: opacity, visibility, transform; }\\n\\n.navbar .navbar-item.has-dropdown.is-active .is-boxed,\\n.navbar .navbar-item.has-dropdown.is-hoverable:hover .is-boxed {\\n  visibility: visible; }\\n\\n.notices {\\n  position: fixed;\\n  display: flex;\\n  top: 0;\\n  bottom: 0;\\n  left: 0;\\n  right: 0;\\n  padding: 2em;\\n  overflow: hidden;\\n  z-index: 1000;\\n  pointer-events: none; }\\n  .notices .toast {\\n    display: inline-flex;\\n    -webkit-animation-duration: 150ms;\\n            animation-duration: 150ms;\\n    margin: 0.5em 0;\\n    text-align: center;\\n    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.04);\\n    border-radius: 2em;\\n    padding: 0.75em 1.5em;\\n    pointer-events: auto;\\n    opacity: 0.92; }\\n    .notices .toast.is-white {\\n      color: #0a0a0a;\\n      background: white; }\\n    .notices .toast.is-black {\\n      color: white;\\n      background: #0a0a0a; }\\n    .notices .toast.is-light {\\n      color: #363636;\\n      background: whitesmoke; }\\n    .notices .toast.is-dark {\\n      color: whitesmoke;\\n      background: #363636; }\\n    .notices .toast.is-primary {\\n      color: #fff;\\n      background: #2276f3; }\\n    .notices .toast.is-link {\\n      color: #fff;\\n      background: #485fc7; }\\n    .notices .toast.is-info {\\n      color: #fff;\\n      background: #3e8ed0; }\\n    .notices .toast.is-success {\\n      color: #fff;\\n      background: #48c78e; }\\n    .notices .toast.is-warning {\\n      color: rgba(0, 0, 0, 0.7);\\n      background: #ffe08a; }\\n    .notices .toast.is-danger {\\n      color: #fff;\\n      background: #f14668; }\\n    .notices .toast.is-twitter {\\n      color: #fff;\\n      background: #55acee; }\\n    .notices .toast.is-linkedin {\\n      color: #fff;\\n      background: #0077b5; }\\n    .notices .toast.is-github {\\n      color: #fff;\\n      background: #333; }\\n  .notices .snackbar {\\n    display: inline-flex;\\n    align-items: center;\\n    justify-content: space-around;\\n    -webkit-animation-duration: 150ms;\\n            animation-duration: 150ms;\\n    margin: 0.5em 0;\\n    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.04);\\n    border-radius: 4px;\\n    pointer-events: auto;\\n    background: #363636;\\n    color: whitesmoke;\\n    min-height: 3em; }\\n    .notices .snackbar .text {\\n      padding: 0.5em 1em; }\\n    .notices .snackbar .action {\\n      margin-left: auto;\\n      padding: 0.5em;\\n      padding-left: 0; }\\n      .notices .snackbar .action .button {\\n        font-weight: 600;\\n        text-transform: uppercase;\\n        background: #363636;\\n        border: transparent; }\\n      .notices .snackbar .action .button:hover {\\n        background: #292929; }\\n      .notices .snackbar .action .button:active {\\n        background: #292929; }\\n      .notices .snackbar .action.is-white .button {\\n        color: white; }\\n      .notices .snackbar .action.is-black .button {\\n        color: #0a0a0a; }\\n      .notices .snackbar .action.is-light .button {\\n        color: whitesmoke; }\\n      .notices .snackbar .action.is-dark .button {\\n        color: #363636; }\\n      .notices .snackbar .action.is-primary .button {\\n        color: #2276f3; }\\n      .notices .snackbar .action.is-link .button {\\n        color: #485fc7; }\\n      .notices .snackbar .action.is-info .button {\\n        color: #3e8ed0; }\\n      .notices .snackbar .action.is-success .button {\\n        color: #48c78e; }\\n      .notices .snackbar .action.is-warning .button {\\n        color: #ffe08a; }\\n      .notices .snackbar .action.is-danger .button {\\n        color: #f14668; }\\n      .notices .snackbar .action.is-twitter .button {\\n        color: #55acee; }\\n      .notices .snackbar .action.is-linkedin .button {\\n        color: #0077b5; }\\n      .notices .snackbar .action.is-github .button {\\n        color: #333; }\\n    .notices .snackbar .action.is-cancel {\\n      padding-right: 0; }\\n    @media screen and (max-width: 768px) {\\n      .notices .snackbar {\\n        width: 100%;\\n        margin: 0;\\n        border-radius: 0; } }\\n    @media screen and (min-width: 769px), print {\\n      .notices .snackbar {\\n        min-width: 350px;\\n        max-width: 600px;\\n        overflow: hidden; } }\\n  .notices .notification {\\n    pointer-events: auto;\\n    max-width: 600px; }\\n  .notices .toast.is-top, .notices .toast.is-bottom,\\n  .notices .snackbar.is-top,\\n  .notices .snackbar.is-bottom,\\n  .notices .notification.is-top,\\n  .notices .notification.is-bottom {\\n    align-self: center; }\\n  .notices .toast.is-top-right, .notices .toast.is-bottom-right,\\n  .notices .snackbar.is-top-right,\\n  .notices .snackbar.is-bottom-right,\\n  .notices .notification.is-top-right,\\n  .notices .notification.is-bottom-right {\\n    align-self: flex-end; }\\n  .notices .toast.is-top-left, .notices .toast.is-bottom-left,\\n  .notices .snackbar.is-top-left,\\n  .notices .snackbar.is-bottom-left,\\n  .notices .notification.is-top-left,\\n  .notices .notification.is-bottom-left {\\n    align-self: flex-start; }\\n  .notices .toast.is-toast,\\n  .notices .snackbar.is-toast,\\n  .notices .notification.is-toast {\\n    opacity: 0.92; }\\n  .notices.is-top {\\n    flex-direction: column; }\\n  .notices.is-bottom {\\n    flex-direction: column-reverse; }\\n    .notices.is-bottom .notification {\\n      margin-bottom: 0; }\\n      .notices.is-bottom .notification:not(:first-child) {\\n        margin-bottom: 1.5rem; }\\n  .notices.has-custom-container {\\n    position: absolute; }\\n  @media screen and (max-width: 768px) {\\n    .notices {\\n      padding: 0;\\n      position: fixed !important; } }\\n\\n.b-numberinput.field {\\n  margin-bottom: 0; }\\n  .b-numberinput.field.is-grouped div.control {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n  .b-numberinput.field.has-addons.is-expanded {\\n    flex-grow: 1;\\n    flex-shrink: 1; }\\n\\n.b-numberinput input[type=number]::-webkit-inner-spin-button,\\n.b-numberinput input[type=number]::-webkit-outer-spin-button {\\n  -webkit-appearance: none; }\\n\\n.b-numberinput input[type=number] {\\n  -moz-appearance: textfield; }\\n\\n.b-numberinput input[type=number] {\\n  text-align: center; }\\n\\n.b-numberinput .button.is-rounded {\\n  padding-left: 1em;\\n  padding-right: 1em; }\\n\\n.pagination .pagination-next,\\n.pagination .pagination-previous {\\n  padding-left: 0.75em;\\n  padding-right: 0.75em; }\\n  .pagination .pagination-next.is-disabled,\\n  .pagination .pagination-previous.is-disabled {\\n    pointer-events: none;\\n    cursor: not-allowed;\\n    opacity: 0.5; }\\n\\n.pagination.is-simple {\\n  justify-content: normal; }\\n  .pagination.is-simple.is-centered {\\n    justify-content: center; }\\n  .pagination.is-simple.is-right {\\n    justify-content: flex-end; }\\n\\n.pagination .is-current {\\n  pointer-events: none;\\n  cursor: not-allowed; }\\n\\n.progress-wrapper {\\n  position: relative;\\n  overflow: hidden; }\\n  .progress-wrapper:not(:last-child) {\\n    margin-bottom: 1.5rem; }\\n  .progress-wrapper .progress-value {\\n    position: absolute;\\n    top: 0;\\n    left: 50%;\\n    transform: translateX(-50%);\\n    font-size: calc(1rem / 1.5);\\n    line-height: 1rem;\\n    font-weight: 700;\\n    color: rgba(0, 0, 0, 0.7);\\n    white-space: nowrap; }\\n  .progress-wrapper .progress, .progress-wrapper .progress-wrapper.is-not-native, .progress-wrapper .progress-bar {\\n    margin-bottom: 0; }\\n    .progress-wrapper .progress.is-small + .progress-value, .progress-wrapper .is-small.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress.is-small .progress-value, .progress-wrapper .is-small.progress-wrapper.is-not-native .progress-value, .progress-wrapper .progress-bar.is-small + .progress-value, .progress-wrapper .progress-bar.is-small .progress-value {\\n      font-size: calc(0.75rem / 1.5);\\n      line-height: 0.75rem; }\\n    .progress-wrapper .progress.is-medium + .progress-value, .progress-wrapper .is-medium.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress.is-medium .progress-value, .progress-wrapper .is-medium.progress-wrapper.is-not-native .progress-value, .progress-wrapper .progress-bar.is-medium + .progress-value, .progress-wrapper .progress-bar.is-medium .progress-value {\\n      font-size: calc(1.25rem / 1.5);\\n      line-height: 1.25rem; }\\n    .progress-wrapper .progress.is-large + .progress-value, .progress-wrapper .is-large.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress.is-large .progress-value, .progress-wrapper .is-large.progress-wrapper.is-not-native .progress-value, .progress-wrapper .progress-bar.is-large + .progress-value, .progress-wrapper .progress-bar.is-large .progress-value {\\n      font-size: calc(1.5rem / 1.5);\\n      line-height: 1.5rem; }\\n    .progress-wrapper .progress::-webkit-progress-value, .progress-wrapper .progress-wrapper.is-not-native::-webkit-progress-value, .progress-wrapper .progress-bar::-webkit-progress-value {\\n      -webkit-transition: width 0.5s ease;\\n      transition: width 0.5s ease; }\\n    .progress-wrapper .progress.is-more-than-half + .progress-value, .progress-wrapper .is-more-than-half.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-white + .progress-value, .progress-wrapper .is-more-than-half.is-white.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-white + .progress-value {\\n      color: #0a0a0a; }\\n    .progress-wrapper .progress.is-more-than-half.is-black + .progress-value, .progress-wrapper .is-more-than-half.is-black.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-black + .progress-value {\\n      color: white; }\\n    .progress-wrapper .progress.is-more-than-half.is-light + .progress-value, .progress-wrapper .is-more-than-half.is-light.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-light + .progress-value {\\n      color: #363636; }\\n    .progress-wrapper .progress.is-more-than-half.is-dark + .progress-value, .progress-wrapper .is-more-than-half.is-dark.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-dark + .progress-value {\\n      color: whitesmoke; }\\n    .progress-wrapper .progress.is-more-than-half.is-primary + .progress-value, .progress-wrapper .is-more-than-half.is-primary.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-primary + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-link + .progress-value, .progress-wrapper .is-more-than-half.is-link.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-link + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-info + .progress-value, .progress-wrapper .is-more-than-half.is-info.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-info + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-success + .progress-value, .progress-wrapper .is-more-than-half.is-success.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-success + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-warning + .progress-value, .progress-wrapper .is-more-than-half.is-warning.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-warning + .progress-value {\\n      color: rgba(0, 0, 0, 0.7); }\\n    .progress-wrapper .progress.is-more-than-half.is-danger + .progress-value, .progress-wrapper .is-more-than-half.is-danger.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-danger + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-twitter + .progress-value, .progress-wrapper .is-more-than-half.is-twitter.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-twitter + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-linkedin + .progress-value, .progress-wrapper .is-more-than-half.is-linkedin.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-linkedin + .progress-value {\\n      color: #fff; }\\n    .progress-wrapper .progress.is-more-than-half.is-github + .progress-value, .progress-wrapper .is-more-than-half.is-github.progress-wrapper.is-not-native + .progress-value, .progress-wrapper .progress-bar.is-more-than-half.is-github + .progress-value {\\n      color: #fff; }\\n  .progress-wrapper.is-not-native {\\n    white-space: nowrap;\\n    background-color: #ededed;\\n    border-radius: 9999px; }\\n    .progress-wrapper.is-not-native .progress-bar {\\n      position: relative;\\n      display: inline-block;\\n      vertical-align: top;\\n      height: 100%;\\n      background-color: #4a4a4a; }\\n      .progress-wrapper.is-not-native .progress-bar .progress-value {\\n        color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-white {\\n        background-color: white; }\\n        .progress-wrapper.is-not-native .progress-bar.is-white .progress-value {\\n          color: #0a0a0a; }\\n      .progress-wrapper.is-not-native .progress-bar.is-black {\\n        background-color: #0a0a0a; }\\n        .progress-wrapper.is-not-native .progress-bar.is-black .progress-value {\\n          color: white; }\\n      .progress-wrapper.is-not-native .progress-bar.is-light {\\n        background-color: whitesmoke; }\\n        .progress-wrapper.is-not-native .progress-bar.is-light .progress-value {\\n          color: #363636; }\\n      .progress-wrapper.is-not-native .progress-bar.is-dark {\\n        background-color: #363636; }\\n        .progress-wrapper.is-not-native .progress-bar.is-dark .progress-value {\\n          color: whitesmoke; }\\n      .progress-wrapper.is-not-native .progress-bar.is-primary {\\n        background-color: #2276f3; }\\n        .progress-wrapper.is-not-native .progress-bar.is-primary .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-link {\\n        background-color: #485fc7; }\\n        .progress-wrapper.is-not-native .progress-bar.is-link .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-info {\\n        background-color: #3e8ed0; }\\n        .progress-wrapper.is-not-native .progress-bar.is-info .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-success {\\n        background-color: #48c78e; }\\n        .progress-wrapper.is-not-native .progress-bar.is-success .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-warning {\\n        background-color: #ffe08a; }\\n        .progress-wrapper.is-not-native .progress-bar.is-warning .progress-value {\\n          color: rgba(0, 0, 0, 0.7); }\\n      .progress-wrapper.is-not-native .progress-bar.is-danger {\\n        background-color: #f14668; }\\n        .progress-wrapper.is-not-native .progress-bar.is-danger .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-twitter {\\n        background-color: #55acee; }\\n        .progress-wrapper.is-not-native .progress-bar.is-twitter .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-linkedin {\\n        background-color: #0077b5; }\\n        .progress-wrapper.is-not-native .progress-bar.is-linkedin .progress-value {\\n          color: #fff; }\\n      .progress-wrapper.is-not-native .progress-bar.is-github {\\n        background-color: #333; }\\n        .progress-wrapper.is-not-native .progress-bar.is-github .progress-value {\\n          color: #fff; }\\n\\n.b-radio.radio {\\n  outline: none;\\n  display: inline-flex;\\n  align-items: center; }\\n  .b-radio.radio:not(.button) {\\n    margin-right: 0.5em; }\\n    .b-radio.radio:not(.button) + .radio:last-child {\\n      margin-right: 0; }\\n  .b-radio.radio + .radio {\\n    margin-left: 0; }\\n  .b-radio.radio input[type=radio] {\\n    position: absolute;\\n    left: 0;\\n    opacity: 0;\\n    outline: none;\\n    z-index: -1; }\\n    .b-radio.radio input[type=radio] + .check {\\n      display: flex;\\n      flex-shrink: 0;\\n      position: relative;\\n      cursor: pointer;\\n      width: 1.25em;\\n      height: 1.25em;\\n      transition: background 150ms ease-out;\\n      border-radius: 50%;\\n      border: 2px solid #7a7a7a; }\\n      .b-radio.radio input[type=radio] + .check:before {\\n        content: \\\"\\\";\\n        display: flex;\\n        position: absolute;\\n        left: 50%;\\n        margin-left: calc(-1.25em * 0.5);\\n        bottom: 50%;\\n        margin-bottom: calc(-1.25em * 0.5);\\n        width: 1.25em;\\n        height: 1.25em;\\n        transition: transform 150ms ease-out;\\n        border-radius: 50%;\\n        transform: scale(0);\\n        background-color: #2276f3; }\\n      .b-radio.radio input[type=radio] + .check.is-white:before {\\n        background: white; }\\n      .b-radio.radio input[type=radio] + .check.is-black:before {\\n        background: #0a0a0a; }\\n      .b-radio.radio input[type=radio] + .check.is-light:before {\\n        background: whitesmoke; }\\n      .b-radio.radio input[type=radio] + .check.is-dark:before {\\n        background: #363636; }\\n      .b-radio.radio input[type=radio] + .check.is-primary:before {\\n        background: #2276f3; }\\n      .b-radio.radio input[type=radio] + .check.is-link:before {\\n        background: #485fc7; }\\n      .b-radio.radio input[type=radio] + .check.is-info:before {\\n        background: #3e8ed0; }\\n      .b-radio.radio input[type=radio] + .check.is-success:before {\\n        background: #48c78e; }\\n      .b-radio.radio input[type=radio] + .check.is-warning:before {\\n        background: #ffe08a; }\\n      .b-radio.radio input[type=radio] + .check.is-danger:before {\\n        background: #f14668; }\\n      .b-radio.radio input[type=radio] + .check.is-twitter:before {\\n        background: #55acee; }\\n      .b-radio.radio input[type=radio] + .check.is-linkedin:before {\\n        background: #0077b5; }\\n      .b-radio.radio input[type=radio] + .check.is-github:before {\\n        background: #333; }\\n    .b-radio.radio input[type=radio]:checked + .check {\\n      border-color: #2276f3; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-white {\\n        border-color: white; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-black {\\n        border-color: #0a0a0a; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-light {\\n        border-color: whitesmoke; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-dark {\\n        border-color: #363636; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-primary {\\n        border-color: #2276f3; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-link {\\n        border-color: #485fc7; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-info {\\n        border-color: #3e8ed0; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-success {\\n        border-color: #48c78e; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-warning {\\n        border-color: #ffe08a; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-danger {\\n        border-color: #f14668; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-twitter {\\n        border-color: #55acee; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-linkedin {\\n        border-color: #0077b5; }\\n      .b-radio.radio input[type=radio]:checked + .check.is-github {\\n        border-color: #333; }\\n      .b-radio.radio input[type=radio]:checked + .check:before {\\n        transform: scale(0.5); }\\n    .b-radio.radio input[type=radio]:focus + .check {\\n      box-shadow: 0 0 0.5em rgba(122, 122, 122, 0.8); }\\n    .b-radio.radio input[type=radio]:focus:checked + .check {\\n      box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-white {\\n        box-shadow: 0 0 0.5em rgba(255, 255, 255, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-black {\\n        box-shadow: 0 0 0.5em rgba(10, 10, 10, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-light {\\n        box-shadow: 0 0 0.5em rgba(245, 245, 245, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-dark {\\n        box-shadow: 0 0 0.5em rgba(54, 54, 54, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-primary {\\n        box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-link {\\n        box-shadow: 0 0 0.5em rgba(72, 95, 199, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-info {\\n        box-shadow: 0 0 0.5em rgba(62, 142, 208, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-success {\\n        box-shadow: 0 0 0.5em rgba(72, 199, 142, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-warning {\\n        box-shadow: 0 0 0.5em rgba(255, 224, 138, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-danger {\\n        box-shadow: 0 0 0.5em rgba(241, 70, 104, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-twitter {\\n        box-shadow: 0 0 0.5em rgba(85, 172, 238, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-linkedin {\\n        box-shadow: 0 0 0.5em rgba(0, 119, 181, 0.8); }\\n      .b-radio.radio input[type=radio]:focus:checked + .check.is-github {\\n        box-shadow: 0 0 0.5em rgba(51, 51, 51, 0.8); }\\n  .b-radio.radio .control-label {\\n    padding-left: calc(0.75em - 1px); }\\n  .b-radio.radio.button {\\n    display: flex; }\\n    .b-radio.radio.button.is-selected {\\n      z-index: 1; }\\n  .b-radio.radio[disabled] {\\n    opacity: 0.5; }\\n  .b-radio.radio:hover input[type=radio]:not(:disabled) + .check {\\n    border-color: #2276f3; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-white {\\n      border-color: white; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-black {\\n      border-color: #0a0a0a; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-light {\\n      border-color: whitesmoke; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-dark {\\n      border-color: #363636; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-primary {\\n      border-color: #2276f3; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-link {\\n      border-color: #485fc7; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-info {\\n      border-color: #3e8ed0; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-success {\\n      border-color: #48c78e; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-warning {\\n      border-color: #ffe08a; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-danger {\\n      border-color: #f14668; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-twitter {\\n      border-color: #55acee; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-linkedin {\\n      border-color: #0077b5; }\\n    .b-radio.radio:hover input[type=radio]:not(:disabled) + .check.is-github {\\n      border-color: #333; }\\n  .b-radio.radio.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .b-radio.radio.is-medium {\\n    font-size: 1.25rem; }\\n  .b-radio.radio.is-large {\\n    font-size: 1.5rem; }\\n\\n.rate {\\n  align-items: center;\\n  display: flex; }\\n  .rate:not(:last-child) {\\n    margin-bottom: 0.75rem; }\\n  .rate.is-spaced .rate-item:not(:last-child) {\\n    margin-right: 0.25rem; }\\n  .rate.is-disabled .rate-item {\\n    cursor: initial; }\\n    .rate.is-disabled .rate-item:hover {\\n      transform: none; }\\n  .rate.is-rtl .rate-item {\\n    order: 1; }\\n  .rate.is-rtl .rate-text {\\n    margin-left: 0;\\n    margin-right: 0.35rem; }\\n  .rate .rate-item {\\n    cursor: pointer;\\n    display: inline-flex;\\n    position: relative;\\n    transition: all 0.3s; }\\n    .rate .rate-item:hover {\\n      transform: scale(1.1); }\\n    .rate .rate-item.set-on .icon,\\n    .rate .rate-item.set-half .is-half {\\n      color: #ffd970; }\\n    .rate .rate-item.set-half .is-half {\\n      position: absolute;\\n      left: 0;\\n      top: 0;\\n      overflow: hidden; }\\n  .rate .icon {\\n    color: #dbdbdb;\\n    line-height: 1;\\n    pointer-events: none;\\n    width: inherit; }\\n  .rate .is-half > i {\\n    position: absolute;\\n    left: 0; }\\n  .rate .rate-text {\\n    font-size: calc(1rem / 1.25);\\n    margin-left: 0.35rem; }\\n    .rate .rate-text.is-small {\\n      font-size: calc(0.75rem / 1.25); }\\n    .rate .rate-text.is-medium {\\n      font-size: calc(1.25rem / 1.25); }\\n    .rate .rate-text.is-large {\\n      font-size: calc(1.5rem / 1.25); }\\n\\n.select select {\\n  text-rendering: auto !important;\\n  padding-right: 2.5em; }\\n  .select select option {\\n    color: #4a4a4a;\\n    padding: calc(0.5em - 1px) calc(0.75em - 1px); }\\n  .select select option:disabled {\\n    cursor: not-allowed;\\n    opacity: 0.5; }\\n  .select select optgroup {\\n    color: #b5b5b5;\\n    font-weight: 400;\\n    font-style: normal;\\n    padding: 0.25em 0; }\\n  .select select[disabled] {\\n    opacity: 1; }\\n\\n.select.is-empty select {\\n  color: rgba(122, 122, 122, 0.7); }\\n\\n.select.is-loading::after {\\n  top: calc(50% - (1em * 0.5));\\n  right: calc((2.5em * 0.5) - .5em); }\\n\\n.b-skeleton {\\n  display: inline-flex;\\n  flex-direction: column;\\n  vertical-align: middle;\\n  width: 100%; }\\n  .b-skeleton > .b-skeleton-item {\\n    background: linear-gradient(90deg, #dbdbdb 25%, rgba(219, 219, 219, 0.5) 50%, #dbdbdb 75%);\\n    background-size: 400% 100%;\\n    width: 100%; }\\n    .b-skeleton > .b-skeleton-item.is-rounded {\\n      border-radius: 4px; }\\n    .b-skeleton > .b-skeleton-item::after {\\n      content: \\\"\\\\00a0\\\"; }\\n    .b-skeleton > .b-skeleton-item + .b-skeleton-item {\\n      margin-top: 0.5rem; }\\n  .b-skeleton.is-animated > .b-skeleton-item {\\n    -webkit-animation: skeleton-loading 1.5s infinite;\\n            animation: skeleton-loading 1.5s infinite; }\\n  .b-skeleton.is-centered {\\n    align-items: center; }\\n  .b-skeleton.is-right {\\n    align-items: flex-end; }\\n  .b-skeleton + .b-skeleton {\\n    margin-top: 0.5rem; }\\n  .b-skeleton > .b-skeleton-item {\\n    line-height: 1rem; }\\n  .b-skeleton.is-small > .b-skeleton-item {\\n    line-height: 0.75rem; }\\n  .b-skeleton.is-medium > .b-skeleton-item {\\n    line-height: 1.25rem; }\\n  .b-skeleton.is-large > .b-skeleton-item {\\n    line-height: 1.5rem; }\\n\\n@-webkit-keyframes skeleton-loading {\\n  0% {\\n    background-position: 100% 50%; }\\n  100% {\\n    background-position: 0 50%; } }\\n\\n@keyframes skeleton-loading {\\n  0% {\\n    background-position: 100% 50%; }\\n  100% {\\n    background-position: 0 50%; } }\\n\\n.b-sidebar .sidebar-content {\\n  background-color: whitesmoke;\\n  box-shadow: 5px 0px 13px 3px rgba(10, 10, 10, 0.1);\\n  width: 260px;\\n  z-index: 39; }\\n  .b-sidebar .sidebar-content.is-white {\\n    background-color: white; }\\n  .b-sidebar .sidebar-content.is-black {\\n    background-color: #0a0a0a; }\\n  .b-sidebar .sidebar-content.is-light {\\n    background-color: whitesmoke; }\\n  .b-sidebar .sidebar-content.is-dark {\\n    background-color: #363636; }\\n  .b-sidebar .sidebar-content.is-primary {\\n    background-color: #2276f3; }\\n  .b-sidebar .sidebar-content.is-link {\\n    background-color: #485fc7; }\\n  .b-sidebar .sidebar-content.is-info {\\n    background-color: #3e8ed0; }\\n  .b-sidebar .sidebar-content.is-success {\\n    background-color: #48c78e; }\\n  .b-sidebar .sidebar-content.is-warning {\\n    background-color: #ffe08a; }\\n  .b-sidebar .sidebar-content.is-danger {\\n    background-color: #f14668; }\\n  .b-sidebar .sidebar-content.is-twitter {\\n    background-color: #55acee; }\\n  .b-sidebar .sidebar-content.is-linkedin {\\n    background-color: #0077b5; }\\n  .b-sidebar .sidebar-content.is-github {\\n    background-color: #333; }\\n  .b-sidebar .sidebar-content.is-fixed {\\n    position: fixed;\\n    left: 0;\\n    top: 0; }\\n    .b-sidebar .sidebar-content.is-fixed.is-right {\\n      left: auto;\\n      right: 0; }\\n  .b-sidebar .sidebar-content.is-absolute {\\n    position: absolute;\\n    left: 0;\\n    top: 0; }\\n    .b-sidebar .sidebar-content.is-absolute.is-right {\\n      left: auto;\\n      right: 0; }\\n  .b-sidebar .sidebar-content.is-mini {\\n    width: 80px; }\\n    .b-sidebar .sidebar-content.is-mini.is-mini-expand:hover:not(.is-mini-delayed) {\\n      transition: width 150ms ease-out; }\\n      .b-sidebar .sidebar-content.is-mini.is-mini-expand:hover:not(.is-mini-delayed):not(.is-fullwidth) {\\n        width: 260px; }\\n        .b-sidebar .sidebar-content.is-mini.is-mini-expand:hover:not(.is-mini-delayed):not(.is-fullwidth).is-mini-expand-fixed {\\n          position: fixed; }\\n  .b-sidebar .sidebar-content.is-static {\\n    position: static; }\\n  .b-sidebar .sidebar-content.is-absolute, .b-sidebar .sidebar-content.is-static {\\n    transition: width 150ms ease-out; }\\n  .b-sidebar .sidebar-content.is-fullwidth {\\n    width: 100%;\\n    max-width: 100%; }\\n  .b-sidebar .sidebar-content.is-fullheight {\\n    height: 100%;\\n    max-height: 100%;\\n    overflow: hidden;\\n    overflow-y: auto;\\n    display: flex;\\n    flex-direction: column;\\n    align-content: stretch; }\\n  @media screen and (max-width: 768px) {\\n    .b-sidebar .sidebar-content.is-mini-mobile {\\n      width: 80px; }\\n      .b-sidebar .sidebar-content.is-mini-mobile.is-mini-expand:hover:not(.is-fullwidth-mobile) {\\n        width: 260px; }\\n        .b-sidebar .sidebar-content.is-mini-mobile.is-mini-expand:hover:not(.is-fullwidth-mobile).is-mini-expand-fixed {\\n          position: fixed; }\\n    .b-sidebar .sidebar-content.is-hidden-mobile {\\n      width: 0;\\n      height: 0;\\n      overflow: hidden; }\\n    .b-sidebar .sidebar-content.is-fullwidth-mobile {\\n      width: 100%;\\n      max-width: 100%; } }\\n\\n.b-sidebar .sidebar-background {\\n  bottom: 0;\\n  left: 0;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  background: rgba(10, 10, 10, 0.86);\\n  position: fixed;\\n  z-index: 38; }\\n\\n.b-slider {\\n  margin: 1em 0;\\n  background: transparent;\\n  width: 100%; }\\n  .b-slider .b-slider-track {\\n    display: flex;\\n    align-items: center;\\n    position: relative;\\n    cursor: pointer;\\n    background: #dbdbdb;\\n    border-radius: 4px; }\\n  .b-slider .b-slider-fill {\\n    position: absolute;\\n    height: 100%;\\n    box-shadow: 0px 0px 0px #7a7a7a;\\n    background: #dbdbdb;\\n    border-radius: 4px;\\n    border: 0px solid #7a7a7a;\\n    top: 50%;\\n    transform: translateY(-50%); }\\n  .b-slider .b-slider-thumb-wrapper {\\n    display: inline-flex;\\n    align-items: center;\\n    position: absolute;\\n    cursor: -webkit-grab;\\n    cursor: grab;\\n    transform: translate(-50%, -50%);\\n    top: 50%;\\n    flex-direction: column; }\\n    .b-slider .b-slider-thumb-wrapper .b-slider-thumb {\\n      box-shadow: none;\\n      border: 1px solid #b5b5b5;\\n      border-radius: 4px;\\n      background: white; }\\n      .b-slider .b-slider-thumb-wrapper .b-slider-thumb:focus {\\n        transform: scale(1.25); }\\n    .b-slider .b-slider-thumb-wrapper.is-dragging {\\n      cursor: -webkit-grabbing;\\n      cursor: grabbing; }\\n      .b-slider .b-slider-thumb-wrapper.is-dragging .b-slider-thumb {\\n        transform: scale(1.25); }\\n    .b-slider .b-slider-thumb-wrapper.has-indicator .b-slider-thumb {\\n      padding: 16px 10px;\\n      display: flex;\\n      align-items: center;\\n      width: auto; }\\n  .b-slider.slider-focus {\\n    padding-top: 20px;\\n    padding-bottom: 20px;\\n    margin-top: -20px;\\n    margin-bottom: -20px;\\n    cursor: pointer; }\\n  .b-slider.is-rounded .b-slider-thumb {\\n    border-radius: 9999px; }\\n  .b-slider.is-disabled .b-slider-track {\\n    cursor: not-allowed;\\n    opacity: 0.5; }\\n  .b-slider.is-disabled .b-slider-thumb-wrapper {\\n    cursor: not-allowed; }\\n    .b-slider.is-disabled .b-slider-thumb-wrapper .b-slider-thumb {\\n      transform: scale(1); }\\n  .b-slider .b-slider-track {\\n    height: 0.5rem; }\\n  .b-slider .b-slider-thumb {\\n    height: 1rem;\\n    width: 1rem; }\\n  .b-slider .b-slider-tick {\\n    height: 0.25rem; }\\n  .b-slider .b-slider-tick-label {\\n    font-size: 0.75rem;\\n    position: absolute;\\n    top: calc(0.5rem * 0.5 + 2px);\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-slider.is-small .b-slider-track {\\n    height: 0.375rem; }\\n  .b-slider.is-small .b-slider-thumb {\\n    height: 0.75rem;\\n    width: 0.75rem; }\\n  .b-slider.is-small .b-slider-tick {\\n    height: 0.1875rem; }\\n  .b-slider.is-small .b-slider-tick-label {\\n    font-size: 0.75rem;\\n    position: absolute;\\n    top: calc(0.375rem * 0.5 + 2px);\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-slider.is-medium .b-slider-track {\\n    height: 0.625rem; }\\n  .b-slider.is-medium .b-slider-thumb {\\n    height: 1.25rem;\\n    width: 1.25rem; }\\n  .b-slider.is-medium .b-slider-tick {\\n    height: 0.3125rem; }\\n  .b-slider.is-medium .b-slider-tick-label {\\n    font-size: 0.75rem;\\n    position: absolute;\\n    top: calc(0.625rem * 0.5 + 2px);\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-slider.is-large .b-slider-track {\\n    height: 0.75rem; }\\n  .b-slider.is-large .b-slider-thumb {\\n    height: 1.5rem;\\n    width: 1.5rem; }\\n  .b-slider.is-large .b-slider-tick {\\n    height: 0.375rem; }\\n  .b-slider.is-large .b-slider-tick-label {\\n    font-size: 0.75rem;\\n    position: absolute;\\n    top: calc(0.75rem * 0.5 + 2px);\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-slider.is-white .b-slider-fill {\\n    background: white !important; }\\n  .b-slider.is-black .b-slider-fill {\\n    background: #0a0a0a !important; }\\n  .b-slider.is-light .b-slider-fill {\\n    background: whitesmoke !important; }\\n  .b-slider.is-dark .b-slider-fill {\\n    background: #363636 !important; }\\n  .b-slider.is-primary .b-slider-fill {\\n    background: #2276f3 !important; }\\n  .b-slider.is-link .b-slider-fill {\\n    background: #485fc7 !important; }\\n  .b-slider.is-info .b-slider-fill {\\n    background: #3e8ed0 !important; }\\n  .b-slider.is-success .b-slider-fill {\\n    background: #48c78e !important; }\\n  .b-slider.is-warning .b-slider-fill {\\n    background: #ffe08a !important; }\\n  .b-slider.is-danger .b-slider-fill {\\n    background: #f14668 !important; }\\n  .b-slider.is-twitter .b-slider-fill {\\n    background: #55acee !important; }\\n  .b-slider.is-linkedin .b-slider-fill {\\n    background: #0077b5 !important; }\\n  .b-slider.is-github .b-slider-fill {\\n    background: #333 !important; }\\n  .b-slider .b-slider-tick {\\n    position: absolute;\\n    width: 3px;\\n    transform: translate(-50%, -50%);\\n    top: 50%;\\n    background: #b5b5b5;\\n    border-radius: 4px; }\\n    .b-slider .b-slider-tick.is-tick-hidden {\\n      background: transparent; }\\n\\n/*\\r\\nThis project is based on\\r\\n\\\"bulma-steps\\\" (https://github.com/Wikiki/bulma-steps) by\\r\\nWikiki (https://github.com/Wikiki) licensed under\\r\\nMIT (https://github.com/Wikiki/bulma-steps/blob/master/LICENSE)\\r\\n*/\\n.b-steps .steps .step-items {\\n  display: flex;\\n  flex-wrap: wrap; }\\n  .b-steps .steps .step-items .step-item {\\n    margin-top: 0;\\n    position: relative;\\n    flex-grow: 1;\\n    flex-basis: 1em; }\\n    .b-steps .steps .step-items .step-item .step-link {\\n      display: flex;\\n      align-items: center;\\n      justify-content: center;\\n      flex-direction: column;\\n      color: #4a4a4a; }\\n      .b-steps .steps .step-items .step-item .step-link:not(.is-clickable) {\\n        cursor: not-allowed; }\\n    .b-steps .steps .step-items .step-item .step-marker {\\n      align-items: center;\\n      display: flex;\\n      border-radius: 4px;\\n      font-weight: 700;\\n      justify-content: center;\\n      background: #b5b5b5;\\n      color: white;\\n      border: 0.2em solid #fff;\\n      z-index: 1;\\n      overflow: hidden; }\\n    .b-steps .steps .step-items .step-item.is-white::before, .b-steps .steps .step-items .step-item.is-white::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, white 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-white.is-active .step-marker {\\n      background-color: white;\\n      border-color: white;\\n      color: white; }\\n    .b-steps .steps .step-items .step-item.is-white.is-active::before, .b-steps .steps .step-items .step-item.is-white.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-white.is-previous .step-marker {\\n      color: #0a0a0a;\\n      background-color: white; }\\n    .b-steps .steps .step-items .step-item.is-white.is-previous::before, .b-steps .steps .step-items .step-item.is-white.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-black::before, .b-steps .steps .step-items .step-item.is-black::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #0a0a0a 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-black.is-active .step-marker {\\n      background-color: white;\\n      border-color: #0a0a0a;\\n      color: #0a0a0a; }\\n    .b-steps .steps .step-items .step-item.is-black.is-active::before, .b-steps .steps .step-items .step-item.is-black.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-black.is-previous .step-marker {\\n      color: white;\\n      background-color: #0a0a0a; }\\n    .b-steps .steps .step-items .step-item.is-black.is-previous::before, .b-steps .steps .step-items .step-item.is-black.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-light::before, .b-steps .steps .step-items .step-item.is-light::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, whitesmoke 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-light.is-active .step-marker {\\n      background-color: white;\\n      border-color: whitesmoke;\\n      color: whitesmoke; }\\n    .b-steps .steps .step-items .step-item.is-light.is-active::before, .b-steps .steps .step-items .step-item.is-light.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-light.is-previous .step-marker {\\n      color: #363636;\\n      background-color: whitesmoke; }\\n    .b-steps .steps .step-items .step-item.is-light.is-previous::before, .b-steps .steps .step-items .step-item.is-light.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-dark::before, .b-steps .steps .step-items .step-item.is-dark::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #363636 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-dark.is-active .step-marker {\\n      background-color: white;\\n      border-color: #363636;\\n      color: #363636; }\\n    .b-steps .steps .step-items .step-item.is-dark.is-active::before, .b-steps .steps .step-items .step-item.is-dark.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-dark.is-previous .step-marker {\\n      color: whitesmoke;\\n      background-color: #363636; }\\n    .b-steps .steps .step-items .step-item.is-dark.is-previous::before, .b-steps .steps .step-items .step-item.is-dark.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-primary::before, .b-steps .steps .step-items .step-item.is-primary::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #2276f3 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-primary.is-active .step-marker {\\n      background-color: white;\\n      border-color: #2276f3;\\n      color: #2276f3; }\\n    .b-steps .steps .step-items .step-item.is-primary.is-active::before, .b-steps .steps .step-items .step-item.is-primary.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-primary.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #2276f3; }\\n    .b-steps .steps .step-items .step-item.is-primary.is-previous::before, .b-steps .steps .step-items .step-item.is-primary.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-link::before, .b-steps .steps .step-items .step-item.is-link::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #485fc7 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-link.is-active .step-marker {\\n      background-color: white;\\n      border-color: #485fc7;\\n      color: #485fc7; }\\n    .b-steps .steps .step-items .step-item.is-link.is-active::before, .b-steps .steps .step-items .step-item.is-link.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-link.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #485fc7; }\\n    .b-steps .steps .step-items .step-item.is-link.is-previous::before, .b-steps .steps .step-items .step-item.is-link.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-info::before, .b-steps .steps .step-items .step-item.is-info::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #3e8ed0 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-info.is-active .step-marker {\\n      background-color: white;\\n      border-color: #3e8ed0;\\n      color: #3e8ed0; }\\n    .b-steps .steps .step-items .step-item.is-info.is-active::before, .b-steps .steps .step-items .step-item.is-info.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-info.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #3e8ed0; }\\n    .b-steps .steps .step-items .step-item.is-info.is-previous::before, .b-steps .steps .step-items .step-item.is-info.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-success::before, .b-steps .steps .step-items .step-item.is-success::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #48c78e 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-success.is-active .step-marker {\\n      background-color: white;\\n      border-color: #48c78e;\\n      color: #48c78e; }\\n    .b-steps .steps .step-items .step-item.is-success.is-active::before, .b-steps .steps .step-items .step-item.is-success.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-success.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #48c78e; }\\n    .b-steps .steps .step-items .step-item.is-success.is-previous::before, .b-steps .steps .step-items .step-item.is-success.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-warning::before, .b-steps .steps .step-items .step-item.is-warning::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #ffe08a 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-warning.is-active .step-marker {\\n      background-color: white;\\n      border-color: #ffe08a;\\n      color: #ffe08a; }\\n    .b-steps .steps .step-items .step-item.is-warning.is-active::before, .b-steps .steps .step-items .step-item.is-warning.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-warning.is-previous .step-marker {\\n      color: rgba(0, 0, 0, 0.7);\\n      background-color: #ffe08a; }\\n    .b-steps .steps .step-items .step-item.is-warning.is-previous::before, .b-steps .steps .step-items .step-item.is-warning.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-danger::before, .b-steps .steps .step-items .step-item.is-danger::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #f14668 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-danger.is-active .step-marker {\\n      background-color: white;\\n      border-color: #f14668;\\n      color: #f14668; }\\n    .b-steps .steps .step-items .step-item.is-danger.is-active::before, .b-steps .steps .step-items .step-item.is-danger.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-danger.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #f14668; }\\n    .b-steps .steps .step-items .step-item.is-danger.is-previous::before, .b-steps .steps .step-items .step-item.is-danger.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-twitter::before, .b-steps .steps .step-items .step-item.is-twitter::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #55acee 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-twitter.is-active .step-marker {\\n      background-color: white;\\n      border-color: #55acee;\\n      color: #55acee; }\\n    .b-steps .steps .step-items .step-item.is-twitter.is-active::before, .b-steps .steps .step-items .step-item.is-twitter.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-twitter.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #55acee; }\\n    .b-steps .steps .step-items .step-item.is-twitter.is-previous::before, .b-steps .steps .step-items .step-item.is-twitter.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-linkedin::before, .b-steps .steps .step-items .step-item.is-linkedin::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #0077b5 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-linkedin.is-active .step-marker {\\n      background-color: white;\\n      border-color: #0077b5;\\n      color: #0077b5; }\\n    .b-steps .steps .step-items .step-item.is-linkedin.is-active::before, .b-steps .steps .step-items .step-item.is-linkedin.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-linkedin.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #0077b5; }\\n    .b-steps .steps .step-items .step-item.is-linkedin.is-previous::before, .b-steps .steps .step-items .step-item.is-linkedin.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-github::before, .b-steps .steps .step-items .step-item.is-github::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #333 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-github.is-active .step-marker {\\n      background-color: white;\\n      border-color: #333;\\n      color: #333; }\\n    .b-steps .steps .step-items .step-item.is-github.is-active::before, .b-steps .steps .step-items .step-item.is-github.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-github.is-previous .step-marker {\\n      color: #fff;\\n      background-color: #333; }\\n    .b-steps .steps .step-items .step-item.is-github.is-previous::before, .b-steps .steps .step-items .step-item.is-github.is-previous::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item .step-marker {\\n      color: white; }\\n    .b-steps .steps .step-items .step-item .step-details {\\n      text-align: center;\\n      z-index: 1; }\\n    .b-steps .steps .step-items .step-item:not(:first-child), .b-steps .steps .step-items .step-item:only-child {\\n      flex-shrink: 1; }\\n      .b-steps .steps .step-items .step-item:not(:first-child)::before, .b-steps .steps .step-items .step-item:only-child::before {\\n        content: \\\" \\\";\\n        display: block;\\n        position: absolute;\\n        width: 100%;\\n        bottom: 0;\\n        left: -50%; }\\n    .b-steps .steps .step-items .step-item:only-child::after {\\n      content: \\\" \\\";\\n      display: block;\\n      position: absolute;\\n      height: 0.2em;\\n      bottom: 0; }\\n    .b-steps .steps .step-items .step-item:only-child::before, .b-steps .steps .step-items .step-item:only-child::after {\\n      width: 25%;\\n      left: 50%; }\\n    .b-steps .steps .step-items .step-item:only-child::before {\\n      right: 50%;\\n      left: auto; }\\n    .b-steps .steps .step-items .step-item::before, .b-steps .steps .step-items .step-item::after {\\n      background: linear-gradient(to left, #dbdbdb 50%, #2276f3 50%);\\n      background-size: 200% 100%;\\n      background-position: right bottom; }\\n    .b-steps .steps .step-items .step-item.is-active .step-link {\\n      cursor: default; }\\n    .b-steps .steps .step-items .step-item.is-active .step-marker {\\n      background-color: white;\\n      border-color: #2276f3;\\n      color: #2276f3; }\\n    .b-steps .steps .step-items .step-item.is-active::before, .b-steps .steps .step-items .step-item.is-active::after {\\n      background-position: left bottom; }\\n    .b-steps .steps .step-items .step-item.is-previous .step-marker {\\n      color: white;\\n      background-color: #2276f3; }\\n    .b-steps .steps .step-items .step-item.is-previous::before, .b-steps .steps .step-items .step-item.is-previous::after {\\n      background-position: left bottom; }\\n\\n.b-steps .steps + .step-content {\\n  position: relative;\\n  overflow: visible;\\n  display: flex;\\n  flex-direction: column;\\n  padding: 1rem; }\\n  .b-steps .steps + .step-content .step-item {\\n    flex-shrink: 0;\\n    flex-basis: auto; }\\n    .b-steps .steps + .step-content .step-item:focus {\\n      outline: none; }\\n  .b-steps .steps + .step-content.is-transitioning {\\n    overflow: hidden; }\\n\\n.b-steps .steps.is-rounded .step-item .step-marker {\\n  border-radius: 9999px; }\\n\\n.b-steps .steps.is-animated .step-item:not(:first-child)::before, .b-steps .steps.is-animated .step-item:only-child::before {\\n  transition: background 150ms ease-out; }\\n\\n.b-steps .steps.has-label-right .step-items .step-item .step-link, .b-steps .steps.has-label-left .step-items .step-item .step-link {\\n  flex-direction: row; }\\n  .b-steps .steps.has-label-right .step-items .step-item .step-link > .step-details, .b-steps .steps.has-label-left .step-items .step-item .step-link > .step-details {\\n    background-color: white;\\n    padding: .2em; }\\n\\n.b-steps .steps.has-label-left .step-items .step-item .step-link {\\n  flex-direction: row-reverse; }\\n\\n.b-steps .steps {\\n  font-size: 1rem;\\n  min-height: 2rem; }\\n  .b-steps .steps .step-items .step-item .step-marker {\\n    height: 2rem;\\n    width: 2rem; }\\n    .b-steps .steps .step-items .step-item .step-marker .icon *, .b-steps .steps .step-items .step-item .step-marker .icon *:before {\\n      font-size: 1rem; }\\n  .b-steps .steps .step-items .step-item .step-details .step-title {\\n    font-size: 1.2rem;\\n    font-weight: 600;\\n    line-height: 1rem; }\\n  .b-steps .steps .step-items .step-item:not(:first-child)::before, .b-steps .steps .step-items .step-item:only-child::before {\\n    height: 0.2em;\\n    top: 1rem; }\\n  .b-steps .steps .step-items .step-item:only-child::after {\\n    top: 1rem; }\\n  @media screen and (max-width: 768px) {\\n    .b-steps .steps .step-items .step-item::before, .b-steps .steps .step-items .step-item::after, .b-steps .steps .step-items .step-item:not(:first-child)::before {\\n      top: 1rem; } }\\n\\n.b-steps.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-vertical > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-vertical > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1rem - 0.1em); }\\n\\n.b-steps.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-vertical > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-vertical > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1rem - 0.1em); }\\n\\n.b-steps.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1rem - 0.1em); }\\n\\n.b-steps.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1rem - 0.1em); }\\n\\n.b-steps.is-small .steps {\\n  font-size: 0.75rem;\\n  min-height: 1.5rem; }\\n  .b-steps.is-small .steps .step-items .step-item .step-marker {\\n    height: 1.5rem;\\n    width: 1.5rem; }\\n    .b-steps.is-small .steps .step-items .step-item .step-marker .icon *, .b-steps.is-small .steps .step-items .step-item .step-marker .icon *:before {\\n      font-size: 0.75rem; }\\n  .b-steps.is-small .steps .step-items .step-item .step-details .step-title {\\n    font-size: 0.9rem;\\n    font-weight: 600;\\n    line-height: 0.75rem; }\\n  .b-steps.is-small .steps .step-items .step-item:not(:first-child)::before, .b-steps.is-small .steps .step-items .step-item:only-child::before {\\n    height: 0.2em;\\n    top: 0.75rem; }\\n  .b-steps.is-small .steps .step-items .step-item:only-child::after {\\n    top: 0.75rem; }\\n  @media screen and (max-width: 768px) {\\n    .b-steps.is-small .steps .step-items .step-item::before, .b-steps.is-small .steps .step-items .step-item::after, .b-steps.is-small .steps .step-items .step-item:not(:first-child)::before {\\n      top: 0.75rem; } }\\n\\n.b-steps.is-small.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-small.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-small.is-vertical > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-small.is-vertical > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(0.75rem - 0.1em); }\\n\\n.b-steps.is-small.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-small.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-small.is-vertical > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-small.is-vertical > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(0.75rem - 0.1em); }\\n\\n.b-steps.is-small.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-small.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-small.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-small.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(0.75rem - 0.1em); }\\n\\n.b-steps.is-small.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-small.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-small.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-small.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(0.75rem - 0.1em); }\\n\\n.b-steps.is-medium .steps {\\n  font-size: 1.25rem;\\n  min-height: 2.5rem; }\\n  .b-steps.is-medium .steps .step-items .step-item .step-marker {\\n    height: 2.5rem;\\n    width: 2.5rem; }\\n    .b-steps.is-medium .steps .step-items .step-item .step-marker .icon *, .b-steps.is-medium .steps .step-items .step-item .step-marker .icon *:before {\\n      font-size: 1.25rem; }\\n  .b-steps.is-medium .steps .step-items .step-item .step-details .step-title {\\n    font-size: 1.5rem;\\n    font-weight: 600;\\n    line-height: 1.25rem; }\\n  .b-steps.is-medium .steps .step-items .step-item:not(:first-child)::before, .b-steps.is-medium .steps .step-items .step-item:only-child::before {\\n    height: 0.2em;\\n    top: 1.25rem; }\\n  .b-steps.is-medium .steps .step-items .step-item:only-child::after {\\n    top: 1.25rem; }\\n  @media screen and (max-width: 768px) {\\n    .b-steps.is-medium .steps .step-items .step-item::before, .b-steps.is-medium .steps .step-items .step-item::after, .b-steps.is-medium .steps .step-items .step-item:not(:first-child)::before {\\n      top: 1.25rem; } }\\n\\n.b-steps.is-medium.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-medium.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-medium.is-vertical > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-medium.is-vertical > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1.25rem - 0.1em); }\\n\\n.b-steps.is-medium.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-medium.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-medium.is-vertical > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-medium.is-vertical > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1.25rem - 0.1em); }\\n\\n.b-steps.is-medium.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1.25rem - 0.1em); }\\n\\n.b-steps.is-medium.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-medium.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1.25rem - 0.1em); }\\n\\n.b-steps.is-large .steps {\\n  font-size: 1.5rem;\\n  min-height: 3rem; }\\n  .b-steps.is-large .steps .step-items .step-item .step-marker {\\n    height: 3rem;\\n    width: 3rem; }\\n    .b-steps.is-large .steps .step-items .step-item .step-marker .icon *, .b-steps.is-large .steps .step-items .step-item .step-marker .icon *:before {\\n      font-size: 1.5rem; }\\n  .b-steps.is-large .steps .step-items .step-item .step-details .step-title {\\n    font-size: 1.8rem;\\n    font-weight: 600;\\n    line-height: 1.5rem; }\\n  .b-steps.is-large .steps .step-items .step-item:not(:first-child)::before, .b-steps.is-large .steps .step-items .step-item:only-child::before {\\n    height: 0.2em;\\n    top: 1.5rem; }\\n  .b-steps.is-large .steps .step-items .step-item:only-child::after {\\n    top: 1.5rem; }\\n  @media screen and (max-width: 768px) {\\n    .b-steps.is-large .steps .step-items .step-item::before, .b-steps.is-large .steps .step-items .step-item::after, .b-steps.is-large .steps .step-items .step-item:not(:first-child)::before {\\n      top: 1.5rem; } }\\n\\n.b-steps.is-large.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-large.is-vertical > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-large.is-vertical > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-large.is-vertical > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1.5rem - 0.1em); }\\n\\n.b-steps.is-large.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-large.is-vertical > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-large.is-vertical > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-large.is-vertical > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1.5rem - 0.1em); }\\n\\n.b-steps.is-large.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::before, .b-steps.is-large.is-vertical.is-right > .steps.has-label-right .step-items .step-item:not(:first-child)::after, .b-steps.is-large.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::before, .b-steps.is-large.is-vertical.is-right > .steps.has-label-right .step-items .step-item:only-child::after {\\n  left: calc(1.5rem - 0.1em); }\\n\\n.b-steps.is-large.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::before, .b-steps.is-large.is-vertical.is-right > .steps.has-label-left .step-items .step-item:not(:first-child)::after, .b-steps.is-large.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::before, .b-steps.is-large.is-vertical.is-right > .steps.has-label-left .step-items .step-item:only-child::after {\\n  left: auto;\\n  right: calc(1.5rem - 0.1em); }\\n\\n.b-steps.is-vertical {\\n  display: flex;\\n  flex-direction: row;\\n  flex-wrap: wrap; }\\n  .b-steps.is-vertical > .steps .step-items {\\n    height: 100%;\\n    flex-direction: column;\\n    border-bottom-color: transparent; }\\n    .b-steps.is-vertical > .steps .step-items .step-item {\\n      width: 100%;\\n      display: flex;\\n      align-items: center;\\n      justify-content: center;\\n      padding: 1em 0; }\\n      .b-steps.is-vertical > .steps .step-items .step-item::before, .b-steps.is-vertical > .steps .step-items .step-item::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #2276f3 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-white::before, .b-steps.is-vertical > .steps .step-items .step-item.is-white::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, white 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-black::before, .b-steps.is-vertical > .steps .step-items .step-item.is-black::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #0a0a0a 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-light::before, .b-steps.is-vertical > .steps .step-items .step-item.is-light::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, whitesmoke 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-dark::before, .b-steps.is-vertical > .steps .step-items .step-item.is-dark::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #363636 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-primary::before, .b-steps.is-vertical > .steps .step-items .step-item.is-primary::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #2276f3 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-link::before, .b-steps.is-vertical > .steps .step-items .step-item.is-link::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #485fc7 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-info::before, .b-steps.is-vertical > .steps .step-items .step-item.is-info::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #3e8ed0 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-success::before, .b-steps.is-vertical > .steps .step-items .step-item.is-success::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #48c78e 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-warning::before, .b-steps.is-vertical > .steps .step-items .step-item.is-warning::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #ffe08a 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-danger::before, .b-steps.is-vertical > .steps .step-items .step-item.is-danger::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #f14668 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-twitter::before, .b-steps.is-vertical > .steps .step-items .step-item.is-twitter::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #55acee 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-linkedin::before, .b-steps.is-vertical > .steps .step-items .step-item.is-linkedin::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #0077b5 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-github::before, .b-steps.is-vertical > .steps .step-items .step-item.is-github::after {\\n        background: linear-gradient(to top, #dbdbdb 50%, #333 50%);\\n        background-size: 100% 200%;\\n        background-position: left bottom; }\\n      .b-steps.is-vertical > .steps .step-items .step-item:not(:first-child)::before, .b-steps.is-vertical > .steps .step-items .step-item:only-child::before {\\n        height: 100%;\\n        width: 0.2em;\\n        top: -50%;\\n        left: calc(50% - 0.1em); }\\n      .b-steps.is-vertical > .steps .step-items .step-item.is-active::before, .b-steps.is-vertical > .steps .step-items .step-item.is-active::after, .b-steps.is-vertical > .steps .step-items .step-item.is-previous::before, .b-steps.is-vertical > .steps .step-items .step-item.is-previous::after {\\n        background-position: right top; }\\n      .b-steps.is-vertical > .steps .step-items .step-item:only-child::before {\\n        top: 50%; }\\n      .b-steps.is-vertical > .steps .step-items .step-item:only-child::after {\\n        width: 0.2em;\\n        top: auto;\\n        bottom: 50%; }\\n      .b-steps.is-vertical > .steps .step-items .step-item:only-child::before, .b-steps.is-vertical > .steps .step-items .step-item:only-child::after {\\n        height: 25%; }\\n  .b-steps.is-vertical > .steps.has-label-right .step-items .step-item {\\n    justify-content: flex-start; }\\n  .b-steps.is-vertical > .steps.has-label-left .step-items .step-item {\\n    justify-content: flex-end; }\\n  .b-steps.is-vertical > .steps:not(.has-label-right):not(.has-label-left) .step-items .step-item .step-link > .step-details {\\n    background-color: white; }\\n  .b-steps.is-vertical > .step-content {\\n    flex-grow: 1; }\\n  .b-steps.is-vertical > .step-navigation {\\n    flex-basis: 100%; }\\n  .b-steps.is-vertical.is-right {\\n    flex-direction: row-reverse; }\\n\\n@media screen and (max-width: 768px) {\\n  .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item:not(.is-active) {\\n    display: none; }\\n  .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item::before, .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item::after, .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item:not(:first-child)::before {\\n    content: \\\" \\\";\\n    display: block;\\n    position: absolute;\\n    height: 0.2em;\\n    width: 25%;\\n    bottom: 0;\\n    left: 50%; }\\n  .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item::before, .b-steps:not(.is-vertical) .steps.mobile-minimalist .step-items .step-item:not(:first-child)::before {\\n    right: 50%;\\n    left: auto; }\\n  .b-steps:not(.is-vertical) .steps.mobile-compact .step-items .step-item:not(.is-active) .step-details {\\n    display: none; } }\\n\\n.switch {\\n  cursor: pointer;\\n  display: inline-flex;\\n  align-items: center;\\n  position: relative;\\n  margin-right: 0.5em; }\\n  .switch + .switch:last-child {\\n    margin-right: 0; }\\n  .switch input[type=checkbox] {\\n    position: absolute;\\n    left: 0;\\n    opacity: 0;\\n    outline: none;\\n    z-index: -1; }\\n    .switch input[type=checkbox] + .check {\\n      display: flex;\\n      align-items: center;\\n      flex-shrink: 0;\\n      width: 2.75em;\\n      height: 1.575em;\\n      padding: 0.2em;\\n      background: #b5b5b5;\\n      border-radius: 4px;\\n      transition: background 150ms ease-out, box-shadow 150ms ease-out; }\\n      .switch input[type=checkbox] + .check.is-white-passive, .switch input[type=checkbox] + .check:hover {\\n        background: white; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-black-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #0a0a0a; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-light-passive, .switch input[type=checkbox] + .check:hover {\\n        background: whitesmoke; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-dark-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #363636; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-primary-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #2276f3; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-link-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #485fc7; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-info-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #3e8ed0; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-success-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #48c78e; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-warning-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #ffe08a; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-danger-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #f14668; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-twitter-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #55acee; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-linkedin-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #0077b5; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check.is-github-passive, .switch input[type=checkbox] + .check:hover {\\n        background: #333; }\\n      .switch input[type=checkbox] + .check.input[type=checkbox] + .switch input[type=checkbox] + .check.check {\\n        background: 'pink'; }\\n      .switch input[type=checkbox] + .check:before {\\n        content: \\\"\\\";\\n        display: block;\\n        border-radius: 4px;\\n        width: 1.175em;\\n        height: 1.175em;\\n        background: whitesmoke;\\n        box-shadow: 0 3px 1px 0 rgba(0, 0, 0, 0.05), 0 2px 2px 0 rgba(0, 0, 0, 0.1), 0 3px 3px 0 rgba(0, 0, 0, 0.05);\\n        transition: transform 150ms ease-out;\\n        will-change: transform;\\n        transform-origin: left; }\\n      .switch input[type=checkbox] + .check.is-elastic:before {\\n        transform: scaleX(1.5);\\n        border-radius: 4px; }\\n    .switch input[type=checkbox]:checked + .check {\\n      background: #2276f3; }\\n      .switch input[type=checkbox]:checked + .check.is-white {\\n        background: white; }\\n      .switch input[type=checkbox]:checked + .check.is-black {\\n        background: #0a0a0a; }\\n      .switch input[type=checkbox]:checked + .check.is-light {\\n        background: whitesmoke; }\\n      .switch input[type=checkbox]:checked + .check.is-dark {\\n        background: #363636; }\\n      .switch input[type=checkbox]:checked + .check.is-primary {\\n        background: #2276f3; }\\n      .switch input[type=checkbox]:checked + .check.is-link {\\n        background: #485fc7; }\\n      .switch input[type=checkbox]:checked + .check.is-info {\\n        background: #3e8ed0; }\\n      .switch input[type=checkbox]:checked + .check.is-success {\\n        background: #48c78e; }\\n      .switch input[type=checkbox]:checked + .check.is-warning {\\n        background: #ffe08a; }\\n      .switch input[type=checkbox]:checked + .check.is-danger {\\n        background: #f14668; }\\n      .switch input[type=checkbox]:checked + .check.is-twitter {\\n        background: #55acee; }\\n      .switch input[type=checkbox]:checked + .check.is-linkedin {\\n        background: #0077b5; }\\n      .switch input[type=checkbox]:checked + .check.is-github {\\n        background: #333; }\\n      .switch input[type=checkbox]:checked + .check:before {\\n        transform: translate3d(100%, 0, 0); }\\n      .switch input[type=checkbox]:checked + .check.is-elastic:before {\\n        transform: translate3d(50%, 0, 0) scaleX(1.5); }\\n    .switch input[type=checkbox]:focus, .switch input[type=checkbox]:active {\\n      outline: none; }\\n      .switch input[type=checkbox]:focus + .check, .switch input[type=checkbox]:active + .check {\\n        box-shadow: 0 0 0.5em rgba(122, 122, 122, 0.6); }\\n        .switch input[type=checkbox]:focus + .check.is-white-passive, .switch input[type=checkbox]:active + .check.is-white-passive {\\n          box-shadow: 0 0 0.5em rgba(255, 255, 255, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-black-passive, .switch input[type=checkbox]:active + .check.is-black-passive {\\n          box-shadow: 0 0 0.5em rgba(10, 10, 10, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-light-passive, .switch input[type=checkbox]:active + .check.is-light-passive {\\n          box-shadow: 0 0 0.5em rgba(245, 245, 245, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-dark-passive, .switch input[type=checkbox]:active + .check.is-dark-passive {\\n          box-shadow: 0 0 0.5em rgba(54, 54, 54, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-primary-passive, .switch input[type=checkbox]:active + .check.is-primary-passive {\\n          box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-link-passive, .switch input[type=checkbox]:active + .check.is-link-passive {\\n          box-shadow: 0 0 0.5em rgba(72, 95, 199, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-info-passive, .switch input[type=checkbox]:active + .check.is-info-passive {\\n          box-shadow: 0 0 0.5em rgba(62, 142, 208, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-success-passive, .switch input[type=checkbox]:active + .check.is-success-passive {\\n          box-shadow: 0 0 0.5em rgba(72, 199, 142, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-warning-passive, .switch input[type=checkbox]:active + .check.is-warning-passive {\\n          box-shadow: 0 0 0.5em rgba(255, 224, 138, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-danger-passive, .switch input[type=checkbox]:active + .check.is-danger-passive {\\n          box-shadow: 0 0 0.5em rgba(241, 70, 104, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-twitter-passive, .switch input[type=checkbox]:active + .check.is-twitter-passive {\\n          box-shadow: 0 0 0.5em rgba(85, 172, 238, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-linkedin-passive, .switch input[type=checkbox]:active + .check.is-linkedin-passive {\\n          box-shadow: 0 0 0.5em rgba(0, 119, 181, 0.8); }\\n        .switch input[type=checkbox]:focus + .check.is-github-passive, .switch input[type=checkbox]:active + .check.is-github-passive {\\n          box-shadow: 0 0 0.5em rgba(51, 51, 51, 0.8); }\\n      .switch input[type=checkbox]:focus:checked + .check, .switch input[type=checkbox]:active:checked + .check {\\n        box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-white, .switch input[type=checkbox]:active:checked + .check.is-white {\\n          box-shadow: 0 0 0.5em rgba(255, 255, 255, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-black, .switch input[type=checkbox]:active:checked + .check.is-black {\\n          box-shadow: 0 0 0.5em rgba(10, 10, 10, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-light, .switch input[type=checkbox]:active:checked + .check.is-light {\\n          box-shadow: 0 0 0.5em rgba(245, 245, 245, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-dark, .switch input[type=checkbox]:active:checked + .check.is-dark {\\n          box-shadow: 0 0 0.5em rgba(54, 54, 54, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-primary, .switch input[type=checkbox]:active:checked + .check.is-primary {\\n          box-shadow: 0 0 0.5em rgba(34, 118, 243, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-link, .switch input[type=checkbox]:active:checked + .check.is-link {\\n          box-shadow: 0 0 0.5em rgba(72, 95, 199, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-info, .switch input[type=checkbox]:active:checked + .check.is-info {\\n          box-shadow: 0 0 0.5em rgba(62, 142, 208, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-success, .switch input[type=checkbox]:active:checked + .check.is-success {\\n          box-shadow: 0 0 0.5em rgba(72, 199, 142, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-warning, .switch input[type=checkbox]:active:checked + .check.is-warning {\\n          box-shadow: 0 0 0.5em rgba(255, 224, 138, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-danger, .switch input[type=checkbox]:active:checked + .check.is-danger {\\n          box-shadow: 0 0 0.5em rgba(241, 70, 104, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-twitter, .switch input[type=checkbox]:active:checked + .check.is-twitter {\\n          box-shadow: 0 0 0.5em rgba(85, 172, 238, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-linkedin, .switch input[type=checkbox]:active:checked + .check.is-linkedin {\\n          box-shadow: 0 0 0.5em rgba(0, 119, 181, 0.8); }\\n        .switch input[type=checkbox]:focus:checked + .check.is-github, .switch input[type=checkbox]:active:checked + .check.is-github {\\n          box-shadow: 0 0 0.5em rgba(51, 51, 51, 0.8); }\\n  .switch.has-left-label {\\n    flex-direction: row-reverse; }\\n    .switch.has-left-label .control-label {\\n      padding-right: calc(0.75em - 1px); }\\n  .switch:not(.has-left-label) .control-label {\\n    padding-left: calc(0.75em - 1px); }\\n  .switch:hover input[type=checkbox] + .check {\\n    background: rgba(181, 181, 181, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-white-passive {\\n      background: rgba(255, 255, 255, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-black-passive {\\n      background: rgba(10, 10, 10, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-light-passive {\\n      background: rgba(245, 245, 245, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-dark-passive {\\n      background: rgba(54, 54, 54, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-primary-passive {\\n      background: rgba(34, 118, 243, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-link-passive {\\n      background: rgba(72, 95, 199, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-info-passive {\\n      background: rgba(62, 142, 208, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-success-passive {\\n      background: rgba(72, 199, 142, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-warning-passive {\\n      background: rgba(255, 224, 138, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-danger-passive {\\n      background: rgba(241, 70, 104, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-twitter-passive {\\n      background: rgba(85, 172, 238, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-linkedin-passive {\\n      background: rgba(0, 119, 181, 0.9); }\\n    .switch:hover input[type=checkbox] + .check.is-github-passive {\\n      background: rgba(51, 51, 51, 0.9); }\\n  .switch:hover input[type=checkbox]:checked + .check {\\n    background: rgba(34, 118, 243, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-white {\\n      background: rgba(255, 255, 255, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-black {\\n      background: rgba(10, 10, 10, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-light {\\n      background: rgba(245, 245, 245, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-dark {\\n      background: rgba(54, 54, 54, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-primary {\\n      background: rgba(34, 118, 243, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-link {\\n      background: rgba(72, 95, 199, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-info {\\n      background: rgba(62, 142, 208, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-success {\\n      background: rgba(72, 199, 142, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-warning {\\n      background: rgba(255, 224, 138, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-danger {\\n      background: rgba(241, 70, 104, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-twitter {\\n      background: rgba(85, 172, 238, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-linkedin {\\n      background: rgba(0, 119, 181, 0.9); }\\n    .switch:hover input[type=checkbox]:checked + .check.is-github {\\n      background: rgba(51, 51, 51, 0.9); }\\n  .switch.is-rounded input[type=checkbox] + .check {\\n    border-radius: 9999px; }\\n    .switch.is-rounded input[type=checkbox] + .check:before {\\n      border-radius: 9999px; }\\n  .switch.is-rounded input[type=checkbox].is-elastic:before {\\n    transform: scaleX(1.5);\\n    border-radius: 9999px; }\\n  .switch.is-outlined input[type=checkbox] + .check {\\n    background: transparent;\\n    border: 0.1rem solid #b5b5b5; }\\n    .switch.is-outlined input[type=checkbox] + .check.is-white-passive {\\n      border: 0.1rem solid rgba(255, 255, 255, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-white-passive:before {\\n        background: white; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-white-passive:hover {\\n        border-color: rgba(255, 255, 255, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-black-passive {\\n      border: 0.1rem solid rgba(10, 10, 10, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-black-passive:before {\\n        background: #0a0a0a; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-black-passive:hover {\\n        border-color: rgba(10, 10, 10, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-light-passive {\\n      border: 0.1rem solid rgba(245, 245, 245, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-light-passive:before {\\n        background: whitesmoke; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-light-passive:hover {\\n        border-color: rgba(245, 245, 245, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-dark-passive {\\n      border: 0.1rem solid rgba(54, 54, 54, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-dark-passive:before {\\n        background: #363636; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-dark-passive:hover {\\n        border-color: rgba(54, 54, 54, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-primary-passive {\\n      border: 0.1rem solid rgba(34, 118, 243, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-primary-passive:before {\\n        background: #2276f3; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-primary-passive:hover {\\n        border-color: rgba(34, 118, 243, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-link-passive {\\n      border: 0.1rem solid rgba(72, 95, 199, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-link-passive:before {\\n        background: #485fc7; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-link-passive:hover {\\n        border-color: rgba(72, 95, 199, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-info-passive {\\n      border: 0.1rem solid rgba(62, 142, 208, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-info-passive:before {\\n        background: #3e8ed0; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-info-passive:hover {\\n        border-color: rgba(62, 142, 208, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-success-passive {\\n      border: 0.1rem solid rgba(72, 199, 142, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-success-passive:before {\\n        background: #48c78e; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-success-passive:hover {\\n        border-color: rgba(72, 199, 142, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-warning-passive {\\n      border: 0.1rem solid rgba(255, 224, 138, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-warning-passive:before {\\n        background: #ffe08a; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-warning-passive:hover {\\n        border-color: rgba(255, 224, 138, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-danger-passive {\\n      border: 0.1rem solid rgba(241, 70, 104, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-danger-passive:before {\\n        background: #f14668; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-danger-passive:hover {\\n        border-color: rgba(241, 70, 104, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-twitter-passive {\\n      border: 0.1rem solid rgba(85, 172, 238, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-twitter-passive:before {\\n        background: #55acee; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-twitter-passive:hover {\\n        border-color: rgba(85, 172, 238, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-linkedin-passive {\\n      border: 0.1rem solid rgba(0, 119, 181, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-linkedin-passive:before {\\n        background: #0077b5; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-linkedin-passive:hover {\\n        border-color: rgba(0, 119, 181, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check.is-github-passive {\\n      border: 0.1rem solid rgba(51, 51, 51, 0.9); }\\n      .switch.is-outlined input[type=checkbox] + .check.is-github-passive:before {\\n        background: #333; }\\n      .switch.is-outlined input[type=checkbox] + .check.is-github-passive:hover {\\n        border-color: rgba(51, 51, 51, 0.9); }\\n    .switch.is-outlined input[type=checkbox] + .check:before {\\n      background: #b5b5b5; }\\n  .switch.is-outlined input[type=checkbox]:checked + .check {\\n    border-color: #2276f3; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-white {\\n      background: transparent;\\n      border-color: white; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-white:before {\\n        background: white; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-black {\\n      background: transparent;\\n      border-color: #0a0a0a; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-black:before {\\n        background: #0a0a0a; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-light {\\n      background: transparent;\\n      border-color: whitesmoke; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-light:before {\\n        background: whitesmoke; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-dark {\\n      background: transparent;\\n      border-color: #363636; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-dark:before {\\n        background: #363636; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-primary {\\n      background: transparent;\\n      border-color: #2276f3; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-primary:before {\\n        background: #2276f3; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-link {\\n      background: transparent;\\n      border-color: #485fc7; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-link:before {\\n        background: #485fc7; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-info {\\n      background: transparent;\\n      border-color: #3e8ed0; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-info:before {\\n        background: #3e8ed0; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-success {\\n      background: transparent;\\n      border-color: #48c78e; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-success:before {\\n        background: #48c78e; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-warning {\\n      background: transparent;\\n      border-color: #ffe08a; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-warning:before {\\n        background: #ffe08a; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-danger {\\n      background: transparent;\\n      border-color: #f14668; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-danger:before {\\n        background: #f14668; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-twitter {\\n      background: transparent;\\n      border-color: #55acee; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-twitter:before {\\n        background: #55acee; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-linkedin {\\n      background: transparent;\\n      border-color: #0077b5; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-linkedin:before {\\n        background: #0077b5; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check.is-github {\\n      background: transparent;\\n      border-color: #333; }\\n      .switch.is-outlined input[type=checkbox]:checked + .check.is-github:before {\\n        background: #333; }\\n    .switch.is-outlined input[type=checkbox]:checked + .check:before {\\n      background: #2276f3; }\\n  .switch.is-outlined:hover input[type=checkbox] + .check {\\n    background: transparent;\\n    border-color: rgba(181, 181, 181, 0.9); }\\n  .switch.is-outlined:hover input[type=checkbox]:checked + .check {\\n    background: transparent;\\n    border-color: rgba(34, 118, 243, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-white {\\n      border-color: rgba(255, 255, 255, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-black {\\n      border-color: rgba(10, 10, 10, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-light {\\n      border-color: rgba(245, 245, 245, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-dark {\\n      border-color: rgba(54, 54, 54, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-primary {\\n      border-color: rgba(34, 118, 243, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-link {\\n      border-color: rgba(72, 95, 199, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-info {\\n      border-color: rgba(62, 142, 208, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-success {\\n      border-color: rgba(72, 199, 142, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-warning {\\n      border-color: rgba(255, 224, 138, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-danger {\\n      border-color: rgba(241, 70, 104, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-twitter {\\n      border-color: rgba(85, 172, 238, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-linkedin {\\n      border-color: rgba(0, 119, 181, 0.9); }\\n    .switch.is-outlined:hover input[type=checkbox]:checked + .check.is-github {\\n      border-color: rgba(51, 51, 51, 0.9); }\\n  .switch.is-small {\\n    border-radius: 2px;\\n    font-size: 0.75rem; }\\n  .switch.is-medium {\\n    font-size: 1.25rem; }\\n  .switch.is-large {\\n    font-size: 1.5rem; }\\n  .switch[disabled] {\\n    opacity: 0.5;\\n    cursor: not-allowed;\\n    color: #7a7a7a; }\\n\\n.table-wrapper .table {\\n  margin-bottom: 0; }\\n\\n.table-wrapper:not(:last-child) {\\n  margin-bottom: 1.5rem; }\\n\\n@media screen and (max-width: 1023px) {\\n  .table-wrapper {\\n    overflow-x: auto; } }\\n\\n.b-table {\\n  transition: opacity 86ms ease-out; }\\n  @media screen and (min-width: 769px), print {\\n    .b-table .table-mobile-sort {\\n      display: none; } }\\n  .b-table .icon {\\n    transition: transform 150ms ease-out, opacity 86ms ease-out; }\\n    .b-table .icon.is-desc {\\n      transform: rotate(180deg); }\\n    .b-table .icon.is-expanded {\\n      transform: rotate(90deg); }\\n  .b-table .sort-icon.icon.is-desc {\\n    transform: rotate(180deg) translateY(-50%) !important; }\\n  .b-table .table {\\n    width: 100%;\\n    border: 1px solid transparent;\\n    border-radius: 4px;\\n    border-collapse: separate; }\\n    .b-table .table th {\\n      font-weight: 600; }\\n      .b-table .table th .th-wrap {\\n        display: flex;\\n        align-items: center; }\\n        .b-table .table th .th-wrap .icon {\\n          margin-left: 0.5rem;\\n          margin-right: 0;\\n          font-size: 1rem; }\\n        .b-table .table th .th-wrap.is-numeric {\\n          flex-direction: row-reverse;\\n          text-align: right; }\\n          .b-table .table th .th-wrap.is-numeric .icon {\\n            margin-left: 0;\\n            margin-right: 0.5rem; }\\n        .b-table .table th .th-wrap.is-centered {\\n          justify-content: center;\\n          text-align: center; }\\n      .b-table .table th.is-current-sort {\\n        border-color: #7a7a7a;\\n        font-weight: 700; }\\n      .b-table .table th.is-sortable:hover {\\n        border-color: #7a7a7a; }\\n      .b-table .table th.is-sortable,\\n      .b-table .table th.is-sortable .th-wrap {\\n        cursor: pointer; }\\n        .b-table .table th.is-sortable .is-relative,\\n        .b-table .table th.is-sortable .th-wrap .is-relative {\\n          position: absolute; }\\n      .b-table .table th .sort-icon, .b-table .table th .multi-sort-cancel-icon {\\n        position: absolute;\\n        bottom: 50%;\\n        left: 100%;\\n        transform: translateY(50%); }\\n      .b-table .table th .multi-sort-cancel-icon {\\n        margin-left: 10px; }\\n      .b-table .table th.is-sticky {\\n        position: sticky;\\n        left: 0;\\n        z-index: 3 !important;\\n        background: transparent; }\\n    .b-table .table tr.is-selected .checkbox input:checked + .check {\\n      background: #fff url(\\\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1 1'%3E%3Cpath style='fill:%232276f3' d='M 0.04038059,0.6267767 0.14644661,0.52071068 0.42928932,0.80355339 0.3232233,0.90961941 z M 0.21715729,0.80355339 0.85355339,0.16715729 0.95961941,0.2732233 0.3232233,0.90961941 z'%3E%3C/path%3E%3C/svg%3E\\\") no-repeat center center; }\\n    .b-table .table tr.is-selected .checkbox input + .check {\\n      border-color: #fff; }\\n    .b-table .table tr.is-empty:hover {\\n      background-color: transparent; }\\n    .b-table .table .chevron-cell {\\n      vertical-align: middle; }\\n      .b-table .table .chevron-cell > a {\\n        color: #485fc7 !important; }\\n    .b-table .table .checkbox-cell {\\n      width: 40px; }\\n      .b-table .table .checkbox-cell .checkbox {\\n        vertical-align: middle; }\\n        .b-table .table .checkbox-cell .checkbox .check {\\n          transition: none; }\\n    .b-table .table tr.detail {\\n      box-shadow: inset 0 1px 3px #dbdbdb;\\n      background: #fafafa; }\\n      .b-table .table tr.detail .detail-container {\\n        padding: 1rem; }\\n    .b-table .table:focus {\\n      border-color: #485fc7;\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n    .b-table .table.is-bordered th.is-current-sort,\\n    .b-table .table.is-bordered th.is-sortable:hover {\\n      border-color: #dbdbdb;\\n      background: whitesmoke; }\\n    .b-table .table td.is-sticky {\\n      position: sticky;\\n      left: 0;\\n      z-index: 1;\\n      background: white; }\\n    .b-table .table.is-striped tbody tr:not(.is-selected):nth-child(even) td.is-sticky {\\n      background: #fafafa; }\\n  .b-table .level:not(.top) {\\n    padding-bottom: 1.5rem; }\\n  .b-table .table-wrapper {\\n    position: relative; }\\n    .b-table .table-wrapper.has-sticky-header {\\n      height: 300px;\\n      overflow-y: auto; }\\n      @media screen and (max-width: 768px) {\\n        .b-table .table-wrapper.has-sticky-header.has-mobile-cards {\\n          height: initial !important;\\n          overflow-y: initial !important; } }\\n      .b-table .table-wrapper.has-sticky-header tr:first-child th {\\n        position: sticky;\\n        top: 0;\\n        z-index: 2;\\n        background: white; }\\n    @media screen and (max-width: 768px) {\\n      .b-table .table-wrapper.has-mobile-cards .table {\\n        background-color: transparent; }\\n      .b-table .table-wrapper.has-mobile-cards thead tr {\\n        box-shadow: none;\\n        border-width: 0; }\\n        .b-table .table-wrapper.has-mobile-cards thead tr th {\\n          display: none; }\\n        .b-table .table-wrapper.has-mobile-cards thead tr .checkbox-cell {\\n          display: block;\\n          width: 100%;\\n          text-align: right;\\n          margin-bottom: 1rem;\\n          border: 0; }\\n      .b-table .table-wrapper.has-mobile-cards tfoot th {\\n        border: 0;\\n        display: inherit; }\\n      .b-table .table-wrapper.has-mobile-cards tr {\\n        box-shadow: 0 2px 3px rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.1);\\n        max-width: 100%;\\n        position: relative;\\n        display: block; }\\n        .b-table .table-wrapper.has-mobile-cards tr td {\\n          border: 0;\\n          display: inherit; }\\n          .b-table .table-wrapper.has-mobile-cards tr td:last-child {\\n            border-bottom: 0; }\\n        .b-table .table-wrapper.has-mobile-cards tr:not(:last-child) {\\n          margin-bottom: 1rem; }\\n        .b-table .table-wrapper.has-mobile-cards tr:not([class*=\\\"is-\\\"]) {\\n          background: white; }\\n          .b-table .table-wrapper.has-mobile-cards tr:not([class*=\\\"is-\\\"]):hover {\\n            background-color: white; }\\n        .b-table .table-wrapper.has-mobile-cards tr.detail {\\n          margin-top: -1rem; }\\n      .b-table .table-wrapper.has-mobile-cards tr:not(.detail):not(.is-empty):not(.table-footer) td {\\n        display: flex;\\n        width: auto;\\n        justify-content: space-between;\\n        text-align: right;\\n        border-bottom: 1px solid whitesmoke; }\\n        .b-table .table-wrapper.has-mobile-cards tr:not(.detail):not(.is-empty):not(.table-footer) td:before {\\n          content: attr(data-label);\\n          font-weight: 600;\\n          padding-right: 0.5em;\\n          text-align: left; } }\\n    .b-table .table-wrapper.is-card-list .table {\\n      background-color: transparent; }\\n    .b-table .table-wrapper.is-card-list thead tr {\\n      box-shadow: none;\\n      border-width: 0; }\\n      .b-table .table-wrapper.is-card-list thead tr th {\\n        display: none; }\\n      .b-table .table-wrapper.is-card-list thead tr .checkbox-cell {\\n        display: block;\\n        width: 100%;\\n        text-align: right;\\n        margin-bottom: 1rem;\\n        border: 0; }\\n    .b-table .table-wrapper.is-card-list tfoot th {\\n      border: 0;\\n      display: inherit; }\\n    .b-table .table-wrapper.is-card-list tr {\\n      box-shadow: 0 2px 3px rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.1);\\n      max-width: 100%;\\n      position: relative;\\n      display: block; }\\n      .b-table .table-wrapper.is-card-list tr td {\\n        border: 0;\\n        display: inherit; }\\n        .b-table .table-wrapper.is-card-list tr td:last-child {\\n          border-bottom: 0; }\\n      .b-table .table-wrapper.is-card-list tr:not(:last-child) {\\n        margin-bottom: 1rem; }\\n      .b-table .table-wrapper.is-card-list tr:not([class*=\\\"is-\\\"]) {\\n        background: white; }\\n        .b-table .table-wrapper.is-card-list tr:not([class*=\\\"is-\\\"]):hover {\\n          background-color: white; }\\n      .b-table .table-wrapper.is-card-list tr.detail {\\n        margin-top: -1rem; }\\n    .b-table .table-wrapper.is-card-list tr:not(.detail):not(.is-empty):not(.table-footer) td {\\n      display: flex;\\n      width: auto;\\n      justify-content: space-between;\\n      text-align: right;\\n      border-bottom: 1px solid whitesmoke; }\\n      .b-table .table-wrapper.is-card-list tr:not(.detail):not(.is-empty):not(.table-footer) td:before {\\n        content: attr(data-label);\\n        font-weight: 600;\\n        padding-right: 0.5em;\\n        text-align: left; }\\n\\n.b-tabs .tabs {\\n  margin-bottom: 0;\\n  flex-shrink: 0; }\\n  .b-tabs .tabs li a:focus {\\n    outline: none;\\n    border-bottom-color: #485fc7; }\\n  .b-tabs .tabs li:not(.is-active) a:focus {\\n    border-bottom-color: #363636; }\\n  .b-tabs .tabs li.is-disabled {\\n    pointer-events: none;\\n    cursor: not-allowed;\\n    opacity: 0.5; }\\n  .b-tabs .tabs.is-boxed li a:focus {\\n    background-color: white;\\n    border-bottom-color: transparent; }\\n  .b-tabs .tabs.is-boxed li:not(.is-active) a:focus {\\n    background-color: whitesmoke;\\n    border-bottom-color: #dbdbdb; }\\n  .b-tabs .tabs.is-toggle li a:focus {\\n    background-color: #485fc7;\\n    border-color: #485fc7; }\\n  .b-tabs .tabs.is-toggle li:not(.is-active) a:focus {\\n    background-color: whitesmoke;\\n    border-color: #b5b5b5; }\\n\\n.b-tabs .tab-content {\\n  position: relative;\\n  overflow: visible;\\n  display: flex;\\n  flex-direction: column;\\n  padding: 1rem; }\\n  .b-tabs .tab-content .tab-item {\\n    flex-shrink: 0;\\n    flex-basis: auto; }\\n    .b-tabs .tab-content .tab-item:focus {\\n      outline: none; }\\n  .b-tabs .tab-content.is-transitioning {\\n    overflow: hidden; }\\n\\n.b-tabs:not(:last-child) {\\n  margin-bottom: 1.5rem; }\\n\\n.b-tabs.is-fullwidth {\\n  width: 100%; }\\n\\n.b-tabs.is-vertical {\\n  display: flex;\\n  flex-direction: row;\\n  flex-wrap: wrap; }\\n  .b-tabs.is-vertical > .tabs ul {\\n    flex-direction: column;\\n    border-bottom-color: transparent; }\\n    .b-tabs.is-vertical > .tabs ul li {\\n      width: 100%; }\\n      .b-tabs.is-vertical > .tabs ul li a {\\n        justify-content: left; }\\n  .b-tabs.is-vertical > .tabs.is-boxed li a {\\n    border-bottom-color: transparent !important;\\n    border-right-color: #dbdbdb !important;\\n    border-radius: 4px 0 0 4px; }\\n  .b-tabs.is-vertical > .tabs.is-boxed li.is-active a {\\n    border-bottom-color: #dbdbdb !important;\\n    border-right-color: transparent !important; }\\n  .b-tabs.is-vertical > .tabs.is-toggle li + li {\\n    margin-left: 0; }\\n  .b-tabs.is-vertical > .tabs.is-toggle li:first-child a {\\n    border-radius: 4px 4px 0 0; }\\n  .b-tabs.is-vertical > .tabs.is-toggle li:last-child a {\\n    border-radius: 0 0 4px 4px; }\\n  .b-tabs.is-vertical > .tabs.is-fullwidth li a {\\n    height: 100%; }\\n  .b-tabs.is-vertical > .tab-content {\\n    flex-grow: 1; }\\n  .b-tabs.is-vertical.is-right {\\n    flex-direction: row-reverse; }\\n    .b-tabs.is-vertical.is-right > .tabs ul a {\\n      flex-direction: row-reverse; }\\n      .b-tabs.is-vertical.is-right > .tabs ul a .icon:first-child {\\n        margin-right: 0;\\n        margin-left: 0.5em; }\\n    .b-tabs.is-vertical.is-right > .tabs.is-boxed li a {\\n      border-bottom-color: transparent !important;\\n      border-right-color: transparent !important;\\n      border-left-color: #dbdbdb !important;\\n      border-radius: 0 4px 4px 0; }\\n    .b-tabs.is-vertical.is-right > .tabs.is-boxed li.is-active a {\\n      border-bottom-color: #dbdbdb !important;\\n      border-right-color: #dbdbdb !important;\\n      border-left-color: transparent !important; }\\n\\n.b-tabs.is-multiline > .tabs ul {\\n  flex-wrap: wrap;\\n  flex-shrink: 1; }\\n\\n.tag .has-ellipsis {\\n  max-width: 10em;\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis; }\\n\\n.tag .delete.is-white, .tag.is-delete.is-white, .tag.has-delete-icon.is-white {\\n  background: white; }\\n  .tag .delete.is-white:hover, .tag.is-delete.is-white:hover, .tag.has-delete-icon.is-white:hover {\\n    background-color: #e6e6e6;\\n    text-decoration: none; }\\n\\n.tag .delete.is-black, .tag.is-delete.is-black, .tag.has-delete-icon.is-black {\\n  background: #0a0a0a; }\\n  .tag .delete.is-black:hover, .tag.is-delete.is-black:hover, .tag.has-delete-icon.is-black:hover {\\n    background-color: black;\\n    text-decoration: none; }\\n\\n.tag .delete.is-light, .tag.is-delete.is-light, .tag.has-delete-icon.is-light {\\n  background: whitesmoke; }\\n  .tag .delete.is-light:hover, .tag.is-delete.is-light:hover, .tag.has-delete-icon.is-light:hover {\\n    background-color: #dbdbdb;\\n    text-decoration: none; }\\n\\n.tag .delete.is-dark, .tag.is-delete.is-dark, .tag.has-delete-icon.is-dark {\\n  background: #363636; }\\n  .tag .delete.is-dark:hover, .tag.is-delete.is-dark:hover, .tag.has-delete-icon.is-dark:hover {\\n    background-color: #1c1c1c;\\n    text-decoration: none; }\\n\\n.tag .delete.is-primary, .tag.is-delete.is-primary, .tag.has-delete-icon.is-primary {\\n  background: #2276f3; }\\n  .tag .delete.is-primary:hover, .tag.is-delete.is-primary:hover, .tag.has-delete-icon.is-primary:hover {\\n    background-color: #0c5dd6;\\n    text-decoration: none; }\\n\\n.tag .delete.is-link, .tag.is-delete.is-link, .tag.has-delete-icon.is-link {\\n  background: #485fc7; }\\n  .tag .delete.is-link:hover, .tag.is-delete.is-link:hover, .tag.has-delete-icon.is-link:hover {\\n    background-color: #3449a8;\\n    text-decoration: none; }\\n\\n.tag .delete.is-info, .tag.is-delete.is-info, .tag.has-delete-icon.is-info {\\n  background: #3e8ed0; }\\n  .tag .delete.is-info:hover, .tag.is-delete.is-info:hover, .tag.has-delete-icon.is-info:hover {\\n    background-color: #2b74b1;\\n    text-decoration: none; }\\n\\n.tag .delete.is-success, .tag.is-delete.is-success, .tag.has-delete-icon.is-success {\\n  background: #48c78e; }\\n  .tag .delete.is-success:hover, .tag.is-delete.is-success:hover, .tag.has-delete-icon.is-success:hover {\\n    background-color: #34a873;\\n    text-decoration: none; }\\n\\n.tag .delete.is-warning, .tag.is-delete.is-warning, .tag.has-delete-icon.is-warning {\\n  background: #ffe08a; }\\n  .tag .delete.is-warning:hover, .tag.is-delete.is-warning:hover, .tag.has-delete-icon.is-warning:hover {\\n    background-color: #ffd257;\\n    text-decoration: none; }\\n\\n.tag .delete.is-danger, .tag.is-delete.is-danger, .tag.has-delete-icon.is-danger {\\n  background: #f14668; }\\n  .tag .delete.is-danger:hover, .tag.is-delete.is-danger:hover, .tag.has-delete-icon.is-danger:hover {\\n    background-color: #ee1742;\\n    text-decoration: none; }\\n\\n.tag .delete.is-twitter, .tag.is-delete.is-twitter, .tag.has-delete-icon.is-twitter {\\n  background: #55acee; }\\n  .tag .delete.is-twitter:hover, .tag.is-delete.is-twitter:hover, .tag.has-delete-icon.is-twitter:hover {\\n    background-color: #2795e9;\\n    text-decoration: none; }\\n\\n.tag .delete.is-linkedin, .tag.is-delete.is-linkedin, .tag.has-delete-icon.is-linkedin {\\n  background: #0077b5; }\\n  .tag .delete.is-linkedin:hover, .tag.is-delete.is-linkedin:hover, .tag.has-delete-icon.is-linkedin:hover {\\n    background-color: #005582;\\n    text-decoration: none; }\\n\\n.tag .delete.is-github, .tag.is-delete.is-github, .tag.has-delete-icon.is-github {\\n  background: #333; }\\n  .tag .delete.is-github:hover, .tag.is-delete.is-github:hover, .tag.has-delete-icon.is-github:hover {\\n    background-color: #1a1a1a;\\n    text-decoration: none; }\\n\\n.tag.has-delete-icon {\\n  padding: 0px; }\\n  .tag.has-delete-icon .icon:first-child:not(:last-child) {\\n    margin-right: 0px;\\n    margin-left: 0px; }\\n\\n.taginput .taginput-container {\\n  display: flex; }\\n  .taginput .taginput-container.is-focusable {\\n    padding-bottom: 0;\\n    padding-top: calc(0.275em - 1px);\\n    padding-left: 0;\\n    padding-right: 0;\\n    align-items: center;\\n    flex-wrap: wrap;\\n    justify-content: flex-start;\\n    height: auto;\\n    cursor: text; }\\n  .taginput .taginput-container:not(.is-focusable) {\\n    align-items: center;\\n    flex-wrap: wrap;\\n    justify-content: flex-start;\\n    height: auto; }\\n    .taginput .taginput-container:not(.is-focusable).is-small {\\n      border-radius: 2px;\\n      font-size: 0.75rem; }\\n    .taginput .taginput-container:not(.is-focusable).is-medium {\\n      font-size: 1.25rem; }\\n    .taginput .taginput-container:not(.is-focusable).is-large {\\n      font-size: 1.5rem; }\\n  .taginput .taginput-container > .tag,\\n  .taginput .taginput-container > .tags {\\n    margin-left: 0.275rem;\\n    margin-bottom: calc(0.275em - 1px);\\n    font-size: 0.9em;\\n    height: calc(2em - 1px); }\\n    .taginput .taginput-container > .tag .tag,\\n    .taginput .taginput-container > .tags .tag {\\n      margin-bottom: 0;\\n      font-size: 0.9em;\\n      height: calc(2em - 1px); }\\n      .taginput .taginput-container > .tag .tag.is-delete,\\n      .taginput .taginput-container > .tags .tag.is-delete {\\n        width: calc(2em - 1px); }\\n  .taginput .taginput-container .autocomplete {\\n    position: static;\\n    flex: 1; }\\n    .taginput .taginput-container .autocomplete input {\\n      height: calc(2em - 1px);\\n      margin-bottom: calc(0.275em - 1px);\\n      padding-top: 0;\\n      padding-bottom: 0;\\n      border: none;\\n      box-shadow: none;\\n      min-width: 8em; }\\n      .taginput .taginput-container .autocomplete input:focus {\\n        box-shadow: none !important; }\\n    .taginput .taginput-container .autocomplete .icon {\\n      height: calc(2em - 1px); }\\n    .taginput .taginput-container .autocomplete > .control.is-loading::after {\\n      top: 0.375em; }\\n\\n.timepicker .dropdown-menu {\\n  min-width: 0; }\\n\\n.timepicker .dropdown,\\n.timepicker .dropdown-trigger {\\n  width: 100%; }\\n  .timepicker .dropdown .input[readonly],\\n  .timepicker .dropdown-trigger .input[readonly] {\\n    cursor: pointer;\\n    box-shadow: inset 0 0.0625em 0.125em rgba(10, 10, 10, 0.05); }\\n    .timepicker .dropdown .input[readonly]:focus, .timepicker .dropdown .input[readonly].is-focused, .timepicker .dropdown .input[readonly]:active, .timepicker .dropdown .input[readonly].is-active,\\n    .timepicker .dropdown-trigger .input[readonly]:focus,\\n    .timepicker .dropdown-trigger .input[readonly].is-focused,\\n    .timepicker .dropdown-trigger .input[readonly]:active,\\n    .timepicker .dropdown-trigger .input[readonly].is-active {\\n      box-shadow: 0 0 0 0.125em rgba(72, 95, 199, 0.25); }\\n\\n.timepicker .dropdown.is-disabled {\\n  opacity: 1; }\\n\\n.timepicker .dropdown-item, .timepicker .dropdown .dropdown-menu .has-link a, .dropdown .dropdown-menu .has-link .timepicker a {\\n  font-size: inherit;\\n  padding: 0; }\\n\\n.timepicker .timepicker-footer {\\n  padding: 0 0.5rem 0 0.5rem; }\\n\\n.timepicker .dropdown-content .control {\\n  font-size: 1.25em;\\n  margin-right: 0 !important; }\\n  .timepicker .dropdown-content .control .select {\\n    margin: 0 0.125em; }\\n    .timepicker .dropdown-content .control .select select {\\n      font-weight: 600;\\n      padding-right: calc(0.75em - 1px);\\n      border: 0; }\\n      .timepicker .dropdown-content .control .select select option:disabled {\\n        color: rgba(122, 122, 122, 0.7); }\\n    .timepicker .dropdown-content .control .select:after {\\n      display: none; }\\n  .timepicker .dropdown-content .control.is-colon {\\n    font-size: 1.7em;\\n    line-height: 1.7em; }\\n    .timepicker .dropdown-content .control.is-colon:last-child {\\n      padding-right: calc(0.75em - 1px); }\\n\\n.timepicker.is-small {\\n  border-radius: 2px;\\n  font-size: 0.75rem; }\\n\\n.timepicker.is-medium {\\n  font-size: 1.25rem; }\\n\\n.timepicker.is-large {\\n  font-size: 1.5rem; }\\n\\n.b-tooltip {\\n  position: relative;\\n  display: inline-flex; }\\n  .b-tooltip.is-top .tooltip-content {\\n    top: auto;\\n    right: auto;\\n    bottom: calc(100% + 5px + 2px);\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-tooltip.is-top .tooltip-content::before {\\n    top: 100%;\\n    right: auto;\\n    bottom: auto;\\n    left: 50%;\\n    transform: translateX(-50%);\\n    border-top: 5px solid #2276f3;\\n    border-right: 5px solid transparent;\\n    border-left: 5px solid transparent; }\\n  .b-tooltip.is-top.is-white .tooltip-content::before {\\n    border-top-color: white; }\\n  .b-tooltip.is-top.is-black .tooltip-content::before {\\n    border-top-color: #0a0a0a; }\\n  .b-tooltip.is-top.is-light .tooltip-content::before {\\n    border-top-color: whitesmoke; }\\n  .b-tooltip.is-top.is-dark .tooltip-content::before {\\n    border-top-color: #363636; }\\n  .b-tooltip.is-top.is-primary .tooltip-content::before {\\n    border-top-color: #2276f3; }\\n  .b-tooltip.is-top.is-primary.is-light .tooltip-content::before {\\n    border-top-color: #ecf3fe; }\\n  .b-tooltip.is-top.is-link .tooltip-content::before {\\n    border-top-color: #485fc7; }\\n  .b-tooltip.is-top.is-link.is-light .tooltip-content::before {\\n    border-top-color: #eff1fa; }\\n  .b-tooltip.is-top.is-info .tooltip-content::before {\\n    border-top-color: #3e8ed0; }\\n  .b-tooltip.is-top.is-info.is-light .tooltip-content::before {\\n    border-top-color: #eff5fb; }\\n  .b-tooltip.is-top.is-success .tooltip-content::before {\\n    border-top-color: #48c78e; }\\n  .b-tooltip.is-top.is-success.is-light .tooltip-content::before {\\n    border-top-color: #effaf5; }\\n  .b-tooltip.is-top.is-warning .tooltip-content::before {\\n    border-top-color: #ffe08a; }\\n  .b-tooltip.is-top.is-warning.is-light .tooltip-content::before {\\n    border-top-color: #fffaeb; }\\n  .b-tooltip.is-top.is-danger .tooltip-content::before {\\n    border-top-color: #f14668; }\\n  .b-tooltip.is-top.is-danger.is-light .tooltip-content::before {\\n    border-top-color: #feecf0; }\\n  .b-tooltip.is-top.is-twitter .tooltip-content::before {\\n    border-top-color: #55acee; }\\n  .b-tooltip.is-top.is-linkedin .tooltip-content::before {\\n    border-top-color: #0077b5; }\\n  .b-tooltip.is-top.is-github .tooltip-content::before {\\n    border-top-color: #333; }\\n  .b-tooltip.is-right .tooltip-content {\\n    top: 50%;\\n    right: auto;\\n    bottom: auto;\\n    left: calc(100% + 5px + 2px);\\n    transform: translateY(-50%); }\\n  .b-tooltip.is-right .tooltip-content::before {\\n    top: 50%;\\n    right: 100%;\\n    bottom: auto;\\n    left: auto;\\n    transform: translateY(-50%);\\n    border-top: 5px solid transparent;\\n    border-right: 5px solid #2276f3;\\n    border-bottom: 5px solid transparent; }\\n  .b-tooltip.is-right.is-white .tooltip-content::before {\\n    border-right-color: white; }\\n  .b-tooltip.is-right.is-black .tooltip-content::before {\\n    border-right-color: #0a0a0a; }\\n  .b-tooltip.is-right.is-light .tooltip-content::before {\\n    border-right-color: whitesmoke; }\\n  .b-tooltip.is-right.is-dark .tooltip-content::before {\\n    border-right-color: #363636; }\\n  .b-tooltip.is-right.is-primary .tooltip-content::before {\\n    border-right-color: #2276f3; }\\n  .b-tooltip.is-right.is-primary.is-light .tooltip-content::before {\\n    border-right-color: #ecf3fe; }\\n  .b-tooltip.is-right.is-link .tooltip-content::before {\\n    border-right-color: #485fc7; }\\n  .b-tooltip.is-right.is-link.is-light .tooltip-content::before {\\n    border-right-color: #eff1fa; }\\n  .b-tooltip.is-right.is-info .tooltip-content::before {\\n    border-right-color: #3e8ed0; }\\n  .b-tooltip.is-right.is-info.is-light .tooltip-content::before {\\n    border-right-color: #eff5fb; }\\n  .b-tooltip.is-right.is-success .tooltip-content::before {\\n    border-right-color: #48c78e; }\\n  .b-tooltip.is-right.is-success.is-light .tooltip-content::before {\\n    border-right-color: #effaf5; }\\n  .b-tooltip.is-right.is-warning .tooltip-content::before {\\n    border-right-color: #ffe08a; }\\n  .b-tooltip.is-right.is-warning.is-light .tooltip-content::before {\\n    border-right-color: #fffaeb; }\\n  .b-tooltip.is-right.is-danger .tooltip-content::before {\\n    border-right-color: #f14668; }\\n  .b-tooltip.is-right.is-danger.is-light .tooltip-content::before {\\n    border-right-color: #feecf0; }\\n  .b-tooltip.is-right.is-twitter .tooltip-content::before {\\n    border-right-color: #55acee; }\\n  .b-tooltip.is-right.is-linkedin .tooltip-content::before {\\n    border-right-color: #0077b5; }\\n  .b-tooltip.is-right.is-github .tooltip-content::before {\\n    border-right-color: #333; }\\n  .b-tooltip.is-bottom .tooltip-content {\\n    top: calc(100% + 5px + 2px);\\n    right: auto;\\n    bottom: auto;\\n    left: 50%;\\n    transform: translateX(-50%); }\\n  .b-tooltip.is-bottom .tooltip-content::before {\\n    top: auto;\\n    right: auto;\\n    bottom: 100%;\\n    left: 50%;\\n    transform: translateX(-50%);\\n    border-right: 5px solid transparent;\\n    border-bottom: 5px solid #2276f3;\\n    border-left: 5px solid transparent; }\\n  .b-tooltip.is-bottom.is-white .tooltip-content::before {\\n    border-bottom-color: white; }\\n  .b-tooltip.is-bottom.is-black .tooltip-content::before {\\n    border-bottom-color: #0a0a0a; }\\n  .b-tooltip.is-bottom.is-light .tooltip-content::before {\\n    border-bottom-color: whitesmoke; }\\n  .b-tooltip.is-bottom.is-dark .tooltip-content::before {\\n    border-bottom-color: #363636; }\\n  .b-tooltip.is-bottom.is-primary .tooltip-content::before {\\n    border-bottom-color: #2276f3; }\\n  .b-tooltip.is-bottom.is-primary.is-light .tooltip-content::before {\\n    border-bottom-color: #ecf3fe; }\\n  .b-tooltip.is-bottom.is-link .tooltip-content::before {\\n    border-bottom-color: #485fc7; }\\n  .b-tooltip.is-bottom.is-link.is-light .tooltip-content::before {\\n    border-bottom-color: #eff1fa; }\\n  .b-tooltip.is-bottom.is-info .tooltip-content::before {\\n    border-bottom-color: #3e8ed0; }\\n  .b-tooltip.is-bottom.is-info.is-light .tooltip-content::before {\\n    border-bottom-color: #eff5fb; }\\n  .b-tooltip.is-bottom.is-success .tooltip-content::before {\\n    border-bottom-color: #48c78e; }\\n  .b-tooltip.is-bottom.is-success.is-light .tooltip-content::before {\\n    border-bottom-color: #effaf5; }\\n  .b-tooltip.is-bottom.is-warning .tooltip-content::before {\\n    border-bottom-color: #ffe08a; }\\n  .b-tooltip.is-bottom.is-warning.is-light .tooltip-content::before {\\n    border-bottom-color: #fffaeb; }\\n  .b-tooltip.is-bottom.is-danger .tooltip-content::before {\\n    border-bottom-color: #f14668; }\\n  .b-tooltip.is-bottom.is-danger.is-light .tooltip-content::before {\\n    border-bottom-color: #feecf0; }\\n  .b-tooltip.is-bottom.is-twitter .tooltip-content::before {\\n    border-bottom-color: #55acee; }\\n  .b-tooltip.is-bottom.is-linkedin .tooltip-content::before {\\n    border-bottom-color: #0077b5; }\\n  .b-tooltip.is-bottom.is-github .tooltip-content::before {\\n    border-bottom-color: #333; }\\n  .b-tooltip.is-left .tooltip-content {\\n    top: 50%;\\n    right: calc(100% + 5px + 2px);\\n    bottom: auto;\\n    left: auto;\\n    transform: translateY(-50%); }\\n  .b-tooltip.is-left .tooltip-content::before {\\n    top: 50%;\\n    right: auto;\\n    bottom: auto;\\n    left: 100%;\\n    transform: translateY(-50%);\\n    border-top: 5px solid transparent;\\n    border-bottom: 5px solid transparent;\\n    border-left: 5px solid #2276f3; }\\n  .b-tooltip.is-left.is-white .tooltip-content::before {\\n    border-left-color: white; }\\n  .b-tooltip.is-left.is-black .tooltip-content::before {\\n    border-left-color: #0a0a0a; }\\n  .b-tooltip.is-left.is-light .tooltip-content::before {\\n    border-left-color: whitesmoke; }\\n  .b-tooltip.is-left.is-dark .tooltip-content::before {\\n    border-left-color: #363636; }\\n  .b-tooltip.is-left.is-primary .tooltip-content::before {\\n    border-left-color: #2276f3; }\\n  .b-tooltip.is-left.is-primary.is-light .tooltip-content::before {\\n    border-left-color: #ecf3fe; }\\n  .b-tooltip.is-left.is-link .tooltip-content::before {\\n    border-left-color: #485fc7; }\\n  .b-tooltip.is-left.is-link.is-light .tooltip-content::before {\\n    border-left-color: #eff1fa; }\\n  .b-tooltip.is-left.is-info .tooltip-content::before {\\n    border-left-color: #3e8ed0; }\\n  .b-tooltip.is-left.is-info.is-light .tooltip-content::before {\\n    border-left-color: #eff5fb; }\\n  .b-tooltip.is-left.is-success .tooltip-content::before {\\n    border-left-color: #48c78e; }\\n  .b-tooltip.is-left.is-success.is-light .tooltip-content::before {\\n    border-left-color: #effaf5; }\\n  .b-tooltip.is-left.is-warning .tooltip-content::before {\\n    border-left-color: #ffe08a; }\\n  .b-tooltip.is-left.is-warning.is-light .tooltip-content::before {\\n    border-left-color: #fffaeb; }\\n  .b-tooltip.is-left.is-danger .tooltip-content::before {\\n    border-left-color: #f14668; }\\n  .b-tooltip.is-left.is-danger.is-light .tooltip-content::before {\\n    border-left-color: #feecf0; }\\n  .b-tooltip.is-left.is-twitter .tooltip-content::before {\\n    border-left-color: #55acee; }\\n  .b-tooltip.is-left.is-linkedin .tooltip-content::before {\\n    border-left-color: #0077b5; }\\n  .b-tooltip.is-left.is-github .tooltip-content::before {\\n    border-left-color: #333; }\\n  .b-tooltip .tooltip-content {\\n    width: auto;\\n    padding: 0.35rem 0.75rem;\\n    border-radius: 6px;\\n    font-size: 0.85rem;\\n    font-weight: 400;\\n    box-shadow: 0px 1px 2px 1px rgba(0, 1, 0, 0.2);\\n    z-index: 38;\\n    white-space: nowrap;\\n    position: absolute; }\\n  .b-tooltip .tooltip-content::before {\\n    position: absolute;\\n    content: \\\"\\\";\\n    pointer-events: none;\\n    z-index: 38; }\\n  .b-tooltip .tooltip-trigger {\\n    width: 100%; }\\n  .b-tooltip.is-white .tooltip-content {\\n    background: white;\\n    color: #0a0a0a; }\\n  .b-tooltip.is-black .tooltip-content {\\n    background: #0a0a0a;\\n    color: white; }\\n  .b-tooltip.is-light .tooltip-content {\\n    background: whitesmoke;\\n    color: #363636; }\\n  .b-tooltip.is-dark .tooltip-content {\\n    background: #363636;\\n    color: whitesmoke; }\\n  .b-tooltip.is-primary .tooltip-content {\\n    background: #2276f3;\\n    color: #fff; }\\n  .b-tooltip.is-primary.is-light .tooltip-content {\\n    background: #ecf3fe;\\n    color: #0c5cd5; }\\n  .b-tooltip.is-link .tooltip-content {\\n    background: #485fc7;\\n    color: #fff; }\\n  .b-tooltip.is-link.is-light .tooltip-content {\\n    background: #eff1fa;\\n    color: #3850b7; }\\n  .b-tooltip.is-info .tooltip-content {\\n    background: #3e8ed0;\\n    color: #fff; }\\n  .b-tooltip.is-info.is-light .tooltip-content {\\n    background: #eff5fb;\\n    color: #296fa8; }\\n  .b-tooltip.is-success .tooltip-content {\\n    background: #48c78e;\\n    color: #fff; }\\n  .b-tooltip.is-success.is-light .tooltip-content {\\n    background: #effaf5;\\n    color: #257953; }\\n  .b-tooltip.is-warning .tooltip-content {\\n    background: #ffe08a;\\n    color: rgba(0, 0, 0, 0.7); }\\n  .b-tooltip.is-warning.is-light .tooltip-content {\\n    background: #fffaeb;\\n    color: #946c00; }\\n  .b-tooltip.is-danger .tooltip-content {\\n    background: #f14668;\\n    color: #fff; }\\n  .b-tooltip.is-danger.is-light .tooltip-content {\\n    background: #feecf0;\\n    color: #cc0f35; }\\n  .b-tooltip.is-twitter .tooltip-content {\\n    background: #55acee;\\n    color: #fff; }\\n  .b-tooltip.is-linkedin .tooltip-content {\\n    background: #0077b5;\\n    color: #fff; }\\n  .b-tooltip.is-github .tooltip-content {\\n    background: #333;\\n    color: #fff; }\\n  .b-tooltip.is-always .tooltip-content::before,\\n  .b-tooltip.is-always .tooltip-content {\\n    opacity: 1;\\n    visibility: visible; }\\n  .b-tooltip.is-multiline .tooltip-content {\\n    display: flex-block;\\n    text-align: center;\\n    white-space: normal; }\\n  .b-tooltip.is-multiline.is-small .tooltip-content {\\n    width: 180px; }\\n  .b-tooltip.is-multiline.is-medium .tooltip-content {\\n    width: 240px; }\\n  .b-tooltip.is-multiline.is-large .tooltip-content {\\n    width: 300px; }\\n  .b-tooltip.is-dashed .tooltip-trigger {\\n    border-bottom: 1px dashed #b5b5b5;\\n    cursor: default; }\\n  .b-tooltip.is-square .tooltip-content {\\n    border-radius: 0; }\\n\\n.upload {\\n  position: relative;\\n  display: inline-flex; }\\n  .upload input[type=\\\"file\\\"] {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    width: 100%;\\n    height: 100%;\\n    opacity: 0;\\n    outline: none;\\n    cursor: pointer;\\n    z-index: -1; }\\n  .upload .upload-draggable {\\n    cursor: pointer;\\n    padding: 0.25em;\\n    border: 1px dashed #b5b5b5;\\n    border-radius: 6px; }\\n    .upload .upload-draggable.is-disabled {\\n      opacity: 0.5;\\n      cursor: not-allowed; }\\n    .upload .upload-draggable.is-loading {\\n      position: relative;\\n      pointer-events: none;\\n      opacity: 0.5; }\\n      .upload .upload-draggable.is-loading:after {\\n        -webkit-animation: spinAround 500ms infinite linear;\\n                animation: spinAround 500ms infinite linear;\\n        border: 2px solid #dbdbdb;\\n        border-radius: 9999px;\\n        border-right-color: transparent;\\n        border-top-color: transparent;\\n        content: \\\"\\\";\\n        display: block;\\n        height: 1em;\\n        position: relative;\\n        width: 1em;\\n        top: 0;\\n        left: calc(50% - 1.5em);\\n        width: 3em;\\n        height: 3em;\\n        border-width: 0.25em; }\\n    .upload .upload-draggable:hover.is-white, .upload .upload-draggable.is-hovered.is-white {\\n      border-color: white;\\n      background: rgba(255, 255, 255, 0.05); }\\n    .upload .upload-draggable:hover.is-black, .upload .upload-draggable.is-hovered.is-black {\\n      border-color: #0a0a0a;\\n      background: rgba(10, 10, 10, 0.05); }\\n    .upload .upload-draggable:hover.is-light, .upload .upload-draggable.is-hovered.is-light {\\n      border-color: whitesmoke;\\n      background: rgba(245, 245, 245, 0.05); }\\n    .upload .upload-draggable:hover.is-dark, .upload .upload-draggable.is-hovered.is-dark {\\n      border-color: #363636;\\n      background: rgba(54, 54, 54, 0.05); }\\n    .upload .upload-draggable:hover.is-primary, .upload .upload-draggable.is-hovered.is-primary {\\n      border-color: #2276f3;\\n      background: rgba(34, 118, 243, 0.05); }\\n    .upload .upload-draggable:hover.is-link, .upload .upload-draggable.is-hovered.is-link {\\n      border-color: #485fc7;\\n      background: rgba(72, 95, 199, 0.05); }\\n    .upload .upload-draggable:hover.is-info, .upload .upload-draggable.is-hovered.is-info {\\n      border-color: #3e8ed0;\\n      background: rgba(62, 142, 208, 0.05); }\\n    .upload .upload-draggable:hover.is-success, .upload .upload-draggable.is-hovered.is-success {\\n      border-color: #48c78e;\\n      background: rgba(72, 199, 142, 0.05); }\\n    .upload .upload-draggable:hover.is-warning, .upload .upload-draggable.is-hovered.is-warning {\\n      border-color: #ffe08a;\\n      background: rgba(255, 224, 138, 0.05); }\\n    .upload .upload-draggable:hover.is-danger, .upload .upload-draggable.is-hovered.is-danger {\\n      border-color: #f14668;\\n      background: rgba(241, 70, 104, 0.05); }\\n    .upload .upload-draggable:hover.is-twitter, .upload .upload-draggable.is-hovered.is-twitter {\\n      border-color: #55acee;\\n      background: rgba(85, 172, 238, 0.05); }\\n    .upload .upload-draggable:hover.is-linkedin, .upload .upload-draggable.is-hovered.is-linkedin {\\n      border-color: #0077b5;\\n      background: rgba(0, 119, 181, 0.05); }\\n    .upload .upload-draggable:hover.is-github, .upload .upload-draggable.is-hovered.is-github {\\n      border-color: #333;\\n      background: rgba(51, 51, 51, 0.05); }\\n    .upload .upload-draggable.is-expanded {\\n      width: 100%; }\\n  .upload.is-expanded {\\n    width: 100%; }\\n  .upload.is-rounded {\\n    border-radius: 9999px; }\\n    .upload.is-rounded .file-name {\\n      border-top-right-radius: 9999px;\\n      border-bottom-right-radius: 9999px; }\\n\\n@media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none) {\\n  .upload input[type=\\\"file\\\"] {\\n    z-index: auto; }\\n  .upload .upload-draggable + input[type=\\\"file\\\"] {\\n    z-index: -1; } }\\n\\n/************************************\\n*\\n* Buttons\\n*\\n*************************************/\\n.c-button {\\n  border-radius: 4px; }\\n  .c-button:hover {\\n    background-color: #cfcfcf; }\\n\\n.button.is-grey {\\n  background-color: #a6afb9;\\n  border-color: transparent;\\n  color: whitesmoke; }\\n\\n.button.is-light {\\n  background-color: #a6afb9;\\n  color: white; }\\n\\n.add-button {\\n  color: #0e9aff;\\n  margin: 0 0.25rem; }\\n\\n.top-button {\\n  margin-left: 0.5em; }\\n\\n.fullscreen-button {\\n  position: absolute;\\n  z-index: 100;\\n  right: 0.75rem;\\n  top: 0.75rem; }\\n\\n.icon-button {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none;\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  background-color: transparent;\\n  border: none;\\n  border-radius: 9999px;\\n  cursor: pointer;\\n  pointer-events: auto;\\n  display: inline-block;\\n  flex-grow: 0;\\n  flex-shrink: 0;\\n  font-size: 0;\\n  height: 1.875rem;\\n  max-height: 1.875rem;\\n  max-width: 1.875rem;\\n  min-height: 1.875rem;\\n  min-width: 1.875rem;\\n  outline: none;\\n  position: relative;\\n  vertical-align: top;\\n  width: 1.875rem;\\n  padding: 0;\\n  transition: all 0.2s;\\n  margin: 0 0.25rem; }\\n  .icon-button:before {\\n    transition: all 0.2s;\\n    position: relative;\\n    font-size: 1.25rem; }\\n  .icon-button:hover {\\n    background-color: #363636; }\\n    .icon-button:hover:before {\\n      color: #fff; }\\n\\n.icon-button-new {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none;\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  background-color: transparent;\\n  border: none;\\n  border-radius: 9999px;\\n  cursor: pointer;\\n  pointer-events: auto;\\n  display: inline-block;\\n  flex-grow: 0;\\n  flex-shrink: 0;\\n  font-size: 0;\\n  height: 1.5rem;\\n  max-height: 1.5rem;\\n  max-width: 1.5rem;\\n  min-height: 1.5rem;\\n  min-width: 1.5rem;\\n  outline: none;\\n  position: relative;\\n  vertical-align: top;\\n  width: 1.5rem;\\n  padding: 0;\\n  transition: all 0.2s;\\n  margin: 0 0.25rem; }\\n  .icon-button-new:before {\\n    transition: all 0.2s;\\n    position: relative;\\n    font-size: 1.25rem;\\n    color: #fff; }\\n  .icon-button-new:hover:before {\\n    color: #fff; }\\n\\n/************************************\\n*\\n* Images\\n*\\n*************************************/\\n.image.is-72x72 {\\n  height: 72px;\\n  width: 72px; }\\n\\n.image.is-176x176 {\\n  height: 176px;\\n  width: 176px; }\\n\\n.image.is-40x40 {\\n  height: 40px;\\n  width: 40px; }\\n  .image.is-40x40 img {\\n    height: 40px;\\n    width: 40px !important;\\n    max-height: 40px !important; }\\n\\n.image.syncthing-logo {\\n  height: 21px;\\n  width: 75px; }\\n\\n/************************************\\n*\\n* Widgets\\n*\\n*************************************/\\n.widget {\\n  background: rgba(123, 123, 123, 0.16);\\n  -webkit-backdrop-filter: blur(1rem);\\n          backdrop-filter: blur(1rem);\\n  border-radius: 0.5rem;\\n  padding: 0.875rem 1.5rem;\\n  margin-bottom: 0.75rem; }\\n\\n.wuji-card {\\n  background: rgba(123, 123, 123, 0.16);\\n  -webkit-backdrop-filter: blur(1rem);\\n          backdrop-filter: blur(1rem);\\n  border-radius: 0.5rem;\\n  padding: 1.5rem;\\n  color: white;\\n  position: relative;\\n  transition: all 0.3s; }\\n  .wuji-card .buttons {\\n    min-height: 2.375rem; }\\n  .wuji-card:hover {\\n    box-shadow: 0px 0px 17px 0px rgba(0, 0, 0, 0.2); }\\n  .wuji-card .info {\\n    flex: 1;\\n    margin-right: 1rem;\\n    color: white; }\\n  .wuji-card .simg img {\\n    border-radius: 4px; }\\n  .wuji-card .icon-img {\\n    position: relative; }\\n    .wuji-card .icon-img.stop::after {\\n      position: absolute;\\n      content: \\\"\\\";\\n      width: 0.75rem;\\n      height: 0.75rem;\\n      background-color: #ff1616;\\n      border-radius: 50%;\\n      right: -0.375rem;\\n      top: -0.375rem; }\\n    .wuji-card .icon-img img {\\n      border-radius: 8px;\\n      margin: 0 auto; }\\n  .wuji-card .b-image-wrapper {\\n    position: relative;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center; }\\n    .wuji-card .b-image-wrapper.stop::after {\\n      position: absolute;\\n      content: \\\"\\\";\\n      width: 0.75rem;\\n      height: 0.75rem;\\n      background-color: #ff1616;\\n      border-radius: 50%;\\n      right: -0.375rem;\\n      top: -0.375rem; }\\n    .wuji-card .b-image-wrapper img {\\n      border-radius: 8px;\\n      margin: 0 auto; }\\n  .wuji-card .action-btn {\\n    position: absolute;\\n    right: 0.5rem;\\n    top: 1rem;\\n    visibility: hidden;\\n    opacity: 0;\\n    transition: all 0.2s;\\n    outline: none; }\\n  .wuji-card p {\\n    font-weight: 500; }\\n  .wuji-card .one-line {\\n    display: -webkit-box;\\n    -webkit-box-orient: vertical;\\n    -webkit-line-clamp: 1;\\n    overflow: hidden; }\\n  .wuji-card .two-line {\\n    display: -webkit-box;\\n    -webkit-box-orient: vertical;\\n    -webkit-line-clamp: 2;\\n    overflow: hidden; }\\n  .wuji-card:hover .action-btn {\\n    visibility: visible;\\n    opacity: 1; }\\n  .wuji-card a {\\n    color: white; }\\n    .wuji-card a p {\\n      color: white; }\\n\\n.flex1 {\\n  flex: 1; }\\n\\n.title-bar {\\n  margin-bottom: 1.5rem; }\\n  .title-bar .title {\\n    flex: 1;\\n    margin-bottom: 0; }\\n\\n.ii .dropdown-menu {\\n  background: rgba(255, 255, 255, 0.88);\\n  border-radius: 0.5rem;\\n  overflow: hidden;\\n  padding-top: 0; }\\n  .ii .dropdown-menu .dropdown-content {\\n    background: none;\\n    padding: 0; }\\n    .ii .dropdown-menu .dropdown-content .button {\\n      border-radius: 0;\\n      padding-left: 1.5rem;\\n      padding-right: 1.5rem; }\\n      .ii .dropdown-menu .dropdown-content .button.is-text {\\n        text-decoration: none;\\n        justify-content: flex-start;\\n        outline: none;\\n        transition: all 0.2s;\\n        border: none !important; }\\n        .ii .dropdown-menu .dropdown-content .button.is-text.running {\\n          color: #779e2a !important; }\\n        .ii .dropdown-menu .dropdown-content .button.is-text.exited {\\n          color: #ff1616 !important; }\\n      .ii .dropdown-menu .dropdown-content .button:active {\\n        background: none;\\n        outline: none; }\\n      .ii .dropdown-menu .dropdown-content .button:focus {\\n        background: none;\\n        box-shadow: none;\\n        outline: none; }\\n    .ii .dropdown-menu .dropdown-content .bbor {\\n      overflow: hidden;\\n      border-top: #2c3e50 1px solid; }\\n      .ii .dropdown-menu .dropdown-content .bbor .is-text {\\n        text-decoration: none;\\n        justify-content: center !important; }\\n      .ii .dropdown-menu .dropdown-content .bbor .column:first-child {\\n        border-right: #2c3e50 1px solid; }\\n\\n/************************************\\n*\\n* Scrollbars\\n*\\n*************************************/\\n.xterm-viewport::-webkit-scrollbar {\\n  width: 8px; }\\n\\n.xterm-viewport::-webkit-scrollbar-track {\\n  background: transparent; }\\n\\n.xterm-viewport::-webkit-scrollbar-thumb {\\n  background-color: rgba(255, 255, 255, 0.25);\\n  border-radius: 10px;\\n  outline: none; }\\n\\n@media screen and (min-width: 769px) {\\n  .contents::-webkit-scrollbar {\\n    width: 8px; }\\n  .contents::-webkit-scrollbar-track {\\n    background: transparent; }\\n  .contents::-webkit-scrollbar-thumb {\\n    background-color: rgba(255, 255, 255, 0.4);\\n    border-radius: 10px;\\n    outline: none; } }\\n\\n.scrollbars::-webkit-scrollbar {\\n  width: 8px; }\\n\\n.scrollbars::-webkit-scrollbar-track {\\n  background: transparent; }\\n\\n.scrollbars::-webkit-scrollbar-thumb {\\n  background-color: rgba(255, 255, 255, 0.4);\\n  border-radius: 10px;\\n  outline: none; }\\n\\n@-webkit-keyframes zoomOutIn {\\n  0% {\\n    opacity: 0;\\n    transform: scale3d(1.2, 1.2, 1.2); }\\n  70% {\\n    opacity: 1; } }\\n\\n@keyframes zoomOutIn {\\n  0% {\\n    opacity: 0;\\n    transform: scale3d(1.2, 1.2, 1.2); }\\n  70% {\\n    opacity: 1; } }\\n\\n.zoomOutIn {\\n  -webkit-animation-name: zoomOutIn;\\n  animation-name: zoomOutIn; }\\n\\nbody,\\nhtml {\\n  overflow: hidden;\\n  font-family: \\\"Roboto\\\", sans-serif;\\n  background-color: #000; }\\n\\n#app {\\n  width: 100vw;\\n  height: 100vh;\\n  font-family: Avenir, Helvetica, Arial, sans-serif;\\n  -webkit-font-smoothing: antialiased;\\n  -moz-osx-font-smoothing: grayscale;\\n  text-align: center;\\n  color: #2c3e50;\\n  background-size: cover;\\n  background-repeat: no-repeat;\\n  background-position: center center;\\n  overflow-y: hidden; }\\n\\n#background {\\n  position: fixed;\\n  z-index: 0;\\n  width: 100%;\\n  height: 100%;\\n  background-size: cover;\\n  background-repeat: no-repeat;\\n  background-position: bottom center; }\\n\\n.is-shadow {\\n  box-shadow: 0px 0px 17px -2px rgba(0, 0, 0, 0.47); }\\n\\n.is-size-65 {\\n  font-size: 0.875rem; }\\n\\n.button:focus,\\n.input:focus,\\n.textarea:focus,\\n.taginput .taginput-container.is-focusable:focus,\\n.select select:focus,\\n.file-cta:focus,\\n.file-name:focus,\\n.pagination-previous:focus,\\n.pagination-next:focus,\\n.pagination-link:focus,\\n.pagination-ellipsis:focus {\\n  box-shadow: none; }\\n\\n.top-bar {\\n  position: relative;\\n  z-index: 20;\\n  height: 3rem;\\n  background: rgba(221, 221, 221, 0.95); }\\n  .top-bar .navbar-brand .dropdown-menu {\\n    margin-top: 0.5rem;\\n    min-width: 20rem; }\\n    .top-bar .navbar-brand .dropdown-menu .dropdown-content {\\n      background: rgba(255, 255, 255, 0.72);\\n      -webkit-backdrop-filter: blur(1rem);\\n              backdrop-filter: blur(1rem); }\\n      .top-bar .navbar-brand .dropdown-menu .dropdown-content .dropdown-item, .top-bar .navbar-brand .dropdown .dropdown-menu .dropdown-content .has-link a, .dropdown .top-bar .navbar-brand .dropdown-menu .dropdown-content .has-link a, .top-bar .navbar-brand .dropdown .dropdown-menu .has-link .dropdown-content a, .dropdown .top-bar .navbar-brand .dropdown-menu .has-link .dropdown-content a {\\n        padding: 0.875rem 1.25rem;\\n        text-align: left; }\\n        .top-bar .navbar-brand .dropdown-menu .dropdown-content .dropdown-item .item, .top-bar .navbar-brand .dropdown .dropdown-menu .dropdown-content .has-link a .item, .dropdown .top-bar .navbar-brand .dropdown-menu .dropdown-content .has-link a .item, .top-bar .navbar-brand .dropdown .dropdown-menu .has-link .dropdown-content a .item, .dropdown .top-bar .navbar-brand .dropdown-menu .has-link .dropdown-content a .item {\\n          height: 2rem; }\\n  .top-bar .field {\\n    line-height: 1rem; }\\n  .top-bar .switch.is-flex-direction-row-reverse .control-label {\\n    padding-left: 0;\\n    padding-right: calc(0.75em - 1px); }\\n  .top-bar .update-container .button.is-rounded {\\n    border-radius: 9999px !important;\\n    padding-left: calc(1em + 0.25em);\\n    padding-right: calc(1em + 0.25em); }\\n  .top-bar .button.is-small {\\n    height: 2em; }\\n\\n.brand-bar {\\n  position: fixed;\\n  z-index: 0;\\n  left: 2rem;\\n  bottom: 2rem; }\\n\\n.contact-bar {\\n  position: fixed;\\n  right: 2rem;\\n  bottom: 1.5rem;\\n  height: 3.5rem;\\n  background: rgba(0, 0, 0, 0.16);\\n  -webkit-backdrop-filter: blur(24px);\\n          backdrop-filter: blur(24px);\\n  border-radius: 4px;\\n  font-size: 1.5rem; }\\n  .contact-bar a {\\n    color: white;\\n    margin: 0.5rem;\\n    display: flex;\\n    align-items: center; }\\n    .contact-bar a:hover {\\n      color: #fff; }\\n\\n.out-container {\\n  position: relative;\\n  height: 100%; }\\n\\n.contents {\\n  flex: 1;\\n  overflow-y: auto;\\n  overflow-x: hidden;\\n  height: calc(100% - 8rem); }\\n\\n.side-bar {\\n  width: 16rem;\\n  position: fixed;\\n  z-index: 10;\\n  height: calc(100% - 6rem);\\n  overflow-y: auto;\\n  overflow-x: hidden; }\\n\\n.main-content {\\n  flex: 1;\\n  margin-left: 17.5rem;\\n  position: relative;\\n  z-index: 10; }\\n\\n.pt-7 {\\n  padding-top: 4rem; }\\n\\n.pt-55 {\\n  padding-top: 2rem; }\\n\\n.p-55 {\\n  padding: 2rem !important; }\\n\\n.mt-55 {\\n  margin-top: 2.5rem !important; }\\n\\n.pl-7 {\\n  padding-left: 4.75rem; }\\n\\n.is-size-65 {\\n  font-size: 0.875rem !important; }\\n\\n.is-abs {\\n  position: absolute; }\\n\\n.powered-con {\\n  width: 100%;\\n  height: 2.5rem;\\n  left: 0;\\n  top: 1rem;\\n  z-index: 0;\\n  pointer-events: none; }\\n\\n.label {\\n  font-size: 0.875rem;\\n  margin-bottom: 0.5rem; }\\n\\n.modal-background {\\n  background: rgba(0, 0, 0, 0.8); }\\n\\n.modal-card {\\n  background: white;\\n  border-radius: 0.5rem; }\\n  .modal-card .close-container {\\n    position: absolute;\\n    right: 2rem;\\n    top: 2rem; }\\n  .modal-card .modal-close-container {\\n    padding-left: 1rem;\\n    margin-left: 0.5rem;\\n    position: relative;\\n    height: 100%; }\\n  .modal-card .modal-close-container-line:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    border-left: #363636 2px solid;\\n    height: 1rem;\\n    left: 0; }\\n  .modal-card .modal-card-head,\\n  .modal-card .modal-card-body,\\n  .modal-card .modal-card-foot {\\n    position: relative;\\n    background-color: transparent;\\n    border: none;\\n    word-break: break-all; }\\n  .modal-card .modal-card-head {\\n    padding: 2rem 2rem 1.5rem 2rem; }\\n  .modal-card .modal-card-body {\\n    padding: 0 2rem; }\\n    .modal-card .modal-card-body .loading-overlay .loading-icon:after {\\n      -webkit-animation: spinAround 500ms infinite linear;\\n      animation: spinAround 500ms infinite linear;\\n      border: 4px solid #000;\\n      border-radius: 9999px;\\n      border-right-color: transparent;\\n      border-top-color: transparent;\\n      content: \\\"\\\";\\n      display: block;\\n      height: 1em;\\n      position: relative;\\n      width: 1em;\\n      position: absolute;\\n      top: calc(50% - 1.25rem);\\n      left: calc(50% - 1.25rem);\\n      width: 2.5rem;\\n      height: 2.5rem;\\n      border-width: 0.2 em; }\\n    .modal-card .modal-card-body .button.is-static,\\n    .modal-card .modal-card-body .input,\\n    .modal-card .modal-card-body .textarea,\\n    .modal-card .modal-card-body .taginput .taginput-container.is-focusable,\\n    .modal-card .modal-card-body .select select,\\n    .modal-card .modal-card-body .file-cta,\\n    .modal-card .modal-card-body .file-name,\\n    .modal-card .modal-card-body .pagination-previous,\\n    .modal-card .modal-card-body .pagination-next,\\n    .modal-card .modal-card-body .pagination-link,\\n    .modal-card .modal-card-body .pagination-ellipsis {\\n      font-size: 0.875rem;\\n      height: 2.714em;\\n      border: 1px solid #cfcfcf !important;\\n      border-radius: 4px; }\\n      .modal-card .modal-card-body .button.is-static:focus,\\n      .modal-card .modal-card-body .input:focus,\\n      .modal-card .modal-card-body .textarea:focus,\\n      .modal-card .modal-card-body .taginput .taginput-container.is-focusable:focus,\\n      .modal-card .modal-card-body .select select:focus,\\n      .modal-card .modal-card-body .file-cta:focus,\\n      .modal-card .modal-card-body .file-name:focus,\\n      .modal-card .modal-card-body .pagination-previous:focus,\\n      .modal-card .modal-card-body .pagination-next:focus,\\n      .modal-card .modal-card-body .pagination-link:focus,\\n      .modal-card .modal-card-body .pagination-ellipsis:focus {\\n        box-shadow: none; }\\n    .modal-card .modal-card-body .media {\\n      padding: 0rem; }\\n    .modal-card .modal-card-body .field:last-child {\\n      margin-bottom: 0.5rem; }\\n    .modal-card .modal-card-body .field-body .field:last-child {\\n      margin-bottom: 0rem; }\\n    .modal-card .modal-card-body .port-item:not(:last-child) .field {\\n      margin-bottom: 0; }\\n  .modal-card .modal-card-foot {\\n    padding: 1rem 2rem 2rem 2rem; }\\n    .modal-card .modal-card-foot .button {\\n      border-radius: 9999px;\\n      padding-left: calc(1em + 0.25em);\\n      padding-right: calc(1em + 0.25em); }\\n\\n.delete,\\n.modal-close {\\n  -webkit-touch-callout: none;\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  -ms-user-select: none;\\n  user-select: none;\\n  -moz-appearance: none;\\n  -webkit-appearance: none;\\n  background-color: transparent;\\n  border: none;\\n  border-radius: 9999px;\\n  cursor: pointer;\\n  pointer-events: auto;\\n  display: inline-block;\\n  flex-grow: 0;\\n  flex-shrink: 0;\\n  font-size: 0;\\n  height: 20 px;\\n  max-height: 20px;\\n  max-width: 20px;\\n  min-height: 20px;\\n  min-width: 20px;\\n  outline: none;\\n  position: relative;\\n  vertical-align: top;\\n  width: 20px; }\\n  .delete::before,\\n  .modal-close::before {\\n    width: 80%;\\n    background-color: black; }\\n  .delete::after,\\n  .modal-close::after {\\n    height: 80%;\\n    background-color: black; }\\n  .delete:hover,\\n  .modal-close:hover {\\n    background-color: transparent; }\\n\\n.account-modal .modal-card-head1 {\\n  padding: 1.5rem 1.5rem 0.5rem 1.5rem; }\\n\\n.account-modal .input {\\n  background: rgba(255, 255, 255, 0.32);\\n  border-color: transparent; }\\n\\n.terminal-modal .modal-card-body {\\n  padding: 2rem 2rem 2rem 2rem; }\\n\\n.terminal-modal .close-container {\\n  position: absolute;\\n  right: 2rem;\\n  top: 2rem; }\\n\\n.terminal-modal .tab-content {\\n  padding: 0; }\\n\\n.terminal-modal .tabs {\\n  width: 14rem !important; }\\n  .terminal-modal .tabs.is-toggle ul {\\n    background: rgba(60, 60, 67, 0.05);\\n    box-shadow: inset 0px 0px 4px rgba(0, 0, 0, 0.1);\\n    border-radius: 6px; }\\n    .terminal-modal .tabs.is-toggle ul li {\\n      flex: none; }\\n      .terminal-modal .tabs.is-toggle ul li a {\\n        font-size: 0.875rem;\\n        padding: 0.2rem 1.5rem;\\n        min-width: 7rem;\\n        border-radius: 6px;\\n        border: none; }\\n        .terminal-modal .tabs.is-toggle ul li a:hover {\\n          background-color: transparent; }\\n      .terminal-modal .tabs.is-toggle ul li.is-active a {\\n        background: #ffffff;\\n        border: 0.5px solid rgba(0, 0, 0, 0.2);\\n        color: #000;\\n        z-index: 1;\\n        box-shadow: 0px 0.5px 1px rgba(0, 0, 0, 0.2); }\\n\\n.logs {\\n  white-space: pre-wrap;\\n  color: #fff;\\n  font-size: 0.875rem;\\n  line-height: 1.6em;\\n  overflow-y: auto;\\n  overflow-x: hidden;\\n  height: 20rem; }\\n\\n.xterm {\\n  height: 20rem; }\\n\\n.import-area .textarea {\\n  max-height: 40em;\\n  min-height: 173px; }\\n\\n.app-card .loading-background {\\n  background: none !important;\\n  border-radius: 0.5rem;\\n  transform: translate3d(0, 0, 0); }\\n\\n.tabs li.is-active a {\\n  color: #2276f3;\\n  border-bottom-color: #2276f3; }\\n  .tabs li.is-active a:focus {\\n    border-bottom-color: #2276f3; }\\n\\n.is-size-6-5 {\\n  font-size: 0.875rem !important; }\\n\\n.control .button {\\n  font-size: 0.875rem;\\n  height: 2.714em; }\\n\\n.filelist {\\n  height: 19.6875rem;\\n  overflow-x: hidden;\\n  overflow-y: auto; }\\n  .filelist li {\\n    border-bottom: #e4e4e4 1px solid;\\n    line-height: 1.75rem;\\n    border-radius: 4px;\\n    transition: background-color 0.2s;\\n    cursor: pointer; }\\n    .filelist li:hover {\\n      background-color: #e0e0e0; }\\n    .filelist li.active {\\n      background-color: #b6e0ff; }\\n\\n.ficon {\\n  background-size: 1.75rem;\\n  background-repeat: no-repeat;\\n  background-position: left center;\\n  padding: 0.5rem 0.5rem 0.5rem 2rem;\\n  -webkit-touch-callout: none;\\n  -moz-user-select: none;\\n  /*火狐*/\\n  -webkit-user-select: none;\\n  /*webkit浏览器*/\\n  -ms-user-select: none;\\n  /*IE10*/\\n  /*早期浏览器*/\\n  user-select: none; }\\n  .ficon.folder {\\n    background-image: url(\" + ___CSS_LOADER_URL_REPLACEMENT_0___ + \"); }\\n  .ficon.file {\\n    background-image: url(\" + ___CSS_LOADER_URL_REPLACEMENT_1___ + \"); }\\n\\n.breadcrumb a {\\n  color: #0e9aff; }\\n\\n.breadcrumb ul {\\n  overflow: hidden;\\n  flex-wrap: nowrap;\\n  flex-direction: row;\\n  justify-content: flex-start; }\\n  .breadcrumb ul li {\\n    white-space: nowrap; }\\n    .breadcrumb ul li div {\\n      max-width: 100%;\\n      padding: 0 0.5em;\\n      overflow: hidden;\\n      white-space: nowrap;\\n      text-overflow: ellipsis; }\\n    .breadcrumb ul li:first-child a {\\n      padding-right: 0; }\\n      .breadcrumb ul li:first-child a .icon {\\n        margin-left: 0; }\\n    .breadcrumb ul li:last-child {\\n      min-width: 0;\\n      width: 100%; }\\n    .breadcrumb ul li:nth-child(2)::before {\\n      content: \\\"|\\\"; }\\n\\n.fullScreen {\\n  z-index: 1000;\\n  background-color: #1e1e1e !important;\\n  border-radius: 4px;\\n  position: relative; }\\n\\n.nobrk {\\n  word-break: normal; }\\n\\n.home-section .loading-background {\\n  background-color: transparent !important; }\\n\\n.app-list {\\n  min-height: 14rem;\\n  position: relative; }\\n\\n.suggestion-list {\\n  min-height: 7.5rem;\\n  position: relative; }\\n\\n#login-page {\\n  height: calc(100% - 5.5rem);\\n  position: relative;\\n  z-index: 500; }\\n  #login-page .login-panel {\\n    text-align: left;\\n    background: rgba(255, 255, 255, 0.46);\\n    -webkit-backdrop-filter: blur(1rem);\\n            backdrop-filter: blur(1rem);\\n    border-radius: 8px;\\n    padding: 2.5rem 4rem; }\\n    #login-page .login-panel .label {\\n      color: #dfdfdf; }\\n    #login-page .login-panel .input {\\n      background: rgba(255, 255, 255, 0.32);\\n      border-color: transparent; }\\n    #login-page .login-panel.step1 {\\n      padding: 4rem 6rem; }\\n    #login-page .login-panel.step2 {\\n      padding: 2.5rem 4rem;\\n      width: 32rem; }\\n    #login-page .login-panel.step3 {\\n      padding: 4rem 8rem; }\\n    #login-page .login-panel.step4 {\\n      width: 28rem; }\\n\\n.install-animation {\\n  width: 200px;\\n  height: 200px; }\\n\\n.b-line {\\n  border-bottom: #cfcfcf 1px solid; }\\n\\n.list-icon {\\n  width: 72px; }\\n\\n.icon-shadow {\\n  border-radius: 6px;\\n  box-sizing: border-box; }\\n\\n.two-line {\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n  display: -webkit-box;\\n  word-break: normal;\\n  -webkit-line-clamp: 2;\\n  -webkit-box-orient: vertical; }\\n\\n.pagination-link.is-current {\\n  background-color: #2075f3;\\n  border-color: #2075f3;\\n  color: #fff; }\\n\\n.b-tabs .tab-content {\\n  position: relative;\\n  overflow: visible;\\n  display: flex;\\n  flex-direction: column;\\n  padding: 1rem 0 0 0; }\\n\\n.fade-enter-active,\\n.fade-leave-active {\\n  transition: opacity 0.5s; }\\n\\n.fade-enter,\\n.fade-leave-to {\\n  opacity: 0; }\\n\\n.slide-fade-enter-active {\\n  transition: all 0.25s ease-out; }\\n\\n.slide-fade-leave-active {\\n  transition: all 0.25s ease-out; }\\n\\n.slide-fade-enter, .slide-fade-leave-to {\\n  transform: translateY(10px);\\n  opacity: 0; }\\n\\n.img-c .image {\\n  transition: all 0.3s; }\\n\\n.img-c:hover .image {\\n  transform: scale3d(1.1, 1.1, 1.1); }\\n\\n.dark-bg {\\n  position: fixed;\\n  transition: all 0.3s ease;\\n  left: 0;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  background-color: rgba(0, 0, 0, 0.8);\\n  z-index: 19;\\n  opacity: 0;\\n  visibility: hidden; }\\n  .dark-bg.open {\\n    opacity: 1;\\n    visibility: visible; }\\n\\n.sync-panel .modal-card {\\n  width: 50rem; }\\n\\n.sync-panel .steps .column {\\n  padding: 1.5rem 0; }\\n\\n.sync-panel .dot {\\n  padding-left: 2.5rem;\\n  position: relative;\\n  color: #383b46;\\n  opacity: 0.5;\\n  font-weight: bold;\\n  transition: all 0.3s; }\\n  .sync-panel .dot:before {\\n    display: flex;\\n    content: attr(data-title);\\n    position: absolute;\\n    width: 1.75rem;\\n    height: 1.75rem;\\n    border-radius: 50%;\\n    background-color: #2276f3;\\n    transition: all 0.3s;\\n    align-items: center;\\n    justify-content: center;\\n    color: #fff;\\n    left: 0;\\n    top: -0.25rem;\\n    z-index: 1;\\n    box-shadow: 0px 0px 0.875rem rgba(34, 118, 243, 0.75); }\\n  .sync-panel .dot.active {\\n    color: #2276f3;\\n    opacity: 1; }\\n\\n.sync-panel .ok-dot:before {\\n  font: normal normal normal 24px/1 \\\"Material Design Icons\\\" !important;\\n  content: \\\"\\\\F012C\\\" !important; }\\n\\n.sync-panel .modal-card-body {\\n  overflow-x: hidden;\\n  overflow-y: auto;\\n  padding-bottom: 1rem; }\\n\\n.t-box {\\n  background: #eeeeee;\\n  border-radius: 4px;\\n  height: 20rem;\\n  padding: 1rem;\\n  overflow-y: auto;\\n  overflow-x: hidden;\\n  position: relative;\\n  font-size: 0.875rem;\\n  line-height: 1.6em; }\\n  .t-box ol {\\n    padding-left: 1rem; }\\n  .t-box .t-img {\\n    margin-bottom: 1rem; }\\n    .t-box .t-img img {\\n      max-width: 60%;\\n      width: auto; }\\n  .t-box .t-img-1 img {\\n    max-width: 5rem; }\\n  .t-box .t-img-2 img {\\n    max-width: 13rem; }\\n  .t-box .t-img-3 img {\\n    max-width: 18rem; }\\n\\n@-webkit-keyframes load8 {\\n  0% {\\n    transform: rotate(0deg); }\\n  100% {\\n    transform: rotate(-360deg); } }\\n\\n@keyframes load8 {\\n  0% {\\n    transform: rotate(0deg); }\\n  100% {\\n    transform: rotate(-360deg); } }\\n\\n.spinner {\\n  -webkit-animation: load8 1.1s infinite linear;\\n          animation: load8 1.1s infinite linear; }\\n\\n@media screen and (min-width: 769px) {\\n  .fileModal .modal-card,\\n  .account-modal .modal-card {\\n    width: 30rem; }\\n  .terminal-modal .modal-card {\\n    width: 50rem; } }\\n\\n@media screen and (max-width: 1024px) {\\n  .container {\\n    margin: 0 1rem; } }\\n\\n@media screen and (min-width: 481px) {\\n  #sidebar-btn {\\n    display: none !important; } }\\n\\n@media screen and (max-width: 768px) {\\n  .main-content .app-list {\\n    display: flex; }\\n    .main-content .app-list .column {\\n      flex: none;\\n      width: 50%; }\\n  .sync-panel .modal-card {\\n    width: auto !important; } }\\n\\n@media screen and (max-width: 480px) {\\n  #sidebar-btn {\\n    display: flex !important; }\\n  .login-panel {\\n    text-align: left;\\n    background: rgba(255, 255, 255, 0.46);\\n    -webkit-backdrop-filter: blur(1rem);\\n            backdrop-filter: blur(1rem);\\n    border-radius: 8px;\\n    margin: 0 2rem;\\n    padding: 2rem !important; }\\n    .login-panel .label {\\n      color: #dfdfdf; }\\n    .login-panel .input {\\n      background: rgba(255, 255, 255, 0.32);\\n      border-color: transparent; }\\n    .login-panel .is-128x128 {\\n      height: 96px;\\n      width: 96px; }\\n    .login-panel .is-3 {\\n      font-size: 1.5rem; }\\n    .login-panel.step1 .is-2 {\\n      font-size: 1.5rem; }\\n    .login-panel.step1 .subtitle {\\n      font-size: 1rem; }\\n    .login-panel.step3 {\\n      padding: 4rem !important; }\\n  .brand-bar {\\n    bottom: 3rem;\\n    font-size: 0.875rem;\\n    left: 0;\\n    width: 100%;\\n    display: flex;\\n    justify-content: center; }\\n    .brand-bar .image.is-32x32 {\\n      height: 24px;\\n      width: 24px; }\\n    .brand-bar .is-size-4 {\\n      font-size: 1.25rem !important; }\\n  .contact-bar {\\n    right: 0;\\n    bottom: 0rem;\\n    background-color: transparent;\\n    -webkit-backdrop-filter: none;\\n            backdrop-filter: none;\\n    display: flex;\\n    justify-content: center;\\n    width: 100%; }\\n  .side-bar {\\n    transition: all 0.3s ease-out;\\n    left: 0rem;\\n    transform: translateX(-100vw);\\n    z-index: 20;\\n    width: auto;\\n    margin: 0 1rem !important; }\\n    .side-bar.open {\\n      transform: translateX(0); }\\n  .main-content {\\n    margin-left: 0; }\\n    .main-content .app-list {\\n      display: flex; }\\n      .main-content .app-list .column {\\n        flex: none;\\n        width: 50%; }\\n  .t-img img {\\n    max-width: 100% !important;\\n    width: auto; }\\n  .sync-panel .steps .column {\\n    padding: 1.5rem 0; }\\n  .sync-panel .dot {\\n    padding-left: 2.5rem;\\n    position: relative;\\n    color: #383b46;\\n    opacity: 0.5;\\n    font-weight: bold;\\n    transition: all 0.3s; }\\n    .sync-panel .dot:before {\\n      display: flex;\\n      content: attr(data-title);\\n      position: absolute;\\n      width: 1.75rem;\\n      height: 1.75rem;\\n      border-radius: 50%;\\n      background-color: #2276f3;\\n      transition: all 0.3s;\\n      align-items: center;\\n      justify-content: center;\\n      color: #fff;\\n      left: 0;\\n      top: -0.25rem;\\n      z-index: 1;\\n      box-shadow: 0px 0px 0.875rem rgba(34, 118, 243, 0.75); }\\n    .sync-panel .dot.active {\\n      color: #2276f3;\\n      opacity: 1; }\\n  .sync-panel .ok-dot:before {\\n    font: normal normal normal 24px/1 \\\"Material Design Icons\\\" !important;\\n    content: \\\"\\\\F012C\\\" !important; }\\n  .sync-panel .modal-card-body {\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    padding-bottom: 1rem; }\\n    .sync-panel .modal-card-body .image.is-176x176 {\\n      height: 128px;\\n      width: 128px; }\\n    .sync-panel .modal-card-body .is-offset-2 {\\n      margin-left: 0 !important; }\\n    .sync-panel .modal-card-body .is-8 {\\n      width: 100% !important; }\\n    .sync-panel .modal-card-body .button.is-dark {\\n      font-size: 0.75rem !important; } }\\n\", \"\"]);\n// Exports\nmodule.exports = exports;\n\n\n//# sourceURL=webpack:///./src/assets/scss/app.scss?./node_modules/css-loader/dist/cjs.js??ref--8-oneOf-3-1!./node_modules/postcss-loader/src??ref--8-oneOf-3-2!./node_modules/sass-loader/dist/cjs.js??ref--8-oneOf-3-3");

/***/ }),

/***/ "./src/App.vue":
/*!*********************!*\
  !*** ./src/App.vue ***!
  \*********************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./App.vue?vue&type=template&id=7ba5bd90& */ \"./src/App.vue?vue&type=template&id=7ba5bd90&\");\n/* harmony import */ var _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./App.vue?vue&type=script&lang=js& */ \"./src/App.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport *//* harmony import */ var _node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../node_modules/vue-loader/lib/runtime/componentNormalizer.js */ \"./node_modules/vue-loader/lib/runtime/componentNormalizer.js\");\n\n\n\n\n\n/* normalize component */\n\nvar component = Object(_node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(\n  _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  _App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__[\"render\"],\n  _App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"],\n  false,\n  null,\n  null,\n  null\n  \n)\n\n/* hot reload */\nif (false) { var api; }\ncomponent.options.__file = \"src/App.vue\"\n/* harmony default export */ __webpack_exports__[\"default\"] = (component.exports);\n\n//# sourceURL=webpack:///./src/App.vue?");

/***/ }),

/***/ "./src/App.vue?vue&type=script&lang=js&":
/*!**********************************************!*\
  !*** ./src/App.vue?vue&type=script&lang=js& ***!
  \**********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../node_modules/cache-loader/dist/cjs.js??ref--12-0!../node_modules/babel-loader/lib!../node_modules/cache-loader/dist/cjs.js??ref--0-0!../node_modules/vue-loader/lib??vue-loader-options!./App.vue?vue&type=script&lang=js& */ \"./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/App.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport */ /* harmony default export */ __webpack_exports__[\"default\"] = (_node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[\"default\"]); \n\n//# sourceURL=webpack:///./src/App.vue?");

/***/ }),

/***/ "./src/App.vue?vue&type=template&id=7ba5bd90&":
/*!****************************************************!*\
  !*** ./src/App.vue?vue&type=template&id=7ba5bd90& ***!
  \****************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!../node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!../node_modules/cache-loader/dist/cjs.js??ref--0-0!../node_modules/vue-loader/lib??vue-loader-options!./App.vue?vue&type=template&id=7ba5bd90& */ \"./node_modules/cache-loader/dist/cjs.js?{\\\"cacheDirectory\\\":\\\"node_modules/.cache/vue-loader\\\",\\\"cacheIdentifier\\\":\\\"5b843394-vue-loader-template\\\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/App.vue?vue&type=template&id=7ba5bd90&\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__[\"render\"]; });\n\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_App_vue_vue_type_template_id_7ba5bd90___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"]; });\n\n\n\n//# sourceURL=webpack:///./src/App.vue?");

/***/ }),

/***/ "./src/assets/background/bg3.jpg":
/*!***************************************!*\
  !*** ./src/assets/background/bg3.jpg ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"img/bg3.1e0d0d23.jpg\";\n\n//# sourceURL=webpack:///./src/assets/background/bg3.jpg?");

/***/ }),

/***/ "./src/assets/img/casa.svg":
/*!*********************************!*\
  !*** ./src/assets/img/casa.svg ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"img/casa.2579f069.svg\";\n\n//# sourceURL=webpack:///./src/assets/img/casa.svg?");

/***/ }),

/***/ "./src/assets/img/folder.png":
/*!***********************************!*\
  !*** ./src/assets/img/folder.png ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"img/folder.c8ff81f3.png\";\n\n//# sourceURL=webpack:///./src/assets/img/folder.png?");

/***/ }),

/***/ "./src/assets/img/xfile.png":
/*!**********************************!*\
  !*** ./src/assets/img/xfile.png ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"img/xfile.402f9e59.png\";\n\n//# sourceURL=webpack:///./src/assets/img/xfile.png?");

/***/ }),

/***/ "./src/assets/scss/app.scss":
/*!**********************************!*\
  !*** ./src/assets/scss/app.scss ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("// style-loader: Adds some css to the DOM by adding a <style> tag\n\n// load the styles\nvar content = __webpack_require__(/*! !../../../node_modules/css-loader/dist/cjs.js??ref--8-oneOf-3-1!../../../node_modules/postcss-loader/src??ref--8-oneOf-3-2!../../../node_modules/sass-loader/dist/cjs.js??ref--8-oneOf-3-3!./app.scss */ \"./node_modules/css-loader/dist/cjs.js?!./node_modules/postcss-loader/src/index.js?!./node_modules/sass-loader/dist/cjs.js?!./src/assets/scss/app.scss\");\nif(content.__esModule) content = content.default;\nif(typeof content === 'string') content = [[module.i, content, '']];\nif(content.locals) module.exports = content.locals;\n// add the styles to the DOM\nvar add = __webpack_require__(/*! ../../../node_modules/vue-style-loader/lib/addStylesClient.js */ \"./node_modules/vue-style-loader/lib/addStylesClient.js\").default\nvar update = add(\"6b030aed\", content, false, {\"sourceMap\":false,\"shadowMode\":false});\n// Hot Module Replacement\nif(false) {}\n\n//# sourceURL=webpack:///./src/assets/scss/app.scss?");

/***/ }),

/***/ "./src/components/BrandBar.vue":
/*!*************************************!*\
  !*** ./src/components/BrandBar.vue ***!
  \*************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./BrandBar.vue?vue&type=template&id=dfac1d88& */ \"./src/components/BrandBar.vue?vue&type=template&id=dfac1d88&\");\n/* harmony import */ var _BrandBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./BrandBar.vue?vue&type=script&lang=js& */ \"./src/components/BrandBar.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport *//* harmony import */ var _node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../node_modules/vue-loader/lib/runtime/componentNormalizer.js */ \"./node_modules/vue-loader/lib/runtime/componentNormalizer.js\");\n\n\n\n\n\n/* normalize component */\n\nvar component = Object(_node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(\n  _BrandBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  _BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__[\"render\"],\n  _BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"],\n  false,\n  null,\n  null,\n  null\n  \n)\n\n/* hot reload */\nif (false) { var api; }\ncomponent.options.__file = \"src/components/BrandBar.vue\"\n/* harmony default export */ __webpack_exports__[\"default\"] = (component.exports);\n\n//# sourceURL=webpack:///./src/components/BrandBar.vue?");

/***/ }),

/***/ "./src/components/BrandBar.vue?vue&type=script&lang=js&":
/*!**************************************************************!*\
  !*** ./src/components/BrandBar.vue?vue&type=script&lang=js& ***!
  \**************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_BrandBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../node_modules/cache-loader/dist/cjs.js??ref--12-0!../../node_modules/babel-loader/lib!../../node_modules/cache-loader/dist/cjs.js??ref--0-0!../../node_modules/vue-loader/lib??vue-loader-options!./BrandBar.vue?vue&type=script&lang=js& */ \"./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/BrandBar.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport */ /* harmony default export */ __webpack_exports__[\"default\"] = (_node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_BrandBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[\"default\"]); \n\n//# sourceURL=webpack:///./src/components/BrandBar.vue?");

/***/ }),

/***/ "./src/components/BrandBar.vue?vue&type=template&id=dfac1d88&":
/*!********************************************************************!*\
  !*** ./src/components/BrandBar.vue?vue&type=template&id=dfac1d88& ***!
  \********************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!../../node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!../../node_modules/cache-loader/dist/cjs.js??ref--0-0!../../node_modules/vue-loader/lib??vue-loader-options!./BrandBar.vue?vue&type=template&id=dfac1d88& */ \"./node_modules/cache-loader/dist/cjs.js?{\\\"cacheDirectory\\\":\\\"node_modules/.cache/vue-loader\\\",\\\"cacheIdentifier\\\":\\\"5b843394-vue-loader-template\\\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/BrandBar.vue?vue&type=template&id=dfac1d88&\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__[\"render\"]; });\n\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_BrandBar_vue_vue_type_template_id_dfac1d88___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"]; });\n\n\n\n//# sourceURL=webpack:///./src/components/BrandBar.vue?");

/***/ }),

/***/ "./src/components/ContactBar.vue":
/*!***************************************!*\
  !*** ./src/components/ContactBar.vue ***!
  \***************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./ContactBar.vue?vue&type=template&id=f34e36fa& */ \"./src/components/ContactBar.vue?vue&type=template&id=f34e36fa&\");\n/* harmony import */ var _ContactBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ContactBar.vue?vue&type=script&lang=js& */ \"./src/components/ContactBar.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport *//* harmony import */ var _node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../node_modules/vue-loader/lib/runtime/componentNormalizer.js */ \"./node_modules/vue-loader/lib/runtime/componentNormalizer.js\");\n\n\n\n\n\n/* normalize component */\n\nvar component = Object(_node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(\n  _ContactBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  _ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__[\"render\"],\n  _ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"],\n  false,\n  null,\n  null,\n  null\n  \n)\n\n/* hot reload */\nif (false) { var api; }\ncomponent.options.__file = \"src/components/ContactBar.vue\"\n/* harmony default export */ __webpack_exports__[\"default\"] = (component.exports);\n\n//# sourceURL=webpack:///./src/components/ContactBar.vue?");

/***/ }),

/***/ "./src/components/ContactBar.vue?vue&type=script&lang=js&":
/*!****************************************************************!*\
  !*** ./src/components/ContactBar.vue?vue&type=script&lang=js& ***!
  \****************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ContactBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../node_modules/cache-loader/dist/cjs.js??ref--12-0!../../node_modules/babel-loader/lib!../../node_modules/cache-loader/dist/cjs.js??ref--0-0!../../node_modules/vue-loader/lib??vue-loader-options!./ContactBar.vue?vue&type=script&lang=js& */ \"./node_modules/cache-loader/dist/cjs.js?!./node_modules/babel-loader/lib/index.js!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/ContactBar.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport */ /* harmony default export */ __webpack_exports__[\"default\"] = (_node_modules_cache_loader_dist_cjs_js_ref_12_0_node_modules_babel_loader_lib_index_js_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ContactBar_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[\"default\"]); \n\n//# sourceURL=webpack:///./src/components/ContactBar.vue?");

/***/ }),

/***/ "./src/components/ContactBar.vue?vue&type=template&id=f34e36fa&":
/*!**********************************************************************!*\
  !*** ./src/components/ContactBar.vue?vue&type=template&id=f34e36fa& ***!
  \**********************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../node_modules/cache-loader/dist/cjs.js?{\"cacheDirectory\":\"node_modules/.cache/vue-loader\",\"cacheIdentifier\":\"5b843394-vue-loader-template\"}!../../node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!../../node_modules/cache-loader/dist/cjs.js??ref--0-0!../../node_modules/vue-loader/lib??vue-loader-options!./ContactBar.vue?vue&type=template&id=f34e36fa& */ \"./node_modules/cache-loader/dist/cjs.js?{\\\"cacheDirectory\\\":\\\"node_modules/.cache/vue-loader\\\",\\\"cacheIdentifier\\\":\\\"5b843394-vue-loader-template\\\"}!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/cache-loader/dist/cjs.js?!./node_modules/vue-loader/lib/index.js?!./src/components/ContactBar.vue?vue&type=template&id=f34e36fa&\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__[\"render\"]; });\n\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return _node_modules_cache_loader_dist_cjs_js_cacheDirectory_node_modules_cache_vue_loader_cacheIdentifier_5b843394_vue_loader_template_node_modules_vue_loader_lib_loaders_templateLoader_js_vue_loader_options_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ContactBar_vue_vue_type_template_id_f34e36fa___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"]; });\n\n\n\n//# sourceURL=webpack:///./src/components/ContactBar.vue?");

/***/ }),

/***/ "./src/main.js":
/*!*********************!*\
  !*** ./src/main.js ***!
  \*********************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_array_iterator_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./node_modules/core-js/modules/es.array.iterator.js */ \"./node_modules/core-js/modules/es.array.iterator.js\");\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_array_iterator_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_array_iterator_js__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./node_modules/core-js/modules/es.promise.js */ \"./node_modules/core-js/modules/es.promise.js\");\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_js__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_object_assign_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./node_modules/core-js/modules/es.object.assign.js */ \"./node_modules/core-js/modules/es.object.assign.js\");\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_object_assign_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_object_assign_js__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_finally_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./node_modules/core-js/modules/es.promise.finally.js */ \"./node_modules/core-js/modules/es.promise.finally.js\");\n/* harmony import */ var _Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_finally_js__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_Users_jerry_Desktop_CasaOS_CasaOS_UI_node_modules_core_js_modules_es_promise_finally_js__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! vue */ \"./node_modules/vue/dist/vue.esm.js\");\n/* harmony import */ var _App_vue__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @/App.vue */ \"./src/App.vue\");\n/* harmony import */ var _router__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @/router */ \"./src/router/index.js\");\n/* harmony import */ var _store__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @/store */ \"./src/store/index.js\");\n/* harmony import */ var _service_api_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @/service/api.js */ \"./src/service/api.js\");\n/* harmony import */ var buefy__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! buefy */ \"./node_modules/buefy/dist/esm/index.js\");\n/* harmony import */ var vue_fullscreen__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! vue-fullscreen */ \"./node_modules/vue-fullscreen/dist/vue-fullscreen.min.js\");\n/* harmony import */ var vue_fullscreen__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(vue_fullscreen__WEBPACK_IMPORTED_MODULE_10__);\n/* harmony import */ var _assets_scss_app_scss__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @/assets/scss/app.scss */ \"./src/assets/scss/app.scss\");\n/* harmony import */ var _assets_scss_app_scss__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_assets_scss_app_scss__WEBPACK_IMPORTED_MODULE_11__);\n/* harmony import */ var v_animate_css__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! v-animate-css */ \"./node_modules/v-animate-css/index.js\");\n\n\n\n\n\n/*\n * @Author: JerryK\n * @Date: 2021-09-22 14:24:43\n * @LastEditors: JerryK\n * @LastEditTime: 2021-11-09 16:23:09\n * @Description: \n * @FilePath: /CasaOS-UI/src/main.js\n */\n\n\n\n\n\n\n // import VueTour from 'vue-tour'\n\n // import 'vue-tour/dist/vue-tour.css'\n\n\nvue__WEBPACK_IMPORTED_MODULE_4__[\"default\"].use(buefy__WEBPACK_IMPORTED_MODULE_9__[\"default\"]);\nvue__WEBPACK_IMPORTED_MODULE_4__[\"default\"].use(vue_fullscreen__WEBPACK_IMPORTED_MODULE_10___default.a);\nvue__WEBPACK_IMPORTED_MODULE_4__[\"default\"].use(v_animate_css__WEBPACK_IMPORTED_MODULE_12__[\"default\"]); // Vue.use(VueTour)\n\nvue__WEBPACK_IMPORTED_MODULE_4__[\"default\"].config.productionTip = false;\nvue__WEBPACK_IMPORTED_MODULE_4__[\"default\"].prototype.$api = _service_api_js__WEBPACK_IMPORTED_MODULE_8__[\"default\"];\nnew vue__WEBPACK_IMPORTED_MODULE_4__[\"default\"]({\n  router: _router__WEBPACK_IMPORTED_MODULE_6__[\"default\"],\n  store: _store__WEBPACK_IMPORTED_MODULE_7__[\"default\"],\n  render: function render(h) {\n    return h(_App_vue__WEBPACK_IMPORTED_MODULE_5__[\"default\"]);\n  }\n}).$mount('#app');\n\n//# sourceURL=webpack:///./src/main.js?");

/***/ }),

/***/ "./src/router/index.js":
/*!*****************************!*\
  !*** ./src/router/index.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! core-js/modules/es.object.to-string.js */ \"./node_modules/core-js/modules/es.object.to-string.js\");\n/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var core_js_modules_es_string_iterator_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! core-js/modules/es.string.iterator.js */ \"./node_modules/core-js/modules/es.string.iterator.js\");\n/* harmony import */ var core_js_modules_es_string_iterator_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_string_iterator_js__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var core_js_modules_web_dom_collections_iterator_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! core-js/modules/web.dom-collections.iterator.js */ \"./node_modules/core-js/modules/web.dom-collections.iterator.js\");\n/* harmony import */ var core_js_modules_web_dom_collections_iterator_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_web_dom_collections_iterator_js__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! vue */ \"./node_modules/vue/dist/vue.esm.js\");\n/* harmony import */ var vue_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! vue-router */ \"./node_modules/vue-router/dist/vue-router.esm.js\");\n\n\n\n\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-11-04 15:22:44\n * @Description: \n * @FilePath: /CasaOS-UI/src/router/index.js\n */\n\n\nvue__WEBPACK_IMPORTED_MODULE_3__[\"default\"].use(vue_router__WEBPACK_IMPORTED_MODULE_4__[\"default\"]);\nvar routes = [{\n  path: '/login',\n  name: 'Login',\n  hidden: true,\n  component: function component() {\n    return Promise.all(/*! import() */[__webpack_require__.e(0), __webpack_require__.e(4)]).then(__webpack_require__.bind(null, /*! @/views/Login.vue */ \"./src/views/Login.vue\"));\n  },\n  meta: {\n    requireAuth: false\n  }\n}, {\n  path: '/welcome',\n  name: 'Welcome',\n  hidden: true,\n  component: function component() {\n    return Promise.all(/*! import() */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(3)]).then(__webpack_require__.bind(null, /*! @/views/Welcome.vue */ \"./src/views/Welcome.vue\"));\n  },\n  meta: {\n    requireAuth: false\n  }\n}, {\n  path: '/',\n  name: 'Home',\n  hidden: true,\n  component: function component() {\n    return Promise.all(/*! import() */[__webpack_require__.e(0), __webpack_require__.e(1), __webpack_require__.e(2)]).then(__webpack_require__.bind(null, /*! @/views/Home.vue */ \"./src/views/Home.vue\"));\n  },\n  meta: {\n    requireAuth: true\n  }\n}];\nvar router = new vue_router__WEBPACK_IMPORTED_MODULE_4__[\"default\"]({\n  mode: 'hash',\n  base: \"/ui/\",\n  routes: routes\n});\nvar originalPush = vue_router__WEBPACK_IMPORTED_MODULE_4__[\"default\"].prototype.push;\n\nvue_router__WEBPACK_IMPORTED_MODULE_4__[\"default\"].prototype.push = function push(location) {\n  return originalPush.call(this, location).catch(function (err) {\n    return err;\n  });\n};\n\nrouter.beforeEach(function (to, from, next) {\n  var localUser = localStorage.getItem(\"user_token\"); //Check if have a verison string in localStorage when access home page\n\n  var version = localStorage.getItem(\"version\");\n  console.log(version);\n\n  if (to.path == \"/\" && version == null) {\n    localStorage.removeItem(\"user_token\");\n    next({\n      path: '/login'\n    });\n  }\n\n  if (to.path == \"/logout\") {\n    localStorage.removeItem(\"user_token\");\n    next({\n      path: '/login'\n    });\n  }\n\n  if (to.meta.requireAuth) {\n    if (localUser) {\n      next();\n    } else {\n      next({\n        path: '/login'\n      });\n    }\n  } else {\n    if (localUser) {\n      if (to.path == \"/login\") {\n        next({\n          path: '/'\n        });\n      } else {\n        next();\n      }\n    } else {\n      next();\n    }\n  }\n});\n/* harmony default export */ __webpack_exports__[\"default\"] = (router);\n\n//# sourceURL=webpack:///./src/router/index.js?");

/***/ }),

/***/ "./src/service/api.js":
/*!****************************!*\
  !*** ./src/service/api.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _user_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./user.js */ \"./src/service/user.js\");\n/* harmony import */ var _app_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./app.js */ \"./src/service/app.js\");\n/* harmony import */ var _task_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./task.js */ \"./src/service/task.js\");\n/* harmony import */ var _info_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./info.js */ \"./src/service/info.js\");\n/* harmony import */ var _disk_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./disk.js */ \"./src/service/disk.js\");\n/* harmony import */ var _file_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./file.js */ \"./src/service/file.js\");\n/* harmony import */ var _sync_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./sync.js */ \"./src/service/sync.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-11-11 14:41:15\n * @Description: \n * @FilePath: /CasaOS-UI/src/service/api.js\n */\n\n\n\n\n\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  app: _app_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  info: _info_js__WEBPACK_IMPORTED_MODULE_3__[\"default\"],\n  disk: _disk_js__WEBPACK_IMPORTED_MODULE_4__[\"default\"],\n  file: _file_js__WEBPACK_IMPORTED_MODULE_5__[\"default\"],\n  user: _user_js__WEBPACK_IMPORTED_MODULE_0__[\"default\"],\n  task: _task_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"],\n  sync: _sync_js__WEBPACK_IMPORTED_MODULE_6__[\"default\"]\n});\n\n//# sourceURL=webpack:///./src/service/api.js?");

/***/ }),

/***/ "./src/service/app.js":
/*!****************************!*\
  !*** ./src/service/app.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-09-19 09:26:20\n * @Description: Application API\n * @FilePath: \\CasaOS-UI\\src\\service\\app.js\n */\n\nvar app = {\n  //Get Install Info\n  appConfig: function appConfig() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/app/install/config\");\n  },\n  //Store List\n  storeList: function storeList(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/app/list\", data);\n  },\n  //Store App Info\n  storeAppInfo: function storeAppInfo(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/app/appinfo/\" + id);\n  },\n  //Store Category List\n  storeCategoryList: function storeCategoryList() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/app/category\");\n  },\n  //Check Port\n  checkPort: function checkPort(port, type) {\n    var data = {\n      type: type\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/check/' + port, data);\n  },\n  // Get a free port\n  getPort: function getPort() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/getport');\n  },\n  // Get app Running State\n  getState: function getState(id, data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/state/' + id, data);\n  },\n  //Install App\n  install: function install(id, data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/app/install/' + id, data);\n  },\n  //Install Info\n  state: function state(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/speed/' + id);\n  },\n  // Uninstall App\n  uninstall: function uninstall(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].delete('/app/uninstall/' + id);\n  },\n  //My App List\n  myAppList: function myAppList(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/mylist', data);\n  },\n  //Container info\n  getContainerInfo: function getContainerInfo(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/info/' + id);\n  },\n  //Container Log\n  getContainerLogs: function getContainerLogs(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/app/logs/' + id);\n  },\n  //Start Or Stop Or Restart A Container with ID\n  startContainer: function startContainer(id, data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].put('/app/state/' + id, data);\n  },\n  getContainerSettingdata: function getContainerSettingdata(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/app/update/\".concat(id, \"/info\"));\n  },\n  //Update Container Settings\n  updateContainerSetting: function updateContainerSetting(id, data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].put(\"/app/update/\".concat(id, \"/setting\"), data);\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (app);\n\n//# sourceURL=webpack:///./src/service/app.js?");

/***/ }),

/***/ "./src/service/disk.js":
/*!*****************************!*\
  !*** ./src/service/disk.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-09-19 09:26:02\n * @Description: Disk API\n * @FilePath: \\CasaOS-UI\\src\\service\\disk.js\n */\n\nvar disk = {\n  // get Path list\n  diskInfo: function diskInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/disk/info');\n  },\n  diskList: function diskList() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/disk/list');\n  },\n  // System path\n  renamePath: function renamePath(oldpath, path) {\n    var data = {\n      oldpath: oldpath,\n      newpath: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/rename', data);\n  },\n  // Make a new Dir\n  mkdir: function mkdir(path) {\n    var data = {\n      path: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/mkdir', data);\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (disk);\n\n//# sourceURL=webpack:///./src/service/disk.js?");

/***/ }),

/***/ "./src/service/file.js":
/*!*****************************!*\
  !*** ./src/service/file.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-10-18 16:33:39\n * @Description: File API\n * @FilePath: /CasaOS-UI/src/service/file.js\n */\n\nvar file = {\n  // get Path list\n  dirPath: function dirPath(path) {\n    var data = {\n      path: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/file/dirpath', data);\n  },\n  // System path\n  renamePath: function renamePath(oldpath, path) {\n    var data = {\n      oldpath: oldpath,\n      newpath: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/file/rename', data);\n  },\n  // Make a new Dir\n  mkdir: function mkdir(path) {\n    var data = {\n      path: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/file/mkdir', data);\n  },\n  // Create a new File\n  create: function create(path) {\n    var data = {\n      path: path\n    };\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/file/create', data);\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (file);\n\n//# sourceURL=webpack:///./src/service/file.js?");

/***/ }),

/***/ "./src/service/info.js":
/*!*****************************!*\
  !*** ./src/service/info.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-10-28 14:20:07\n * @Description: System HardWare Info API\n * @FilePath: /CasaOS-UI/src/service/info.js\n */\n\nvar info = {\n  //CPU info\n  cpuInfo: function cpuInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/zima/getcpuinfo\");\n  },\n  //Memory Info\n  memoryInfo: function memoryInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/zima/getmeminfo\");\n  },\n  //Network Info\n  networkInfo: function networkInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/getnetinfo');\n  },\n  //Disk Info\n  diskInfo: function diskInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/getdiskinfo');\n  },\n  //All Info\n  allInfo: function allInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/getinfo');\n  },\n  // System Info\n  systemInfo: function systemInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/zima/sysinfo');\n  },\n  //Get CasaOS Config\n  systemConfig: function systemConfig() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/sys/config');\n  },\n  //Save CasaOs Config\n  saveSystemConfig: function saveSystemConfig(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/sys/config', data);\n  },\n  // Check Verison\n  checkVersion: function checkVersion() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/sys/check');\n  },\n  //Update System\n  updateSystem: function updateSystem() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/sys/update');\n  },\n  //ip\n  getIp: function getIp() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('https://ipapi.co/json/');\n  },\n  //Get CasaOS Config\n  widgetsConfig: function widgetsConfig() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/sys/widget/config');\n  },\n  //Save CasaOs Config\n  saveWidgetsConfig: function saveWidgetsConfig(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/sys/widget/config', data);\n  },\n  // Get System state\n  guideCheck: function guideCheck() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/guide/check');\n  },\n  // Get System logs\n  systemLogs: function systemLogs() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get('/sys/error/logs');\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (info);\n\n//# sourceURL=webpack:///./src/service/info.js?");

/***/ }),

/***/ "./src/service/service.js":
/*!********************************!*\
  !*** ./src/service/service.js ***!
  \********************************/
/*! exports provided: api */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"api\", function() { return api; });\n/* harmony import */ var core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! core-js/modules/es.array.concat.js */ \"./node_modules/core-js/modules/es.array.concat.js\");\n/* harmony import */ var core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! core-js/modules/es.object.to-string.js */ \"./node_modules/core-js/modules/es.object.to-string.js\");\n/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var core_js_modules_es_regexp_exec_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! core-js/modules/es.regexp.exec.js */ \"./node_modules/core-js/modules/es.regexp.exec.js\");\n/* harmony import */ var core_js_modules_es_regexp_exec_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_regexp_exec_js__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var core_js_modules_es_string_replace_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! core-js/modules/es.string.replace.js */ \"./node_modules/core-js/modules/es.string.replace.js\");\n/* harmony import */ var core_js_modules_es_string_replace_js__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_string_replace_js__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! axios */ \"./node_modules/axios/index.js\");\n/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_4__);\n/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! qs */ \"./node_modules/qs/lib/index.js\");\n/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_5__);\n/* harmony import */ var _router__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @/router */ \"./src/router/index.js\");\n/* harmony import */ var _store__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @/store */ \"./src/store/index.js\");\n\n\n\n\n\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-10-27 18:55:54\n * @Description: \n * @FilePath: \\CasaOS-UI\\src\\service\\service.js\n */\n\n\n\n // Set Post Headers\n\naxios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';\naxios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.withCredentials = false;\n\nif (false) {} else {\n  axios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.baseURL = \"\".concat(document.location.protocol, \"//\").concat(document.location.host, \"/v1\");\n} //Create a axios instance, And set timeout to 30s\n\n\nvar instance = axios__WEBPACK_IMPORTED_MODULE_4___default.a.create({\n  timeout: 30000\n}); //请求和响应拦截可以根据实际项目需求进行编写\n// 请求发起前拦截\n\ninstance.interceptors.request.use(function (config) {\n  var token = '';\n\n  if (localStorage.getItem(\"user_token\")) {\n    token = localStorage.getItem(\"user_token\");\n  }\n\n  config.headers.Authorization = token;\n  _store__WEBPACK_IMPORTED_MODULE_7__[\"default\"].commit('setToken', token); //console.log(\"请求拦截\", config);\n\n  return config;\n}, function (error) {\n  // Do something with request error\n  return Promise.reject(error);\n}); // 响应拦截（请求返回后拦截）\n\ninstance.interceptors.response.use(function (response) {\n  //console.log(\"响应拦截\", response);\n  return response;\n}, function (error) {\n  console.log('catch', error);\n\n  if (error.response) {\n    switch (error.response.status) {\n      case 401:\n        localStorage.removeItem('user_token'); //可能是token过期，清除它\n\n        _router__WEBPACK_IMPORTED_MODULE_6__[\"default\"].replace({\n          //跳转到登录页面\n          path: '/login',\n          query: {\n            redirect: _router__WEBPACK_IMPORTED_MODULE_6__[\"default\"].currentRoute.fullPath\n          } // 将跳转的路由path作为参数，登录成功后跳转到该路由\n\n        });\n        break;\n\n      case 404:\n        _store__WEBPACK_IMPORTED_MODULE_7__[\"default\"].commit('setServiceError', true);\n        break;\n\n      case 500:\n        break;\n    }\n  } else {\n    _store__WEBPACK_IMPORTED_MODULE_7__[\"default\"].commit('setServiceError', true);\n  }\n\n  return Promise.reject(error);\n}); //按照请求类型对axios进行封装\n\nvar api = {\n  get: function get(url, data) {\n    return instance.get(url, {\n      params: data\n    });\n  },\n  post: function post(url, data) {\n    var newData = url.indexOf(\"install\") > 0 || url.indexOf(\"sys\") > 0 ? JSON.stringify(data) : qs__WEBPACK_IMPORTED_MODULE_5___default.a.stringify(data);\n\n    if (url.indexOf(\"install\") > 0) {\n      axios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.headers.post['Content-Type'] = 'application/json';\n    } else {\n      axios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';\n    }\n\n    return instance.post(url, newData);\n  },\n  put: function put(url, data) {\n    var newData = url.indexOf(\"setting\") > 0 ? JSON.stringify(data) : qs__WEBPACK_IMPORTED_MODULE_5___default.a.stringify(data);\n\n    if (url.indexOf(\"setting\") > 0) {\n      axios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.headers.post['Content-Type'] = 'application/json';\n    } else {\n      axios__WEBPACK_IMPORTED_MODULE_4___default.a.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';\n    }\n\n    return instance.put(url, newData);\n  },\n  delete: function _delete(url, data) {\n    return instance.delete(url, {\n      params: data\n    });\n  }\n};\n\n\n//# sourceURL=webpack:///./src/service/service.js?");

/***/ }),

/***/ "./src/service/sync.js":
/*!*****************************!*\
  !*** ./src/service/sync.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-11-11 14:40:38\n * @LastEditors: JerryK\n * @LastEditTime: 2021-11-24 16:20:12\n * @Description: \n * @FilePath: /CasaOS-UI/src/service/sync.js\n */\n\nvar sync = {\n  //Configs\n  getConfig: function getConfig() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/sync/config\");\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (sync);\n\n//# sourceURL=webpack:///./src/service/sync.js?");

/***/ }),

/***/ "./src/service/task.js":
/*!*****************************!*\
  !*** ./src/service/task.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-09-19 09:26:45\n * @Description: Task API\n * @FilePath: \\CasaOS-UI\\src\\service\\task.js\n */\n\nvar task = {\n  //List\n  list: function list() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/task/list\");\n  },\n  //Mark\n  completion: function completion(id) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].put(\"/task/completion/\".concat(id));\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (task);\n\n//# sourceURL=webpack:///./src/service/task.js?");

/***/ }),

/***/ "./src/service/user.js":
/*!*****************************!*\
  !*** ./src/service/user.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _service_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./service.js */ \"./src/service/service.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-09-19 09:26:47\n * @Description: User API\n * @FilePath: \\CasaOS-UI\\src\\service\\user.js\n */\n\nvar user = {\n  //login\n  login: function login(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post(\"user/login\", data);\n  },\n  // Create UserName and Password\n  createUsernameAndPaword: function createUsernameAndPaword(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post(\"/user/setusernamepwd\", data);\n  },\n  // Change User Avatar\n  changeAvatar: function changeAvatar(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post(\"/user/changhead\", data);\n  },\n  // Change UserName\n  changeUserName: function changeUserName(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].put(\"/user/changusername\", data);\n  },\n  // Change User Password\n  changePassword: function changePassword(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].put(\"/user/changuserpwd\", data);\n  },\n  // Get user info\n  getUserInfo: function getUserInfo() {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].get(\"/user/info\");\n  },\n  // Change User Info\n  changeUserInfo: function changeUserInfo(data) {\n    return _service_js__WEBPACK_IMPORTED_MODULE_0__[\"api\"].post('/user/changuserinfo', data);\n  }\n};\n/* harmony default export */ __webpack_exports__[\"default\"] = (user);\n\n//# sourceURL=webpack:///./src/service/user.js?");

/***/ }),

/***/ "./src/store/index.js":
/*!****************************!*\
  !*** ./src/store/index.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! vue */ \"./node_modules/vue/dist/vue.esm.js\");\n/* harmony import */ var vuex__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! vuex */ \"./node_modules/vuex/dist/vuex.esm.js\");\n/*\n * @Author: JerryK\n * @Date: 2021-09-18 21:32:13\n * @LastEditors: JerryK\n * @LastEditTime: 2021-11-24 16:27:41\n * @Description: \n * @FilePath: /CasaOS-UI/src/store/index.js\n */\n\n // import createPersistedState from \"vuex-persistedstate\";\n\nvue__WEBPACK_IMPORTED_MODULE_0__[\"default\"].use(vuex__WEBPACK_IMPORTED_MODULE_1__[\"default\"]);\n/* harmony default export */ __webpack_exports__[\"default\"] = (new vuex__WEBPACK_IMPORTED_MODULE_1__[\"default\"].Store({\n  // plugins: [createPersistedState()],\n  state: {\n    token: \"\",\n    devIp: \"192.168.2.217\",\n    serviceError: false,\n    userinfo: {},\n    sidebarOpen: false,\n    syncthingKey: '',\n    syncthingPort: '',\n    widgetsSwitch: {\n      clock: true,\n      weather: true,\n      cpu: true,\n      disk: true\n    }\n  },\n  mutations: {\n    setToken: function setToken(state, val) {\n      state.token = val;\n    },\n    setServiceError: function setServiceError(state, val) {\n      state.serviceError = val;\n    },\n    setWidgets: function setWidgets(state, val) {\n      console.log(state.widgetsSwitch[val.k]);\n      state.widgetsSwitch[val.k] = val.v;\n    },\n    changeUserInfo: function changeUserInfo(state, val) {\n      state.userinfo = val;\n    },\n    changeSideBarState: function changeSideBarState(state) {\n      state.sidebarOpen = !state.sidebarOpen;\n    },\n    closeSideBar: function closeSideBar(state) {\n      state.sidebarOpen = false;\n    },\n    changeSyncthingInfo: function changeSyncthingInfo(state, val) {\n      state.syncthingKey = val.key;\n      state.syncthingPort = val.port;\n    }\n  },\n  actions: {},\n  modules: {}\n}));\n\n//# sourceURL=webpack:///./src/store/index.js?");

/***/ }),

/***/ 0:
/*!***************************!*\
  !*** multi ./src/main.js ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__(/*! ./src/main.js */\"./src/main.js\");\n\n\n//# sourceURL=webpack:///multi_./src/main.js?");

/***/ }),

/***/ 1:
/*!********************************!*\
  !*** ./util.inspect (ignored) ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("/* (ignored) */\n\n//# sourceURL=webpack:///./util.inspect_(ignored)?");

/***/ })

/******/ });